dcm_dict = Dict(
    (0x0002, 0x0000) => [:FileMetaInformationGroupLength, "UL", "1"],
    (0x0002, 0x0001) => [:FileMetaInformationVersion, "OB", "1"],
    (0x0002, 0x0002) => [:MediaStorageSOPClassUID, "UI", "1"],
    (0x0002, 0x0003) => [:MediaStorageSOPInstanceUID, "UI", "1"],
    (0x0002, 0x0010) => [:TransferSyntaxUID, "UI", "1"],
    (0x0002, 0x0012) => [:ImplementationClassUID, "UI", "1"],
    (0x0002, 0x0013) => [:ImplementationVersionName, "SH", "1"],
    (0x0002, 0x0016) => [:SourceApplicationEntityTitle, "AE", "1"],
    (0x0002, 0x0017) => [:SendingApplicationEntityTitle, "AE", "1"],
    (0x0002, 0x0018) => [:ReceivingApplicationEntityTitle, "AE", "1"],
    (0x0002, 0x0026) => [:SourcePresentationAddress, "UR", "1"],
    (0x0002, 0x0027) => [:SendingPresentationAddress, "UR", "1"],
    (0x0002, 0x0028) => [:ReceivingPresentationAddress, "UR", "1"],
    (0x0002, 0x0031) => [:RTVMetaInformationVersion, "OB", "1"],
    (0x0002, 0x0032) => [:RTVCommunicationSOPClassUID, "UI", "1"],
    (0x0002, 0x0033) => [:RTVCommunicationSOPInstanceUID, "UI", "1"],
    (0x0002, 0x0035) => [:RTVSourceIdentifier, "OB", "1"],
    (0x0002, 0x0036) => [:RTVFlowIdentifier, "OB", "1"],
    (0x0002, 0x0037) => [:RTVFlowRTPSamplingRate, "UL", "1"],
    (0x0002, 0x0038) => [:RTVFlowActualFrameDuration, "FD", "1"],
    (0x0002, 0x0100) => [:PrivateInformationCreatorUID, "UI", "1"],
    (0x0002, 0x0102) => [:PrivateInformation, "OB", "1"],
    (0x0008, 0x0001) => [:LengthToEnd, "UL", "1"],
    (0x0008, 0x0005) => [:SpecificCharacterSet, "CS", "1-n"],
    (0x0008, 0x0006) => [:LanguageCodeSequence, "SQ", "1"],
    (0x0008, 0x0008) => [:ImageType, "CS", "2-n"],
    (0x0008, 0x0010) => [:RecognitionCode, "SH", "1"],
    (0x0008, 0x0012) => [:InstanceCreationDate, "DA", "1"],
    (0x0008, 0x0013) => [:InstanceCreationTime, "TM", "1"],
    (0x0008, 0x0014) => [:InstanceCreatorUID, "UI", "1"],
    (0x0008, 0x0015) => [:InstanceCoercionDateTime, "DT", "1"],
    (0x0008, 0x0016) => [:SOPClassUID, "UI", "1"],
    (0x0008, 0x0018) => [:SOPInstanceUID, "UI", "1"],
    (0x0008, 0x001a) => [:RelatedGeneralSOPClassUID, "UI", "1-n"],
    (0x0008, 0x001b) => [:OriginalSpecializedSOPClassUID, "UI", "1"],
    (0x0008, 0x0020) => [:StudyDate, "DA", "1"],
    (0x0008, 0x0021) => [:SeriesDate, "DA", "1"],
    (0x0008, 0x0022) => [:AcquisitionDate, "DA", "1"],
    (0x0008, 0x0023) => [:ContentDate, "DA", "1"],
    (0x0008, 0x0024) => [:OverlayDate, "DA", "1"],
    (0x0008, 0x0025) => [:CurveDate, "DA", "1"],
    (0x0008, 0x002a) => [:AcquisitionDateTime, "DT", "1"],
    (0x0008, 0x0030) => [:StudyTime, "TM", "1"],
    (0x0008, 0x0031) => [:SeriesTime, "TM", "1"],
    (0x0008, 0x0032) => [:AcquisitionTime, "TM", "1"],
    (0x0008, 0x0033) => [:ContentTime, "TM", "1"],
    (0x0008, 0x0034) => [:OverlayTime, "TM", "1"],
    (0x0008, 0x0035) => [:CurveTime, "TM", "1"],
    (0x0008, 0x0040) => [:DataSetType, "US", "1"],
    (0x0008, 0x0041) => [:DataSetSubtype, "LO", "1"],
    (0x0008, 0x0042) => [:NuclearMedicineSeriesType, "CS", "1"],
    (0x0008, 0x0050) => [:AccessionNumber, "SH", "1"],
    (0x0008, 0x0051) => [:IssuerOfAccessionNumberSequence, "SQ", "1"],
    (0x0008, 0x0052) => [:QueryRetrieveLevel, "CS", "1"],
    (0x0008, 0x0053) => [:QueryRetrieveView, "CS", "1"],
    (0x0008, 0x0054) => [:RetrieveAETitle, "AE", "1-n"],
    (0x0008, 0x0055) => [:StationAETitle, "AE", "1"],
    (0x0008, 0x0056) => [:InstanceAvailability, "CS", "1"],
    (0x0008, 0x0058) => [:FailedSOPInstanceUIDList, "UI", "1-n"],
    (0x0008, 0x0060) => [:Modality, "CS", "1"],
    (0x0008, 0x0061) => [:ModalitiesInStudy, "CS", "1-n"],
    (0x0008, 0x0062) => [:SOPClassesInStudy, "UI", "1-n"],
    (0x0008, 0x0063) => [:AnatomicRegionsInStudyCodeSequence, "SQ", "1"],
    (0x0008, 0x0064) => [:ConversionType, "CS", "1"],
    (0x0008, 0x0068) => [:PresentationIntentType, "CS", "1"],
    (0x0008, 0x0070) => [:Manufacturer, "LO", "1"],
    (0x0008, 0x0080) => [:InstitutionName, "LO", "1"],
    (0x0008, 0x0081) => [:InstitutionAddress, "ST", "1"],
    (0x0008, 0x0082) => [:InstitutionCodeSequence, "SQ", "1"],
    (0x0008, 0x0090) => [:ReferringPhysicianName, "PN", "1"],
    (0x0008, 0x0092) => [:ReferringPhysicianAddress, "ST", "1"],
    (0x0008, 0x0094) => [:ReferringPhysicianTelephoneNumbers, "SH", "1-n"],
    (0x0008, 0x0096) => [:ReferringPhysicianIdentificationSequence, "SQ", "1"],
    (0x0008, 0x009c) => [:ConsultingPhysicianName, "PN", "1-n"],
    (0x0008, 0x009d) => [:ConsultingPhysicianIdentificationSequence, "SQ", "1"],
    (0x0008, 0x0100) => [:CodeValue, "SH", "1"],
    (0x0008, 0x0101) => [:ExtendedCodeValue, "LO", "1"],
    (0x0008, 0x0102) => [:CodingSchemeDesignator, "SH", "1"],
    (0x0008, 0x0103) => [:CodingSchemeVersion, "SH", "1"],
    (0x0008, 0x0104) => [:CodeMeaning, "LO", "1"],
    (0x0008, 0x0105) => [:MappingResource, "CS", "1"],
    (0x0008, 0x0106) => [:ContextGroupVersion, "DT", "1"],
    (0x0008, 0x0107) => [:ContextGroupLocalVersion, "DT", "1"],
    (0x0008, 0x0108) => [:ExtendedCodeMeaning, "LT", "1"],
    (0x0008, 0x0109) => [:CodingSchemeResourcesSequence, "SQ", "1"],
    (0x0008, 0x010a) => [:CodingSchemeURLType, "CS", "1"],
    (0x0008, 0x010b) => [:ContextGroupExtensionFlag, "CS", "1"],
    (0x0008, 0x010c) => [:CodingSchemeUID, "UI", "1"],
    (0x0008, 0x010d) => [:ContextGroupExtensionCreatorUID, "UI", "1"],
    (0x0008, 0x010e) => [:CodingSchemeURL, "UR", "1"],
    (0x0008, 0x010f) => [:ContextIdentifier, "CS", "1"],
    (0x0008, 0x0110) => [:CodingSchemeIdentificationSequence, "SQ", "1"],
    (0x0008, 0x0112) => [:CodingSchemeRegistry, "LO", "1"],
    (0x0008, 0x0114) => [:CodingSchemeExternalID, "ST", "1"],
    (0x0008, 0x0115) => [:CodingSchemeName, "ST", "1"],
    (0x0008, 0x0116) => [:CodingSchemeResponsibleOrganization, "ST", "1"],
    (0x0008, 0x0117) => [:ContextUID, "UI", "1"],
    (0x0008, 0x0118) => [:MappingResourceUID, "UI", "1"],
    (0x0008, 0x0119) => [:LongCodeValue, "UC", "1"],
    (0x0008, 0x0120) => [:URNCodeValue, "UR", "1"],
    (0x0008, 0x0121) => [:EquivalentCodeSequence, "SQ", "1"],
    (0x0008, 0x0122) => [:MappingResourceName, "LO", "1"],
    (0x0008, 0x0123) => [:ContextGroupIdentificationSequence, "SQ", "1"],
    (0x0008, 0x0124) => [:MappingResourceIdentificationSequence, "SQ", "1"],
    (0x0008, 0x0201) => [:TimezoneOffsetFromUTC, "SH", "1"],
    (0x0008, 0x0220) => [:ResponsibleGroupCodeSequence, "SQ", "1"],
    (0x0008, 0x0221) => [:EquipmentModality, "CS", "1"],
    (0x0008, 0x0222) => [:ManufacturerRelatedModelGroup, "LO", "1"],
    (0x0008, 0x0300) => [:PrivateDataElementCharacteristicsSequence, "SQ", "1"],
    (0x0008, 0x0301) => [:PrivateGroupReference, "US", "1"],
    (0x0008, 0x0302) => [:PrivateCreatorReference, "LO", "1"],
    (0x0008, 0x0303) => [:BlockIdentifyingInformationStatus, "CS", "1"],
    (0x0008, 0x0304) => [:NonidentifyingPrivateElements, "US", "1-n"],
    (0x0008, 0x0306) => [:IdentifyingPrivateElements, "US", "1-n"],
    (0x0008, 0x0305) => [:DeidentificationActionSequence, "SQ", "1"],
    (0x0008, 0x0307) => [:DeidentificationAction, "CS", "1"],
    (0x0008, 0x0308) => [:PrivateDataElement, "US", "1"],
    (0x0008, 0x0309) => [:PrivateDataElementValueMultiplicity, "UL", "1-3"],
    (0x0008, 0x030a) => [:PrivateDataElementValueRepresentation, "CS", "1"],
    (0x0008, 0x030b) => [:PrivateDataElementNumberOfItems, "UL", "1-2"],
    (0x0008, 0x030c) => [:PrivateDataElementName, "UC", "1"],
    (0x0008, 0x030d) => [:PrivateDataElementKeyword, "UC", "1"],
    (0x0008, 0x030e) => [:PrivateDataElementDescription, "UT", "1"],
    (0x0008, 0x030f) => [:PrivateDataElementEncoding, "UT", "1"],
    (0x0008, 0x0310) => [:PrivateDataElementDefinitionSequence, "SQ", "1"],
    (0x0008, 0x1000) => [:NetworkID, "AE", "1"],
    (0x0008, 0x1010) => [:StationName, "SH", "1"],
    (0x0008, 0x1030) => [:StudyDescription, "LO", "1"],
    (0x0008, 0x1032) => [:ProcedureCodeSequence, "SQ", "1"],
    (0x0008, 0x103e) => [:SeriesDescription, "LO", "1"],
    (0x0008, 0x103f) => [:SeriesDescriptionCodeSequence, "SQ", "1"],
    (0x0008, 0x1040) => [:InstitutionalDepartmentName, "LO", "1"],
    (0x0008, 0x1041) => [:InstitutionalDepartmentTypeCodeSequence, "SQ", "1"],
    (0x0008, 0x1048) => [:PhysiciansOfRecord, "PN", "1-n"],
    (0x0008, 0x1049) => [:PhysiciansOfRecordIdentificationSequence, "SQ", "1"],
    (0x0008, 0x1050) => [:PerformingPhysicianName, "PN", "1-n"],
    (0x0008, 0x1052) => [:PerformingPhysicianIdentificationSequence, "SQ", "1"],
    (0x0008, 0x1060) => [:NameOfPhysiciansReadingStudy, "PN", "1-n"],
    (0x0008, 0x1062) => [:PhysiciansReadingStudyIdentificationSequence, "SQ", "1"],
    (0x0008, 0x1070) => [:OperatorsName, "PN", "1-n"],
    (0x0008, 0x1072) => [:OperatorIdentificationSequence, "SQ", "1"],
    (0x0008, 0x1080) => [:AdmittingDiagnosesDescription, "LO", "1-n"],
    (0x0008, 0x1084) => [:AdmittingDiagnosesCodeSequence, "SQ", "1"],
    (0x0008, 0x1090) => [:ManufacturerModelName, "LO", "1"],
    (0x0008, 0x1100) => [:ReferencedResultsSequence, "SQ", "1"],
    (0x0008, 0x1110) => [:ReferencedStudySequence, "SQ", "1"],
    (0x0008, 0x1111) => [:ReferencedPerformedProcedureStepSequence, "SQ", "1"],
    (0x0008, 0x1115) => [:ReferencedSeriesSequence, "SQ", "1"],
    (0x0008, 0x1120) => [:ReferencedPatientSequence, "SQ", "1"],
    (0x0008, 0x1125) => [:ReferencedVisitSequence, "SQ", "1"],
    (0x0008, 0x1130) => [:ReferencedOverlaySequence, "SQ", "1"],
    (0x0008, 0x1134) => [:ReferencedStereometricInstanceSequence, "SQ", "1"],
    (0x0008, 0x113a) => [:ReferencedWaveformSequence, "SQ", "1"],
    (0x0008, 0x1140) => [:ReferencedImageSequence, "SQ", "1"],
    (0x0008, 0x1145) => [:ReferencedCurveSequence, "SQ", "1"],
    (0x0008, 0x114a) => [:ReferencedInstanceSequence, "SQ", "1"],
    (0x0008, 0x114b) => [:ReferencedRealWorldValueMappingInstanceSequence, "SQ", "1"],
    (0x0008, 0x1150) => [:ReferencedSOPClassUID, "UI", "1"],
    (0x0008, 0x1155) => [:ReferencedSOPInstanceUID, "UI", "1"],
    (0x0008, 0x1156) => [:DefinitionSourceSequence, "SQ", "1"],
    (0x0008, 0x115a) => [:SOPClassesSupported, "UI", "1-n"],
    (0x0008, 0x1160) => [:ReferencedFrameNumber, "IS", "1-n"],
    (0x0008, 0x1161) => [:SimpleFrameList, "UL", "1-n"],
    (0x0008, 0x1162) => [:CalculatedFrameList, "UL", "3-3n"],
    (0x0008, 0x1163) => [:TimeRange, "FD", "2"],
    (0x0008, 0x1164) => [:FrameExtractionSequence, "SQ", "1"],
    (0x0008, 0x1167) => [:MultiFrameSourceSOPInstanceUID, "UI", "1"],
    (0x0008, 0x1190) => [:RetrieveURL, "UR", "1"],
    (0x0008, 0x1195) => [:TransactionUID, "UI", "1"],
    (0x0008, 0x1196) => [:WarningReason, "US", "1"],
    (0x0008, 0x1197) => [:FailureReason, "US", "1"],
    (0x0008, 0x1198) => [:FailedSOPSequence, "SQ", "1"],
    (0x0008, 0x1199) => [:ReferencedSOPSequence, "SQ", "1"],
    (0x0008, 0x119a) => [:OtherFailuresSequence, "SQ", "1"],
    (0x0008, 0x1200) => [:StudiesContainingOtherReferencedInstancesSequence, "SQ", "1"],
    (0x0008, 0x1250) => [:RelatedSeriesSequence, "SQ", "1"],
    (0x0008, 0x2110) => [:LossyImageCompressionRetired, "CS", "1"],
    (0x0008, 0x2111) => [:DerivationDescription, "ST", "1"],
    (0x0008, 0x2112) => [:SourceImageSequence, "SQ", "1"],
    (0x0008, 0x2120) => [:StageName, "SH", "1"],
    (0x0008, 0x2122) => [:StageNumber, "IS", "1"],
    (0x0008, 0x2124) => [:NumberOfStages, "IS", "1"],
    (0x0008, 0x2127) => [:ViewName, "SH", "1"],
    (0x0008, 0x2128) => [:ViewNumber, "IS", "1"],
    (0x0008, 0x2129) => [:NumberOfEventTimers, "IS", "1"],
    (0x0008, 0x212a) => [:NumberOfViewsInStage, "IS", "1"],
    (0x0008, 0x2130) => [:EventElapsedTimes, "DS", "1-n"],
    (0x0008, 0x2132) => [:EventTimerNames, "LO", "1-n"],
    (0x0008, 0x2133) => [:EventTimerSequence, "SQ", "1"],
    (0x0008, 0x2134) => [:EventTimeOffset, "FD", "1"],
    (0x0008, 0x2135) => [:EventCodeSequence, "SQ", "1"],
    (0x0008, 0x2142) => [:StartTrim, "IS", "1"],
    (0x0008, 0x2143) => [:StopTrim, "IS", "1"],
    (0x0008, 0x2144) => [:RecommendedDisplayFrameRate, "IS", "1"],
    (0x0008, 0x2200) => [:TransducerPosition, "CS", "1"],
    (0x0008, 0x2204) => [:TransducerOrientation, "CS", "1"],
    (0x0008, 0x2208) => [:AnatomicStructure, "CS", "1"],
    (0x0008, 0x2218) => [:AnatomicRegionSequence, "SQ", "1"],
    (0x0008, 0x2220) => [:AnatomicRegionModifierSequence, "SQ", "1"],
    (0x0008, 0x2228) => [:PrimaryAnatomicStructureSequence, "SQ", "1"],
    (0x0008, 0x2229) => [:AnatomicStructureSpaceOrRegionSequence, "SQ", "1"],
    (0x0008, 0x2230) => [:PrimaryAnatomicStructureModifierSequence, "SQ", "1"],
    (0x0008, 0x2240) => [:TransducerPositionSequence, "SQ", "1"],
    (0x0008, 0x2242) => [:TransducerPositionModifierSequence, "SQ", "1"],
    (0x0008, 0x2244) => [:TransducerOrientationSequence, "SQ", "1"],
    (0x0008, 0x2246) => [:TransducerOrientationModifierSequence, "SQ", "1"],
    (0x0008, 0x2251) => [:AnatomicStructureSpaceOrRegionCodeSequenceTrial, "SQ", "1"],
    (0x0008, 0x2253) => [:AnatomicPortalOfEntranceCodeSequenceTrial, "SQ", "1"],
    (0x0008, 0x2255) => [:AnatomicApproachDirectionCodeSequenceTrial, "SQ", "1"],
    (0x0008, 0x2256) => [:AnatomicPerspectiveDescriptionTrial, "ST", "1"],
    (0x0008, 0x2257) => [:AnatomicPerspectiveCodeSequenceTrial, "SQ", "1"],
    (0x0008, 0x2258) =>
        [:AnatomicLocationOfExaminingInstrumentDescriptionTrial, "ST", "1"],
    (0x0008, 0x2259) =>
        [:AnatomicLocationOfExaminingInstrumentCodeSequenceTrial, "SQ", "1"],
    (0x0008, 0x225a) =>
        [:AnatomicStructureSpaceOrRegionModifierCodeSequenceTrial, "SQ", "1"],
    (0x0008, 0x225c) =>
        [:OnAxisBackgroundAnatomicStructureCodeSequenceTrial, "SQ", "1"],
    (0x0008, 0x3001) => [:AlternateRepresentationSequence, "SQ", "1"],
    (0x0008, 0x3002) => [:AvailableTransferSyntaxUID, "UI", "1-n"],
    (0x0008, 0x3010) => [:IrradiationEventUID, "UI", "1-n"],
    (0x0008, 0x3011) => [:SourceIrradiationEventSequence, "SQ", "1"],
    (0x0008, 0x3012) => [:RadiopharmaceuticalAdministrationEventUID, "UI", "1"],
    (0x0008, 0x4000) => [:IdentifyingComments, "LT", "1"],
    (0x0008, 0x9007) => [:FrameType, "CS", "4"],
    (0x0008, 0x9092) => [:ReferencedImageEvidenceSequence, "SQ", "1"],
    (0x0008, 0x9121) => [:ReferencedRawDataSequence, "SQ", "1"],
    (0x0008, 0x9123) => [:CreatorVersionUID, "UI", "1"],
    (0x0008, 0x9124) => [:DerivationImageSequence, "SQ", "1"],
    (0x0008, 0x9154) => [:SourceImageEvidenceSequence, "SQ", "1"],
    (0x0008, 0x9205) => [:PixelPresentation, "CS", "1"],
    (0x0008, 0x9206) => [:VolumetricProperties, "CS", "1"],
    (0x0008, 0x9207) => [:VolumeBasedCalculationTechnique, "CS", "1"],
    (0x0008, 0x9208) => [:ComplexImageComponent, "CS", "1"],
    (0x0008, 0x9209) => [:AcquisitionContrast, "CS", "1"],
    (0x0008, 0x9215) => [:DerivationCodeSequence, "SQ", "1"],
    (0x0008, 0x9237) => [:ReferencedPresentationStateSequence, "SQ", "1"],
    (0x0008, 0x9410) => [:ReferencedOtherPlaneSequence, "SQ", "1"],
    (0x0008, 0x9458) => [:FrameDisplaySequence, "SQ", "1"],
    (0x0008, 0x9459) => [:RecommendedDisplayFrameRateInFloat, "FL", "1"],
    (0x0008, 0x9460) => [:SkipFrameRangeFlag, "CS", "1"],
    (0x0010, 0x0010) => [:PatientName, "PN", "1"],
    (0x0010, 0x0020) => [:PatientID, "LO", "1"],
    (0x0010, 0x0021) => [:IssuerOfPatientID, "LO", "1"],
    (0x0010, 0x0022) => [:TypeOfPatientID, "CS", "1"],
    (0x0010, 0x0024) => [:IssuerOfPatientIDQualifiersSequence, "SQ", "1"],
    (0x0010, 0x0026) => [:SourcePatientGroupIdentificationSequence, "SQ", "1"],
    (0x0010, 0x0027) => [:GroupOfPatientsIdentificationSequence, "SQ", "1"],
    (0x0010, 0x0028) => [:SubjectRelativePositionInImage, "US", "3"],
    (0x0010, 0x0030) => [:PatientBirthDate, "DA", "1"],
    (0x0010, 0x0032) => [:PatientBirthTime, "TM", "1"],
    (0x0010, 0x0033) => [:PatientBirthDateInAlternativeCalendar, "LO", "1"],
    (0x0010, 0x0034) => [:PatientDeathDateInAlternativeCalendar, "LO", "1"],
    (0x0010, 0x0035) => [:PatientAlternativeCalendar, "CS", "1"],
    (0x0010, 0x0040) => [:PatientSex, "CS", "1"],
    (0x0010, 0x0050) => [:PatientInsurancePlanCodeSequence, "SQ", "1"],
    (0x0010, 0x0101) => [:PatientPrimaryLanguageCodeSequence, "SQ", "1"],
    (0x0010, 0x0102) => [:PatientPrimaryLanguageModifierCodeSequence, "SQ", "1"],
    (0x0010, 0x0200) => [:QualityControlSubject, "CS", "1"],
    (0x0010, 0x0201) => [:QualityControlSubjectTypeCodeSequence, "SQ", "1"],
    (0x0010, 0x0212) => [:StrainDescription, "UC", "1"],
    (0x0010, 0x0213) => [:StrainNomenclature, "LO", "1"],
    (0x0010, 0x0214) => [:StrainStockNumber, "LO", "1"],
    (0x0010, 0x0215) => [:StrainSourceRegistryCodeSequence, "SQ", "1"],
    (0x0010, 0x0216) => [:StrainStockSequence, "SQ", "1"],
    (0x0010, 0x0217) => [:StrainSource, "LO", "1"],
    (0x0010, 0x0218) => [:StrainAdditionalInformation, "UT", "1"],
    (0x0010, 0x0219) => [:StrainCodeSequence, "SQ", "1"],
    (0x0010, 0x0221) => [:GeneticModificationsSequence, "SQ", "1"],
    (0x0010, 0x0222) => [:GeneticModificationsDescription, "UC", "1"],
    (0x0010, 0x0223) => [:GeneticModificationsNomenclature, "LO", "1"],
    (0x0010, 0x0229) => [:GeneticModificationsCodeSequence, "SQ", "1"],
    (0x0010, 0x1000) => [:OtherPatientIDs, "LO", "1-n"],
    (0x0010, 0x1001) => [:OtherPatientNames, "PN", "1-n"],
    (0x0010, 0x1002) => [:OtherPatientIDsSequence, "SQ", "1"],
    (0x0010, 0x1005) => [:PatientBirthName, "PN", "1"],
    (0x0010, 0x1010) => [:PatientAge, "AS", "1"],
    (0x0010, 0x1020) => [:PatientSize, "DS", "1"],
    (0x0010, 0x1021) => [:PatientSizeCodeSequence, "SQ", "1"],
    (0x0010, 0x1022) => [:PatientBodyMassIndex, "DS", "1"],
    (0x0010, 0x1023) => [:MeasuredAPDimension, "DS", "1"],
    (0x0010, 0x1024) => [:MeasuredLateralDimension, "DS", "1"],
    (0x0010, 0x1030) => [:PatientWeight, "DS", "1"],
    (0x0010, 0x1040) => [:PatientAddress, "LO", "1"],
    (0x0010, 0x1050) => [:InsurancePlanIdentification, "LO", "1-n"],
    (0x0010, 0x1060) => [:PatientMotherBirthName, "PN", "1"],
    (0x0010, 0x1080) => [:MilitaryRank, "LO", "1"],
    (0x0010, 0x1081) => [:BranchOfService, "LO", "1"],
    (0x0010, 0x1090) => [:MedicalRecordLocator, "LO", "1"],
    (0x0010, 0x1100) => [:ReferencedPatientPhotoSequence, "SQ", "1"],
    (0x0010, 0x2000) => [:MedicalAlerts, "LO", "1-n"],
    (0x0010, 0x2110) => [:Allergies, "LO", "1-n"],
    (0x0010, 0x2150) => [:CountryOfResidence, "LO", "1"],
    (0x0010, 0x2152) => [:RegionOfResidence, "LO", "1"],
    (0x0010, 0x2154) => [:PatientTelephoneNumbers, "SH", "1-n"],
    (0x0010, 0x2155) => [:PatientTelecomInformation, "LT", "1"],
    (0x0010, 0x2160) => [:EthnicGroup, "SH", "1"],
    (0x0010, 0x2180) => [:Occupation, "SH", "1"],
    (0x0010, 0x21a0) => [:SmokingStatus, "CS", "1"],
    (0x0010, 0x21b0) => [:AdditionalPatientHistory, "LT", "1"],
    (0x0010, 0x21c0) => [:PregnancyStatus, "US", "1"],
    (0x0010, 0x21d0) => [:LastMenstrualDate, "DA", "1"],
    (0x0010, 0x21f0) => [:PatientReligiousPreference, "LO", "1"],
    (0x0010, 0x2201) => [:PatientSpeciesDescription, "LO", "1"],
    (0x0010, 0x2202) => [:PatientSpeciesCodeSequence, "SQ", "1"],
    (0x0010, 0x2203) => [:PatientSexNeutered, "CS", "1"],
    (0x0010, 0x2210) => [:AnatomicalOrientationType, "CS", "1"],
    (0x0010, 0x2292) => [:PatientBreedDescription, "LO", "1"],
    (0x0010, 0x2293) => [:PatientBreedCodeSequence, "SQ", "1"],
    (0x0010, 0x2294) => [:BreedRegistrationSequence, "SQ", "1"],
    (0x0010, 0x2295) => [:BreedRegistrationNumber, "LO", "1"],
    (0x0010, 0x2296) => [:BreedRegistryCodeSequence, "SQ", "1"],
    (0x0010, 0x2297) => [:ResponsiblePerson, "PN", "1"],
    (0x0010, 0x2298) => [:ResponsiblePersonRole, "CS", "1"],
    (0x0010, 0x2299) => [:ResponsibleOrganization, "LO", "1"],
    (0x0010, 0x4000) => [:PatientComments, "LT", "1"],
    (0x0010, 0x9431) => [:ExaminedBodyThickness, "FL", "1"],
    (0x0012, 0x0010) => [:ClinicalTrialSponsorName, "LO", "1"],
    (0x0012, 0x0020) => [:ClinicalTrialProtocolID, "LO", "1"],
    (0x0012, 0x0021) => [:ClinicalTrialProtocolName, "LO", "1"],
    (0x0012, 0x0030) => [:ClinicalTrialSiteID, "LO", "1"],
    (0x0012, 0x0031) => [:ClinicalTrialSiteName, "LO", "1"],
    (0x0012, 0x0040) => [:ClinicalTrialSubjectID, "LO", "1"],
    (0x0012, 0x0042) => [:ClinicalTrialSubjectReadingID, "LO", "1"],
    (0x0012, 0x0050) => [:ClinicalTrialTimePointID, "LO", "1"],
    (0x0012, 0x0051) => [:ClinicalTrialTimePointDescription, "ST", "1"],
    (0x0012, 0x0052) => [:LongitudinalTemporalOffsetFromEvent, "FD", "1"],
    (0x0012, 0x0053) => [:LongitudinalTemporalEventType, "CS", "1"],
    (0x0012, 0x0060) => [:ClinicalTrialCoordinatingCenterName, "LO", "1"],
    (0x0012, 0x0062) => [:PatientIdentityRemoved, "CS", "1"],
    (0x0012, 0x0063) => [:DeidentificationMethod, "LO", "1-n"],
    (0x0012, 0x0064) => [:DeidentificationMethodCodeSequence, "SQ", "1"],
    (0x0012, 0x0071) => [:ClinicalTrialSeriesID, "LO", "1"],
    (0x0012, 0x0072) => [:ClinicalTrialSeriesDescription, "LO", "1"],
    (0x0012, 0x0081) => [:ClinicalTrialProtocolEthicsCommitteeName, "LO", "1"],
    (0x0012, 0x0082) =>
        [:ClinicalTrialProtocolEthicsCommitteeApprovalNumber, "LO", "1"],
    (0x0012, 0x0083) => [:ConsentForClinicalTrialUseSequence, "SQ", "1"],
    (0x0012, 0x0084) => [:DistributionType, "CS", "1"],
    (0x0012, 0x0085) => [:ConsentForDistributionFlag, "CS", "1"],
    (0x0012, 0x0086) => [:EthicsCommitteeApprovalEffectivenessStartDate, "DA", "1"],
    (0x0012, 0x0087) => [:EthicsCommitteeApprovalEffectivenessEndDate, "DA", "1"],
    (0x0014, 0x0023) => [:CADFileFormat, "ST", "1"],
    (0x0014, 0x0024) => [:ComponentReferenceSystem, "ST", "1"],
    (0x0014, 0x0025) => [:ComponentManufacturingProcedure, "ST", "1"],
    (0x0014, 0x0028) => [:ComponentManufacturer, "ST", "1"],
    (0x0014, 0x0030) => [:MaterialThickness, "DS", "1-n"],
    (0x0014, 0x0032) => [:MaterialPipeDiameter, "DS", "1-n"],
    (0x0014, 0x0034) => [:MaterialIsolationDiameter, "DS", "1-n"],
    (0x0014, 0x0042) => [:MaterialGrade, "ST", "1"],
    (0x0014, 0x0044) => [:MaterialPropertiesDescription, "ST", "1"],
    (0x0014, 0x0045) => [:MaterialPropertiesFileFormatRetired, "ST", "1"],
    (0x0014, 0x0046) => [:MaterialNotes, "LT", "1"],
    (0x0014, 0x0050) => [:ComponentShape, "CS", "1"],
    (0x0014, 0x0052) => [:CurvatureType, "CS", "1"],
    (0x0014, 0x0054) => [:OuterDiameter, "DS", "1"],
    (0x0014, 0x0056) => [:InnerDiameter, "DS", "1"],
    (0x0014, 0x0100) => [:ComponentWelderIDs, "LO", "1-n"],
    (0x0014, 0x0101) => [:SecondaryApprovalStatus, "CS", "1"],
    (0x0014, 0x0102) => [:SecondaryReviewDate, "DA", "1"],
    (0x0014, 0x0103) => [:SecondaryReviewTime, "TM", "1"],
    (0x0014, 0x0104) => [:SecondaryReviewerName, "PN", "1"],
    (0x0014, 0x0105) => [:RepairID, "ST", "1"],
    (0x0014, 0x0106) => [:MultipleComponentApprovalSequence, "SQ", "1"],
    (0x0014, 0x0107) => [:OtherApprovalStatus, "CS", "1-n"],
    (0x0014, 0x0108) => [:OtherSecondaryApprovalStatus, "CS", "1-n"],
    (0x0014, 0x1010) => [:ActualEnvironmentalConditions, "ST", "1"],
    (0x0014, 0x1020) => [:ExpiryDate, "DA", "1"],
    (0x0014, 0x1040) => [:EnvironmentalConditions, "ST", "1"],
    (0x0014, 0x2002) => [:EvaluatorSequence, "SQ", "1"],
    (0x0014, 0x2004) => [:EvaluatorNumber, "IS", "1"],
    (0x0014, 0x2006) => [:EvaluatorName, "PN", "1"],
    (0x0014, 0x2008) => [:EvaluationAttempt, "IS", "1"],
    (0x0014, 0x2012) => [:IndicationSequence, "SQ", "1"],
    (0x0014, 0x2014) => [:IndicationNumber, "IS", "1"],
    (0x0014, 0x2016) => [:IndicationLabel, "SH", "1"],
    (0x0014, 0x2018) => [:IndicationDescription, "ST", "1"],
    (0x0014, 0x201a) => [:IndicationType, "CS", "1-n"],
    (0x0014, 0x201c) => [:IndicationDisposition, "CS", "1"],
    (0x0014, 0x201e) => [:IndicationROISequence, "SQ", "1"],
    (0x0014, 0x2030) => [:IndicationPhysicalPropertySequence, "SQ", "1"],
    (0x0014, 0x2032) => [:PropertyLabel, "SH", "1"],
    (0x0014, 0x2202) => [:CoordinateSystemNumberOfAxes, "IS", "1"],
    (0x0014, 0x2204) => [:CoordinateSystemAxesSequence, "SQ", "1"],
    (0x0014, 0x2206) => [:CoordinateSystemAxisDescription, "ST", "1"],
    (0x0014, 0x2208) => [:CoordinateSystemDataSetMapping, "CS", "1"],
    (0x0014, 0x220a) => [:CoordinateSystemAxisNumber, "IS", "1"],
    (0x0014, 0x220c) => [:CoordinateSystemAxisType, "CS", "1"],
    (0x0014, 0x220e) => [:CoordinateSystemAxisUnits, "CS", "1"],
    (0x0014, 0x2210) => [:CoordinateSystemAxisValues, "OB", "1"],
    (0x0014, 0x2220) => [:CoordinateSystemTransformSequence, "SQ", "1"],
    (0x0014, 0x2222) => [:TransformDescription, "ST", "1"],
    (0x0014, 0x2224) => [:TransformNumberOfAxes, "IS", "1"],
    (0x0014, 0x2226) => [:TransformOrderOfAxes, "IS", "1-n"],
    (0x0014, 0x2228) => [:TransformedAxisUnits, "CS", "1"],
    (0x0014, 0x222a) => [:CoordinateSystemTransformRotationAndScaleMatrix, "DS", "1-n"],
    (0x0014, 0x222c) => [:CoordinateSystemTransformTranslationMatrix, "DS", "1-n"],
    (0x0014, 0x3011) => [:InternalDetectorFrameTime, "DS", "1"],
    (0x0014, 0x3012) => [:NumberOfFramesIntegrated, "DS", "1"],
    (0x0014, 0x3020) => [:DetectorTemperatureSequence, "SQ", "1"],
    (0x0014, 0x3022) => [:SensorName, "ST", "1"],
    (0x0014, 0x3024) => [:HorizontalOffsetOfSensor, "DS", "1"],
    (0x0014, 0x3026) => [:VerticalOffsetOfSensor, "DS", "1"],
    (0x0014, 0x3028) => [:SensorTemperature, "DS", "1"],
    (0x0014, 0x3040) => [:DarkCurrentSequence, "SQ", "1"],
    (0x0014, 0x3050) => [:DarkCurrentCounts, "OB or OW", "1"],
    (0x0014, 0x3060) => [:GainCorrectionReferenceSequence, "SQ", "1"],
    (0x0014, 0x3070) => [:AirCounts, "OB or OW", "1"],
    (0x0014, 0x3071) => [:KVUsedInGainCalibration, "DS", "1"],
    (0x0014, 0x3072) => [:MAUsedInGainCalibration, "DS", "1"],
    (0x0014, 0x3073) => [:NumberOfFramesUsedForIntegration, "DS", "1"],
    (0x0014, 0x3074) => [:FilterMaterialUsedInGainCalibration, "LO", "1"],
    (0x0014, 0x3075) => [:FilterThicknessUsedInGainCalibration, "DS", "1"],
    (0x0014, 0x3076) => [:DateOfGainCalibration, "DA", "1"],
    (0x0014, 0x3077) => [:TimeOfGainCalibration, "TM", "1"],
    (0x0014, 0x3080) => [:BadPixelImage, "OB", "1"],
    (0x0014, 0x3099) => [:CalibrationNotes, "LT", "1"],
    (0x0014, 0x4002) => [:PulserEquipmentSequence, "SQ", "1"],
    (0x0014, 0x4004) => [:PulserType, "CS", "1"],
    (0x0014, 0x4006) => [:PulserNotes, "LT", "1"],
    (0x0014, 0x4008) => [:ReceiverEquipmentSequence, "SQ", "1"],
    (0x0014, 0x400a) => [:AmplifierType, "CS", "1"],
    (0x0014, 0x400c) => [:ReceiverNotes, "LT", "1"],
    (0x0014, 0x400e) => [:PreAmplifierEquipmentSequence, "SQ", "1"],
    (0x0014, 0x400f) => [:PreAmplifierNotes, "LT", "1"],
    (0x0014, 0x4010) => [:TransmitTransducerSequence, "SQ", "1"],
    (0x0014, 0x4011) => [:ReceiveTransducerSequence, "SQ", "1"],
    (0x0014, 0x4012) => [:NumberOfElements, "US", "1"],
    (0x0014, 0x4013) => [:ElementShape, "CS", "1"],
    (0x0014, 0x4014) => [:ElementDimensionA, "DS", "1"],
    (0x0014, 0x4015) => [:ElementDimensionB, "DS", "1"],
    (0x0014, 0x4016) => [:ElementPitchA, "DS", "1"],
    (0x0014, 0x4017) => [:MeasuredBeamDimensionA, "DS", "1"],
    (0x0014, 0x4018) => [:MeasuredBeamDimensionB, "DS", "1"],
    (0x0014, 0x4019) => [:LocationOfMeasuredBeamDiameter, "DS", "1"],
    (0x0014, 0x401a) => [:NominalFrequency, "DS", "1"],
    (0x0014, 0x401b) => [:MeasuredCenterFrequency, "DS", "1"],
    (0x0014, 0x401c) => [:MeasuredBandwidth, "DS", "1"],
    (0x0014, 0x401d) => [:ElementPitchB, "DS", "1"],
    (0x0014, 0x4020) => [:PulserSettingsSequence, "SQ", "1"],
    (0x0014, 0x4022) => [:PulseWidth, "DS", "1"],
    (0x0014, 0x4024) => [:ExcitationFrequency, "DS", "1"],
    (0x0014, 0x4026) => [:ModulationType, "CS", "1"],
    (0x0014, 0x4028) => [:Damping, "DS", "1"],
    (0x0014, 0x4030) => [:ReceiverSettingsSequence, "SQ", "1"],
    (0x0014, 0x4031) => [:AcquiredSoundpathLength, "DS", "1"],
    (0x0014, 0x4032) => [:AcquisitionCompressionType, "CS", "1"],
    (0x0014, 0x4033) => [:AcquisitionSampleSize, "IS", "1"],
    (0x0014, 0x4034) => [:RectifierSmoothing, "DS", "1"],
    (0x0014, 0x4035) => [:DACSequence, "SQ", "1"],
    (0x0014, 0x4036) => [:DACType, "CS", "1"],
    (0x0014, 0x4038) => [:DACGainPoints, "DS", "1-n"],
    (0x0014, 0x403a) => [:DACTimePoints, "DS", "1-n"],
    (0x0014, 0x403c) => [:DACAmplitude, "DS", "1-n"],
    (0x0014, 0x4040) => [:PreAmplifierSettingsSequence, "SQ", "1"],
    (0x0014, 0x4050) => [:TransmitTransducerSettingsSequence, "SQ", "1"],
    (0x0014, 0x4051) => [:ReceiveTransducerSettingsSequence, "SQ", "1"],
    (0x0014, 0x4052) => [:IncidentAngle, "DS", "1"],
    (0x0014, 0x4054) => [:CouplingTechnique, "ST", "1"],
    (0x0014, 0x4056) => [:CouplingMedium, "ST", "1"],
    (0x0014, 0x4057) => [:CouplingVelocity, "DS", "1"],
    (0x0014, 0x4058) => [:ProbeCenterLocationX, "DS", "1"],
    (0x0014, 0x4059) => [:ProbeCenterLocationZ, "DS", "1"],
    (0x0014, 0x405a) => [:SoundPathLength, "DS", "1"],
    (0x0014, 0x405c) => [:DelayLawIdentifier, "ST", "1"],
    (0x0014, 0x4060) => [:GateSettingsSequence, "SQ", "1"],
    (0x0014, 0x4062) => [:GateThreshold, "DS", "1"],
    (0x0014, 0x4064) => [:VelocityOfSound, "DS", "1"],
    (0x0014, 0x4070) => [:CalibrationSettingsSequence, "SQ", "1"],
    (0x0014, 0x4072) => [:CalibrationProcedure, "ST", "1"],
    (0x0014, 0x4074) => [:ProcedureVersion, "SH", "1"],
    (0x0014, 0x4076) => [:ProcedureCreationDate, "DA", "1"],
    (0x0014, 0x4078) => [:ProcedureExpirationDate, "DA", "1"],
    (0x0014, 0x407a) => [:ProcedureLastModifiedDate, "DA", "1"],
    (0x0014, 0x407c) => [:CalibrationTime, "TM", "1-n"],
    (0x0014, 0x407e) => [:CalibrationDate, "DA", "1-n"],
    (0x0014, 0x4080) => [:ProbeDriveEquipmentSequence, "SQ", "1"],
    (0x0014, 0x4081) => [:DriveType, "CS", "1"],
    (0x0014, 0x4082) => [:ProbeDriveNotes, "LT", "1"],
    (0x0014, 0x4083) => [:DriveProbeSequence, "SQ", "1"],
    (0x0014, 0x4084) => [:ProbeInductance, "DS", "1"],
    (0x0014, 0x4085) => [:ProbeResistance, "DS", "1"],
    (0x0014, 0x4086) => [:ReceiveProbeSequence, "SQ", "1"],
    (0x0014, 0x4087) => [:ProbeDriveSettingsSequence, "SQ", "1"],
    (0x0014, 0x4088) => [:BridgeResistors, "DS", "1"],
    (0x0014, 0x4089) => [:ProbeOrientationAngle, "DS", "1"],
    (0x0014, 0x408b) => [:UserSelectedGainY, "DS", "1"],
    (0x0014, 0x408c) => [:UserSelectedPhase, "DS", "1"],
    (0x0014, 0x408d) => [:UserSelectedOffsetX, "DS", "1"],
    (0x0014, 0x408e) => [:UserSelectedOffsetY, "DS", "1"],
    (0x0014, 0x4091) => [:ChannelSettingsSequence, "SQ", "1"],
    (0x0014, 0x4092) => [:ChannelThreshold, "DS", "1"],
    (0x0014, 0x409a) => [:ScannerSettingsSequence, "SQ", "1"],
    (0x0014, 0x409b) => [:ScanProcedure, "ST", "1"],
    (0x0014, 0x409c) => [:TranslationRateX, "DS", "1"],
    (0x0014, 0x409d) => [:TranslationRateY, "DS", "1"],
    (0x0014, 0x409f) => [:ChannelOverlap, "DS", "1"],
    (0x0014, 0x40a0) => [:ImageQualityIndicatorType, "LO", "1"],
    (0x0014, 0x40a1) => [:ImageQualityIndicatorMaterial, "LO", "1"],
    (0x0014, 0x40a2) => [:ImageQualityIndicatorSize, "LO", "1"],
    (0x0014, 0x5002) => [:LINACEnergy, "IS", "1"],
    (0x0014, 0x5004) => [:LINACOutput, "IS", "1"],
    (0x0014, 0x5100) => [:ActiveAperture, "US", "1"],
    (0x0014, 0x5101) => [:TotalAperture, "DS", "1"],
    (0x0014, 0x5102) => [:ApertureElevation, "DS", "1"],
    (0x0014, 0x5103) => [:MainLobeAngle, "DS", "1"],
    (0x0014, 0x5104) => [:MainRoofAngle, "DS", "1"],
    (0x0014, 0x5105) => [:ConnectorType, "CS", "1"],
    (0x0014, 0x5106) => [:WedgeModelNumber, "SH", "1"],
    (0x0014, 0x5107) => [:WedgeAngleFloat, "DS", "1"],
    (0x0014, 0x5108) => [:WedgeRoofAngle, "DS", "1"],
    (0x0014, 0x5109) => [:WedgeElement1Position, "CS", "1"],
    (0x0014, 0x510a) => [:WedgeMaterialVelocity, "DS", "1"],
    (0x0014, 0x510b) => [:WedgeMaterial, "SH", "1"],
    (0x0014, 0x510c) => [:WedgeOffsetZ, "DS", "1"],
    (0x0014, 0x510d) => [:WedgeOriginOffsetX, "DS", "1"],
    (0x0014, 0x510e) => [:WedgeTimeDelay, "DS", "1"],
    (0x0014, 0x510f) => [:WedgeName, "SH", "1"],
    (0x0014, 0x5110) => [:WedgeManufacturerName, "SH", "1"],
    (0x0014, 0x5111) => [:WedgeDescription, "LO", "1"],
    (0x0014, 0x5112) => [:NominalBeamAngle, "DS", "1"],
    (0x0014, 0x5113) => [:WedgeOffsetX, "DS", "1"],
    (0x0014, 0x5114) => [:WedgeOffsetY, "DS", "1"],
    (0x0014, 0x5115) => [:WedgeTotalLength, "DS", "1"],
    (0x0014, 0x5116) => [:WedgeInContactLength, "DS", "1"],
    (0x0014, 0x5117) => [:WedgeFrontGap, "DS", "1"],
    (0x0014, 0x5118) => [:WedgeTotalHeight, "DS", "1"],
    (0x0014, 0x5119) => [:WedgeFrontHeight, "DS", "1"],
    (0x0014, 0x511a) => [:WedgeRearHeight, "DS", "1"],
    (0x0014, 0x511b) => [:WedgeTotalWidth, "DS", "1"],
    (0x0014, 0x511c) => [:WedgeInContactWidth, "DS", "1"],
    (0x0014, 0x511d) => [:WedgeChamferHeight, "DS", "1"],
    (0x0014, 0x511e) => [:WedgeCurve, "CS", "1"],
    (0x0014, 0x511f) => [:RadiusAlongWedge, "DS", "1"],
    (0x0016, 0x0001) => [:WhitePoint, "DS", "1"],
    (0x0016, 0x0002) => [:PrimaryChromaticities, "DS", "3"],
    (0x0016, 0x0003) => [:BatteryLevel, "UT", "1"],
    (0x0016, 0x0004) => [:ExposureTimeInSeconds, "DS", "1"],
    (0x0016, 0x0005) => [:FNumber, "DS", "1"],
    (0x0016, 0x0006) => [:OECFRows, "IS", "1"],
    (0x0016, 0x0007) => [:OECFColumns, "IS", "1"],
    (0x0016, 0x0008) => [:OECFColumnNames, "UC", "1-n"],
    (0x0016, 0x0009) => [:OECFValues, "DS", "1-n"],
    (0x0016, 0x000a) => [:SpatialFrequencyResponseRows, "IS", "1"],
    (0x0016, 0x000b) => [:SpatialFrequencyResponseColumns, "IS", "1"],
    (0x0016, 0x000c) => [:SpatialFrequencyResponseColumnNames, "UC", "1-n"],
    (0x0016, 0x000d) => [:SpatialFrequencyResponseValues, "DS", "1-n"],
    (0x0016, 0x000e) => [:ColorFilterArrayPatternRows, "IS", "1"],
    (0x0016, 0x000f) => [:ColorFilterArrayPatternColumns, "IS", "1"],
    (0x0016, 0x0010) => [:ColorFilterArrayPatternValues, "DS", "1-n"],
    (0x0016, 0x0011) => [:FlashFiringStatus, "US", "1"],
    (0x0016, 0x0012) => [:FlashReturnStatus, "US", "1"],
    (0x0016, 0x0013) => [:FlashMode, "US", "1"],
    (0x0016, 0x0014) => [:FlashFunctionPresent, "US", "1"],
    (0x0016, 0x0015) => [:FlashRedEyeMode, "US", "1"],
    (0x0016, 0x0016) => [:ExposureProgram, "US", "1"],
    (0x0016, 0x0017) => [:SpectralSensitivity, "UT", "1"],
    (0x0016, 0x0018) => [:PhotographicSensitivity, "IS", "1"],
    (0x0016, 0x0019) => [:SelfTimerMode, "IS", "1"],
    (0x0016, 0x001a) => [:SensitivityType, "US", "1"],
    (0x0016, 0x001b) => [:StandardOutputSensitivity, "IS", "1"],
    (0x0016, 0x001c) => [:RecommendedExposureIndex, "IS", "1"],
    (0x0016, 0x001d) => [:ISOSpeed, "IS", "1"],
    (0x0016, 0x001e) => [:ISOSpeedLatitudeyyy, "IS", "1"],
    (0x0016, 0x001f) => [:ISOSpeedLatitudezzz, "IS", "1"],
    (0x0016, 0x0020) => [:EXIFVersion, "UT", "1"],
    (0x0016, 0x0021) => [:ShutterSpeedValue, "DS", "1"],
    (0x0016, 0x0022) => [:ApertureValue, "DS", "1"],
    (0x0016, 0x0023) => [:BrightnessValue, "DS", "1"],
    (0x0016, 0x0024) => [:ExposureBiasValue, "DS", "1"],
    (0x0016, 0x0025) => [:MaxApertureValue, "DS", "1"],
    (0x0016, 0x0026) => [:SubjectDistance, "DS", "1"],
    (0x0016, 0x0027) => [:MeteringMode, "US", "1"],
    (0x0016, 0x0028) => [:LightSource, "US", "1"],
    (0x0016, 0x0029) => [:FocalLength, "DS", "1"],
    (0x0016, 0x002a) => [:SubjectArea, "IS", "2-4"],
    (0x0016, 0x002b) => [:MakerNote, "OB", "1"],
    (0x0016, 0x0030) => [:Temperature, "DS", "1"],
    (0x0016, 0x0031) => [:Humidity, "DS", "1"],
    (0x0016, 0x0032) => [:Pressure, "DS", "1"],
    (0x0016, 0x0033) => [:WaterDepth, "DS", "1"],
    (0x0016, 0x0034) => [:Acceleration, "DS", "1"],
    (0x0016, 0x0035) => [:CameraElevationAngle, "DS", "1"],
    (0x0016, 0x0036) => [:FlashEnergy, "DS", "1-2"],
    (0x0016, 0x0037) => [:SubjectLocation, "IS", "2"],
    (0x0016, 0x0038) => [:PhotographicExposureIndex, "DS", "1"],
    (0x0016, 0x0039) => [:SensingMethod, "US", "1"],
    (0x0016, 0x003a) => [:FileSource, "US", "1"],
    (0x0016, 0x003b) => [:SceneType, "US", "1"],
    (0x0016, 0x0041) => [:CustomRendered, "US", "1"],
    (0x0016, 0x0042) => [:ExposureMode, "US", "1"],
    (0x0016, 0x0043) => [:WhiteBalance, "US", "1"],
    (0x0016, 0x0044) => [:DigitalZoomRatio, "DS", "1"],
    (0x0016, 0x0045) => [:FocalLengthIn35mmFilm, "IS", "1"],
    (0x0016, 0x0046) => [:SceneCaptureType, "US", "1"],
    (0x0016, 0x0047) => [:GainControl, "US", "1"],
    (0x0016, 0x0048) => [:Contrast, "US", "1"],
    (0x0016, 0x0049) => [:Saturation, "US", "1"],
    (0x0016, 0x004a) => [:Sharpness, "US", "1"],
    (0x0016, 0x004b) => [:DeviceSettingDescription, "OB", "1"],
    (0x0016, 0x004c) => [:SubjectDistanceRange, "US", "1"],
    (0x0016, 0x004d) => [:CameraOwnerName, "UT", "1"],
    (0x0016, 0x004e) => [:LensSpecification, "DS", "4"],
    (0x0016, 0x004f) => [:LensMake, "UT", "1"],
    (0x0016, 0x0050) => [:LensModel, "UT", "1"],
    (0x0016, 0x0051) => [:LensSerialNumber, "UT", "1"],
    (0x0016, 0x0061) => [:InteroperabilityIndex, "CS", "1"],
    (0x0016, 0x0062) => [:InteroperabilityVersion, "OB", "1"],
    (0x0016, 0x0070) => [:GPSVersionID, "OB", "1"],
    (0x0016, 0x0071) => [:GPSLatitudeRef, "CS", "1"],
    (0x0016, 0x0072) => [:GPSLatitude, "DS", "3"],
    (0x0016, 0x0073) => [:GPSLongitudeRef, "CS", "1"],
    (0x0016, 0x0074) => [:GPSLongitude, "DS", "3"],
    (0x0016, 0x0075) => [:GPSAltitudeRef, "US", "1"],
    (0x0016, 0x0076) => [:GPSAltitude, "DS", "1"],
    (0x0016, 0x0077) => [:GPSTimeStamp, "DT", "1"],
    (0x0016, 0x0078) => [:GPSSatellites, "UT", "1"],
    (0x0016, 0x0079) => [:GPSStatus, "CS", "1"],
    (0x0016, 0x007a) => [:GPSMeasureMode, "CS", "1"],
    (0x0016, 0x007b) => [:GPSDOP, "DS", "1"],
    (0x0016, 0x007c) => [:GPSSpeedRef, "CS", "1"],
    (0x0016, 0x007d) => [:GPSSpeed, "DS", "1"],
    (0x0016, 0x007e) => [:GPSTrackRef, "CS", "1"],
    (0x0016, 0x007f) => [:GPSTrack, "DS", "1"],
    (0x0016, 0x0080) => [:GPSImgDirectionRef, "CS", "1"],
    (0x0016, 0x0081) => [:GPSImgDirection, "DS", "1"],
    (0x0016, 0x0082) => [:GPSMapDatum, "UT", "1"],
    (0x0016, 0x0083) => [:GPSDestLatitudeRef, "CS", "1"],
    (0x0016, 0x0084) => [:GPSDestLatitude, "DS", "3"],
    (0x0016, 0x0085) => [:GPSDestLongitudeRef, "CS", "1"],
    (0x0016, 0x0086) => [:GPSDestLongitude, "DS", "3"],
    (0x0016, 0x0087) => [:GPSDestBearingRef, "CS", "1"],
    (0x0016, 0x0088) => [:GPSDestBearing, "DS", "1"],
    (0x0016, 0x0089) => [:GPSDestDistanceRef, "CS", "1"],
    (0x0016, 0x008a) => [:GPSDestDistance, "DS", "1"],
    (0x0016, 0x008b) => [:GPSProcessingMethod, "OB", "1"],
    (0x0016, 0x008c) => [:GPSAreaInformation, "OB", "1"],
    (0x0016, 0x008d) => [:GPSDateStamp, "DT", "1"],
    (0x0016, 0x008e) => [:GPSDifferential, "IS", "1"],
    (0x0018, 0x0010) => [:ContrastBolusAgent, "LO", "1"],
    (0x0018, 0x0012) => [:ContrastBolusAgentSequence, "SQ", "1"],
    (0x0018, 0x0013) => [:ContrastBolusT1Relaxivity, "FL", "1"],
    (0x0018, 0x0014) => [:ContrastBolusAdministrationRouteSequence, "SQ", "1"],
    (0x0018, 0x0015) => [:BodyPartExamined, "CS", "1"],
    (0x0018, 0x0020) => [:ScanningSequence, "CS", "1-n"],
    (0x0018, 0x0021) => [:SequenceVariant, "CS", "1-n"],
    (0x0018, 0x0022) => [:ScanOptions, "CS", "1-n"],
    (0x0018, 0x0023) => [:MRAcquisitionType, "CS", "1"],
    (0x0018, 0x0024) => [:SequenceName, "SH", "1"],
    (0x0018, 0x0025) => [:AngioFlag, "CS", "1"],
    (0x0018, 0x0026) => [:InterventionDrugInformationSequence, "SQ", "1"],
    (0x0018, 0x0027) => [:InterventionDrugStopTime, "TM", "1"],
    (0x0018, 0x0028) => [:InterventionDrugDose, "DS", "1"],
    (0x0018, 0x0029) => [:InterventionDrugCodeSequence, "SQ", "1"],
    (0x0018, 0x002a) => [:AdditionalDrugSequence, "SQ", "1"],
    (0x0018, 0x0030) => [:Radionuclide, "LO", "1-n"],
    (0x0018, 0x0031) => [:Radiopharmaceutical, "LO", "1"],
    (0x0018, 0x0032) => [:EnergyWindowCenterline, "DS", "1"],
    (0x0018, 0x0033) => [:EnergyWindowTotalWidth, "DS", "1-n"],
    (0x0018, 0x0034) => [:InterventionDrugName, "LO", "1"],
    (0x0018, 0x0035) => [:InterventionDrugStartTime, "TM", "1"],
    (0x0018, 0x0036) => [:InterventionSequence, "SQ", "1"],
    (0x0018, 0x0037) => [:TherapyType, "CS", "1"],
    (0x0018, 0x0038) => [:InterventionStatus, "CS", "1"],
    (0x0018, 0x0039) => [:TherapyDescription, "CS", "1"],
    (0x0018, 0x003a) => [:InterventionDescription, "ST", "1"],
    (0x0018, 0x0040) => [:CineRate, "IS", "1"],
    (0x0018, 0x0042) => [:InitialCineRunState, "CS", "1"],
    (0x0018, 0x0050) => [:SliceThickness, "DS", "1"],
    (0x0018, 0x0060) => [:KVP, "DS", "1"],
    (0x0018, 0x0070) => [:CountsAccumulated, "IS", "1"],
    (0x0018, 0x0071) => [:AcquisitionTerminationCondition, "CS", "1"],
    (0x0018, 0x0072) => [:EffectiveDuration, "DS", "1"],
    (0x0018, 0x0073) => [:AcquisitionStartCondition, "CS", "1"],
    (0x0018, 0x0074) => [:AcquisitionStartConditionData, "IS", "1"],
    (0x0018, 0x0075) => [:AcquisitionTerminationConditionData, "IS", "1"],
    (0x0018, 0x0080) => [:RepetitionTime, "DS", "1"],
    (0x0018, 0x0081) => [:EchoTime, "DS", "1"],
    (0x0018, 0x0082) => [:InversionTime, "DS", "1"],
    (0x0018, 0x0083) => [:NumberOfAverages, "DS", "1"],
    (0x0018, 0x0084) => [:ImagingFrequency, "DS", "1"],
    (0x0018, 0x0085) => [:ImagedNucleus, "SH", "1"],
    (0x0018, 0x0086) => [:EchoNumbers, "IS", "1-n"],
    (0x0018, 0x0087) => [:MagneticFieldStrength, "DS", "1"],
    (0x0018, 0x0088) => [:SpacingBetweenSlices, "DS", "1"],
    (0x0018, 0x0089) => [:NumberOfPhaseEncodingSteps, "IS", "1"],
    (0x0018, 0x0090) => [:DataCollectionDiameter, "DS", "1"],
    (0x0018, 0x0091) => [:EchoTrainLength, "IS", "1"],
    (0x0018, 0x0093) => [:PercentSampling, "DS", "1"],
    (0x0018, 0x0094) => [:PercentPhaseFieldOfView, "DS", "1"],
    (0x0018, 0x0095) => [:PixelBandwidth, "DS", "1"],
    (0x0018, 0x1000) => [:DeviceSerialNumber, "LO", "1"],
    (0x0018, 0x1002) => [:DeviceUID, "UI", "1"],
    (0x0018, 0x1003) => [:DeviceID, "LO", "1"],
    (0x0018, 0x1004) => [:PlateID, "LO", "1"],
    (0x0018, 0x1005) => [:GeneratorID, "LO", "1"],
    (0x0018, 0x1006) => [:GridID, "LO", "1"],
    (0x0018, 0x1007) => [:CassetteID, "LO", "1"],
    (0x0018, 0x1008) => [:GantryID, "LO", "1"],
    (0x0018, 0x1009) => [:UniqueDeviceIdentifier, "UT", "1"],
    (0x0018, 0x100a) => [:UDISequence, "SQ", "1"],
    (0x0018, 0x100b) => [:ManufacturerDeviceClassUID, "UI", "1-n"],
    (0x0018, 0x1010) => [:SecondaryCaptureDeviceID, "LO", "1"],
    (0x0018, 0x1011) => [:HardcopyCreationDeviceID, "LO", "1"],
    (0x0018, 0x1012) => [:DateOfSecondaryCapture, "DA", "1"],
    (0x0018, 0x1014) => [:TimeOfSecondaryCapture, "TM", "1"],
    (0x0018, 0x1016) => [:SecondaryCaptureDeviceManufacturer, "LO", "1"],
    (0x0018, 0x1017) => [:HardcopyDeviceManufacturer, "LO", "1"],
    (0x0018, 0x1018) => [:SecondaryCaptureDeviceManufacturerModelName, "LO", "1"],
    (0x0018, 0x1019) => [:SecondaryCaptureDeviceSoftwareVersions, "LO", "1-n"],
    (0x0018, 0x101a) => [:HardcopyDeviceSoftwareVersion, "LO", "1-n"],
    (0x0018, 0x101b) => [:HardcopyDeviceManufacturerModelName, "LO", "1"],
    (0x0018, 0x1020) => [:SoftwareVersions, "LO", "1-n"],
    (0x0018, 0x1022) => [:VideoImageFormatAcquired, "SH", "1"],
    (0x0018, 0x1023) => [:DigitalImageFormatAcquired, "LO", "1"],
    (0x0018, 0x1030) => [:ProtocolName, "LO", "1"],
    (0x0018, 0x1040) => [:ContrastBolusRoute, "LO", "1"],
    (0x0018, 0x1041) => [:ContrastBolusVolume, "DS", "1"],
    (0x0018, 0x1042) => [:ContrastBolusStartTime, "TM", "1"],
    (0x0018, 0x1043) => [:ContrastBolusStopTime, "TM", "1"],
    (0x0018, 0x1044) => [:ContrastBolusTotalDose, "DS", "1"],
    (0x0018, 0x1045) => [:SyringeCounts, "IS", "1"],
    (0x0018, 0x1046) => [:ContrastFlowRate, "DS", "1-n"],
    (0x0018, 0x1047) => [:ContrastFlowDuration, "DS", "1-n"],
    (0x0018, 0x1048) => [:ContrastBolusIngredient, "CS", "1"],
    (0x0018, 0x1049) => [:ContrastBolusIngredientConcentration, "DS", "1"],
    (0x0018, 0x1050) => [:SpatialResolution, "DS", "1"],
    (0x0018, 0x1060) => [:TriggerTime, "DS", "1"],
    (0x0018, 0x1061) => [:TriggerSourceOrType, "LO", "1"],
    (0x0018, 0x1062) => [:NominalInterval, "IS", "1"],
    (0x0018, 0x1063) => [:FrameTime, "DS", "1"],
    (0x0018, 0x1064) => [:CardiacFramingType, "LO", "1"],
    (0x0018, 0x1065) => [:FrameTimeVector, "DS", "1-n"],
    (0x0018, 0x1066) => [:FrameDelay, "DS", "1"],
    (0x0018, 0x1067) => [:ImageTriggerDelay, "DS", "1"],
    (0x0018, 0x1068) => [:MultiplexGroupTimeOffset, "DS", "1"],
    (0x0018, 0x1069) => [:TriggerTimeOffset, "DS", "1"],
    (0x0018, 0x106a) => [:SynchronizationTrigger, "CS", "1"],
    (0x0018, 0x106c) => [:SynchronizationChannel, "US", "2"],
    (0x0018, 0x106e) => [:TriggerSamplePosition, "UL", "1"],
    (0x0018, 0x1070) => [:RadiopharmaceuticalRoute, "LO", "1"],
    (0x0018, 0x1071) => [:RadiopharmaceuticalVolume, "DS", "1"],
    (0x0018, 0x1072) => [:RadiopharmaceuticalStartTime, "TM", "1"],
    (0x0018, 0x1073) => [:RadiopharmaceuticalStopTime, "TM", "1"],
    (0x0018, 0x1074) => [:RadionuclideTotalDose, "DS", "1"],
    (0x0018, 0x1075) => [:RadionuclideHalfLife, "DS", "1"],
    (0x0018, 0x1076) => [:RadionuclidePositronFraction, "DS", "1"],
    (0x0018, 0x1077) => [:RadiopharmaceuticalSpecificActivity, "DS", "1"],
    (0x0018, 0x1078) => [:RadiopharmaceuticalStartDateTime, "DT", "1"],
    (0x0018, 0x1079) => [:RadiopharmaceuticalStopDateTime, "DT", "1"],
    (0x0018, 0x1080) => [:BeatRejectionFlag, "CS", "1"],
    (0x0018, 0x1081) => [:LowRRValue, "IS", "1"],
    (0x0018, 0x1082) => [:HighRRValue, "IS", "1"],
    (0x0018, 0x1083) => [:IntervalsAcquired, "IS", "1"],
    (0x0018, 0x1084) => [:IntervalsRejected, "IS", "1"],
    (0x0018, 0x1085) => [:PVCRejection, "LO", "1"],
    (0x0018, 0x1086) => [:SkipBeats, "IS", "1"],
    (0x0018, 0x1088) => [:HeartRate, "IS", "1"],
    (0x0018, 0x1090) => [:CardiacNumberOfImages, "IS", "1"],
    (0x0018, 0x1094) => [:TriggerWindow, "IS", "1"],
    (0x0018, 0x1100) => [:ReconstructionDiameter, "DS", "1"],
    (0x0018, 0x1110) => [:DistanceSourceToDetector, "DS", "1"],
    (0x0018, 0x1111) => [:DistanceSourceToPatient, "DS", "1"],
    (0x0018, 0x1114) => [:EstimatedRadiographicMagnificationFactor, "DS", "1"],
    (0x0018, 0x1120) => [:GantryDetectorTilt, "DS", "1"],
    (0x0018, 0x1121) => [:GantryDetectorSlew, "DS", "1"],
    (0x0018, 0x1130) => [:TableHeight, "DS", "1"],
    (0x0018, 0x1131) => [:TableTraverse, "DS", "1"],
    (0x0018, 0x1134) => [:TableMotion, "CS", "1"],
    (0x0018, 0x1135) => [:TableVerticalIncrement, "DS", "1-n"],
    (0x0018, 0x1136) => [:TableLateralIncrement, "DS", "1-n"],
    (0x0018, 0x1137) => [:TableLongitudinalIncrement, "DS", "1-n"],
    (0x0018, 0x1138) => [:TableAngle, "DS", "1"],
    (0x0018, 0x113a) => [:TableType, "CS", "1"],
    (0x0018, 0x1140) => [:RotationDirection, "CS", "1"],
    (0x0018, 0x1141) => [:AngularPosition, "DS", "1"],
    (0x0018, 0x1142) => [:RadialPosition, "DS", "1-n"],
    (0x0018, 0x1143) => [:ScanArc, "DS", "1"],
    (0x0018, 0x1144) => [:AngularStep, "DS", "1"],
    (0x0018, 0x1145) => [:CenterOfRotationOffset, "DS", "1"],
    (0x0018, 0x1146) => [:RotationOffset, "DS", "1-n"],
    (0x0018, 0x1147) => [:FieldOfViewShape, "CS", "1"],
    (0x0018, 0x1149) => [:FieldOfViewDimensions, "IS", "1-2"],
    (0x0018, 0x1150) => [:ExposureTime, "IS", "1"],
    (0x0018, 0x1151) => [:XRayTubeCurrent, "IS", "1"],
    (0x0018, 0x1152) => [:Exposure, "IS", "1"],
    (0x0018, 0x1153) => [:ExposureInuAs, "IS", "1"],
    (0x0018, 0x1154) => [:AveragePulseWidth, "DS", "1"],
    (0x0018, 0x1155) => [:RadiationSetting, "CS", "1"],
    (0x0018, 0x1156) => [:RectificationType, "CS", "1"],
    (0x0018, 0x115a) => [:RadiationMode, "CS", "1"],
    (0x0018, 0x115e) => [:ImageAndFluoroscopyAreaDoseProduct, "DS", "1"],
    (0x0018, 0x1160) => [:FilterType, "SH", "1"],
    (0x0018, 0x1161) => [:TypeOfFilters, "LO", "1-n"],
    (0x0018, 0x1162) => [:IntensifierSize, "DS", "1"],
    (0x0018, 0x1164) => [:ImagerPixelSpacing, "DS", "2"],
    (0x0018, 0x1166) => [:Grid, "CS", "1-n"],
    (0x0018, 0x1170) => [:GeneratorPower, "IS", "1"],
    (0x0018, 0x1180) => [:CollimatorGridName, "SH", "1"],
    (0x0018, 0x1181) => [:CollimatorType, "CS", "1"],
    (0x0018, 0x1182) => [:FocalDistance, "IS", "1-2"],
    (0x0018, 0x1183) => [:XFocusCenter, "DS", "1-2"],
    (0x0018, 0x1184) => [:YFocusCenter, "DS", "1-2"],
    (0x0018, 0x1190) => [:FocalSpots, "DS", "1-n"],
    (0x0018, 0x1191) => [:AnodeTargetMaterial, "CS", "1"],
    (0x0018, 0x11a0) => [:BodyPartThickness, "DS", "1"],
    (0x0018, 0x11a2) => [:CompressionForce, "DS", "1"],
    (0x0018, 0x11a3) => [:CompressionPressure, "DS", "1"],
    (0x0018, 0x11a4) => [:PaddleDescription, "LO", "1"],
    (0x0018, 0x11a5) => [:CompressionContactArea, "DS", "1"],
    (0x0018, 0x1200) => [:DateOfLastCalibration, "DA", "1-n"],
    (0x0018, 0x1201) => [:TimeOfLastCalibration, "TM", "1-n"],
    (0x0018, 0x1202) => [:DateTimeOfLastCalibration, "DT", "1"],
    (0x0018, 0x1210) => [:ConvolutionKernel, "SH", "1-n"],
    (0x0018, 0x1240) => [:UpperLowerPixelValues, "IS", "1-n"],
    (0x0018, 0x1242) => [:ActualFrameDuration, "IS", "1"],
    (0x0018, 0x1243) => [:CountRate, "IS", "1"],
    (0x0018, 0x1244) => [:PreferredPlaybackSequencing, "US", "1"],
    (0x0018, 0x1250) => [:ReceiveCoilName, "SH", "1"],
    (0x0018, 0x1251) => [:TransmitCoilName, "SH", "1"],
    (0x0018, 0x1260) => [:PlateType, "SH", "1"],
    (0x0018, 0x1261) => [:PhosphorType, "LO", "1"],
    (0x0018, 0x1271) => [:WaterEquivalentDiameter, "FD", "1"],
    (0x0018, 0x1272) =>
        [:WaterEquivalentDiameterCalculationMethodCodeSequence, "SQ", "1"],
    (0x0018, 0x1300) => [:ScanVelocity, "DS", "1"],
    (0x0018, 0x1301) => [:WholeBodyTechnique, "CS", "1-n"],
    (0x0018, 0x1302) => [:ScanLength, "IS", "1"],
    (0x0018, 0x1310) => [:AcquisitionMatrix, "US", "4"],
    (0x0018, 0x1312) => [:InPlanePhaseEncodingDirection, "CS", "1"],
    (0x0018, 0x1314) => [:FlipAngle, "DS", "1"],
    (0x0018, 0x1315) => [:VariableFlipAngleFlag, "CS", "1"],
    (0x0018, 0x1316) => [:SAR, "DS", "1"],
    (0x0018, 0x1318) => [:dBdt, "DS", "1"],
    (0x0018, 0x1320) => [:B1rms, "FL", "1"],
    (0x0018, 0x1400) => [:AcquisitionDeviceProcessingDescription, "LO", "1"],
    (0x0018, 0x1401) => [:AcquisitionDeviceProcessingCode, "LO", "1"],
    (0x0018, 0x1402) => [:CassetteOrientation, "CS", "1"],
    (0x0018, 0x1403) => [:CassetteSize, "CS", "1"],
    (0x0018, 0x1404) => [:ExposuresOnPlate, "US", "1"],
    (0x0018, 0x1405) => [:RelativeXRayExposure, "IS", "1"],
    (0x0018, 0x1411) => [:ExposureIndex, "DS", "1"],
    (0x0018, 0x1412) => [:TargetExposureIndex, "DS", "1"],
    (0x0018, 0x1413) => [:DeviationIndex, "DS", "1"],
    (0x0018, 0x1450) => [:ColumnAngulation, "DS", "1"],
    (0x0018, 0x1460) => [:TomoLayerHeight, "DS", "1"],
    (0x0018, 0x1470) => [:TomoAngle, "DS", "1"],
    (0x0018, 0x1480) => [:TomoTime, "DS", "1"],
    (0x0018, 0x1490) => [:TomoType, "CS", "1"],
    (0x0018, 0x1491) => [:TomoClass, "CS", "1"],
    (0x0018, 0x1495) => [:NumberOfTomosynthesisSourceImages, "IS", "1"],
    (0x0018, 0x1500) => [:PositionerMotion, "CS", "1"],
    (0x0018, 0x1508) => [:PositionerType, "CS", "1"],
    (0x0018, 0x1510) => [:PositionerPrimaryAngle, "DS", "1"],
    (0x0018, 0x1511) => [:PositionerSecondaryAngle, "DS", "1"],
    (0x0018, 0x1520) => [:PositionerPrimaryAngleIncrement, "DS", "1-n"],
    (0x0018, 0x1521) => [:PositionerSecondaryAngleIncrement, "DS", "1-n"],
    (0x0018, 0x1530) => [:DetectorPrimaryAngle, "DS", "1"],
    (0x0018, 0x1531) => [:DetectorSecondaryAngle, "DS", "1"],
    (0x0018, 0x1600) => [:ShutterShape, "CS", "1-3"],
    (0x0018, 0x1602) => [:ShutterLeftVerticalEdge, "IS", "1"],
    (0x0018, 0x1604) => [:ShutterRightVerticalEdge, "IS", "1"],
    (0x0018, 0x1606) => [:ShutterUpperHorizontalEdge, "IS", "1"],
    (0x0018, 0x1608) => [:ShutterLowerHorizontalEdge, "IS", "1"],
    (0x0018, 0x1610) => [:CenterOfCircularShutter, "IS", "2"],
    (0x0018, 0x1612) => [:RadiusOfCircularShutter, "IS", "1"],
    (0x0018, 0x1620) => [:VerticesOfThePolygonalShutter, "IS", "2-2n"],
    (0x0018, 0x1622) => [:ShutterPresentationValue, "US", "1"],
    (0x0018, 0x1623) => [:ShutterOverlayGroup, "US", "1"],
    (0x0018, 0x1624) => [:ShutterPresentationColorCIELabValue, "US", "3"],
    (0x0018, 0x1630) => [:OutlineShapeType, "CS", "1"],
    (0x0018, 0x1631) => [:OutlineLeftVerticalEdge, "FD", "1"],
    (0x0018, 0x1632) => [:OutlineRightVerticalEdge, "FD", "1"],
    (0x0018, 0x1633) => [:OutlineUpperHorizontalEdge, "FD", "1"],
    (0x0018, 0x1634) => [:OutlineLowerHorizontalEdge, "FD", "1"],
    (0x0018, 0x1635) => [:CenterOfCircularOutline, "FD", "2"],
    (0x0018, 0x1636) => [:DiameterOfCircularOutline, "FD", "1"],
    (0x0018, 0x1637) => [:NumberOfPolygonalVertices, "UL", "1"],
    (0x0018, 0x1638) => [:VerticesOfThePolygonalOutline, "OF", "1"],
    (0x0018, 0x1700) => [:CollimatorShape, "CS", "1-3"],
    (0x0018, 0x1702) => [:CollimatorLeftVerticalEdge, "IS", "1"],
    (0x0018, 0x1704) => [:CollimatorRightVerticalEdge, "IS", "1"],
    (0x0018, 0x1706) => [:CollimatorUpperHorizontalEdge, "IS", "1"],
    (0x0018, 0x1708) => [:CollimatorLowerHorizontalEdge, "IS", "1"],
    (0x0018, 0x1710) => [:CenterOfCircularCollimator, "IS", "2"],
    (0x0018, 0x1712) => [:RadiusOfCircularCollimator, "IS", "1"],
    (0x0018, 0x1720) => [:VerticesOfThePolygonalCollimator, "IS", "2-2n"],
    (0x0018, 0x1800) => [:AcquisitionTimeSynchronized, "CS", "1"],
    (0x0018, 0x1801) => [:TimeSource, "SH", "1"],
    (0x0018, 0x1802) => [:TimeDistributionProtocol, "CS", "1"],
    (0x0018, 0x1803) => [:NTPSourceAddress, "LO", "1"],
    (0x0018, 0x2001) => [:PageNumberVector, "IS", "1-n"],
    (0x0018, 0x2002) => [:FrameLabelVector, "SH", "1-n"],
    (0x0018, 0x2003) => [:FramePrimaryAngleVector, "DS", "1-n"],
    (0x0018, 0x2004) => [:FrameSecondaryAngleVector, "DS", "1-n"],
    (0x0018, 0x2005) => [:SliceLocationVector, "DS", "1-n"],
    (0x0018, 0x2006) => [:DisplayWindowLabelVector, "SH", "1-n"],
    (0x0018, 0x2010) => [:NominalScannedPixelSpacing, "DS", "2"],
    (0x0018, 0x2020) => [:DigitizingDeviceTransportDirection, "CS", "1"],
    (0x0018, 0x2030) => [:RotationOfScannedFilm, "DS", "1"],
    (0x0018, 0x2041) => [:BiopsyTargetSequence, "SQ", "1"],
    (0x0018, 0x2042) => [:TargetUID, "UI", "1"],
    (0x0018, 0x2043) => [:LocalizingCursorPosition, "FL", "2"],
    (0x0018, 0x2044) => [:CalculatedTargetPosition, "FL", "3"],
    (0x0018, 0x2045) => [:TargetLabel, "SH", "1"],
    (0x0018, 0x2046) => [:DisplayedZValue, "FL", "1"],
    (0x0018, 0x3100) => [:IVUSAcquisition, "CS", "1"],
    (0x0018, 0x3101) => [:IVUSPullbackRate, "DS", "1"],
    (0x0018, 0x3102) => [:IVUSGatedRate, "DS", "1"],
    (0x0018, 0x3103) => [:IVUSPullbackStartFrameNumber, "IS", "1"],
    (0x0018, 0x3104) => [:IVUSPullbackStopFrameNumber, "IS", "1"],
    (0x0018, 0x3105) => [:LesionNumber, "IS", "1-n"],
    (0x0018, 0x4000) => [:AcquisitionComments, "LT", "1"],
    (0x0018, 0x5000) => [:OutputPower, "SH", "1-n"],
    (0x0018, 0x5010) => [:TransducerData, "LO", "1-n"],
    (0x0018, 0x5012) => [:FocusDepth, "DS", "1"],
    (0x0018, 0x5020) => [:ProcessingFunction, "LO", "1"],
    (0x0018, 0x5021) => [:PostprocessingFunction, "LO", "1"],
    (0x0018, 0x5022) => [:MechanicalIndex, "DS", "1"],
    (0x0018, 0x5024) => [:BoneThermalIndex, "DS", "1"],
    (0x0018, 0x5026) => [:CranialThermalIndex, "DS", "1"],
    (0x0018, 0x5027) => [:SoftTissueThermalIndex, "DS", "1"],
    (0x0018, 0x5028) => [:SoftTissueFocusThermalIndex, "DS", "1"],
    (0x0018, 0x5029) => [:SoftTissueSurfaceThermalIndex, "DS", "1"],
    (0x0018, 0x5030) => [:DynamicRange, "DS", "1"],
    (0x0018, 0x5040) => [:TotalGain, "DS", "1"],
    (0x0018, 0x5050) => [:DepthOfScanField, "IS", "1"],
    (0x0018, 0x5100) => [:PatientPosition, "CS", "1"],
    (0x0018, 0x5101) => [:ViewPosition, "CS", "1"],
    (0x0018, 0x5104) => [:ProjectionEponymousNameCodeSequence, "SQ", "1"],
    (0x0018, 0x5210) => [:ImageTransformationMatrix, "DS", "6"],
    (0x0018, 0x5212) => [:ImageTranslationVector, "DS", "3"],
    (0x0018, 0x6000) => [:Sensitivity, "DS", "1"],
    (0x0018, 0x6011) => [:SequenceOfUltrasoundRegions, "SQ", "1"],
    (0x0018, 0x6012) => [:RegionSpatialFormat, "US", "1"],
    (0x0018, 0x6014) => [:RegionDataType, "US", "1"],
    (0x0018, 0x6016) => [:RegionFlags, "UL", "1"],
    (0x0018, 0x6018) => [:RegionLocationMinX0, "UL", "1"],
    (0x0018, 0x601a) => [:RegionLocationMinY0, "UL", "1"],
    (0x0018, 0x601c) => [:RegionLocationMaxX1, "UL", "1"],
    (0x0018, 0x601e) => [:RegionLocationMaxY1, "UL", "1"],
    (0x0018, 0x6020) => [:ReferencePixelX0, "SL", "1"],
    (0x0018, 0x6022) => [:ReferencePixelY0, "SL", "1"],
    (0x0018, 0x6024) => [:PhysicalUnitsXDirection, "US", "1"],
    (0x0018, 0x6026) => [:PhysicalUnitsYDirection, "US", "1"],
    (0x0018, 0x6028) => [:ReferencePixelPhysicalValueX, "FD", "1"],
    (0x0018, 0x602a) => [:ReferencePixelPhysicalValueY, "FD", "1"],
    (0x0018, 0x602c) => [:PhysicalDeltaX, "FD", "1"],
    (0x0018, 0x602e) => [:PhysicalDeltaY, "FD", "1"],
    (0x0018, 0x6030) => [:TransducerFrequency, "UL", "1"],
    (0x0018, 0x6031) => [:TransducerType, "CS", "1"],
    (0x0018, 0x6032) => [:PulseRepetitionFrequency, "UL", "1"],
    (0x0018, 0x6034) => [:DopplerCorrectionAngle, "FD", "1"],
    (0x0018, 0x6036) => [:SteeringAngle, "FD", "1"],
    (0x0018, 0x6038) => [:DopplerSampleVolumeXPositionRetired, "UL", "1"],
    (0x0018, 0x6039) => [:DopplerSampleVolumeXPosition, "SL", "1"],
    (0x0018, 0x603a) => [:DopplerSampleVolumeYPositionRetired, "UL", "1"],
    (0x0018, 0x603b) => [:DopplerSampleVolumeYPosition, "SL", "1"],
    (0x0018, 0x603c) => [:TMLinePositionX0Retired, "UL", "1"],
    (0x0018, 0x603d) => [:TMLinePositionX0, "SL", "1"],
    (0x0018, 0x603e) => [:TMLinePositionY0Retired, "UL", "1"],
    (0x0018, 0x603f) => [:TMLinePositionY0, "SL", "1"],
    (0x0018, 0x6040) => [:TMLinePositionX1Retired, "UL", "1"],
    (0x0018, 0x6041) => [:TMLinePositionX1, "SL", "1"],
    (0x0018, 0x6042) => [:TMLinePositionY1Retired, "UL", "1"],
    (0x0018, 0x6043) => [:TMLinePositionY1, "SL", "1"],
    (0x0018, 0x6044) => [:PixelComponentOrganization, "US", "1"],
    (0x0018, 0x6046) => [:PixelComponentMask, "UL", "1"],
    (0x0018, 0x6048) => [:PixelComponentRangeStart, "UL", "1"],
    (0x0018, 0x604a) => [:PixelComponentRangeStop, "UL", "1"],
    (0x0018, 0x604c) => [:PixelComponentPhysicalUnits, "US", "1"],
    (0x0018, 0x604e) => [:PixelComponentDataType, "US", "1"],
    (0x0018, 0x6050) => [:NumberOfTableBreakPoints, "UL", "1"],
    (0x0018, 0x6052) => [:TableOfXBreakPoints, "UL", "1-n"],
    (0x0018, 0x6054) => [:TableOfYBreakPoints, "FD", "1-n"],
    (0x0018, 0x6056) => [:NumberOfTableEntries, "UL", "1"],
    (0x0018, 0x6058) => [:TableOfPixelValues, "UL", "1-n"],
    (0x0018, 0x605a) => [:TableOfParameterValues, "FL", "1-n"],
    (0x0018, 0x6060) => [:RWaveTimeVector, "FL", "1-n"],
    (0x0018, 0x7000) => [:DetectorConditionsNominalFlag, "CS", "1"],
    (0x0018, 0x7001) => [:DetectorTemperature, "DS", "1"],
    (0x0018, 0x7004) => [:DetectorType, "CS", "1"],
    (0x0018, 0x7005) => [:DetectorConfiguration, "CS", "1"],
    (0x0018, 0x7006) => [:DetectorDescription, "LT", "1"],
    (0x0018, 0x7008) => [:DetectorMode, "LT", "1"],
    (0x0018, 0x700a) => [:DetectorID, "SH", "1"],
    (0x0018, 0x700c) => [:DateOfLastDetectorCalibration, "DA", "1"],
    (0x0018, 0x700e) => [:TimeOfLastDetectorCalibration, "TM", "1"],
    (0x0018, 0x7010) => [:ExposuresOnDetectorSinceLastCalibration, "IS", "1"],
    (0x0018, 0x7011) => [:ExposuresOnDetectorSinceManufactured, "IS", "1"],
    (0x0018, 0x7012) => [:DetectorTimeSinceLastExposure, "DS", "1"],
    (0x0018, 0x7014) => [:DetectorActiveTime, "DS", "1"],
    (0x0018, 0x7016) => [:DetectorActivationOffsetFromExposure, "DS", "1"],
    (0x0018, 0x701a) => [:DetectorBinning, "DS", "2"],
    (0x0018, 0x7020) => [:DetectorElementPhysicalSize, "DS", "2"],
    (0x0018, 0x7022) => [:DetectorElementSpacing, "DS", "2"],
    (0x0018, 0x7024) => [:DetectorActiveShape, "CS", "1"],
    (0x0018, 0x7026) => [:DetectorActiveDimensions, "DS", "1-2"],
    (0x0018, 0x7028) => [:DetectorActiveOrigin, "DS", "2"],
    (0x0018, 0x702a) => [:DetectorManufacturerName, "LO", "1"],
    (0x0018, 0x702b) => [:DetectorManufacturerModelName, "LO", "1"],
    (0x0018, 0x7030) => [:FieldOfViewOrigin, "DS", "2"],
    (0x0018, 0x7032) => [:FieldOfViewRotation, "DS", "1"],
    (0x0018, 0x7034) => [:FieldOfViewHorizontalFlip, "CS", "1"],
    (0x0018, 0x7036) => [:PixelDataAreaOriginRelativeToFOV, "FL", "2"],
    (0x0018, 0x7038) => [:PixelDataAreaRotationAngleRelativeToFOV, "FL", "1"],
    (0x0018, 0x7040) => [:GridAbsorbingMaterial, "LT", "1"],
    (0x0018, 0x7041) => [:GridSpacingMaterial, "LT", "1"],
    (0x0018, 0x7042) => [:GridThickness, "DS", "1"],
    (0x0018, 0x7044) => [:GridPitch, "DS", "1"],
    (0x0018, 0x7046) => [:GridAspectRatio, "IS", "2"],
    (0x0018, 0x7048) => [:GridPeriod, "DS", "1"],
    (0x0018, 0x704c) => [:GridFocalDistance, "DS", "1"],
    (0x0018, 0x7050) => [:FilterMaterial, "CS", "1-n"],
    (0x0018, 0x7052) => [:FilterThicknessMinimum, "DS", "1-n"],
    (0x0018, 0x7054) => [:FilterThicknessMaximum, "DS", "1-n"],
    (0x0018, 0x7056) => [:FilterBeamPathLengthMinimum, "FL", "1-n"],
    (0x0018, 0x7058) => [:FilterBeamPathLengthMaximum, "FL", "1-n"],
    (0x0018, 0x7060) => [:ExposureControlMode, "CS", "1"],
    (0x0018, 0x7062) => [:ExposureControlModeDescription, "LT", "1"],
    (0x0018, 0x7064) => [:ExposureStatus, "CS", "1"],
    (0x0018, 0x7065) => [:PhototimerSetting, "DS", "1"],
    (0x0018, 0x8150) => [:ExposureTimeInuS, "DS", "1"],
    (0x0018, 0x8151) => [:XRayTubeCurrentInuA, "DS", "1"],
    (0x0018, 0x9004) => [:ContentQualification, "CS", "1"],
    (0x0018, 0x9005) => [:PulseSequenceName, "SH", "1"],
    (0x0018, 0x9006) => [:MRImagingModifierSequence, "SQ", "1"],
    (0x0018, 0x9008) => [:EchoPulseSequence, "CS", "1"],
    (0x0018, 0x9009) => [:InversionRecovery, "CS", "1"],
    (0x0018, 0x9010) => [:FlowCompensation, "CS", "1"],
    (0x0018, 0x9011) => [:MultipleSpinEcho, "CS", "1"],
    (0x0018, 0x9012) => [:MultiPlanarExcitation, "CS", "1"],
    (0x0018, 0x9014) => [:PhaseContrast, "CS", "1"],
    (0x0018, 0x9015) => [:TimeOfFlightContrast, "CS", "1"],
    (0x0018, 0x9016) => [:Spoiling, "CS", "1"],
    (0x0018, 0x9017) => [:SteadyStatePulseSequence, "CS", "1"],
    (0x0018, 0x9018) => [:EchoPlanarPulseSequence, "CS", "1"],
    (0x0018, 0x9019) => [:TagAngleFirstAxis, "FD", "1"],
    (0x0018, 0x9020) => [:MagnetizationTransfer, "CS", "1"],
    (0x0018, 0x9021) => [:T2Preparation, "CS", "1"],
    (0x0018, 0x9022) => [:BloodSignalNulling, "CS", "1"],
    (0x0018, 0x9024) => [:SaturationRecovery, "CS", "1"],
    (0x0018, 0x9025) => [:SpectrallySelectedSuppression, "CS", "1"],
    (0x0018, 0x9026) => [:SpectrallySelectedExcitation, "CS", "1"],
    (0x0018, 0x9027) => [:SpatialPresaturation, "CS", "1"],
    (0x0018, 0x9028) => [:Tagging, "CS", "1"],
    (0x0018, 0x9029) => [:OversamplingPhase, "CS", "1"],
    (0x0018, 0x9030) => [:TagSpacingFirstDimension, "FD", "1"],
    (0x0018, 0x9032) => [:GeometryOfKSpaceTraversal, "CS", "1"],
    (0x0018, 0x9033) => [:SegmentedKSpaceTraversal, "CS", "1"],
    (0x0018, 0x9034) => [:RectilinearPhaseEncodeReordering, "CS", "1"],
    (0x0018, 0x9035) => [:TagThickness, "FD", "1"],
    (0x0018, 0x9036) => [:PartialFourierDirection, "CS", "1"],
    (0x0018, 0x9037) => [:CardiacSynchronizationTechnique, "CS", "1"],
    (0x0018, 0x9041) => [:ReceiveCoilManufacturerName, "LO", "1"],
    (0x0018, 0x9042) => [:MRReceiveCoilSequence, "SQ", "1"],
    (0x0018, 0x9043) => [:ReceiveCoilType, "CS", "1"],
    (0x0018, 0x9044) => [:QuadratureReceiveCoil, "CS", "1"],
    (0x0018, 0x9045) => [:MultiCoilDefinitionSequence, "SQ", "1"],
    (0x0018, 0x9046) => [:MultiCoilConfiguration, "LO", "1"],
    (0x0018, 0x9047) => [:MultiCoilElementName, "SH", "1"],
    (0x0018, 0x9048) => [:MultiCoilElementUsed, "CS", "1"],
    (0x0018, 0x9049) => [:MRTransmitCoilSequence, "SQ", "1"],
    (0x0018, 0x9050) => [:TransmitCoilManufacturerName, "LO", "1"],
    (0x0018, 0x9051) => [:TransmitCoilType, "CS", "1"],
    (0x0018, 0x9052) => [:SpectralWidth, "FD", "1-2"],
    (0x0018, 0x9053) => [:ChemicalShiftReference, "FD", "1-2"],
    (0x0018, 0x9054) => [:VolumeLocalizationTechnique, "CS", "1"],
    (0x0018, 0x9058) => [:MRAcquisitionFrequencyEncodingSteps, "US", "1"],
    (0x0018, 0x9059) => [:Decoupling, "CS", "1"],
    (0x0018, 0x9060) => [:DecoupledNucleus, "CS", "1-2"],
    (0x0018, 0x9061) => [:DecouplingFrequency, "FD", "1-2"],
    (0x0018, 0x9062) => [:DecouplingMethod, "CS", "1"],
    (0x0018, 0x9063) => [:DecouplingChemicalShiftReference, "FD", "1-2"],
    (0x0018, 0x9064) => [:KSpaceFiltering, "CS", "1"],
    (0x0018, 0x9065) => [:TimeDomainFiltering, "CS", "1-2"],
    (0x0018, 0x9066) => [:NumberOfZeroFills, "US", "1-2"],
    (0x0018, 0x9067) => [:BaselineCorrection, "CS", "1"],
    (0x0018, 0x9069) => [:ParallelReductionFactorInPlane, "FD", "1"],
    (0x0018, 0x9070) => [:CardiacRRIntervalSpecified, "FD", "1"],
    (0x0018, 0x9073) => [:AcquisitionDuration, "FD", "1"],
    (0x0018, 0x9074) => [:FrameAcquisitionDateTime, "DT", "1"],
    (0x0018, 0x9075) => [:DiffusionDirectionality, "CS", "1"],
    (0x0018, 0x9076) => [:DiffusionGradientDirectionSequence, "SQ", "1"],
    (0x0018, 0x9077) => [:ParallelAcquisition, "CS", "1"],
    (0x0018, 0x9078) => [:ParallelAcquisitionTechnique, "CS", "1"],
    (0x0018, 0x9079) => [:InversionTimes, "FD", "1-n"],
    (0x0018, 0x9080) => [:MetaboliteMapDescription, "ST", "1"],
    (0x0018, 0x9081) => [:PartialFourier, "CS", "1"],
    (0x0018, 0x9082) => [:EffectiveEchoTime, "FD", "1"],
    (0x0018, 0x9083) => [:MetaboliteMapCodeSequence, "SQ", "1"],
    (0x0018, 0x9084) => [:ChemicalShiftSequence, "SQ", "1"],
    (0x0018, 0x9085) => [:CardiacSignalSource, "CS", "1"],
    (0x0018, 0x9087) => [:DiffusionBValue, "FD", "1"],
    (0x0018, 0x9089) => [:DiffusionGradientOrientation, "FD", "3"],
    (0x0018, 0x9090) => [:VelocityEncodingDirection, "FD", "3"],
    (0x0018, 0x9091) => [:VelocityEncodingMinimumValue, "FD", "1"],
    (0x0018, 0x9092) => [:VelocityEncodingAcquisitionSequence, "SQ", "1"],
    (0x0018, 0x9093) => [:NumberOfKSpaceTrajectories, "US", "1"],
    (0x0018, 0x9094) => [:CoverageOfKSpace, "CS", "1"],
    (0x0018, 0x9095) => [:SpectroscopyAcquisitionPhaseRows, "UL", "1"],
    (0x0018, 0x9096) => [:ParallelReductionFactorInPlaneRetired, "FD", "1"],
    (0x0018, 0x9098) => [:TransmitterFrequency, "FD", "1-2"],
    (0x0018, 0x9100) => [:ResonantNucleus, "CS", "1-2"],
    (0x0018, 0x9101) => [:FrequencyCorrection, "CS", "1"],
    (0x0018, 0x9103) => [:MRSpectroscopyFOVGeometrySequence, "SQ", "1"],
    (0x0018, 0x9104) => [:SlabThickness, "FD", "1"],
    (0x0018, 0x9105) => [:SlabOrientation, "FD", "3"],
    (0x0018, 0x9106) => [:MidSlabPosition, "FD", "3"],
    (0x0018, 0x9107) => [:MRSpatialSaturationSequence, "SQ", "1"],
    (0x0018, 0x9112) => [:MRTimingAndRelatedParametersSequence, "SQ", "1"],
    (0x0018, 0x9114) => [:MREchoSequence, "SQ", "1"],
    (0x0018, 0x9115) => [:MRModifierSequence, "SQ", "1"],
    (0x0018, 0x9117) => [:MRDiffusionSequence, "SQ", "1"],
    (0x0018, 0x9118) => [:CardiacSynchronizationSequence, "SQ", "1"],
    (0x0018, 0x9119) => [:MRAveragesSequence, "SQ", "1"],
    (0x0018, 0x9125) => [:MRFOVGeometrySequence, "SQ", "1"],
    (0x0018, 0x9126) => [:VolumeLocalizationSequence, "SQ", "1"],
    (0x0018, 0x9127) => [:SpectroscopyAcquisitionDataColumns, "UL", "1"],
    (0x0018, 0x9147) => [:DiffusionAnisotropyType, "CS", "1"],
    (0x0018, 0x9151) => [:FrameReferenceDateTime, "DT", "1"],
    (0x0018, 0x9152) => [:MRMetaboliteMapSequence, "SQ", "1"],
    (0x0018, 0x9155) => [:ParallelReductionFactorOutOfPlane, "FD", "1"],
    (0x0018, 0x9159) => [:SpectroscopyAcquisitionOutOfPlanePhaseSteps, "UL", "1"],
    (0x0018, 0x9166) => [:BulkMotionStatus, "CS", "1"],
    (0x0018, 0x9168) => [:ParallelReductionFactorSecondInPlane, "FD", "1"],
    (0x0018, 0x9169) => [:CardiacBeatRejectionTechnique, "CS", "1"],
    (0x0018, 0x9170) => [:RespiratoryMotionCompensationTechnique, "CS", "1"],
    (0x0018, 0x9171) => [:RespiratorySignalSource, "CS", "1"],
    (0x0018, 0x9172) => [:BulkMotionCompensationTechnique, "CS", "1"],
    (0x0018, 0x9173) => [:BulkMotionSignalSource, "CS", "1"],
    (0x0018, 0x9174) => [:ApplicableSafetyStandardAgency, "CS", "1"],
    (0x0018, 0x9175) => [:ApplicableSafetyStandardDescription, "LO", "1"],
    (0x0018, 0x9176) => [:OperatingModeSequence, "SQ", "1"],
    (0x0018, 0x9177) => [:OperatingModeType, "CS", "1"],
    (0x0018, 0x9178) => [:OperatingMode, "CS", "1"],
    (0x0018, 0x9179) => [:SpecificAbsorptionRateDefinition, "CS", "1"],
    (0x0018, 0x9180) => [:GradientOutputType, "CS", "1"],
    (0x0018, 0x9181) => [:SpecificAbsorptionRateValue, "FD", "1"],
    (0x0018, 0x9182) => [:GradientOutput, "FD", "1"],
    (0x0018, 0x9183) => [:FlowCompensationDirection, "CS", "1"],
    (0x0018, 0x9184) => [:TaggingDelay, "FD", "1"],
    (0x0018, 0x9185) => [:RespiratoryMotionCompensationTechniqueDescription, "ST", "1"],
    (0x0018, 0x9186) => [:RespiratorySignalSourceID, "SH", "1"],
    (0x0018, 0x9195) => [:ChemicalShiftMinimumIntegrationLimitInHz, "FD", "1"],
    (0x0018, 0x9196) => [:ChemicalShiftMaximumIntegrationLimitInHz, "FD", "1"],
    (0x0018, 0x9197) => [:MRVelocityEncodingSequence, "SQ", "1"],
    (0x0018, 0x9198) => [:FirstOrderPhaseCorrection, "CS", "1"],
    (0x0018, 0x9199) => [:WaterReferencedPhaseCorrection, "CS", "1"],
    (0x0018, 0x9200) => [:MRSpectroscopyAcquisitionType, "CS", "1"],
    (0x0018, 0x9214) => [:RespiratoryCyclePosition, "CS", "1"],
    (0x0018, 0x9217) => [:VelocityEncodingMaximumValue, "FD", "1"],
    (0x0018, 0x9218) => [:TagSpacingSecondDimension, "FD", "1"],
    (0x0018, 0x9219) => [:TagAngleSecondAxis, "SS", "1"],
    (0x0018, 0x9220) => [:FrameAcquisitionDuration, "FD", "1"],
    (0x0018, 0x9226) => [:MRImageFrameTypeSequence, "SQ", "1"],
    (0x0018, 0x9227) => [:MRSpectroscopyFrameTypeSequence, "SQ", "1"],
    (0x0018, 0x9231) => [:MRAcquisitionPhaseEncodingStepsInPlane, "US", "1"],
    (0x0018, 0x9232) => [:MRAcquisitionPhaseEncodingStepsOutOfPlane, "US", "1"],
    (0x0018, 0x9234) => [:SpectroscopyAcquisitionPhaseColumns, "UL", "1"],
    (0x0018, 0x9236) => [:CardiacCyclePosition, "CS", "1"],
    (0x0018, 0x9239) => [:SpecificAbsorptionRateSequence, "SQ", "1"],
    (0x0018, 0x9240) => [:RFEchoTrainLength, "US", "1"],
    (0x0018, 0x9241) => [:GradientEchoTrainLength, "US", "1"],
    (0x0018, 0x9250) => [:ArterialSpinLabelingContrast, "CS", "1"],
    (0x0018, 0x9251) => [:MRArterialSpinLabelingSequence, "SQ", "1"],
    (0x0018, 0x9252) => [:ASLTechniqueDescription, "LO", "1"],
    (0x0018, 0x9253) => [:ASLSlabNumber, "US", "1"],
    (0x0018, 0x9254) => [:ASLSlabThickness, "FD", "1"],
    (0x0018, 0x9255) => [:ASLSlabOrientation, "FD", "3"],
    (0x0018, 0x9256) => [:ASLMidSlabPosition, "FD", "3"],
    (0x0018, 0x9257) => [:ASLContext, "CS", "1"],
    (0x0018, 0x9258) => [:ASLPulseTrainDuration, "UL", "1"],
    (0x0018, 0x9259) => [:ASLCrusherFlag, "CS", "1"],
    (0x0018, 0x925a) => [:ASLCrusherFlowLimit, "FD", "1"],
    (0x0018, 0x925b) => [:ASLCrusherDescription, "LO", "1"],
    (0x0018, 0x925c) => [:ASLBolusCutoffFlag, "CS", "1"],
    (0x0018, 0x925d) => [:ASLBolusCutoffTimingSequence, "SQ", "1"],
    (0x0018, 0x925e) => [:ASLBolusCutoffTechnique, "LO", "1"],
    (0x0018, 0x925f) => [:ASLBolusCutoffDelayTime, "UL", "1"],
    (0x0018, 0x9260) => [:ASLSlabSequence, "SQ", "1"],
    (0x0018, 0x9295) => [:ChemicalShiftMinimumIntegrationLimitInppm, "FD", "1"],
    (0x0018, 0x9296) => [:ChemicalShiftMaximumIntegrationLimitInppm, "FD", "1"],
    (0x0018, 0x9297) => [:WaterReferenceAcquisition, "CS", "1"],
    (0x0018, 0x9298) => [:EchoPeakPosition, "IS", "1"],
    (0x0018, 0x9301) => [:CTAcquisitionTypeSequence, "SQ", "1"],
    (0x0018, 0x9302) => [:AcquisitionType, "CS", "1"],
    (0x0018, 0x9303) => [:TubeAngle, "FD", "1"],
    (0x0018, 0x9304) => [:CTAcquisitionDetailsSequence, "SQ", "1"],
    (0x0018, 0x9305) => [:RevolutionTime, "FD", "1"],
    (0x0018, 0x9306) => [:SingleCollimationWidth, "FD", "1"],
    (0x0018, 0x9307) => [:TotalCollimationWidth, "FD", "1"],
    (0x0018, 0x9308) => [:CTTableDynamicsSequence, "SQ", "1"],
    (0x0018, 0x9309) => [:TableSpeed, "FD", "1"],
    (0x0018, 0x9310) => [:TableFeedPerRotation, "FD", "1"],
    (0x0018, 0x9311) => [:SpiralPitchFactor, "FD", "1"],
    (0x0018, 0x9312) => [:CTGeometrySequence, "SQ", "1"],
    (0x0018, 0x9313) => [:DataCollectionCenterPatient, "FD", "3"],
    (0x0018, 0x9314) => [:CTReconstructionSequence, "SQ", "1"],
    (0x0018, 0x9315) => [:ReconstructionAlgorithm, "CS", "1"],
    (0x0018, 0x9316) => [:ConvolutionKernelGroup, "CS", "1"],
    (0x0018, 0x9317) => [:ReconstructionFieldOfView, "FD", "2"],
    (0x0018, 0x9318) => [:ReconstructionTargetCenterPatient, "FD", "3"],
    (0x0018, 0x9319) => [:ReconstructionAngle, "FD", "1"],
    (0x0018, 0x9320) => [:ImageFilter, "SH", "1"],
    (0x0018, 0x9321) => [:CTExposureSequence, "SQ", "1"],
    (0x0018, 0x9322) => [:ReconstructionPixelSpacing, "FD", "2"],
    (0x0018, 0x9323) => [:ExposureModulationType, "CS", "1-n"],
    (0x0018, 0x9324) => [:EstimatedDoseSaving, "FD", "1"],
    (0x0018, 0x9325) => [:CTXRayDetailsSequence, "SQ", "1"],
    (0x0018, 0x9326) => [:CTPositionSequence, "SQ", "1"],
    (0x0018, 0x9327) => [:TablePosition, "FD", "1"],
    (0x0018, 0x9328) => [:ExposureTimeInms, "FD", "1"],
    (0x0018, 0x9329) => [:CTImageFrameTypeSequence, "SQ", "1"],
    (0x0018, 0x9330) => [:XRayTubeCurrentInmA, "FD", "1"],
    (0x0018, 0x9332) => [:ExposureInmAs, "FD", "1"],
    (0x0018, 0x9333) => [:ConstantVolumeFlag, "CS", "1"],
    (0x0018, 0x9334) => [:FluoroscopyFlag, "CS", "1"],
    (0x0018, 0x9335) => [:DistanceSourceToDataCollectionCenter, "FD", "1"],
    (0x0018, 0x9337) => [:ContrastBolusAgentNumber, "US", "1"],
    (0x0018, 0x9338) => [:ContrastBolusIngredientCodeSequence, "SQ", "1"],
    (0x0018, 0x9340) => [:ContrastAdministrationProfileSequence, "SQ", "1"],
    (0x0018, 0x9341) => [:ContrastBolusUsageSequence, "SQ", "1"],
    (0x0018, 0x9342) => [:ContrastBolusAgentAdministered, "CS", "1"],
    (0x0018, 0x9343) => [:ContrastBolusAgentDetected, "CS", "1"],
    (0x0018, 0x9344) => [:ContrastBolusAgentPhase, "CS", "1"],
    (0x0018, 0x9345) => [:CTDIvol, "FD", "1"],
    (0x0018, 0x9346) => [:CTDIPhantomTypeCodeSequence, "SQ", "1"],
    (0x0018, 0x9351) => [:CalciumScoringMassFactorPatient, "FL", "1"],
    (0x0018, 0x9352) => [:CalciumScoringMassFactorDevice, "FL", "3"],
    (0x0018, 0x9353) => [:EnergyWeightingFactor, "FL", "1"],
    (0x0018, 0x9360) => [:CTAdditionalXRaySourceSequence, "SQ", "1"],
    (0x0018, 0x9361) => [:MultienergyCTAcquisition, "CS", "1"],
    (0x0018, 0x9362) => [:MultienergyCTAcquisitionSequence, "SQ", "1"],
    (0x0018, 0x9363) => [:MultienergyCTProcessingSequence, "SQ", "1"],
    (0x0018, 0x9364) => [:MultienergyCTCharacteristicsSequence, "SQ", "1"],
    (0x0018, 0x9365) => [:MultienergyCTXRaySourceSequence, "SQ", "1"],
    (0x0018, 0x9366) => [:XRaySourceIndex, "US", "1"],
    (0x0018, 0x9367) => [:XRaySourceID, "UC", "1"],
    (0x0018, 0x9368) => [:MultienergySourceTechnique, "CS", "1"],
    (0x0018, 0x9369) => [:SourceStartDateTime, "DT", "1"],
    (0x0018, 0x936a) => [:SourceEndDateTime, "DT", "1"],
    (0x0018, 0x936b) => [:SwitchingPhaseNumber, "US", "1"],
    (0x0018, 0x936c) => [:SwitchingPhaseNominalDuration, "DS", "1"],
    (0x0018, 0x936d) => [:SwitchingPhaseTransitionDuration, "DS", "1"],
    (0x0018, 0x936e) => [:EffectiveBinEnergy, "DS", "1"],
    (0x0018, 0x936f) => [:MultienergyCTXRayDetectorSequence, "SQ", "1"],
    (0x0018, 0x9370) => [:XRayDetectorIndex, "US", "1"],
    (0x0018, 0x9371) => [:XRayDetectorID, "UC", "1"],
    (0x0018, 0x9372) => [:MultienergyDetectorType, "CS", "1"],
    (0x0018, 0x9373) => [:XRayDetectorLabel, "ST", "1"],
    (0x0018, 0x9374) => [:NominalMaxEnergy, "DS", "1"],
    (0x0018, 0x9375) => [:NominalMinEnergy, "DS", "1"],
    (0x0018, 0x9376) => [:ReferencedXRayDetectorIndex, "US", "1-n"],
    (0x0018, 0x9377) => [:ReferencedXRaySourceIndex, "US", "1-n"],
    (0x0018, 0x9378) => [:ReferencedPathIndex, "US", "1-n"],
    (0x0018, 0x9379) => [:MultienergyCTPathSequence, "SQ", "1"],
    (0x0018, 0x937a) => [:MultienergyCTPathIndex, "US", "1"],
    (0x0018, 0x937b) => [:MultienergyAcquisitionDescription, "UT", "1"],
    (0x0018, 0x937c) => [:MonoenergeticEnergyEquivalent, "FD", "1"],
    (0x0018, 0x937d) => [:MaterialCodeSequence, "SQ", "1"],
    (0x0018, 0x937e) => [:DecompositionMethod, "CS", "1"],
    (0x0018, 0x937f) => [:DecompositionDescription, "UT", "1"],
    (0x0018, 0x9380) => [:DecompositionAlgorithmIdentificationSequence, "SQ", "1"],
    (0x0018, 0x9381) => [:DecompositionMaterialSequence, "SQ", "1"],
    (0x0018, 0x9382) => [:MaterialAttenuationSequence, "SQ", "1"],
    (0x0018, 0x9383) => [:PhotonEnergy, "DS", "1"],
    (0x0018, 0x9384) => [:XRayMassAttenuationCoefficient, "DS", "1"],
    (0x0018, 0x9401) => [:ProjectionPixelCalibrationSequence, "SQ", "1"],
    (0x0018, 0x9402) => [:DistanceSourceToIsocenter, "FL", "1"],
    (0x0018, 0x9403) => [:DistanceObjectToTableTop, "FL", "1"],
    (0x0018, 0x9404) => [:ObjectPixelSpacingInCenterOfBeam, "FL", "2"],
    (0x0018, 0x9405) => [:PositionerPositionSequence, "SQ", "1"],
    (0x0018, 0x9406) => [:TablePositionSequence, "SQ", "1"],
    (0x0018, 0x9407) => [:CollimatorShapeSequence, "SQ", "1"],
    (0x0018, 0x9410) => [:PlanesInAcquisition, "CS", "1"],
    (0x0018, 0x9412) => [:XAXRFFrameCharacteristicsSequence, "SQ", "1"],
    (0x0018, 0x9417) => [:FrameAcquisitionSequence, "SQ", "1"],
    (0x0018, 0x9420) => [:XRayReceptorType, "CS", "1"],
    (0x0018, 0x9423) => [:AcquisitionProtocolName, "LO", "1"],
    (0x0018, 0x9424) => [:AcquisitionProtocolDescription, "LT", "1"],
    (0x0018, 0x9425) => [:ContrastBolusIngredientOpaque, "CS", "1"],
    (0x0018, 0x9426) => [:DistanceReceptorPlaneToDetectorHousing, "FL", "1"],
    (0x0018, 0x9427) => [:IntensifierActiveShape, "CS", "1"],
    (0x0018, 0x9428) => [:IntensifierActiveDimensions, "FL", "1-2"],
    (0x0018, 0x9429) => [:PhysicalDetectorSize, "FL", "2"],
    (0x0018, 0x9430) => [:PositionOfIsocenterProjection, "FL", "2"],
    (0x0018, 0x9432) => [:FieldOfViewSequence, "SQ", "1"],
    (0x0018, 0x9433) => [:FieldOfViewDescription, "LO", "1"],
    (0x0018, 0x9434) => [:ExposureControlSensingRegionsSequence, "SQ", "1"],
    (0x0018, 0x9435) => [:ExposureControlSensingRegionShape, "CS", "1"],
    (0x0018, 0x9436) => [:ExposureControlSensingRegionLeftVerticalEdge, "SS", "1"],
    (0x0018, 0x9437) => [:ExposureControlSensingRegionRightVerticalEdge, "SS", "1"],
    (0x0018, 0x9438) => [:ExposureControlSensingRegionUpperHorizontalEdge, "SS", "1"],
    (0x0018, 0x9439) => [:ExposureControlSensingRegionLowerHorizontalEdge, "SS", "1"],
    (0x0018, 0x9440) => [:CenterOfCircularExposureControlSensingRegion, "SS", "2"],
    (0x0018, 0x9441) => [:RadiusOfCircularExposureControlSensingRegion, "US", "1"],
    (0x0018, 0x9442) =>
        [:VerticesOfThePolygonalExposureControlSensingRegion, "SS", "2-n"],
    (0x0018, 0x9447) => [:ColumnAngulationPatient, "FL", "1"],
    (0x0018, 0x9449) => [:BeamAngle, "FL", "1"],
    (0x0018, 0x9451) => [:FrameDetectorParametersSequence, "SQ", "1"],
    (0x0018, 0x9452) => [:CalculatedAnatomyThickness, "FL", "1"],
    (0x0018, 0x9455) => [:CalibrationSequence, "SQ", "1"],
    (0x0018, 0x9456) => [:ObjectThicknessSequence, "SQ", "1"],
    (0x0018, 0x9457) => [:PlaneIdentification, "CS", "1"],
    (0x0018, 0x9461) => [:FieldOfViewDimensionsInFloat, "FL", "1-2"],
    (0x0018, 0x9462) => [:IsocenterReferenceSystemSequence, "SQ", "1"],
    (0x0018, 0x9463) => [:PositionerIsocenterPrimaryAngle, "FL", "1"],
    (0x0018, 0x9464) => [:PositionerIsocenterSecondaryAngle, "FL", "1"],
    (0x0018, 0x9465) => [:PositionerIsocenterDetectorRotationAngle, "FL", "1"],
    (0x0018, 0x9466) => [:TableXPositionToIsocenter, "FL", "1"],
    (0x0018, 0x9467) => [:TableYPositionToIsocenter, "FL", "1"],
    (0x0018, 0x9468) => [:TableZPositionToIsocenter, "FL", "1"],
    (0x0018, 0x9469) => [:TableHorizontalRotationAngle, "FL", "1"],
    (0x0018, 0x9470) => [:TableHeadTiltAngle, "FL", "1"],
    (0x0018, 0x9471) => [:TableCradleTiltAngle, "FL", "1"],
    (0x0018, 0x9472) => [:FrameDisplayShutterSequence, "SQ", "1"],
    (0x0018, 0x9473) => [:AcquiredImageAreaDoseProduct, "FL", "1"],
    (0x0018, 0x9474) => [:CArmPositionerTabletopRelationship, "CS", "1"],
    (0x0018, 0x9476) => [:XRayGeometrySequence, "SQ", "1"],
    (0x0018, 0x9477) => [:IrradiationEventIdentificationSequence, "SQ", "1"],
    (0x0018, 0x9504) => [:XRay3DFrameTypeSequence, "SQ", "1"],
    (0x0018, 0x9506) => [:ContributingSourcesSequence, "SQ", "1"],
    (0x0018, 0x9507) => [:XRay3DAcquisitionSequence, "SQ", "1"],
    (0x0018, 0x9508) => [:PrimaryPositionerScanArc, "FL", "1"],
    (0x0018, 0x9509) => [:SecondaryPositionerScanArc, "FL", "1"],
    (0x0018, 0x9510) => [:PrimaryPositionerScanStartAngle, "FL", "1"],
    (0x0018, 0x9511) => [:SecondaryPositionerScanStartAngle, "FL", "1"],
    (0x0018, 0x9514) => [:PrimaryPositionerIncrement, "FL", "1"],
    (0x0018, 0x9515) => [:SecondaryPositionerIncrement, "FL", "1"],
    (0x0018, 0x9516) => [:StartAcquisitionDateTime, "DT", "1"],
    (0x0018, 0x9517) => [:EndAcquisitionDateTime, "DT", "1"],
    (0x0018, 0x9518) => [:PrimaryPositionerIncrementSign, "SS", "1"],
    (0x0018, 0x9519) => [:SecondaryPositionerIncrementSign, "SS", "1"],
    (0x0018, 0x9524) => [:ApplicationName, "LO", "1"],
    (0x0018, 0x9525) => [:ApplicationVersion, "LO", "1"],
    (0x0018, 0x9526) => [:ApplicationManufacturer, "LO", "1"],
    (0x0018, 0x9527) => [:AlgorithmType, "CS", "1"],
    (0x0018, 0x9528) => [:AlgorithmDescription, "LO", "1"],
    (0x0018, 0x9530) => [:XRay3DReconstructionSequence, "SQ", "1"],
    (0x0018, 0x9531) => [:ReconstructionDescription, "LO", "1"],
    (0x0018, 0x9538) => [:PerProjectionAcquisitionSequence, "SQ", "1"],
    (0x0018, 0x9541) => [:DetectorPositionSequence, "SQ", "1"],
    (0x0018, 0x9542) => [:XRayAcquisitionDoseSequence, "SQ", "1"],
    (0x0018, 0x9543) => [:XRaySourceIsocenterPrimaryAngle, "FD", "1"],
    (0x0018, 0x9544) => [:XRaySourceIsocenterSecondaryAngle, "FD", "1"],
    (0x0018, 0x9545) => [:BreastSupportIsocenterPrimaryAngle, "FD", "1"],
    (0x0018, 0x9546) => [:BreastSupportIsocenterSecondaryAngle, "FD", "1"],
    (0x0018, 0x9547) => [:BreastSupportXPositionToIsocenter, "FD", "1"],
    (0x0018, 0x9548) => [:BreastSupportYPositionToIsocenter, "FD", "1"],
    (0x0018, 0x9549) => [:BreastSupportZPositionToIsocenter, "FD", "1"],
    (0x0018, 0x9550) => [:DetectorIsocenterPrimaryAngle, "FD", "1"],
    (0x0018, 0x9551) => [:DetectorIsocenterSecondaryAngle, "FD", "1"],
    (0x0018, 0x9552) => [:DetectorXPositionToIsocenter, "FD", "1"],
    (0x0018, 0x9553) => [:DetectorYPositionToIsocenter, "FD", "1"],
    (0x0018, 0x9554) => [:DetectorZPositionToIsocenter, "FD", "1"],
    (0x0018, 0x9555) => [:XRayGridSequence, "SQ", "1"],
    (0x0018, 0x9556) => [:XRayFilterSequence, "SQ", "1"],
    (0x0018, 0x9557) => [:DetectorActiveAreaTLHCPosition, "FD", "3"],
    (0x0018, 0x9558) => [:DetectorActiveAreaOrientation, "FD", "6"],
    (0x0018, 0x9559) => [:PositionerPrimaryAngleDirection, "CS", "1"],
    (0x0018, 0x9601) => [:DiffusionBMatrixSequence, "SQ", "1"],
    (0x0018, 0x9602) => [:DiffusionBValueXX, "FD", "1"],
    (0x0018, 0x9603) => [:DiffusionBValueXY, "FD", "1"],
    (0x0018, 0x9604) => [:DiffusionBValueXZ, "FD", "1"],
    (0x0018, 0x9605) => [:DiffusionBValueYY, "FD", "1"],
    (0x0018, 0x9606) => [:DiffusionBValueYZ, "FD", "1"],
    (0x0018, 0x9607) => [:DiffusionBValueZZ, "FD", "1"],
    (0x0018, 0x9621) => [:FunctionalMRSequence, "SQ", "1"],
    (0x0018, 0x9622) => [:FunctionalSettlingPhaseFramesPresent, "CS", "1"],
    (0x0018, 0x9623) => [:FunctionalSyncPulse, "DT", "1"],
    (0x0018, 0x9624) => [:SettlingPhaseFrame, "CS", "1"],
    (0x0018, 0x9701) => [:DecayCorrectionDateTime, "DT", "1"],
    (0x0018, 0x9715) => [:StartDensityThreshold, "FD", "1"],
    (0x0018, 0x9716) => [:StartRelativeDensityDifferenceThreshold, "FD", "1"],
    (0x0018, 0x9717) => [:StartCardiacTriggerCountThreshold, "FD", "1"],
    (0x0018, 0x9718) => [:StartRespiratoryTriggerCountThreshold, "FD", "1"],
    (0x0018, 0x9719) => [:TerminationCountsThreshold, "FD", "1"],
    (0x0018, 0x9720) => [:TerminationDensityThreshold, "FD", "1"],
    (0x0018, 0x9721) => [:TerminationRelativeDensityThreshold, "FD", "1"],
    (0x0018, 0x9722) => [:TerminationTimeThreshold, "FD", "1"],
    (0x0018, 0x9723) => [:TerminationCardiacTriggerCountThreshold, "FD", "1"],
    (0x0018, 0x9724) => [:TerminationRespiratoryTriggerCountThreshold, "FD", "1"],
    (0x0018, 0x9725) => [:DetectorGeometry, "CS", "1"],
    (0x0018, 0x9726) => [:TransverseDetectorSeparation, "FD", "1"],
    (0x0018, 0x9727) => [:AxialDetectorDimension, "FD", "1"],
    (0x0018, 0x9729) => [:RadiopharmaceuticalAgentNumber, "US", "1"],
    (0x0018, 0x9732) => [:PETFrameAcquisitionSequence, "SQ", "1"],
    (0x0018, 0x9733) => [:PETDetectorMotionDetailsSequence, "SQ", "1"],
    (0x0018, 0x9734) => [:PETTableDynamicsSequence, "SQ", "1"],
    (0x0018, 0x9735) => [:PETPositionSequence, "SQ", "1"],
    (0x0018, 0x9736) => [:PETFrameCorrectionFactorsSequence, "SQ", "1"],
    (0x0018, 0x9737) => [:RadiopharmaceuticalUsageSequence, "SQ", "1"],
    (0x0018, 0x9738) => [:AttenuationCorrectionSource, "CS", "1"],
    (0x0018, 0x9739) => [:NumberOfIterations, "US", "1"],
    (0x0018, 0x9740) => [:NumberOfSubsets, "US", "1"],
    (0x0018, 0x9749) => [:PETReconstructionSequence, "SQ", "1"],
    (0x0018, 0x9751) => [:PETFrameTypeSequence, "SQ", "1"],
    (0x0018, 0x9755) => [:TimeOfFlightInformationUsed, "CS", "1"],
    (0x0018, 0x9756) => [:ReconstructionType, "CS", "1"],
    (0x0018, 0x9758) => [:DecayCorrected, "CS", "1"],
    (0x0018, 0x9759) => [:AttenuationCorrected, "CS", "1"],
    (0x0018, 0x9760) => [:ScatterCorrected, "CS", "1"],
    (0x0018, 0x9761) => [:DeadTimeCorrected, "CS", "1"],
    (0x0018, 0x9762) => [:GantryMotionCorrected, "CS", "1"],
    (0x0018, 0x9763) => [:PatientMotionCorrected, "CS", "1"],
    (0x0018, 0x9764) => [:CountLossNormalizationCorrected, "CS", "1"],
    (0x0018, 0x9765) => [:RandomsCorrected, "CS", "1"],
    (0x0018, 0x9766) => [:NonUniformRadialSamplingCorrected, "CS", "1"],
    (0x0018, 0x9767) => [:SensitivityCalibrated, "CS", "1"],
    (0x0018, 0x9768) => [:DetectorNormalizationCorrection, "CS", "1"],
    (0x0018, 0x9769) => [:IterativeReconstructionMethod, "CS", "1"],
    (0x0018, 0x9770) => [:AttenuationCorrectionTemporalRelationship, "CS", "1"],
    (0x0018, 0x9771) => [:PatientPhysiologicalStateSequence, "SQ", "1"],
    (0x0018, 0x9772) => [:PatientPhysiologicalStateCodeSequence, "SQ", "1"],
    (0x0018, 0x9801) => [:DepthsOfFocus, "FD", "1-n"],
    (0x0018, 0x9803) => [:ExcludedIntervalsSequence, "SQ", "1"],
    (0x0018, 0x9804) => [:ExclusionStartDateTime, "DT", "1"],
    (0x0018, 0x9805) => [:ExclusionDuration, "FD", "1"],
    (0x0018, 0x9806) => [:USImageDescriptionSequence, "SQ", "1"],
    (0x0018, 0x9807) => [:ImageDataTypeSequence, "SQ", "1"],
    (0x0018, 0x9808) => [:DataType, "CS", "1"],
    (0x0018, 0x9809) => [:TransducerScanPatternCodeSequence, "SQ", "1"],
    (0x0018, 0x980b) => [:AliasedDataType, "CS", "1"],
    (0x0018, 0x980c) => [:PositionMeasuringDeviceUsed, "CS", "1"],
    (0x0018, 0x980d) => [:TransducerGeometryCodeSequence, "SQ", "1"],
    (0x0018, 0x980e) => [:TransducerBeamSteeringCodeSequence, "SQ", "1"],
    (0x0018, 0x980f) => [:TransducerApplicationCodeSequence, "SQ", "1"],
    (0x0018, 0x9810) => [:ZeroVelocityPixelValue, "US or SS", "1"],
    (0x0018, 0x9900) => [:ReferenceLocationLabel, "LO", "1"],
    (0x0018, 0x9901) => [:ReferenceLocationDescription, "UT", "1"],
    (0x0018, 0x9902) => [:ReferenceBasisCodeSequence, "SQ", "1"],
    (0x0018, 0x9903) => [:ReferenceGeometryCodeSequence, "SQ", "1"],
    (0x0018, 0x9904) => [:OffsetDistance, "DS", "1"],
    (0x0018, 0x9905) => [:OffsetDirection, "CS", "1"],
    (0x0018, 0x9906) => [:PotentialScheduledProtocolCodeSequence, "SQ", "1"],
    (0x0018, 0x9907) => [:PotentialRequestedProcedureCodeSequence, "SQ", "1"],
    (0x0018, 0x9908) => [:PotentialReasonsForProcedure, "UC", "1-n"],
    (0x0018, 0x9909) => [:PotentialReasonsForProcedureCodeSequence, "SQ", "1"],
    (0x0018, 0x990a) => [:PotentialDiagnosticTasks, "UC", "1-n"],
    (0x0018, 0x990b) => [:ContraindicationsCodeSequence, "SQ", "1"],
    (0x0018, 0x990c) => [:ReferencedDefinedProtocolSequence, "SQ", "1"],
    (0x0018, 0x990d) => [:ReferencedPerformedProtocolSequence, "SQ", "1"],
    (0x0018, 0x990e) => [:PredecessorProtocolSequence, "SQ", "1"],
    (0x0018, 0x990f) => [:ProtocolPlanningInformation, "UT", "1"],
    (0x0018, 0x9910) => [:ProtocolDesignRationale, "UT", "1"],
    (0x0018, 0x9911) => [:PatientSpecificationSequence, "SQ", "1"],
    (0x0018, 0x9912) => [:ModelSpecificationSequence, "SQ", "1"],
    (0x0018, 0x9913) => [:ParametersSpecificationSequence, "SQ", "1"],
    (0x0018, 0x9914) => [:InstructionSequence, "SQ", "1"],
    (0x0018, 0x9915) => [:InstructionIndex, "US", "1"],
    (0x0018, 0x9916) => [:InstructionText, "LO", "1"],
    (0x0018, 0x9917) => [:InstructionDescription, "UT", "1"],
    (0x0018, 0x9918) => [:InstructionPerformedFlag, "CS", "1"],
    (0x0018, 0x9919) => [:InstructionPerformedDateTime, "DT", "1"],
    (0x0018, 0x991a) => [:InstructionPerformanceComment, "UT", "1"],
    (0x0018, 0x991b) => [:PatientPositioningInstructionSequence, "SQ", "1"],
    (0x0018, 0x991c) => [:PositioningMethodCodeSequence, "SQ", "1"],
    (0x0018, 0x991d) => [:PositioningLandmarkSequence, "SQ", "1"],
    (0x0018, 0x991e) => [:TargetFrameOfReferenceUID, "UI", "1"],
    (0x0018, 0x991f) => [:AcquisitionProtocolElementSpecificationSequence, "SQ", "1"],
    (0x0018, 0x9920) => [:AcquisitionProtocolElementSequence, "SQ", "1"],
    (0x0018, 0x9921) => [:ProtocolElementNumber, "US", "1"],
    (0x0018, 0x9922) => [:ProtocolElementName, "LO", "1"],
    (0x0018, 0x9923) => [:ProtocolElementCharacteristicsSummary, "UT", "1"],
    (0x0018, 0x9924) => [:ProtocolElementPurpose, "UT", "1"],
    (0x0018, 0x9930) => [:AcquisitionMotion, "CS", "1"],
    (0x0018, 0x9931) => [:AcquisitionStartLocationSequence, "SQ", "1"],
    (0x0018, 0x9932) => [:AcquisitionEndLocationSequence, "SQ", "1"],
    (0x0018, 0x9933) =>
        [:ReconstructionProtocolElementSpecificationSequence, "SQ", "1"],
    (0x0018, 0x9934) => [:ReconstructionProtocolElementSequence, "SQ", "1"],
    (0x0018, 0x9935) => [:StorageProtocolElementSpecificationSequence, "SQ", "1"],
    (0x0018, 0x9936) => [:StorageProtocolElementSequence, "SQ", "1"],
    (0x0018, 0x9937) => [:RequestedSeriesDescription, "LO", "1"],
    (0x0018, 0x9938) => [:SourceAcquisitionProtocolElementNumber, "US", "1-n"],
    (0x0018, 0x9939) => [:SourceAcquisitionBeamNumber, "US", "1-n"],
    (0x0018, 0x993a) => [:SourceReconstructionProtocolElementNumber, "US", "1-n"],
    (0x0018, 0x993b) => [:ReconstructionStartLocationSequence, "SQ", "1"],
    (0x0018, 0x993c) => [:ReconstructionEndLocationSequence, "SQ", "1"],
    (0x0018, 0x993d) => [:ReconstructionAlgorithmSequence, "SQ", "1"],
    (0x0018, 0x993e) => [:ReconstructionTargetCenterLocationSequence, "SQ", "1"],
    (0x0018, 0x9941) => [:ImageFilterDescription, "UT", "1"],
    (0x0018, 0x9942) => [:CTDIvolNotificationTrigger, "FD", "1"],
    (0x0018, 0x9943) => [:DLPNotificationTrigger, "FD", "1"],
    (0x0018, 0x9944) => [:AutoKVPSelectionType, "CS", "1"],
    (0x0018, 0x9945) => [:AutoKVPUpperBound, "FD", "1"],
    (0x0018, 0x9946) => [:AutoKVPLowerBound, "FD", "1"],
    (0x0018, 0x9947) => [:ProtocolDefinedPatientPosition, "CS", "1"],
    (0x0018, 0xa001) => [:ContributingEquipmentSequence, "SQ", "1"],
    (0x0018, 0xa002) => [:ContributionDateTime, "DT", "1"],
    (0x0018, 0xa003) => [:ContributionDescription, "ST", "1"],
    (0x0020, 0x000d) => [:StudyInstanceUID, "UI", "1"],
    (0x0020, 0x000e) => [:SeriesInstanceUID, "UI", "1"],
    (0x0020, 0x0010) => [:StudyID, "SH", "1"],
    (0x0020, 0x0011) => [:SeriesNumber, "IS", "1"],
    (0x0020, 0x0012) => [:AcquisitionNumber, "IS", "1"],
    (0x0020, 0x0013) => [:InstanceNumber, "IS", "1"],
    (0x0020, 0x0014) => [:IsotopeNumber, "IS", "1"],
    (0x0020, 0x0015) => [:PhaseNumber, "IS", "1"],
    (0x0020, 0x0016) => [:IntervalNumber, "IS", "1"],
    (0x0020, 0x0017) => [:TimeSlotNumber, "IS", "1"],
    (0x0020, 0x0018) => [:AngleNumber, "IS", "1"],
    (0x0020, 0x0019) => [:ItemNumber, "IS", "1"],
    (0x0020, 0x0020) => [:PatientOrientation, "CS", "2"],
    (0x0020, 0x0022) => [:OverlayNumber, "IS", "1"],
    (0x0020, 0x0024) => [:CurveNumber, "IS", "1"],
    (0x0020, 0x0026) => [:LUTNumber, "IS", "1"],
    (0x0020, 0x0030) => [:ImagePosition, "DS", "3"],
    (0x0020, 0x0032) => [:ImagePositionPatient, "DS", "3"],
    (0x0020, 0x0035) => [:ImageOrientation, "DS", "6"],
    (0x0020, 0x0037) => [:ImageOrientationPatient, "DS", "6"],
    (0x0020, 0x0050) => [:Location, "DS", "1"],
    (0x0020, 0x0052) => [:FrameOfReferenceUID, "UI", "1"],
    (0x0020, 0x0060) => [:Laterality, "CS", "1"],
    (0x0020, 0x0062) => [:ImageLaterality, "CS", "1"],
    (0x0020, 0x0070) => [:ImageGeometryType, "LO", "1"],
    (0x0020, 0x0080) => [:MaskingImage, "CS", "1-n"],
    (0x0020, 0x00aa) => [:ReportNumber, "IS", "1"],
    (0x0020, 0x0100) => [:TemporalPositionIdentifier, "IS", "1"],
    (0x0020, 0x0105) => [:NumberOfTemporalPositions, "IS", "1"],
    (0x0020, 0x0110) => [:TemporalResolution, "DS", "1"],
    (0x0020, 0x0200) => [:SynchronizationFrameOfReferenceUID, "UI", "1"],
    (0x0020, 0x0242) => [:SOPInstanceUIDOfConcatenationSource, "UI", "1"],
    (0x0020, 0x1000) => [:SeriesInStudy, "IS", "1"],
    (0x0020, 0x1001) => [:AcquisitionsInSeries, "IS", "1"],
    (0x0020, 0x1002) => [:ImagesInAcquisition, "IS", "1"],
    (0x0020, 0x1003) => [:ImagesInSeries, "IS", "1"],
    (0x0020, 0x1004) => [:AcquisitionsInStudy, "IS", "1"],
    (0x0020, 0x1005) => [:ImagesInStudy, "IS", "1"],
    (0x0020, 0x1020) => [:Reference, "LO", "1-n"],
    (0x0020, 0x103f) => [:TargetPositionReferenceIndicator, "LO", "1"],
    (0x0020, 0x1040) => [:PositionReferenceIndicator, "LO", "1"],
    (0x0020, 0x1041) => [:SliceLocation, "DS", "1"],
    (0x0020, 0x1070) => [:OtherStudyNumbers, "IS", "1-n"],
    (0x0020, 0x1200) => [:NumberOfPatientRelatedStudies, "IS", "1"],
    (0x0020, 0x1202) => [:NumberOfPatientRelatedSeries, "IS", "1"],
    (0x0020, 0x1204) => [:NumberOfPatientRelatedInstances, "IS", "1"],
    (0x0020, 0x1206) => [:NumberOfStudyRelatedSeries, "IS", "1"],
    (0x0020, 0x1208) => [:NumberOfStudyRelatedInstances, "IS", "1"],
    (0x0020, 0x1209) => [:NumberOfSeriesRelatedInstances, "IS", "1"],
    (0x0020, 0x3401) => [:ModifyingDeviceID, "CS", "1"],
    (0x0020, 0x3402) => [:ModifiedImageID, "CS", "1"],
    (0x0020, 0x3403) => [:ModifiedImageDate, "DA", "1"],
    (0x0020, 0x3404) => [:ModifyingDeviceManufacturer, "LO", "1"],
    (0x0020, 0x3405) => [:ModifiedImageTime, "TM", "1"],
    (0x0020, 0x3406) => [:ModifiedImageDescription, "LO", "1"],
    (0x0020, 0x4000) => [:ImageComments, "LT", "1"],
    (0x0020, 0x5000) => [:OriginalImageIdentification, "AT", "1-n"],
    (0x0020, 0x5002) => [:OriginalImageIdentificationNomenclature, "LO", "1-n"],
    (0x0020, 0x9056) => [:StackID, "SH", "1"],
    (0x0020, 0x9057) => [:InStackPositionNumber, "UL", "1"],
    (0x0020, 0x9071) => [:FrameAnatomySequence, "SQ", "1"],
    (0x0020, 0x9072) => [:FrameLaterality, "CS", "1"],
    (0x0020, 0x9111) => [:FrameContentSequence, "SQ", "1"],
    (0x0020, 0x9113) => [:PlanePositionSequence, "SQ", "1"],
    (0x0020, 0x9116) => [:PlaneOrientationSequence, "SQ", "1"],
    (0x0020, 0x9128) => [:TemporalPositionIndex, "UL", "1"],
    (0x0020, 0x9153) => [:NominalCardiacTriggerDelayTime, "FD", "1"],
    (0x0020, 0x9154) => [:NominalCardiacTriggerTimePriorToRPeak, "FL", "1"],
    (0x0020, 0x9155) => [:ActualCardiacTriggerTimePriorToRPeak, "FL", "1"],
    (0x0020, 0x9156) => [:FrameAcquisitionNumber, "US", "1"],
    (0x0020, 0x9157) => [:DimensionIndexValues, "UL", "1-n"],
    (0x0020, 0x9158) => [:FrameComments, "LT", "1"],
    (0x0020, 0x9161) => [:ConcatenationUID, "UI", "1"],
    (0x0020, 0x9162) => [:InConcatenationNumber, "US", "1"],
    (0x0020, 0x9163) => [:InConcatenationTotalNumber, "US", "1"],
    (0x0020, 0x9164) => [:DimensionOrganizationUID, "UI", "1"],
    (0x0020, 0x9165) => [:DimensionIndexPointer, "AT", "1"],
    (0x0020, 0x9167) => [:FunctionalGroupPointer, "AT", "1"],
    (0x0020, 0x9170) => [:UnassignedSharedConvertedAttributesSequence, "SQ", "1"],
    (0x0020, 0x9171) => [:UnassignedPerFrameConvertedAttributesSequence, "SQ", "1"],
    (0x0020, 0x9172) => [:ConversionSourceAttributesSequence, "SQ", "1"],
    (0x0020, 0x9213) => [:DimensionIndexPrivateCreator, "LO", "1"],
    (0x0020, 0x9221) => [:DimensionOrganizationSequence, "SQ", "1"],
    (0x0020, 0x9222) => [:DimensionIndexSequence, "SQ", "1"],
    (0x0020, 0x9228) => [:ConcatenationFrameOffsetNumber, "UL", "1"],
    (0x0020, 0x9238) => [:FunctionalGroupPrivateCreator, "LO", "1"],
    (0x0020, 0x9241) => [:NominalPercentageOfCardiacPhase, "FL", "1"],
    (0x0020, 0x9245) => [:NominalPercentageOfRespiratoryPhase, "FL", "1"],
    (0x0020, 0x9246) => [:StartingRespiratoryAmplitude, "FL", "1"],
    (0x0020, 0x9247) => [:StartingRespiratoryPhase, "CS", "1"],
    (0x0020, 0x9248) => [:EndingRespiratoryAmplitude, "FL", "1"],
    (0x0020, 0x9249) => [:EndingRespiratoryPhase, "CS", "1"],
    (0x0020, 0x9250) => [:RespiratoryTriggerType, "CS", "1"],
    (0x0020, 0x9251) => [:RRIntervalTimeNominal, "FD", "1"],
    (0x0020, 0x9252) => [:ActualCardiacTriggerDelayTime, "FD", "1"],
    (0x0020, 0x9253) => [:RespiratorySynchronizationSequence, "SQ", "1"],
    (0x0020, 0x9254) => [:RespiratoryIntervalTime, "FD", "1"],
    (0x0020, 0x9255) => [:NominalRespiratoryTriggerDelayTime, "FD", "1"],
    (0x0020, 0x9256) => [:RespiratoryTriggerDelayThreshold, "FD", "1"],
    (0x0020, 0x9257) => [:ActualRespiratoryTriggerDelayTime, "FD", "1"],
    (0x0020, 0x9301) => [:ImagePositionVolume, "FD", "3"],
    (0x0020, 0x9302) => [:ImageOrientationVolume, "FD", "6"],
    (0x0020, 0x9307) => [:UltrasoundAcquisitionGeometry, "CS", "1"],
    (0x0020, 0x9308) => [:ApexPosition, "FD", "3"],
    (0x0020, 0x9309) => [:VolumeToTransducerMappingMatrix, "FD", "16"],
    (0x0020, 0x930a) => [:VolumeToTableMappingMatrix, "FD", "16"],
    (0x0020, 0x930b) => [:VolumeToTransducerRelationship, "CS", "1"],
    (0x0020, 0x930c) => [:PatientFrameOfReferenceSource, "CS", "1"],
    (0x0020, 0x930d) => [:TemporalPositionTimeOffset, "FD", "1"],
    (0x0020, 0x930e) => [:PlanePositionVolumeSequence, "SQ", "1"],
    (0x0020, 0x930f) => [:PlaneOrientationVolumeSequence, "SQ", "1"],
    (0x0020, 0x9310) => [:TemporalPositionSequence, "SQ", "1"],
    (0x0020, 0x9311) => [:DimensionOrganizationType, "CS", "1"],
    (0x0020, 0x9312) => [:VolumeFrameOfReferenceUID, "UI", "1"],
    (0x0020, 0x9313) => [:TableFrameOfReferenceUID, "UI", "1"],
    (0x0020, 0x9421) => [:DimensionDescriptionLabel, "LO", "1"],
    (0x0020, 0x9450) => [:PatientOrientationInFrameSequence, "SQ", "1"],
    (0x0020, 0x9453) => [:FrameLabel, "LO", "1"],
    (0x0020, 0x9518) => [:AcquisitionIndex, "US", "1-n"],
    (0x0020, 0x9529) => [:ContributingSOPInstancesReferenceSequence, "SQ", "1"],
    (0x0020, 0x9536) => [:ReconstructionIndex, "US", "1"],
    (0x0022, 0x0001) => [:LightPathFilterPassThroughWavelength, "US", "1"],
    (0x0022, 0x0002) => [:LightPathFilterPassBand, "US", "2"],
    (0x0022, 0x0003) => [:ImagePathFilterPassThroughWavelength, "US", "1"],
    (0x0022, 0x0004) => [:ImagePathFilterPassBand, "US", "2"],
    (0x0022, 0x0005) => [:PatientEyeMovementCommanded, "CS", "1"],
    (0x0022, 0x0006) => [:PatientEyeMovementCommandCodeSequence, "SQ", "1"],
    (0x0022, 0x0007) => [:SphericalLensPower, "FL", "1"],
    (0x0022, 0x0008) => [:CylinderLensPower, "FL", "1"],
    (0x0022, 0x0009) => [:CylinderAxis, "FL", "1"],
    (0x0022, 0x000a) => [:EmmetropicMagnification, "FL", "1"],
    (0x0022, 0x000b) => [:IntraOcularPressure, "FL", "1"],
    (0x0022, 0x000c) => [:HorizontalFieldOfView, "FL", "1"],
    (0x0022, 0x000d) => [:PupilDilated, "CS", "1"],
    (0x0022, 0x000e) => [:DegreeOfDilation, "FL", "1"],
    (0x0022, 0x0010) => [:StereoBaselineAngle, "FL", "1"],
    (0x0022, 0x0011) => [:StereoBaselineDisplacement, "FL", "1"],
    (0x0022, 0x0012) => [:StereoHorizontalPixelOffset, "FL", "1"],
    (0x0022, 0x0013) => [:StereoVerticalPixelOffset, "FL", "1"],
    (0x0022, 0x0014) => [:StereoRotation, "FL", "1"],
    (0x0022, 0x0015) => [:AcquisitionDeviceTypeCodeSequence, "SQ", "1"],
    (0x0022, 0x0016) => [:IlluminationTypeCodeSequence, "SQ", "1"],
    (0x0022, 0x0017) => [:LightPathFilterTypeStackCodeSequence, "SQ", "1"],
    (0x0022, 0x0018) => [:ImagePathFilterTypeStackCodeSequence, "SQ", "1"],
    (0x0022, 0x0019) => [:LensesCodeSequence, "SQ", "1"],
    (0x0022, 0x001a) => [:ChannelDescriptionCodeSequence, "SQ", "1"],
    (0x0022, 0x001b) => [:RefractiveStateSequence, "SQ", "1"],
    (0x0022, 0x001c) => [:MydriaticAgentCodeSequence, "SQ", "1"],
    (0x0022, 0x001d) => [:RelativeImagePositionCodeSequence, "SQ", "1"],
    (0x0022, 0x001e) => [:CameraAngleOfView, "FL", "1"],
    (0x0022, 0x0020) => [:StereoPairsSequence, "SQ", "1"],
    (0x0022, 0x0021) => [:LeftImageSequence, "SQ", "1"],
    (0x0022, 0x0022) => [:RightImageSequence, "SQ", "1"],
    (0x0022, 0x0028) => [:StereoPairsPresent, "CS", "1"],
    (0x0022, 0x0030) => [:AxialLengthOfTheEye, "FL", "1"],
    (0x0022, 0x0031) => [:OphthalmicFrameLocationSequence, "SQ", "1"],
    (0x0022, 0x0032) => [:ReferenceCoordinates, "FL", "2-2n"],
    (0x0022, 0x0035) => [:DepthSpatialResolution, "FL", "1"],
    (0x0022, 0x0036) => [:MaximumDepthDistortion, "FL", "1"],
    (0x0022, 0x0037) => [:AlongScanSpatialResolution, "FL", "1"],
    (0x0022, 0x0038) => [:MaximumAlongScanDistortion, "FL", "1"],
    (0x0022, 0x0039) => [:OphthalmicImageOrientation, "CS", "1"],
    (0x0022, 0x0041) => [:DepthOfTransverseImage, "FL", "1"],
    (0x0022, 0x0042) => [:MydriaticAgentConcentrationUnitsSequence, "SQ", "1"],
    (0x0022, 0x0048) => [:AcrossScanSpatialResolution, "FL", "1"],
    (0x0022, 0x0049) => [:MaximumAcrossScanDistortion, "FL", "1"],
    (0x0022, 0x004e) => [:MydriaticAgentConcentration, "DS", "1"],
    (0x0022, 0x0055) => [:IlluminationWaveLength, "FL", "1"],
    (0x0022, 0x0056) => [:IlluminationPower, "FL", "1"],
    (0x0022, 0x0057) => [:IlluminationBandwidth, "FL", "1"],
    (0x0022, 0x0058) => [:MydriaticAgentSequence, "SQ", "1"],
    (0x0022, 0x1007) => [:OphthalmicAxialMeasurementsRightEyeSequence, "SQ", "1"],
    (0x0022, 0x1008) => [:OphthalmicAxialMeasurementsLeftEyeSequence, "SQ", "1"],
    (0x0022, 0x1009) => [:OphthalmicAxialMeasurementsDeviceType, "CS", "1"],
    (0x0022, 0x1010) => [:OphthalmicAxialLengthMeasurementsType, "CS", "1"],
    (0x0022, 0x1012) => [:OphthalmicAxialLengthSequence, "SQ", "1"],
    (0x0022, 0x1019) => [:OphthalmicAxialLength, "FL", "1"],
    (0x0022, 0x1024) => [:LensStatusCodeSequence, "SQ", "1"],
    (0x0022, 0x1025) => [:VitreousStatusCodeSequence, "SQ", "1"],
    (0x0022, 0x1028) => [:IOLFormulaCodeSequence, "SQ", "1"],
    (0x0022, 0x1029) => [:IOLFormulaDetail, "LO", "1"],
    (0x0022, 0x1033) => [:KeratometerIndex, "FL", "1"],
    (0x0022, 0x1035) => [:SourceOfOphthalmicAxialLengthCodeSequence, "SQ", "1"],
    (0x0022, 0x1036) => [:SourceOfCornealSizeDataCodeSequence, "SQ", "1"],
    (0x0022, 0x1037) => [:TargetRefraction, "FL", "1"],
    (0x0022, 0x1039) => [:RefractiveProcedureOccurred, "CS", "1"],
    (0x0022, 0x1040) => [:RefractiveSurgeryTypeCodeSequence, "SQ", "1"],
    (0x0022, 0x1044) => [:OphthalmicUltrasoundMethodCodeSequence, "SQ", "1"],
    (0x0022, 0x1045) => [:SurgicallyInducedAstigmatismSequence, "SQ", "1"],
    (0x0022, 0x1046) => [:TypeOfOpticalCorrection, "CS", "1"],
    (0x0022, 0x1047) => [:ToricIOLPowerSequence, "SQ", "1"],
    (0x0022, 0x1048) => [:PredictedToricErrorSequence, "SQ", "1"],
    (0x0022, 0x1049) => [:PreSelectedForImplantation, "CS", "1"],
    (0x0022, 0x104a) => [:ToricIOLPowerForExactEmmetropiaSequence, "SQ", "1"],
    (0x0022, 0x104b) => [:ToricIOLPowerForExactTargetRefractionSequence, "SQ", "1"],
    (0x0022, 0x1050) => [:OphthalmicAxialLengthMeasurementsSequence, "SQ", "1"],
    (0x0022, 0x1053) => [:IOLPower, "FL", "1"],
    (0x0022, 0x1054) => [:PredictedRefractiveError, "FL", "1"],
    (0x0022, 0x1059) => [:OphthalmicAxialLengthVelocity, "FL", "1"],
    (0x0022, 0x1065) => [:LensStatusDescription, "LO", "1"],
    (0x0022, 0x1066) => [:VitreousStatusDescription, "LO", "1"],
    (0x0022, 0x1090) => [:IOLPowerSequence, "SQ", "1"],
    (0x0022, 0x1092) => [:LensConstantSequence, "SQ", "1"],
    (0x0022, 0x1093) => [:IOLManufacturer, "LO", "1"],
    (0x0022, 0x1094) => [:LensConstantDescription, "LO", "1"],
    (0x0022, 0x1095) => [:ImplantName, "LO", "1"],
    (0x0022, 0x1096) => [:KeratometryMeasurementTypeCodeSequence, "SQ", "1"],
    (0x0022, 0x1097) => [:ImplantPartNumber, "LO", "1"],
    (0x0022, 0x1100) => [:ReferencedOphthalmicAxialMeasurementsSequence, "SQ", "1"],
    (0x0022, 0x1101) =>
        [:OphthalmicAxialLengthMeasurementsSegmentNameCodeSequence, "SQ", "1"],
    (0x0022, 0x1103) =>
        [:RefractiveErrorBeforeRefractiveSurgeryCodeSequence, "SQ", "1"],
    (0x0022, 0x1121) => [:IOLPowerForExactEmmetropia, "FL", "1"],
    (0x0022, 0x1122) => [:IOLPowerForExactTargetRefraction, "FL", "1"],
    (0x0022, 0x1125) => [:AnteriorChamberDepthDefinitionCodeSequence, "SQ", "1"],
    (0x0022, 0x1127) => [:LensThicknessSequence, "SQ", "1"],
    (0x0022, 0x1128) => [:AnteriorChamberDepthSequence, "SQ", "1"],
    (0x0022, 0x112a) => [:CalculationCommentSequence, "SQ", "1"],
    (0x0022, 0x112b) => [:CalculationCommentType, "CS", "1"],
    (0x0022, 0x112c) => [:CalculationComment, "LT", "1"],
    (0x0022, 0x1130) => [:LensThickness, "FL", "1"],
    (0x0022, 0x1131) => [:AnteriorChamberDepth, "FL", "1"],
    (0x0022, 0x1132) => [:SourceOfLensThicknessDataCodeSequence, "SQ", "1"],
    (0x0022, 0x1133) => [:SourceOfAnteriorChamberDepthDataCodeSequence, "SQ", "1"],
    (0x0022, 0x1134) => [:SourceOfRefractiveMeasurementsSequence, "SQ", "1"],
    (0x0022, 0x1135) => [:SourceOfRefractiveMeasurementsCodeSequence, "SQ", "1"],
    (0x0022, 0x1140) => [:OphthalmicAxialLengthMeasurementModified, "CS", "1"],
    (0x0022, 0x1150) => [:OphthalmicAxialLengthDataSourceCodeSequence, "SQ", "1"],
    (0x0022, 0x1153) =>
        [:OphthalmicAxialLengthAcquisitionMethodCodeSequence, "SQ", "1"],
    (0x0022, 0x1155) => [:SignalToNoiseRatio, "FL", "1"],
    (0x0022, 0x1159) => [:OphthalmicAxialLengthDataSourceDescription, "LO", "1"],
    (0x0022, 0x1210) =>
        [:OphthalmicAxialLengthMeasurementsTotalLengthSequence, "SQ", "1"],
    (0x0022, 0x1211) =>
        [:OphthalmicAxialLengthMeasurementsSegmentalLengthSequence, "SQ", "1"],
    (0x0022, 0x1212) =>
        [:OphthalmicAxialLengthMeasurementsLengthSummationSequence, "SQ", "1"],
    (0x0022, 0x1220) =>
        [:UltrasoundOphthalmicAxialLengthMeasurementsSequence, "SQ", "1"],
    (0x0022, 0x1225) => [:OpticalOphthalmicAxialLengthMeasurementsSequence, "SQ", "1"],
    (0x0022, 0x1230) => [:UltrasoundSelectedOphthalmicAxialLengthSequence, "SQ", "1"],
    (0x0022, 0x1250) => [:OphthalmicAxialLengthSelectionMethodCodeSequence, "SQ", "1"],
    (0x0022, 0x1255) => [:OpticalSelectedOphthalmicAxialLengthSequence, "SQ", "1"],
    (0x0022, 0x1257) => [:SelectedSegmentalOphthalmicAxialLengthSequence, "SQ", "1"],
    (0x0022, 0x1260) => [:SelectedTotalOphthalmicAxialLengthSequence, "SQ", "1"],
    (0x0022, 0x1262) => [:OphthalmicAxialLengthQualityMetricSequence, "SQ", "1"],
    (0x0022, 0x1265) =>
        [:OphthalmicAxialLengthQualityMetricTypeCodeSequence, "SQ", "1"],
    (0x0022, 0x1273) => [:OphthalmicAxialLengthQualityMetricTypeDescription, "LO", "1"],
    (0x0022, 0x1300) => [:IntraocularLensCalculationsRightEyeSequence, "SQ", "1"],
    (0x0022, 0x1310) => [:IntraocularLensCalculationsLeftEyeSequence, "SQ", "1"],
    (0x0022, 0x1330) =>
        [:ReferencedOphthalmicAxialLengthMeasurementQCImageSequence, "SQ", "1"],
    (0x0022, 0x1415) => [:OphthalmicMappingDeviceType, "CS", "1"],
    (0x0022, 0x1420) => [:AcquisitionMethodCodeSequence, "SQ", "1"],
    (0x0022, 0x1423) => [:AcquisitionMethodAlgorithmSequence, "SQ", "1"],
    (0x0022, 0x1436) => [:OphthalmicThicknessMapTypeCodeSequence, "SQ", "1"],
    (0x0022, 0x1443) => [:OphthalmicThicknessMappingNormalsSequence, "SQ", "1"],
    (0x0022, 0x1445) => [:RetinalThicknessDefinitionCodeSequence, "SQ", "1"],
    (0x0022, 0x1450) => [:PixelValueMappingToCodedConceptSequence, "SQ", "1"],
    (0x0022, 0x1452) => [:MappedPixelValue, "US or SS", "1"],
    (0x0022, 0x1454) => [:PixelValueMappingExplanation, "LO", "1"],
    (0x0022, 0x1458) => [:OphthalmicThicknessMapQualityThresholdSequence, "SQ", "1"],
    (0x0022, 0x1460) => [:OphthalmicThicknessMapThresholdQualityRating, "FL", "1"],
    (0x0022, 0x1463) => [:AnatomicStructureReferencePoint, "FL", "2"],
    (0x0022, 0x1465) => [:RegistrationToLocalizerSequence, "SQ", "1"],
    (0x0022, 0x1466) => [:RegisteredLocalizerUnits, "CS", "1"],
    (0x0022, 0x1467) => [:RegisteredLocalizerTopLeftHandCorner, "FL", "2"],
    (0x0022, 0x1468) => [:RegisteredLocalizerBottomRightHandCorner, "FL", "2"],
    (0x0022, 0x1470) => [:OphthalmicThicknessMapQualityRatingSequence, "SQ", "1"],
    (0x0022, 0x1472) => [:RelevantOPTAttributesSequence, "SQ", "1"],
    (0x0022, 0x1512) => [:TransformationMethodCodeSequence, "SQ", "1"],
    (0x0022, 0x1513) => [:TransformationAlgorithmSequence, "SQ", "1"],
    (0x0022, 0x1515) => [:OphthalmicAxialLengthMethod, "CS", "1"],
    (0x0022, 0x1517) => [:OphthalmicFOV, "FL", "1"],
    (0x0022, 0x1518) => [:TwoDimensionalToThreeDimensionalMapSequence, "SQ", "1"],
    (0x0022, 0x1525) =>
        [:WideFieldOphthalmicPhotographyQualityRatingSequence, "SQ", "1"],
    (0x0022, 0x1526) =>
        [:WideFieldOphthalmicPhotographyQualityThresholdSequence, "SQ", "1"],
    (0x0022, 0x1527) =>
        [:WideFieldOphthalmicPhotographyThresholdQualityRating, "FL", "1"],
    (0x0022, 0x1528) => [:XCoordinatesCenterPixelViewAngle, "FL", "1"],
    (0x0022, 0x1529) => [:YCoordinatesCenterPixelViewAngle, "FL", "1"],
    (0x0022, 0x1530) => [:NumberOfMapPoints, "UL", "1"],
    (0x0022, 0x1531) => [:TwoDimensionalToThreeDimensionalMapData, "OF", "1"],
    (0x0022, 0x1612) => [:DerivationAlgorithmSequence, "SQ", "1"],
    (0x0022, 0x1615) => [:OphthalmicImageTypeCodeSequence, "SQ", "1"],
    (0x0022, 0x1616) => [:OphthalmicImageTypeDescription, "LO", "1"],
    (0x0022, 0x1618) => [:ScanPatternTypeCodeSequence, "SQ", "1"],
    (0x0022, 0x1620) => [:ReferencedSurfaceMeshIdentificationSequence, "SQ", "1"],
    (0x0022, 0x1622) => [:OphthalmicVolumetricPropertiesFlag, "CS", "1"],
    (0x0022, 0x1624) => [:OphthalmicAnatomicReferencePointXCoordinate, "FL", "1"],
    (0x0022, 0x1626) => [:OphthalmicAnatomicReferencePointYCoordinate, "FL", "1"],
    (0x0022, 0x1628) => [:OphthalmicEnFaceImageQualityRatingSequence, "SQ", "1"],
    (0x0022, 0x1630) => [:QualityThreshold, "DS", "1"],
    (0x0022, 0x1640) => [:OCTBscanAnalysisAcquisitionParametersSequence, "SQ", "1"],
    (0x0022, 0x1642) => [:NumberofBscansPerFrame, "UL", "1"],
    (0x0022, 0x1643) => [:BscanSlabThickness, "FL", "1"],
    (0x0022, 0x1644) => [:DistanceBetweenBscanSlabs, "FL", "1"],
    (0x0022, 0x1645) => [:BscanCycleTime, "FL", "1"],
    (0x0022, 0x1646) => [:BscanCycleTimeVector, "FL", "1-n"],
    (0x0022, 0x1649) => [:AscanRate, "FL", "1"],
    (0x0022, 0x1650) => [:BscanRate, "FL", "1"],
    (0x0022, 0x1658) => [:SurfaceMeshZPixelOffset, "UL", "1"],
    (0x0024, 0x0010) => [:VisualFieldHorizontalExtent, "FL", "1"],
    (0x0024, 0x0011) => [:VisualFieldVerticalExtent, "FL", "1"],
    (0x0024, 0x0012) => [:VisualFieldShape, "CS", "1"],
    (0x0024, 0x0016) => [:ScreeningTestModeCodeSequence, "SQ", "1"],
    (0x0024, 0x0018) => [:MaximumStimulusLuminance, "FL", "1"],
    (0x0024, 0x0020) => [:BackgroundLuminance, "FL", "1"],
    (0x0024, 0x0021) => [:StimulusColorCodeSequence, "SQ", "1"],
    (0x0024, 0x0024) => [:BackgroundIlluminationColorCodeSequence, "SQ", "1"],
    (0x0024, 0x0025) => [:StimulusArea, "FL", "1"],
    (0x0024, 0x0028) => [:StimulusPresentationTime, "FL", "1"],
    (0x0024, 0x0032) => [:FixationSequence, "SQ", "1"],
    (0x0024, 0x0033) => [:FixationMonitoringCodeSequence, "SQ", "1"],
    (0x0024, 0x0034) => [:VisualFieldCatchTrialSequence, "SQ", "1"],
    (0x0024, 0x0035) => [:FixationCheckedQuantity, "US", "1"],
    (0x0024, 0x0036) => [:PatientNotProperlyFixatedQuantity, "US", "1"],
    (0x0024, 0x0037) => [:PresentedVisualStimuliDataFlag, "CS", "1"],
    (0x0024, 0x0038) => [:NumberOfVisualStimuli, "US", "1"],
    (0x0024, 0x0039) => [:ExcessiveFixationLossesDataFlag, "CS", "1"],
    (0x0024, 0x0040) => [:ExcessiveFixationLosses, "CS", "1"],
    (0x0024, 0x0042) => [:StimuliRetestingQuantity, "US", "1"],
    (0x0024, 0x0044) => [:CommentsOnPatientPerformanceOfVisualField, "LT", "1"],
    (0x0024, 0x0045) => [:FalseNegativesEstimateFlag, "CS", "1"],
    (0x0024, 0x0046) => [:FalseNegativesEstimate, "FL", "1"],
    (0x0024, 0x0048) => [:NegativeCatchTrialsQuantity, "US", "1"],
    (0x0024, 0x0050) => [:FalseNegativesQuantity, "US", "1"],
    (0x0024, 0x0051) => [:ExcessiveFalseNegativesDataFlag, "CS", "1"],
    (0x0024, 0x0052) => [:ExcessiveFalseNegatives, "CS", "1"],
    (0x0024, 0x0053) => [:FalsePositivesEstimateFlag, "CS", "1"],
    (0x0024, 0x0054) => [:FalsePositivesEstimate, "FL", "1"],
    (0x0024, 0x0055) => [:CatchTrialsDataFlag, "CS", "1"],
    (0x0024, 0x0056) => [:PositiveCatchTrialsQuantity, "US", "1"],
    (0x0024, 0x0057) => [:TestPointNormalsDataFlag, "CS", "1"],
    (0x0024, 0x0058) => [:TestPointNormalsSequence, "SQ", "1"],
    (0x0024, 0x0059) => [:GlobalDeviationProbabilityNormalsFlag, "CS", "1"],
    (0x0024, 0x0060) => [:FalsePositivesQuantity, "US", "1"],
    (0x0024, 0x0061) => [:ExcessiveFalsePositivesDataFlag, "CS", "1"],
    (0x0024, 0x0062) => [:ExcessiveFalsePositives, "CS", "1"],
    (0x0024, 0x0063) => [:VisualFieldTestNormalsFlag, "CS", "1"],
    (0x0024, 0x0064) => [:ResultsNormalsSequence, "SQ", "1"],
    (0x0024, 0x0065) => [:AgeCorrectedSensitivityDeviationAlgorithmSequence, "SQ", "1"],
    (0x0024, 0x0066) => [:GlobalDeviationFromNormal, "FL", "1"],
    (0x0024, 0x0067) =>
        [:GeneralizedDefectSensitivityDeviationAlgorithmSequence, "SQ", "1"],
    (0x0024, 0x0068) => [:LocalizedDeviationFromNormal, "FL", "1"],
    (0x0024, 0x0069) => [:PatientReliabilityIndicator, "LO", "1"],
    (0x0024, 0x0070) => [:VisualFieldMeanSensitivity, "FL", "1"],
    (0x0024, 0x0071) => [:GlobalDeviationProbability, "FL", "1"],
    (0x0024, 0x0072) => [:LocalDeviationProbabilityNormalsFlag, "CS", "1"],
    (0x0024, 0x0073) => [:LocalizedDeviationProbability, "FL", "1"],
    (0x0024, 0x0074) => [:ShortTermFluctuationCalculated, "CS", "1"],
    (0x0024, 0x0075) => [:ShortTermFluctuation, "FL", "1"],
    (0x0024, 0x0076) => [:ShortTermFluctuationProbabilityCalculated, "CS", "1"],
    (0x0024, 0x0077) => [:ShortTermFluctuationProbability, "FL", "1"],
    (0x0024, 0x0078) => [:CorrectedLocalizedDeviationFromNormalCalculated, "CS", "1"],
    (0x0024, 0x0079) => [:CorrectedLocalizedDeviationFromNormal, "FL", "1"],
    (0x0024, 0x0080) =>
        [:CorrectedLocalizedDeviationFromNormalProbabilityCalculated, "CS", "1"],
    (0x0024, 0x0081) => [:CorrectedLocalizedDeviationFromNormalProbability, "FL", "1"],
    (0x0024, 0x0083) => [:GlobalDeviationProbabilitySequence, "SQ", "1"],
    (0x0024, 0x0085) => [:LocalizedDeviationProbabilitySequence, "SQ", "1"],
    (0x0024, 0x0086) => [:FovealSensitivityMeasured, "CS", "1"],
    (0x0024, 0x0087) => [:FovealSensitivity, "FL", "1"],
    (0x0024, 0x0088) => [:VisualFieldTestDuration, "FL", "1"],
    (0x0024, 0x0089) => [:VisualFieldTestPointSequence, "SQ", "1"],
    (0x0024, 0x0090) => [:VisualFieldTestPointXCoordinate, "FL", "1"],
    (0x0024, 0x0091) => [:VisualFieldTestPointYCoordinate, "FL", "1"],
    (0x0024, 0x0092) => [:AgeCorrectedSensitivityDeviationValue, "FL", "1"],
    (0x0024, 0x0093) => [:StimulusResults, "CS", "1"],
    (0x0024, 0x0094) => [:SensitivityValue, "FL", "1"],
    (0x0024, 0x0095) => [:RetestStimulusSeen, "CS", "1"],
    (0x0024, 0x0096) => [:RetestSensitivityValue, "FL", "1"],
    (0x0024, 0x0097) => [:VisualFieldTestPointNormalsSequence, "SQ", "1"],
    (0x0024, 0x0098) => [:QuantifiedDefect, "FL", "1"],
    (0x0024, 0x0100) => [:AgeCorrectedSensitivityDeviationProbabilityValue, "FL", "1"],
    (0x0024, 0x0102) =>
        [:GeneralizedDefectCorrectedSensitivityDeviationFlag, "CS", "1"],
    (0x0024, 0x0103) =>
        [:GeneralizedDefectCorrectedSensitivityDeviationValue, "FL", "1"],
    (0x0024, 0x0104) =>
        [:GeneralizedDefectCorrectedSensitivityDeviationProbabilityValue, "FL", "1"],
    (0x0024, 0x0105) => [:MinimumSensitivityValue, "FL", "1"],
    (0x0024, 0x0106) => [:BlindSpotLocalized, "CS", "1"],
    (0x0024, 0x0107) => [:BlindSpotXCoordinate, "FL", "1"],
    (0x0024, 0x0108) => [:BlindSpotYCoordinate, "FL", "1"],
    (0x0024, 0x0110) => [:VisualAcuityMeasurementSequence, "SQ", "1"],
    (0x0024, 0x0112) => [:RefractiveParametersUsedOnPatientSequence, "SQ", "1"],
    (0x0024, 0x0113) => [:MeasurementLaterality, "CS", "1"],
    (0x0024, 0x0114) =>
        [:OphthalmicPatientClinicalInformationLeftEyeSequence, "SQ", "1"],
    (0x0024, 0x0115) =>
        [:OphthalmicPatientClinicalInformationRightEyeSequence, "SQ", "1"],
    (0x0024, 0x0117) => [:FovealPointNormativeDataFlag, "CS", "1"],
    (0x0024, 0x0118) => [:FovealPointProbabilityValue, "FL", "1"],
    (0x0024, 0x0120) => [:ScreeningBaselineMeasured, "CS", "1"],
    (0x0024, 0x0122) => [:ScreeningBaselineMeasuredSequence, "SQ", "1"],
    (0x0024, 0x0124) => [:ScreeningBaselineType, "CS", "1"],
    (0x0024, 0x0126) => [:ScreeningBaselineValue, "FL", "1"],
    (0x0024, 0x0202) => [:AlgorithmSource, "LO", "1"],
    (0x0024, 0x0306) => [:DataSetName, "LO", "1"],
    (0x0024, 0x0307) => [:DataSetVersion, "LO", "1"],
    (0x0024, 0x0308) => [:DataSetSource, "LO", "1"],
    (0x0024, 0x0309) => [:DataSetDescription, "LO", "1"],
    (0x0024, 0x0317) => [:VisualFieldTestReliabilityGlobalIndexSequence, "SQ", "1"],
    (0x0024, 0x0320) => [:VisualFieldGlobalResultsIndexSequence, "SQ", "1"],
    (0x0024, 0x0325) => [:DataObservationSequence, "SQ", "1"],
    (0x0024, 0x0338) => [:IndexNormalsFlag, "CS", "1"],
    (0x0024, 0x0341) => [:IndexProbability, "FL", "1"],
    (0x0024, 0x0344) => [:IndexProbabilitySequence, "SQ", "1"],
    (0x0028, 0x0002) => [:SamplesPerPixel, "US", "1"],
    (0x0028, 0x0003) => [:SamplesPerPixelUsed, "US", "1"],
    (0x0028, 0x0004) => [:PhotometricInterpretation, "CS", "1"],
    (0x0028, 0x0005) => [:ImageDimensions, "US", "1"],
    (0x0028, 0x0006) => [:PlanarConfiguration, "US", "1"],
    (0x0028, 0x0008) => [:NumberOfFrames, "IS", "1"],
    (0x0028, 0x0009) => [:FrameIncrementPointer, "AT", "1-n"],
    (0x0028, 0x000a) => [:FrameDimensionPointer, "AT", "1-n"],
    (0x0028, 0x0010) => [:Rows, "US", "1"],
    (0x0028, 0x0011) => [:Columns, "US", "1"],
    (0x0028, 0x0012) => [:Planes, "US", "1"],
    (0x0028, 0x0014) => [:UltrasoundColorDataPresent, "US", "1"],
    (0x0028, 0x0030) => [:PixelSpacing, "DS", "2"],
    (0x0028, 0x0031) => [:ZoomFactor, "DS", "2"],
    (0x0028, 0x0032) => [:ZoomCenter, "DS", "2"],
    (0x0028, 0x0034) => [:PixelAspectRatio, "IS", "2"],
    (0x0028, 0x0040) => [:ImageFormat, "CS", "1"],
    (0x0028, 0x0050) => [:ManipulatedImage, "LO", "1-n"],
    (0x0028, 0x0051) => [:CorrectedImage, "CS", "1-n"],
    (0x0028, 0x005f) => [:CompressionRecognitionCode, "LO", "1"],
    (0x0028, 0x0060) => [:CompressionCode, "CS", "1"],
    (0x0028, 0x0061) => [:CompressionOriginator, "SH", "1"],
    (0x0028, 0x0062) => [:CompressionLabel, "LO", "1"],
    (0x0028, 0x0063) => [:CompressionDescription, "SH", "1"],
    (0x0028, 0x0065) => [:CompressionSequence, "CS", "1-n"],
    (0x0028, 0x0066) => [:CompressionStepPointers, "AT", "1-n"],
    (0x0028, 0x0068) => [:RepeatInterval, "US", "1"],
    (0x0028, 0x0069) => [:BitsGrouped, "US", "1"],
    (0x0028, 0x0070) => [:PerimeterTable, "US", "1-n"],
    (0x0028, 0x0071) => [:PerimeterValue, "US or SS", "1"],
    (0x0028, 0x0080) => [:PredictorRows, "US", "1"],
    (0x0028, 0x0081) => [:PredictorColumns, "US", "1"],
    (0x0028, 0x0082) => [:PredictorConstants, "US", "1-n"],
    (0x0028, 0x0090) => [:BlockedPixels, "CS", "1"],
    (0x0028, 0x0091) => [:BlockRows, "US", "1"],
    (0x0028, 0x0092) => [:BlockColumns, "US", "1"],
    (0x0028, 0x0093) => [:RowOverlap, "US", "1"],
    (0x0028, 0x0094) => [:ColumnOverlap, "US", "1"],
    (0x0028, 0x0100) => [:BitsAllocated, "US", "1"],
    (0x0028, 0x0101) => [:BitsStored, "US", "1"],
    (0x0028, 0x0102) => [:HighBit, "US", "1"],
    (0x0028, 0x0103) => [:PixelRepresentation, "US", "1"],
    (0x0028, 0x0104) => [:SmallestValidPixelValue, "US or SS", "1"],
    (0x0028, 0x0105) => [:LargestValidPixelValue, "US or SS", "1"],
    (0x0028, 0x0106) => [:SmallestImagePixelValue, "US or SS", "1"],
    (0x0028, 0x0107) => [:LargestImagePixelValue, "US or SS", "1"],
    (0x0028, 0x0108) => [:SmallestPixelValueInSeries, "US or SS", "1"],
    (0x0028, 0x0109) => [:LargestPixelValueInSeries, "US or SS", "1"],
    (0x0028, 0x0110) => [:SmallestImagePixelValueInPlane, "US or SS", "1"],
    (0x0028, 0x0111) => [:LargestImagePixelValueInPlane, "US or SS", "1"],
    (0x0028, 0x0120) => [:PixelPaddingValue, "US or SS", "1"],
    (0x0028, 0x0121) => [:PixelPaddingRangeLimit, "US or SS", "1"],
    (0x0028, 0x0122) => [:FloatPixelPaddingValue, "FL", "1"],
    (0x0028, 0x0123) => [:DoubleFloatPixelPaddingValue, "FD", "1"],
    (0x0028, 0x0124) => [:FloatPixelPaddingRangeLimit, "FL", "1"],
    (0x0028, 0x0125) => [:DoubleFloatPixelPaddingRangeLimit, "FD", "1"],
    (0x0028, 0x0200) => [:ImageLocation, "US", "1"],
    (0x0028, 0x0300) => [:QualityControlImage, "CS", "1"],
    (0x0028, 0x0301) => [:BurnedInAnnotation, "CS", "1"],
    (0x0028, 0x0302) => [:RecognizableVisualFeatures, "CS", "1"],
    (0x0028, 0x0303) => [:LongitudinalTemporalInformationModified, "CS", "1"],
    (0x0028, 0x0304) => [:ReferencedColorPaletteInstanceUID, "UI", "1"],
    (0x0028, 0x0400) => [:TransformLabel, "LO", "1"],
    (0x0028, 0x0401) => [:TransformVersionNumber, "LO", "1"],
    (0x0028, 0x0402) => [:NumberOfTransformSteps, "US", "1"],
    (0x0028, 0x0403) => [:SequenceOfCompressedData, "LO", "1-n"],
    (0x0028, 0x0404) => [:DetailsOfCoefficients, "AT", "1-n"],
    (0x0028, 0x0700) => [:DCTLabel, "LO", "1"],
    (0x0028, 0x0701) => [:DataBlockDescription, "CS", "1-n"],
    (0x0028, 0x0702) => [:DataBlock, "AT", "1-n"],
    (0x0028, 0x0710) => [:NormalizationFactorFormat, "US", "1"],
    (0x0028, 0x0720) => [:ZonalMapNumberFormat, "US", "1"],
    (0x0028, 0x0721) => [:ZonalMapLocation, "AT", "1-n"],
    (0x0028, 0x0722) => [:ZonalMapFormat, "US", "1"],
    (0x0028, 0x0730) => [:AdaptiveMapFormat, "US", "1"],
    (0x0028, 0x0740) => [:CodeNumberFormat, "US", "1"],
    (0x0028, 0x0a02) => [:PixelSpacingCalibrationType, "CS", "1"],
    (0x0028, 0x0a04) => [:PixelSpacingCalibrationDescription, "LO", "1"],
    (0x0028, 0x1040) => [:PixelIntensityRelationship, "CS", "1"],
    (0x0028, 0x1041) => [:PixelIntensityRelationshipSign, "SS", "1"],
    (0x0028, 0x1050) => [:WindowCenter, "DS", "1-n"],
    (0x0028, 0x1051) => [:WindowWidth, "DS", "1-n"],
    (0x0028, 0x1052) => [:RescaleIntercept, "DS", "1"],
    (0x0028, 0x1053) => [:RescaleSlope, "DS", "1"],
    (0x0028, 0x1054) => [:RescaleType, "LO", "1"],
    (0x0028, 0x1055) => [:WindowCenterWidthExplanation, "LO", "1-n"],
    (0x0028, 0x1056) => [:VOILUTFunction, "CS", "1"],
    (0x0028, 0x1080) => [:GrayScale, "CS", "1"],
    (0x0028, 0x1090) => [:RecommendedViewingMode, "CS", "1"],
    (0x0028, 0x1100) => [:GrayLookupTableDescriptor, "US or SS", "3"],
    (0x0028, 0x1101) => [:RedPaletteColorLookupTableDescriptor, "US or SS", "3"],
    (0x0028, 0x1102) => [:GreenPaletteColorLookupTableDescriptor, "US or SS", "3"],
    (0x0028, 0x1103) => [:BluePaletteColorLookupTableDescriptor, "US or SS", "3"],
    (0x0028, 0x1104) => [:AlphaPaletteColorLookupTableDescriptor, "US", "3"],
    (0x0028, 0x1111) => [:LargeRedPaletteColorLookupTableDescriptor, "US or SS", "4"],
    (0x0028, 0x1112) => [:LargeGreenPaletteColorLookupTableDescriptor, "US or SS", "4"],
    (0x0028, 0x1113) => [:LargeBluePaletteColorLookupTableDescriptor, "US or SS", "4"],
    (0x0028, 0x1199) => [:PaletteColorLookupTableUID, "UI", "1"],
    (0x0028, 0x1200) => [:GrayLookupTableData, "US or SS or OW", "1-n or 1"],
    (0x0028, 0x1201) => [:RedPaletteColorLookupTableData, "OW", "1"],
    (0x0028, 0x1202) => [:GreenPaletteColorLookupTableData, "OW", "1"],
    (0x0028, 0x1203) => [:BluePaletteColorLookupTableData, "OW", "1"],
    (0x0028, 0x1204) => [:AlphaPaletteColorLookupTableData, "OW", "1"],
    (0x0028, 0x1211) => [:LargeRedPaletteColorLookupTableData, "OW", "1"],
    (0x0028, 0x1212) => [:LargeGreenPaletteColorLookupTableData, "OW", "1"],
    (0x0028, 0x1213) => [:LargeBluePaletteColorLookupTableData, "OW", "1"],
    (0x0028, 0x1214) => [:LargePaletteColorLookupTableUID, "UI", "1"],
    (0x0028, 0x1221) => [:SegmentedRedPaletteColorLookupTableData, "OW", "1"],
    (0x0028, 0x1222) => [:SegmentedGreenPaletteColorLookupTableData, "OW", "1"],
    (0x0028, 0x1223) => [:SegmentedBluePaletteColorLookupTableData, "OW", "1"],
    (0x0028, 0x1224) => [:SegmentedAlphaPaletteColorLookupTableData, "OW", "1"],
    (0x0028, 0x1230) => [:StoredValueColorRangeSequence, "SQ", "1"],
    (0x0028, 0x1231) => [:MinimumStoredValueMapped, "FD", "1"],
    (0x0028, 0x1232) => [:MaximumStoredValueMapped, "FD", "1"],
    (0x0028, 0x1300) => [:BreastImplantPresent, "CS", "1"],
    (0x0028, 0x1350) => [:PartialView, "CS", "1"],
    (0x0028, 0x1351) => [:PartialViewDescription, "ST", "1"],
    (0x0028, 0x1352) => [:PartialViewCodeSequence, "SQ", "1"],
    (0x0028, 0x135a) => [:SpatialLocationsPreserved, "CS", "1"],
    (0x0028, 0x1401) => [:DataFrameAssignmentSequence, "SQ", "1"],
    (0x0028, 0x1402) => [:DataPathAssignment, "CS", "1"],
    (0x0028, 0x1403) => [:BitsMappedToColorLookupTable, "US", "1"],
    (0x0028, 0x1404) => [:BlendingLUT1Sequence, "SQ", "1"],
    (0x0028, 0x1405) => [:BlendingLUT1TransferFunction, "CS", "1"],
    (0x0028, 0x1406) => [:BlendingWeightConstant, "FD", "1"],
    (0x0028, 0x1407) => [:BlendingLookupTableDescriptor, "US", "3"],
    (0x0028, 0x1408) => [:BlendingLookupTableData, "OW", "1"],
    (0x0028, 0x140b) => [:EnhancedPaletteColorLookupTableSequence, "SQ", "1"],
    (0x0028, 0x140c) => [:BlendingLUT2Sequence, "SQ", "1"],
    (0x0028, 0x140d) => [:BlendingLUT2TransferFunction, "CS", "1"],
    (0x0028, 0x140e) => [:DataPathID, "CS", "1"],
    (0x0028, 0x140f) => [:RGBLUTTransferFunction, "CS", "1"],
    (0x0028, 0x1410) => [:AlphaLUTTransferFunction, "CS", "1"],
    (0x0028, 0x2000) => [:ICCProfile, "OB", "1"],
    (0x0028, 0x2002) => [:ColorSpace, "CS", "1"],
    (0x0028, 0x2110) => [:LossyImageCompression, "CS", "1"],
    (0x0028, 0x2112) => [:LossyImageCompressionRatio, "DS", "1-n"],
    (0x0028, 0x2114) => [:LossyImageCompressionMethod, "CS", "1-n"],
    (0x0028, 0x3000) => [:ModalityLUTSequence, "SQ", "1"],
    (0x0028, 0x3002) => [:LUTDescriptor, "US or SS", "3"],
    (0x0028, 0x3003) => [:LUTExplanation, "LO", "1"],
    (0x0028, 0x3004) => [:ModalityLUTType, "LO", "1"],
    (0x0028, 0x3006) => [:LUTData, "US or OW", "1-n or 1"],
    (0x0028, 0x3010) => [:VOILUTSequence, "SQ", "1"],
    (0x0028, 0x3110) => [:SoftcopyVOILUTSequence, "SQ", "1"],
    (0x0028, 0x4000) => [:ImagePresentationComments, "LT", "1"],
    (0x0028, 0x5000) => [:BiPlaneAcquisitionSequence, "SQ", "1"],
    (0x0028, 0x6010) => [:RepresentativeFrameNumber, "US", "1"],
    (0x0028, 0x6020) => [:FrameNumbersOfInterest, "US", "1-n"],
    (0x0028, 0x6022) => [:FrameOfInterestDescription, "LO", "1-n"],
    (0x0028, 0x6023) => [:FrameOfInterestType, "CS", "1-n"],
    (0x0028, 0x6030) => [:MaskPointers, "US", "1-n"],
    (0x0028, 0x6040) => [:RWavePointer, "US", "1-n"],
    (0x0028, 0x6100) => [:MaskSubtractionSequence, "SQ", "1"],
    (0x0028, 0x6101) => [:MaskOperation, "CS", "1"],
    (0x0028, 0x6102) => [:ApplicableFrameRange, "US", "2-2n"],
    (0x0028, 0x6110) => [:MaskFrameNumbers, "US", "1-n"],
    (0x0028, 0x6112) => [:ContrastFrameAveraging, "US", "1"],
    (0x0028, 0x6114) => [:MaskSubPixelShift, "FL", "2"],
    (0x0028, 0x6120) => [:TIDOffset, "SS", "1"],
    (0x0028, 0x6190) => [:MaskOperationExplanation, "ST", "1"],
    (0x0028, 0x7000) => [:EquipmentAdministratorSequence, "SQ", "1"],
    (0x0028, 0x7001) => [:NumberOfDisplaySubsystems, "US", "1"],
    (0x0028, 0x7002) => [:CurrentConfigurationID, "US", "1"],
    (0x0028, 0x7003) => [:DisplaySubsystemID, "US", "1"],
    (0x0028, 0x7004) => [:DisplaySubsystemName, "SH", "1"],
    (0x0028, 0x7005) => [:DisplaySubsystemDescription, "LO", "1"],
    (0x0028, 0x7006) => [:SystemStatus, "CS", "1"],
    (0x0028, 0x7007) => [:SystemStatusComment, "LO", "1"],
    (0x0028, 0x7008) => [:TargetLuminanceCharacteristicsSequence, "SQ", "1"],
    (0x0028, 0x7009) => [:LuminanceCharacteristicsID, "US", "1"],
    (0x0028, 0x700a) => [:DisplaySubsystemConfigurationSequence, "SQ", "1"],
    (0x0028, 0x700b) => [:ConfigurationID, "US", "1"],
    (0x0028, 0x700c) => [:ConfigurationName, "SH", "1"],
    (0x0028, 0x700d) => [:ConfigurationDescription, "LO", "1"],
    (0x0028, 0x700e) => [:ReferencedTargetLuminanceCharacteristicsID, "US", "1"],
    (0x0028, 0x700f) => [:QAResultsSequence, "SQ", "1"],
    (0x0028, 0x7010) => [:DisplaySubsystemQAResultsSequence, "SQ", "1"],
    (0x0028, 0x7011) => [:ConfigurationQAResultsSequence, "SQ", "1"],
    (0x0028, 0x7012) => [:MeasurementEquipmentSequence, "SQ", "1"],
    (0x0028, 0x7013) => [:MeasurementFunctions, "CS", "1-n"],
    (0x0028, 0x7014) => [:MeasurementEquipmentType, "CS", "1"],
    (0x0028, 0x7015) => [:VisualEvaluationResultSequence, "SQ", "1"],
    (0x0028, 0x7016) => [:DisplayCalibrationResultSequence, "SQ", "1"],
    (0x0028, 0x7017) => [:DDLValue, "US", "1"],
    (0x0028, 0x7018) => [:CIExyWhitePoint, "FL", "2"],
    (0x0028, 0x7019) => [:DisplayFunctionType, "CS", "1"],
    (0x0028, 0x701a) => [:GammaValue, "FL", "1"],
    (0x0028, 0x701b) => [:NumberOfLuminancePoints, "US", "1"],
    (0x0028, 0x701c) => [:LuminanceResponseSequence, "SQ", "1"],
    (0x0028, 0x701d) => [:TargetMinimumLuminance, "FL", "1"],
    (0x0028, 0x701e) => [:TargetMaximumLuminance, "FL", "1"],
    (0x0028, 0x701f) => [:LuminanceValue, "FL", "1"],
    (0x0028, 0x7020) => [:LuminanceResponseDescription, "LO", "1"],
    (0x0028, 0x7021) => [:WhitePointFlag, "CS", "1"],
    (0x0028, 0x7022) => [:DisplayDeviceTypeCodeSequence, "SQ", "1"],
    (0x0028, 0x7023) => [:DisplaySubsystemSequence, "SQ", "1"],
    (0x0028, 0x7024) => [:LuminanceResultSequence, "SQ", "1"],
    (0x0028, 0x7025) => [:AmbientLightValueSource, "CS", "1"],
    (0x0028, 0x7026) => [:MeasuredCharacteristics, "CS", "1-n"],
    (0x0028, 0x7027) => [:LuminanceUniformityResultSequence, "SQ", "1"],
    (0x0028, 0x7028) => [:VisualEvaluationTestSequence, "SQ", "1"],
    (0x0028, 0x7029) => [:TestResult, "CS", "1"],
    (0x0028, 0x702a) => [:TestResultComment, "LO", "1"],
    (0x0028, 0x702b) => [:TestImageValidation, "CS", "1"],
    (0x0028, 0x702c) => [:TestPatternCodeSequence, "SQ", "1"],
    (0x0028, 0x702d) => [:MeasurementPatternCodeSequence, "SQ", "1"],
    (0x0028, 0x702e) => [:VisualEvaluationMethodCodeSequence, "SQ", "1"],
    (0x0028, 0x7fe0) => [:PixelDataProviderURL, "UR", "1"],
    (0x0028, 0x9001) => [:DataPointRows, "UL", "1"],
    (0x0028, 0x9002) => [:DataPointColumns, "UL", "1"],
    (0x0028, 0x9003) => [:SignalDomainColumns, "CS", "1"],
    (0x0028, 0x9099) => [:LargestMonochromePixelValue, "US", "1"],
    (0x0028, 0x9108) => [:DataRepresentation, "CS", "1"],
    (0x0028, 0x9110) => [:PixelMeasuresSequence, "SQ", "1"],
    (0x0028, 0x9132) => [:FrameVOILUTSequence, "SQ", "1"],
    (0x0028, 0x9145) => [:PixelValueTransformationSequence, "SQ", "1"],
    (0x0028, 0x9235) => [:SignalDomainRows, "CS", "1"],
    (0x0028, 0x9411) => [:DisplayFilterPercentage, "FL", "1"],
    (0x0028, 0x9415) => [:FramePixelShiftSequence, "SQ", "1"],
    (0x0028, 0x9416) => [:SubtractionItemID, "US", "1"],
    (0x0028, 0x9422) => [:PixelIntensityRelationshipLUTSequence, "SQ", "1"],
    (0x0028, 0x9443) => [:FramePixelDataPropertiesSequence, "SQ", "1"],
    (0x0028, 0x9444) => [:GeometricalProperties, "CS", "1"],
    (0x0028, 0x9445) => [:GeometricMaximumDistortion, "FL", "1"],
    (0x0028, 0x9446) => [:ImageProcessingApplied, "CS", "1-n"],
    (0x0028, 0x9454) => [:MaskSelectionMode, "CS", "1"],
    (0x0028, 0x9474) => [:LUTFunction, "CS", "1"],
    (0x0028, 0x9478) => [:MaskVisibilityPercentage, "FL", "1"],
    (0x0028, 0x9501) => [:PixelShiftSequence, "SQ", "1"],
    (0x0028, 0x9502) => [:RegionPixelShiftSequence, "SQ", "1"],
    (0x0028, 0x9503) => [:VerticesOfTheRegion, "SS", "2-2n"],
    (0x0028, 0x9505) => [:MultiFramePresentationSequence, "SQ", "1"],
    (0x0028, 0x9506) => [:PixelShiftFrameRange, "US", "2-2n"],
    (0x0028, 0x9507) => [:LUTFrameRange, "US", "2-2n"],
    (0x0028, 0x9520) => [:ImageToEquipmentMappingMatrix, "DS", "16"],
    (0x0028, 0x9537) => [:EquipmentCoordinateSystemIdentification, "CS", "1"],
    (0x0032, 0x000a) => [:StudyStatusID, "CS", "1"],
    (0x0032, 0x000c) => [:StudyPriorityID, "CS", "1"],
    (0x0032, 0x0012) => [:StudyIDIssuer, "LO", "1"],
    (0x0032, 0x0032) => [:StudyVerifiedDate, "DA", "1"],
    (0x0032, 0x0033) => [:StudyVerifiedTime, "TM", "1"],
    (0x0032, 0x0034) => [:StudyReadDate, "DA", "1"],
    (0x0032, 0x0035) => [:StudyReadTime, "TM", "1"],
    (0x0032, 0x1000) => [:ScheduledStudyStartDate, "DA", "1"],
    (0x0032, 0x1001) => [:ScheduledStudyStartTime, "TM", "1"],
    (0x0032, 0x1010) => [:ScheduledStudyStopDate, "DA", "1"],
    (0x0032, 0x1011) => [:ScheduledStudyStopTime, "TM", "1"],
    (0x0032, 0x1020) => [:ScheduledStudyLocation, "LO", "1"],
    (0x0032, 0x1021) => [:ScheduledStudyLocationAETitle, "AE", "1-n"],
    (0x0032, 0x1030) => [:ReasonForStudy, "LO", "1"],
    (0x0032, 0x1031) => [:RequestingPhysicianIdentificationSequence, "SQ", "1"],
    (0x0032, 0x1032) => [:RequestingPhysician, "PN", "1"],
    (0x0032, 0x1033) => [:RequestingService, "LO", "1"],
    (0x0032, 0x1034) => [:RequestingServiceCodeSequence, "SQ", "1"],
    (0x0032, 0x1040) => [:StudyArrivalDate, "DA", "1"],
    (0x0032, 0x1041) => [:StudyArrivalTime, "TM", "1"],
    (0x0032, 0x1050) => [:StudyCompletionDate, "DA", "1"],
    (0x0032, 0x1051) => [:StudyCompletionTime, "TM", "1"],
    (0x0032, 0x1055) => [:StudyComponentStatusID, "CS", "1"],
    (0x0032, 0x1060) => [:RequestedProcedureDescription, "LO", "1"],
    (0x0032, 0x1064) => [:RequestedProcedureCodeSequence, "SQ", "1"],
    (0x0032, 0x1066) => [:ReasonForVisit, "UT", "1"],
    (0x0032, 0x1067) => [:ReasonForVisitCodeSequence, "SQ", "1"],
    (0x0032, 0x1070) => [:RequestedContrastAgent, "LO", "1"],
    (0x0032, 0x4000) => [:StudyComments, "LT", "1"],
    (0x0034, 0x0001) => [:FlowIdentifierSequence, "SQ", "1"],
    (0x0034, 0x0002) => [:FlowIdentifier, "OB", "1"],
    (0x0034, 0x0003) => [:FlowTransferSyntaxUID, "UI", "1"],
    (0x0034, 0x0004) => [:FlowRTPSamplingRate, "UL", "1"],
    (0x0034, 0x0005) => [:SourceIdentifier, "OB", "1"],
    (0x0034, 0x0007) => [:FrameOriginTimestamp, "OB", "1"],
    (0x0034, 0x0008) => [:IncludesImagingSubject, "CS", "1"],
    (0x0034, 0x0009) => [:FrameUsefulnessGroupSequence, "SQ", "1"],
    (0x0034, 0x000a) => [:RealTimeBulkDataFlowSequence, "SQ", "1"],
    (0x0034, 0x000b) => [:CameraPositionGroupSequence, "SQ", "1"],
    (0x0034, 0x000c) => [:IncludesInformation, "CS", "1"],
    (0x0034, 0x000d) => [:TimeOfFrameGroupSequence, "SQ", "1"],
    (0x0038, 0x0004) => [:ReferencedPatientAliasSequence, "SQ", "1"],
    (0x0038, 0x0008) => [:VisitStatusID, "CS", "1"],
    (0x0038, 0x0010) => [:AdmissionID, "LO", "1"],
    (0x0038, 0x0011) => [:IssuerOfAdmissionID, "LO", "1"],
    (0x0038, 0x0014) => [:IssuerOfAdmissionIDSequence, "SQ", "1"],
    (0x0038, 0x0016) => [:RouteOfAdmissions, "LO", "1"],
    (0x0038, 0x001a) => [:ScheduledAdmissionDate, "DA", "1"],
    (0x0038, 0x001b) => [:ScheduledAdmissionTime, "TM", "1"],
    (0x0038, 0x001c) => [:ScheduledDischargeDate, "DA", "1"],
    (0x0038, 0x001d) => [:ScheduledDischargeTime, "TM", "1"],
    (0x0038, 0x001e) => [:ScheduledPatientInstitutionResidence, "LO", "1"],
    (0x0038, 0x0020) => [:AdmittingDate, "DA", "1"],
    (0x0038, 0x0021) => [:AdmittingTime, "TM", "1"],
    (0x0038, 0x0030) => [:DischargeDate, "DA", "1"],
    (0x0038, 0x0032) => [:DischargeTime, "TM", "1"],
    (0x0038, 0x0040) => [:DischargeDiagnosisDescription, "LO", "1"],
    (0x0038, 0x0044) => [:DischargeDiagnosisCodeSequence, "SQ", "1"],
    (0x0038, 0x0050) => [:SpecialNeeds, "LO", "1"],
    (0x0038, 0x0060) => [:ServiceEpisodeID, "LO", "1"],
    (0x0038, 0x0061) => [:IssuerOfServiceEpisodeID, "LO", "1"],
    (0x0038, 0x0062) => [:ServiceEpisodeDescription, "LO", "1"],
    (0x0038, 0x0064) => [:IssuerOfServiceEpisodeIDSequence, "SQ", "1"],
    (0x0038, 0x0100) => [:PertinentDocumentsSequence, "SQ", "1"],
    (0x0038, 0x0101) => [:PertinentResourcesSequence, "SQ", "1"],
    (0x0038, 0x0102) => [:ResourceDescription, "LO", "1"],
    (0x0038, 0x0300) => [:CurrentPatientLocation, "LO", "1"],
    (0x0038, 0x0400) => [:PatientInstitutionResidence, "LO", "1"],
    (0x0038, 0x0500) => [:PatientState, "LO", "1"],
    (0x0038, 0x0502) => [:PatientClinicalTrialParticipationSequence, "SQ", "1"],
    (0x0038, 0x4000) => [:VisitComments, "LT", "1"],
    (0x003a, 0x0004) => [:WaveformOriginality, "CS", "1"],
    (0x003a, 0x0005) => [:NumberOfWaveformChannels, "US", "1"],
    (0x003a, 0x0010) => [:NumberOfWaveformSamples, "UL", "1"],
    (0x003a, 0x001a) => [:SamplingFrequency, "DS", "1"],
    (0x003a, 0x0020) => [:MultiplexGroupLabel, "SH", "1"],
    (0x003a, 0x0200) => [:ChannelDefinitionSequence, "SQ", "1"],
    (0x003a, 0x0202) => [:WaveformChannelNumber, "IS", "1"],
    (0x003a, 0x0203) => [:ChannelLabel, "SH", "1"],
    (0x003a, 0x0205) => [:ChannelStatus, "CS", "1-n"],
    (0x003a, 0x0208) => [:ChannelSourceSequence, "SQ", "1"],
    (0x003a, 0x0209) => [:ChannelSourceModifiersSequence, "SQ", "1"],
    (0x003a, 0x020a) => [:SourceWaveformSequence, "SQ", "1"],
    (0x003a, 0x020c) => [:ChannelDerivationDescription, "LO", "1"],
    (0x003a, 0x0210) => [:ChannelSensitivity, "DS", "1"],
    (0x003a, 0x0211) => [:ChannelSensitivityUnitsSequence, "SQ", "1"],
    (0x003a, 0x0212) => [:ChannelSensitivityCorrectionFactor, "DS", "1"],
    (0x003a, 0x0213) => [:ChannelBaseline, "DS", "1"],
    (0x003a, 0x0214) => [:ChannelTimeSkew, "DS", "1"],
    (0x003a, 0x0215) => [:ChannelSampleSkew, "DS", "1"],
    (0x003a, 0x0218) => [:ChannelOffset, "DS", "1"],
    (0x003a, 0x021a) => [:WaveformBitsStored, "US", "1"],
    (0x003a, 0x0220) => [:FilterLowFrequency, "DS", "1"],
    (0x003a, 0x0221) => [:FilterHighFrequency, "DS", "1"],
    (0x003a, 0x0222) => [:NotchFilterFrequency, "DS", "1"],
    (0x003a, 0x0223) => [:NotchFilterBandwidth, "DS", "1"],
    (0x003a, 0x0230) => [:WaveformDataDisplayScale, "FL", "1"],
    (0x003a, 0x0231) => [:WaveformDisplayBackgroundCIELabValue, "US", "3"],
    (0x003a, 0x0240) => [:WaveformPresentationGroupSequence, "SQ", "1"],
    (0x003a, 0x0241) => [:PresentationGroupNumber, "US", "1"],
    (0x003a, 0x0242) => [:ChannelDisplaySequence, "SQ", "1"],
    (0x003a, 0x0244) => [:ChannelRecommendedDisplayCIELabValue, "US", "3"],
    (0x003a, 0x0245) => [:ChannelPosition, "FL", "1"],
    (0x003a, 0x0246) => [:DisplayShadingFlag, "CS", "1"],
    (0x003a, 0x0247) => [:FractionalChannelDisplayScale, "FL", "1"],
    (0x003a, 0x0248) => [:AbsoluteChannelDisplayScale, "FL", "1"],
    (0x003a, 0x0300) => [:MultiplexedAudioChannelsDescriptionCodeSequence, "SQ", "1"],
    (0x003a, 0x0301) => [:ChannelIdentificationCode, "IS", "1"],
    (0x003a, 0x0302) => [:ChannelMode, "CS", "1"],
    (0x003a, 0x0310) => [:MultiplexGroupUID, "UI", "1"],
    (0x003a, 0x0311) => [:PowerlineFrequency, "DS", "1"],
    (0x003a, 0x0312) => [:ChannelImpedanceSequence, "SQ", "1"],
    (0x003a, 0x0313) => [:ImpedanceValue, "DS", "1"],
    (0x003a, 0x0314) => [:ImpedanceMeasurementDateTime, "DT", "1"],
    (0x003a, 0x0315) => [:ImpedanceMeasurementFrequency, "DS", "1"],
    (0x003a, 0x0316) => [:ImpedanceMeasurementCurrentType, "CS", "1"],
    (0x0040, 0x0001) => [:ScheduledStationAETitle, "AE", "1-n"],
    (0x0040, 0x0002) => [:ScheduledProcedureStepStartDate, "DA", "1"],
    (0x0040, 0x0003) => [:ScheduledProcedureStepStartTime, "TM", "1"],
    (0x0040, 0x0004) => [:ScheduledProcedureStepEndDate, "DA", "1"],
    (0x0040, 0x0005) => [:ScheduledProcedureStepEndTime, "TM", "1"],
    (0x0040, 0x0006) => [:ScheduledPerformingPhysicianName, "PN", "1"],
    (0x0040, 0x0007) => [:ScheduledProcedureStepDescription, "LO", "1"],
    (0x0040, 0x0008) => [:ScheduledProtocolCodeSequence, "SQ", "1"],
    (0x0040, 0x0009) => [:ScheduledProcedureStepID, "SH", "1"],
    (0x0040, 0x000a) => [:StageCodeSequence, "SQ", "1"],
    (0x0040, 0x000b) =>
        [:ScheduledPerformingPhysicianIdentificationSequence, "SQ", "1"],
    (0x0040, 0x0010) => [:ScheduledStationName, "SH", "1-n"],
    (0x0040, 0x0011) => [:ScheduledProcedureStepLocation, "SH", "1"],
    (0x0040, 0x0012) => [:PreMedication, "LO", "1"],
    (0x0040, 0x0020) => [:ScheduledProcedureStepStatus, "CS", "1"],
    (0x0040, 0x0026) => [:OrderPlacerIdentifierSequence, "SQ", "1"],
    (0x0040, 0x0027) => [:OrderFillerIdentifierSequence, "SQ", "1"],
    (0x0040, 0x0031) => [:LocalNamespaceEntityID, "UT", "1"],
    (0x0040, 0x0032) => [:UniversalEntityID, "UT", "1"],
    (0x0040, 0x0033) => [:UniversalEntityIDType, "CS", "1"],
    (0x0040, 0x0035) => [:IdentifierTypeCode, "CS", "1"],
    (0x0040, 0x0036) => [:AssigningFacilitySequence, "SQ", "1"],
    (0x0040, 0x0039) => [:AssigningJurisdictionCodeSequence, "SQ", "1"],
    (0x0040, 0x003a) => [:AssigningAgencyOrDepartmentCodeSequence, "SQ", "1"],
    (0x0040, 0x0100) => [:ScheduledProcedureStepSequence, "SQ", "1"],
    (0x0040, 0x0220) => [:ReferencedNonImageCompositeSOPInstanceSequence, "SQ", "1"],
    (0x0040, 0x0241) => [:PerformedStationAETitle, "AE", "1"],
    (0x0040, 0x0242) => [:PerformedStationName, "SH", "1"],
    (0x0040, 0x0243) => [:PerformedLocation, "SH", "1"],
    (0x0040, 0x0244) => [:PerformedProcedureStepStartDate, "DA", "1"],
    (0x0040, 0x0245) => [:PerformedProcedureStepStartTime, "TM", "1"],
    (0x0040, 0x0250) => [:PerformedProcedureStepEndDate, "DA", "1"],
    (0x0040, 0x0251) => [:PerformedProcedureStepEndTime, "TM", "1"],
    (0x0040, 0x0252) => [:PerformedProcedureStepStatus, "CS", "1"],
    (0x0040, 0x0253) => [:PerformedProcedureStepID, "SH", "1"],
    (0x0040, 0x0254) => [:PerformedProcedureStepDescription, "LO", "1"],
    (0x0040, 0x0255) => [:PerformedProcedureTypeDescription, "LO", "1"],
    (0x0040, 0x0260) => [:PerformedProtocolCodeSequence, "SQ", "1"],
    (0x0040, 0x0261) => [:PerformedProtocolType, "CS", "1"],
    (0x0040, 0x0270) => [:ScheduledStepAttributesSequence, "SQ", "1"],
    (0x0040, 0x0275) => [:RequestAttributesSequence, "SQ", "1"],
    (0x0040, 0x0280) => [:CommentsOnThePerformedProcedureStep, "ST", "1"],
    (0x0040, 0x0281) =>
        [:PerformedProcedureStepDiscontinuationReasonCodeSequence, "SQ", "1"],
    (0x0040, 0x0293) => [:QuantitySequence, "SQ", "1"],
    (0x0040, 0x0294) => [:Quantity, "DS", "1"],
    (0x0040, 0x0295) => [:MeasuringUnitsSequence, "SQ", "1"],
    (0x0040, 0x0296) => [:BillingItemSequence, "SQ", "1"],
    (0x0040, 0x0300) => [:TotalTimeOfFluoroscopy, "US", "1"],
    (0x0040, 0x0301) => [:TotalNumberOfExposures, "US", "1"],
    (0x0040, 0x0302) => [:EntranceDose, "US", "1"],
    (0x0040, 0x0303) => [:ExposedArea, "US", "1-2"],
    (0x0040, 0x0306) => [:DistanceSourceToEntrance, "DS", "1"],
    (0x0040, 0x0307) => [:DistanceSourceToSupport, "DS", "1"],
    (0x0040, 0x030e) => [:ExposureDoseSequence, "SQ", "1"],
    (0x0040, 0x0310) => [:CommentsOnRadiationDose, "ST", "1"],
    (0x0040, 0x0312) => [:XRayOutput, "DS", "1"],
    (0x0040, 0x0314) => [:HalfValueLayer, "DS", "1"],
    (0x0040, 0x0316) => [:OrganDose, "DS", "1"],
    (0x0040, 0x0318) => [:OrganExposed, "CS", "1"],
    (0x0040, 0x0320) => [:BillingProcedureStepSequence, "SQ", "1"],
    (0x0040, 0x0321) => [:FilmConsumptionSequence, "SQ", "1"],
    (0x0040, 0x0324) => [:BillingSuppliesAndDevicesSequence, "SQ", "1"],
    (0x0040, 0x0330) => [:ReferencedProcedureStepSequence, "SQ", "1"],
    (0x0040, 0x0340) => [:PerformedSeriesSequence, "SQ", "1"],
    (0x0040, 0x0400) => [:CommentsOnTheScheduledProcedureStep, "LT", "1"],
    (0x0040, 0x0440) => [:ProtocolContextSequence, "SQ", "1"],
    (0x0040, 0x0441) => [:ContentItemModifierSequence, "SQ", "1"],
    (0x0040, 0x0500) => [:ScheduledSpecimenSequence, "SQ", "1"],
    (0x0040, 0x050a) => [:SpecimenAccessionNumber, "LO", "1"],
    (0x0040, 0x0512) => [:ContainerIdentifier, "LO", "1"],
    (0x0040, 0x0513) => [:IssuerOfTheContainerIdentifierSequence, "SQ", "1"],
    (0x0040, 0x0515) => [:AlternateContainerIdentifierSequence, "SQ", "1"],
    (0x0040, 0x0518) => [:ContainerTypeCodeSequence, "SQ", "1"],
    (0x0040, 0x051a) => [:ContainerDescription, "LO", "1"],
    (0x0040, 0x0520) => [:ContainerComponentSequence, "SQ", "1"],
    (0x0040, 0x0550) => [:SpecimenSequence, "SQ", "1"],
    (0x0040, 0x0551) => [:SpecimenIdentifier, "LO", "1"],
    (0x0040, 0x0552) => [:SpecimenDescriptionSequenceTrial, "SQ", "1"],
    (0x0040, 0x0553) => [:SpecimenDescriptionTrial, "ST", "1"],
    (0x0040, 0x0554) => [:SpecimenUID, "UI", "1"],
    (0x0040, 0x0555) => [:AcquisitionContextSequence, "SQ", "1"],
    (0x0040, 0x0556) => [:AcquisitionContextDescription, "ST", "1"],
    (0x0040, 0x059a) => [:SpecimenTypeCodeSequence, "SQ", "1"],
    (0x0040, 0x0560) => [:SpecimenDescriptionSequence, "SQ", "1"],
    (0x0040, 0x0562) => [:IssuerOfTheSpecimenIdentifierSequence, "SQ", "1"],
    (0x0040, 0x0600) => [:SpecimenShortDescription, "LO", "1"],
    (0x0040, 0x0602) => [:SpecimenDetailedDescription, "UT", "1"],
    (0x0040, 0x0610) => [:SpecimenPreparationSequence, "SQ", "1"],
    (0x0040, 0x0612) => [:SpecimenPreparationStepContentItemSequence, "SQ", "1"],
    (0x0040, 0x0620) => [:SpecimenLocalizationContentItemSequence, "SQ", "1"],
    (0x0040, 0x06fa) => [:SlideIdentifier, "LO", "1"],
    (0x0040, 0x0710) => [:WholeSlideMicroscopyImageFrameTypeSequence, "SQ", "1"],
    (0x0040, 0x071a) => [:ImageCenterPointCoordinatesSequence, "SQ", "1"],
    (0x0040, 0x072a) => [:XOffsetInSlideCoordinateSystem, "DS", "1"],
    (0x0040, 0x073a) => [:YOffsetInSlideCoordinateSystem, "DS", "1"],
    (0x0040, 0x074a) => [:ZOffsetInSlideCoordinateSystem, "DS", "1"],
    (0x0040, 0x08d8) => [:PixelSpacingSequence, "SQ", "1"],
    (0x0040, 0x08da) => [:CoordinateSystemAxisCodeSequence, "SQ", "1"],
    (0x0040, 0x08ea) => [:MeasurementUnitsCodeSequence, "SQ", "1"],
    (0x0040, 0x09f8) => [:VitalStainCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0x1001) => [:RequestedProcedureID, "SH", "1"],
    (0x0040, 0x1002) => [:ReasonForTheRequestedProcedure, "LO", "1"],
    (0x0040, 0x1003) => [:RequestedProcedurePriority, "SH", "1"],
    (0x0040, 0x1004) => [:PatientTransportArrangements, "LO", "1"],
    (0x0040, 0x1005) => [:RequestedProcedureLocation, "LO", "1"],
    (0x0040, 0x1006) => [:PlacerOrderNumberProcedure, "SH", "1"],
    (0x0040, 0x1007) => [:FillerOrderNumberProcedure, "SH", "1"],
    (0x0040, 0x1008) => [:ConfidentialityCode, "LO", "1"],
    (0x0040, 0x1009) => [:ReportingPriority, "SH", "1"],
    (0x0040, 0x100a) => [:ReasonForRequestedProcedureCodeSequence, "SQ", "1"],
    (0x0040, 0x1010) => [:NamesOfIntendedRecipientsOfResults, "PN", "1-n"],
    (0x0040, 0x1011) => [:IntendedRecipientsOfResultsIdentificationSequence, "SQ", "1"],
    (0x0040, 0x1012) => [:ReasonForPerformedProcedureCodeSequence, "SQ", "1"],
    (0x0040, 0x1060) => [:RequestedProcedureDescriptionTrial, "LO", "1"],
    (0x0040, 0x1101) => [:PersonIdentificationCodeSequence, "SQ", "1"],
    (0x0040, 0x1102) => [:PersonAddress, "ST", "1"],
    (0x0040, 0x1103) => [:PersonTelephoneNumbers, "LO", "1-n"],
    (0x0040, 0x1104) => [:PersonTelecomInformation, "LT", "1"],
    (0x0040, 0x1400) => [:RequestedProcedureComments, "LT", "1"],
    (0x0040, 0x2001) => [:ReasonForTheImagingServiceRequest, "LO", "1"],
    (0x0040, 0x2004) => [:IssueDateOfImagingServiceRequest, "DA", "1"],
    (0x0040, 0x2005) => [:IssueTimeOfImagingServiceRequest, "TM", "1"],
    (0x0040, 0x2006) => [:PlacerOrderNumberImagingServiceRequestRetired, "SH", "1"],
    (0x0040, 0x2007) => [:FillerOrderNumberImagingServiceRequestRetired, "SH", "1"],
    (0x0040, 0x2008) => [:OrderEnteredBy, "PN", "1"],
    (0x0040, 0x2009) => [:OrderEntererLocation, "SH", "1"],
    (0x0040, 0x2010) => [:OrderCallbackPhoneNumber, "SH", "1"],
    (0x0040, 0x2011) => [:OrderCallbackTelecomInformation, "LT", "1"],
    (0x0040, 0x2016) => [:PlacerOrderNumberImagingServiceRequest, "LO", "1"],
    (0x0040, 0x2017) => [:FillerOrderNumberImagingServiceRequest, "LO", "1"],
    (0x0040, 0x2400) => [:ImagingServiceRequestComments, "LT", "1"],
    (0x0040, 0x3001) => [:ConfidentialityConstraintOnPatientDataDescription, "LO", "1"],
    (0x0040, 0x4001) => [:GeneralPurposeScheduledProcedureStepStatus, "CS", "1"],
    (0x0040, 0x4002) => [:GeneralPurposePerformedProcedureStepStatus, "CS", "1"],
    (0x0040, 0x4003) => [:GeneralPurposeScheduledProcedureStepPriority, "CS", "1"],
    (0x0040, 0x4004) => [:ScheduledProcessingApplicationsCodeSequence, "SQ", "1"],
    (0x0040, 0x4005) => [:ScheduledProcedureStepStartDateTime, "DT", "1"],
    (0x0040, 0x4006) => [:MultipleCopiesFlag, "CS", "1"],
    (0x0040, 0x4007) => [:PerformedProcessingApplicationsCodeSequence, "SQ", "1"],
    (0x0040, 0x4008) => [:ScheduledProcedureStepExpirationDateTime, "DT", "1"],
    (0x0040, 0x4009) => [:HumanPerformerCodeSequence, "SQ", "1"],
    (0x0040, 0x4010) => [:ScheduledProcedureStepModificationDateTime, "DT", "1"],
    (0x0040, 0x4011) => [:ExpectedCompletionDateTime, "DT", "1"],
    (0x0040, 0x4015) =>
        [:ResultingGeneralPurposePerformedProcedureStepsSequence, "SQ", "1"],
    (0x0040, 0x4016) =>
        [:ReferencedGeneralPurposeScheduledProcedureStepSequence, "SQ", "1"],
    (0x0040, 0x4018) => [:ScheduledWorkitemCodeSequence, "SQ", "1"],
    (0x0040, 0x4019) => [:PerformedWorkitemCodeSequence, "SQ", "1"],
    (0x0040, 0x4020) => [:InputAvailabilityFlag, "CS", "1"],
    (0x0040, 0x4021) => [:InputInformationSequence, "SQ", "1"],
    (0x0040, 0x4022) => [:RelevantInformationSequence, "SQ", "1"],
    (0x0040, 0x4023) =>
        [:ReferencedGeneralPurposeScheduledProcedureStepTransactionUID, "UI", "1"],
    (0x0040, 0x4025) => [:ScheduledStationNameCodeSequence, "SQ", "1"],
    (0x0040, 0x4026) => [:ScheduledStationClassCodeSequence, "SQ", "1"],
    (0x0040, 0x4027) => [:ScheduledStationGeographicLocationCodeSequence, "SQ", "1"],
    (0x0040, 0x4028) => [:PerformedStationNameCodeSequence, "SQ", "1"],
    (0x0040, 0x4029) => [:PerformedStationClassCodeSequence, "SQ", "1"],
    (0x0040, 0x4030) => [:PerformedStationGeographicLocationCodeSequence, "SQ", "1"],
    (0x0040, 0x4031) => [:RequestedSubsequentWorkitemCodeSequence, "SQ", "1"],
    (0x0040, 0x4032) => [:NonDICOMOutputCodeSequence, "SQ", "1"],
    (0x0040, 0x4033) => [:OutputInformationSequence, "SQ", "1"],
    (0x0040, 0x4034) => [:ScheduledHumanPerformersSequence, "SQ", "1"],
    (0x0040, 0x4035) => [:ActualHumanPerformersSequence, "SQ", "1"],
    (0x0040, 0x4036) => [:HumanPerformerOrganization, "LO", "1"],
    (0x0040, 0x4037) => [:HumanPerformerName, "PN", "1"],
    (0x0040, 0x4040) => [:RawDataHandling, "CS", "1"],
    (0x0040, 0x4041) => [:InputReadinessState, "CS", "1"],
    (0x0040, 0x4050) => [:PerformedProcedureStepStartDateTime, "DT", "1"],
    (0x0040, 0x4051) => [:PerformedProcedureStepEndDateTime, "DT", "1"],
    (0x0040, 0x4052) => [:ProcedureStepCancellationDateTime, "DT", "1"],
    (0x0040, 0x4070) => [:OutputDestinationSequence, "SQ", "1"],
    (0x0040, 0x4071) => [:DICOMStorageSequence, "SQ", "1"],
    (0x0040, 0x4072) => [:STOWRSStorageSequence, "SQ", "1"],
    (0x0040, 0x4073) => [:StorageURL, "UR", "1"],
    (0x0040, 0x4074) => [:XDSStorageSequence, "SQ", "1"],
    (0x0040, 0x8302) => [:EntranceDoseInmGy, "DS", "1"],
    (0x0040, 0x8303) => [:EntranceDoseDerivation, "CS", "1"],
    (0x0040, 0x9092) => [:ParametricMapFrameTypeSequence, "SQ", "1"],
    (0x0040, 0x9094) => [:ReferencedImageRealWorldValueMappingSequence, "SQ", "1"],
    (0x0040, 0x9096) => [:RealWorldValueMappingSequence, "SQ", "1"],
    (0x0040, 0x9098) => [:PixelValueMappingCodeSequence, "SQ", "1"],
    (0x0040, 0x9210) => [:LUTLabel, "SH", "1"],
    (0x0040, 0x9211) => [:RealWorldValueLastValueMapped, "US or SS", "1"],
    (0x0040, 0x9212) => [:RealWorldValueLUTData, "FD", "1-n"],
    (0x0040, 0x9213) => [:DoubleFloatRealWorldValueLastValueMapped, "FD", "1"],
    (0x0040, 0x9214) => [:DoubleFloatRealWorldValueFirstValueMapped, "FD", "1"],
    (0x0040, 0x9216) => [:RealWorldValueFirstValueMapped, "US or SS", "1"],
    (0x0040, 0x9220) => [:QuantityDefinitionSequence, "SQ", "1"],
    (0x0040, 0x9224) => [:RealWorldValueIntercept, "FD", "1"],
    (0x0040, 0x9225) => [:RealWorldValueSlope, "FD", "1"],
    (0x0040, 0xa007) => [:FindingsFlagTrial, "CS", "1"],
    (0x0040, 0xa010) => [:RelationshipType, "CS", "1"],
    (0x0040, 0xa020) => [:FindingsSequenceTrial, "SQ", "1"],
    (0x0040, 0xa021) => [:FindingsGroupUIDTrial, "UI", "1"],
    (0x0040, 0xa022) => [:ReferencedFindingsGroupUIDTrial, "UI", "1"],
    (0x0040, 0xa023) => [:FindingsGroupRecordingDateTrial, "DA", "1"],
    (0x0040, 0xa024) => [:FindingsGroupRecordingTimeTrial, "TM", "1"],
    (0x0040, 0xa026) => [:FindingsSourceCategoryCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0xa027) => [:VerifyingOrganization, "LO", "1"],
    (0x0040, 0xa028) =>
        [:DocumentingOrganizationIdentifierCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0xa030) => [:VerificationDateTime, "DT", "1"],
    (0x0040, 0xa032) => [:ObservationDateTime, "DT", "1"],
    (0x0040, 0xa040) => [:ValueType, "CS", "1"],
    (0x0040, 0xa043) => [:ConceptNameCodeSequence, "SQ", "1"],
    (0x0040, 0xa047) => [:MeasurementPrecisionDescriptionTrial, "LO", "1"],
    (0x0040, 0xa050) => [:ContinuityOfContent, "CS", "1"],
    (0x0040, 0xa057) => [:UrgencyOrPriorityAlertsTrial, "CS", "1-n"],
    (0x0040, 0xa060) => [:SequencingIndicatorTrial, "LO", "1"],
    (0x0040, 0xa066) => [:DocumentIdentifierCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0xa067) => [:DocumentAuthorTrial, "PN", "1"],
    (0x0040, 0xa068) => [:DocumentAuthorIdentifierCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0xa070) => [:IdentifierCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0xa073) => [:VerifyingObserverSequence, "SQ", "1"],
    (0x0040, 0xa074) => [:ObjectBinaryIdentifierTrial, "OB", "1"],
    (0x0040, 0xa075) => [:VerifyingObserverName, "PN", "1"],
    (0x0040, 0xa076) => [:DocumentingObserverIdentifierCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0xa078) => [:AuthorObserverSequence, "SQ", "1"],
    (0x0040, 0xa07a) => [:ParticipantSequence, "SQ", "1"],
    (0x0040, 0xa07c) => [:CustodialOrganizationSequence, "SQ", "1"],
    (0x0040, 0xa080) => [:ParticipationType, "CS", "1"],
    (0x0040, 0xa082) => [:ParticipationDateTime, "DT", "1"],
    (0x0040, 0xa084) => [:ObserverType, "CS", "1"],
    (0x0040, 0xa085) => [:ProcedureIdentifierCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0xa088) => [:VerifyingObserverIdentificationCodeSequence, "SQ", "1"],
    (0x0040, 0xa089) => [:ObjectDirectoryBinaryIdentifierTrial, "OB", "1"],
    (0x0040, 0xa090) => [:EquivalentCDADocumentSequence, "SQ", "1"],
    (0x0040, 0xa0b0) => [:ReferencedWaveformChannels, "US", "2-2n"],
    (0x0040, 0xa110) => [:DateOfDocumentOrVerbalTransactionTrial, "DA", "1"],
    (0x0040, 0xa112) => [:TimeOfDocumentCreationOrVerbalTransactionTrial, "TM", "1"],
    (0x0040, 0xa120) => [:DateTime, "DT", "1"],
    (0x0040, 0xa121) => [:Date, "DA", "1"],
    (0x0040, 0xa122) => [:Time, "TM", "1"],
    (0x0040, 0xa123) => [:PersonName, "PN", "1"],
    (0x0040, 0xa124) => [:UID, "UI", "1"],
    (0x0040, 0xa125) => [:ReportStatusIDTrial, "CS", "2"],
    (0x0040, 0xa130) => [:TemporalRangeType, "CS", "1"],
    (0x0040, 0xa132) => [:ReferencedSamplePositions, "UL", "1-n"],
    (0x0040, 0xa136) => [:ReferencedFrameNumbers, "US", "1-n"],
    (0x0040, 0xa138) => [:ReferencedTimeOffsets, "DS", "1-n"],
    (0x0040, 0xa13a) => [:ReferencedDateTime, "DT", "1-n"],
    (0x0040, 0xa160) => [:TextValue, "UT", "1"],
    (0x0040, 0xa161) => [:FloatingPointValue, "FD", "1-n"],
    (0x0040, 0xa162) => [:RationalNumeratorValue, "SL", "1-n"],
    (0x0040, 0xa163) => [:RationalDenominatorValue, "UL", "1-n"],
    (0x0040, 0xa167) => [:ObservationCategoryCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0xa168) => [:ConceptCodeSequence, "SQ", "1"],
    (0x0040, 0xa16a) => [:BibliographicCitationTrial, "ST", "1"],
    (0x0040, 0xa170) => [:PurposeOfReferenceCodeSequence, "SQ", "1"],
    (0x0040, 0xa171) => [:ObservationUID, "UI", "1"],
    (0x0040, 0xa172) => [:ReferencedObservationUIDTrial, "UI", "1"],
    (0x0040, 0xa173) => [:ReferencedObservationClassTrial, "CS", "1"],
    (0x0040, 0xa174) => [:ReferencedObjectObservationClassTrial, "CS", "1"],
    (0x0040, 0xa180) => [:AnnotationGroupNumber, "US", "1"],
    (0x0040, 0xa192) => [:ObservationDateTrial, "DA", "1"],
    (0x0040, 0xa193) => [:ObservationTimeTrial, "TM", "1"],
    (0x0040, 0xa194) => [:MeasurementAutomationTrial, "CS", "1"],
    (0x0040, 0xa195) => [:ModifierCodeSequence, "SQ", "1"],
    (0x0040, 0xa224) => [:IdentificationDescriptionTrial, "ST", "1"],
    (0x0040, 0xa290) => [:CoordinatesSetGeometricTypeTrial, "CS", "1"],
    (0x0040, 0xa296) => [:AlgorithmCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0xa297) => [:AlgorithmDescriptionTrial, "ST", "1"],
    (0x0040, 0xa29a) => [:PixelCoordinatesSetTrial, "SL", "2-2n"],
    (0x0040, 0xa300) => [:MeasuredValueSequence, "SQ", "1"],
    (0x0040, 0xa301) => [:NumericValueQualifierCodeSequence, "SQ", "1"],
    (0x0040, 0xa307) => [:CurrentObserverTrial, "PN", "1"],
    (0x0040, 0xa30a) => [:NumericValue, "DS", "1-n"],
    (0x0040, 0xa313) => [:ReferencedAccessionSequenceTrial, "SQ", "1"],
    (0x0040, 0xa33a) => [:ReportStatusCommentTrial, "ST", "1"],
    (0x0040, 0xa340) => [:ProcedureContextSequenceTrial, "SQ", "1"],
    (0x0040, 0xa352) => [:VerbalSourceTrial, "PN", "1"],
    (0x0040, 0xa353) => [:AddressTrial, "ST", "1"],
    (0x0040, 0xa354) => [:TelephoneNumberTrial, "LO", "1"],
    (0x0040, 0xa358) => [:VerbalSourceIdentifierCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0xa360) => [:PredecessorDocumentsSequence, "SQ", "1"],
    (0x0040, 0xa370) => [:ReferencedRequestSequence, "SQ", "1"],
    (0x0040, 0xa372) => [:PerformedProcedureCodeSequence, "SQ", "1"],
    (0x0040, 0xa375) => [:CurrentRequestedProcedureEvidenceSequence, "SQ", "1"],
    (0x0040, 0xa380) => [:ReportDetailSequenceTrial, "SQ", "1"],
    (0x0040, 0xa385) => [:PertinentOtherEvidenceSequence, "SQ", "1"],
    (0x0040, 0xa390) => [:HL7StructuredDocumentReferenceSequence, "SQ", "1"],
    (0x0040, 0xa402) => [:ObservationSubjectUIDTrial, "UI", "1"],
    (0x0040, 0xa403) => [:ObservationSubjectClassTrial, "CS", "1"],
    (0x0040, 0xa404) => [:ObservationSubjectTypeCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0xa491) => [:CompletionFlag, "CS", "1"],
    (0x0040, 0xa492) => [:CompletionFlagDescription, "LO", "1"],
    (0x0040, 0xa493) => [:VerificationFlag, "CS", "1"],
    (0x0040, 0xa494) => [:ArchiveRequested, "CS", "1"],
    (0x0040, 0xa496) => [:PreliminaryFlag, "CS", "1"],
    (0x0040, 0xa504) => [:ContentTemplateSequence, "SQ", "1"],
    (0x0040, 0xa525) => [:IdenticalDocumentsSequence, "SQ", "1"],
    (0x0040, 0xa600) => [:ObservationSubjectContextFlagTrial, "CS", "1"],
    (0x0040, 0xa601) => [:ObserverContextFlagTrial, "CS", "1"],
    (0x0040, 0xa603) => [:ProcedureContextFlagTrial, "CS", "1"],
    (0x0040, 0xa730) => [:ContentSequence, "SQ", "1"],
    (0x0040, 0xa731) => [:RelationshipSequenceTrial, "SQ", "1"],
    (0x0040, 0xa732) => [:RelationshipTypeCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0xa744) => [:LanguageCodeSequenceTrial, "SQ", "1"],
    (0x0040, 0xa992) => [:UniformResourceLocatorTrial, "ST", "1"],
    (0x0040, 0xb020) => [:WaveformAnnotationSequence, "SQ", "1"],
    (0x0040, 0xdb00) => [:TemplateIdentifier, "CS", "1"],
    (0x0040, 0xdb06) => [:TemplateVersion, "DT", "1"],
    (0x0040, 0xdb07) => [:TemplateLocalVersion, "DT", "1"],
    (0x0040, 0xdb0b) => [:TemplateExtensionFlag, "CS", "1"],
    (0x0040, 0xdb0c) => [:TemplateExtensionOrganizationUID, "UI", "1"],
    (0x0040, 0xdb0d) => [:TemplateExtensionCreatorUID, "UI", "1"],
    (0x0040, 0xdb73) => [:ReferencedContentItemIdentifier, "UL", "1-n"],
    (0x0040, 0xe001) => [:HL7InstanceIdentifier, "ST", "1"],
    (0x0040, 0xe004) => [:HL7DocumentEffectiveTime, "DT", "1"],
    (0x0040, 0xe006) => [:HL7DocumentTypeCodeSequence, "SQ", "1"],
    (0x0040, 0xe008) => [:DocumentClassCodeSequence, "SQ", "1"],
    (0x0040, 0xe010) => [:RetrieveURI, "UR", "1"],
    (0x0040, 0xe011) => [:RetrieveLocationUID, "UI", "1"],
    (0x0040, 0xe020) => [:TypeOfInstances, "CS", "1"],
    (0x0040, 0xe021) => [:DICOMRetrievalSequence, "SQ", "1"],
    (0x0040, 0xe022) => [:DICOMMediaRetrievalSequence, "SQ", "1"],
    (0x0040, 0xe023) => [:WADORetrievalSequence, "SQ", "1"],
    (0x0040, 0xe024) => [:XDSRetrievalSequence, "SQ", "1"],
    (0x0040, 0xe025) => [:WADORSRetrievalSequence, "SQ", "1"],
    (0x0040, 0xe030) => [:RepositoryUniqueID, "UI", "1"],
    (0x0040, 0xe031) => [:HomeCommunityID, "UI", "1"],
    (0x0042, 0x0010) => [:DocumentTitle, "ST", "1"],
    (0x0042, 0x0011) => [:EncapsulatedDocument, "OB", "1"],
    (0x0042, 0x0012) => [:MIMETypeOfEncapsulatedDocument, "LO", "1"],
    (0x0042, 0x0013) => [:SourceInstanceSequence, "SQ", "1"],
    (0x0042, 0x0014) => [:ListOfMIMETypes, "LO", "1-n"],
    (0x0042, 0x0015) => [:EncapsulatedDocumentLength, "UL", "1"],
    (0x0044, 0x0001) => [:ProductPackageIdentifier, "ST", "1"],
    (0x0044, 0x0002) => [:SubstanceAdministrationApproval, "CS", "1"],
    (0x0044, 0x0003) => [:ApprovalStatusFurtherDescription, "LT", "1"],
    (0x0044, 0x0004) => [:ApprovalStatusDateTime, "DT", "1"],
    (0x0044, 0x0007) => [:ProductTypeCodeSequence, "SQ", "1"],
    (0x0044, 0x0008) => [:ProductName, "LO", "1-n"],
    (0x0044, 0x0009) => [:ProductDescription, "LT", "1"],
    (0x0044, 0x000a) => [:ProductLotIdentifier, "LO", "1"],
    (0x0044, 0x000b) => [:ProductExpirationDateTime, "DT", "1"],
    (0x0044, 0x0010) => [:SubstanceAdministrationDateTime, "DT", "1"],
    (0x0044, 0x0011) => [:SubstanceAdministrationNotes, "LO", "1"],
    (0x0044, 0x0012) => [:SubstanceAdministrationDeviceID, "LO", "1"],
    (0x0044, 0x0013) => [:ProductParameterSequence, "SQ", "1"],
    (0x0044, 0x0019) => [:SubstanceAdministrationParameterSequence, "SQ", "1"],
    (0x0044, 0x0100) => [:ApprovalSequence, "SQ", "1"],
    (0x0044, 0x0101) => [:AssertionCodeSequence, "SQ", "1"],
    (0x0044, 0x0102) => [:AssertionUID, "UI", "1"],
    (0x0044, 0x0103) => [:AsserterIdentificationSequence, "SQ", "1"],
    (0x0044, 0x0104) => [:AssertionDateTime, "DT", "1"],
    (0x0044, 0x0105) => [:AssertionExpirationDateTime, "DT", "1"],
    (0x0044, 0x0106) => [:AssertionComments, "UT", "1"],
    (0x0044, 0x0107) => [:RelatedAssertionSequence, "SQ", "1"],
    (0x0044, 0x0108) => [:ReferencedAssertionUID, "UI", "1"],
    (0x0044, 0x0109) => [:ApprovalSubjectSequence, "SQ", "1"],
    (0x0044, 0x010a) => [:OrganizationalRoleCodeSequence, "SQ", "1"],
    (0x0046, 0x0012) => [:LensDescription, "LO", "1"],
    (0x0046, 0x0014) => [:RightLensSequence, "SQ", "1"],
    (0x0046, 0x0015) => [:LeftLensSequence, "SQ", "1"],
    (0x0046, 0x0016) => [:UnspecifiedLateralityLensSequence, "SQ", "1"],
    (0x0046, 0x0018) => [:CylinderSequence, "SQ", "1"],
    (0x0046, 0x0028) => [:PrismSequence, "SQ", "1"],
    (0x0046, 0x0030) => [:HorizontalPrismPower, "FD", "1"],
    (0x0046, 0x0032) => [:HorizontalPrismBase, "CS", "1"],
    (0x0046, 0x0034) => [:VerticalPrismPower, "FD", "1"],
    (0x0046, 0x0036) => [:VerticalPrismBase, "CS", "1"],
    (0x0046, 0x0038) => [:LensSegmentType, "CS", "1"],
    (0x0046, 0x0040) => [:OpticalTransmittance, "FD", "1"],
    (0x0046, 0x0042) => [:ChannelWidth, "FD", "1"],
    (0x0046, 0x0044) => [:PupilSize, "FD", "1"],
    (0x0046, 0x0046) => [:CornealSize, "FD", "1"],
    (0x0046, 0x0047) => [:CornealSizeSequence, "SQ", "1"],
    (0x0046, 0x0050) => [:AutorefractionRightEyeSequence, "SQ", "1"],
    (0x0046, 0x0052) => [:AutorefractionLeftEyeSequence, "SQ", "1"],
    (0x0046, 0x0060) => [:DistancePupillaryDistance, "FD", "1"],
    (0x0046, 0x0062) => [:NearPupillaryDistance, "FD", "1"],
    (0x0046, 0x0063) => [:IntermediatePupillaryDistance, "FD", "1"],
    (0x0046, 0x0064) => [:OtherPupillaryDistance, "FD", "1"],
    (0x0046, 0x0070) => [:KeratometryRightEyeSequence, "SQ", "1"],
    (0x0046, 0x0071) => [:KeratometryLeftEyeSequence, "SQ", "1"],
    (0x0046, 0x0074) => [:SteepKeratometricAxisSequence, "SQ", "1"],
    (0x0046, 0x0075) => [:RadiusOfCurvature, "FD", "1"],
    (0x0046, 0x0076) => [:KeratometricPower, "FD", "1"],
    (0x0046, 0x0077) => [:KeratometricAxis, "FD", "1"],
    (0x0046, 0x0080) => [:FlatKeratometricAxisSequence, "SQ", "1"],
    (0x0046, 0x0092) => [:BackgroundColor, "CS", "1"],
    (0x0046, 0x0094) => [:Optotype, "CS", "1"],
    (0x0046, 0x0095) => [:OptotypePresentation, "CS", "1"],
    (0x0046, 0x0097) => [:SubjectiveRefractionRightEyeSequence, "SQ", "1"],
    (0x0046, 0x0098) => [:SubjectiveRefractionLeftEyeSequence, "SQ", "1"],
    (0x0046, 0x0100) => [:AddNearSequence, "SQ", "1"],
    (0x0046, 0x0101) => [:AddIntermediateSequence, "SQ", "1"],
    (0x0046, 0x0102) => [:AddOtherSequence, "SQ", "1"],
    (0x0046, 0x0104) => [:AddPower, "FD", "1"],
    (0x0046, 0x0106) => [:ViewingDistance, "FD", "1"],
    (0x0046, 0x0110) => [:CorneaMeasurementsSequence, "SQ", "1"],
    (0x0046, 0x0111) => [:SourceOfCorneaMeasurementDataCodeSequence, "SQ", "1"],
    (0x0046, 0x0112) => [:SteepCornealAxisSequence, "SQ", "1"],
    (0x0046, 0x0113) => [:FlatCornealAxisSequence, "SQ", "1"],
    (0x0046, 0x0114) => [:CornealPower, "FD", "1"],
    (0x0046, 0x0115) => [:CornealAxis, "FD", "1"],
    (0x0046, 0x0116) => [:CorneaMeasurementMethodCodeSequence, "SQ", "1"],
    (0x0046, 0x0117) => [:RefractiveIndexOfCornea, "FL", "1"],
    (0x0046, 0x0118) => [:RefractiveIndexOfAqueousHumor, "FL", "1"],
    (0x0046, 0x0121) => [:VisualAcuityTypeCodeSequence, "SQ", "1"],
    (0x0046, 0x0122) => [:VisualAcuityRightEyeSequence, "SQ", "1"],
    (0x0046, 0x0123) => [:VisualAcuityLeftEyeSequence, "SQ", "1"],
    (0x0046, 0x0124) => [:VisualAcuityBothEyesOpenSequence, "SQ", "1"],
    (0x0046, 0x0125) => [:ViewingDistanceType, "CS", "1"],
    (0x0046, 0x0135) => [:VisualAcuityModifiers, "SS", "2"],
    (0x0046, 0x0137) => [:DecimalVisualAcuity, "FD", "1"],
    (0x0046, 0x0139) => [:OptotypeDetailedDefinition, "LO", "1"],
    (0x0046, 0x0145) => [:ReferencedRefractiveMeasurementsSequence, "SQ", "1"],
    (0x0046, 0x0146) => [:SpherePower, "FD", "1"],
    (0x0046, 0x0147) => [:CylinderPower, "FD", "1"],
    (0x0046, 0x0201) => [:CornealTopographySurface, "CS", "1"],
    (0x0046, 0x0202) => [:CornealVertexLocation, "FL", "2"],
    (0x0046, 0x0203) => [:PupilCentroidXCoordinate, "FL", "1"],
    (0x0046, 0x0204) => [:PupilCentroidYCoordinate, "FL", "1"],
    (0x0046, 0x0205) => [:EquivalentPupilRadius, "FL", "1"],
    (0x0046, 0x0207) => [:CornealTopographyMapTypeCodeSequence, "SQ", "1"],
    (0x0046, 0x0208) => [:VerticesOfTheOutlineOfPupil, "IS", "2-2n"],
    (0x0046, 0x0210) => [:CornealTopographyMappingNormalsSequence, "SQ", "1"],
    (0x0046, 0x0211) => [:MaximumCornealCurvatureSequence, "SQ", "1"],
    (0x0046, 0x0212) => [:MaximumCornealCurvature, "FL", "1"],
    (0x0046, 0x0213) => [:MaximumCornealCurvatureLocation, "FL", "2"],
    (0x0046, 0x0215) => [:MinimumKeratometricSequence, "SQ", "1"],
    (0x0046, 0x0218) => [:SimulatedKeratometricCylinderSequence, "SQ", "1"],
    (0x0046, 0x0220) => [:AverageCornealPower, "FL", "1"],
    (0x0046, 0x0224) => [:CornealISValue, "FL", "1"],
    (0x0046, 0x0227) => [:AnalyzedArea, "FL", "1"],
    (0x0046, 0x0230) => [:SurfaceRegularityIndex, "FL", "1"],
    (0x0046, 0x0232) => [:SurfaceAsymmetryIndex, "FL", "1"],
    (0x0046, 0x0234) => [:CornealEccentricityIndex, "FL", "1"],
    (0x0046, 0x0236) => [:KeratoconusPredictionIndex, "FL", "1"],
    (0x0046, 0x0238) => [:DecimalPotentialVisualAcuity, "FL", "1"],
    (0x0046, 0x0242) => [:CornealTopographyMapQualityEvaluation, "CS", "1"],
    (0x0046, 0x0244) => [:SourceImageCornealProcessedDataSequence, "SQ", "1"],
    (0x0046, 0x0247) => [:CornealPointLocation, "FL", "3"],
    (0x0046, 0x0248) => [:CornealPointEstimated, "CS", "1"],
    (0x0046, 0x0249) => [:AxialPower, "FL", "1"],
    (0x0046, 0x0250) => [:TangentialPower, "FL", "1"],
    (0x0046, 0x0251) => [:RefractivePower, "FL", "1"],
    (0x0046, 0x0252) => [:RelativeElevation, "FL", "1"],
    (0x0046, 0x0253) => [:CornealWavefront, "FL", "1"],
    (0x0048, 0x0001) => [:ImagedVolumeWidth, "FL", "1"],
    (0x0048, 0x0002) => [:ImagedVolumeHeight, "FL", "1"],
    (0x0048, 0x0003) => [:ImagedVolumeDepth, "FL", "1"],
    (0x0048, 0x0006) => [:TotalPixelMatrixColumns, "UL", "1"],
    (0x0048, 0x0007) => [:TotalPixelMatrixRows, "UL", "1"],
    (0x0048, 0x0008) => [:TotalPixelMatrixOriginSequence, "SQ", "1"],
    (0x0048, 0x0010) => [:SpecimenLabelInImage, "CS", "1"],
    (0x0048, 0x0011) => [:FocusMethod, "CS", "1"],
    (0x0048, 0x0012) => [:ExtendedDepthOfField, "CS", "1"],
    (0x0048, 0x0013) => [:NumberOfFocalPlanes, "US", "1"],
    (0x0048, 0x0014) => [:DistanceBetweenFocalPlanes, "FL", "1"],
    (0x0048, 0x0015) => [:RecommendedAbsentPixelCIELabValue, "US", "3"],
    (0x0048, 0x0100) => [:IlluminatorTypeCodeSequence, "SQ", "1"],
    (0x0048, 0x0102) => [:ImageOrientationSlide, "DS", "6"],
    (0x0048, 0x0105) => [:OpticalPathSequence, "SQ", "1"],
    (0x0048, 0x0106) => [:OpticalPathIdentifier, "SH", "1"],
    (0x0048, 0x0107) => [:OpticalPathDescription, "ST", "1"],
    (0x0048, 0x0108) => [:IlluminationColorCodeSequence, "SQ", "1"],
    (0x0048, 0x0110) => [:SpecimenReferenceSequence, "SQ", "1"],
    (0x0048, 0x0111) => [:CondenserLensPower, "DS", "1"],
    (0x0048, 0x0112) => [:ObjectiveLensPower, "DS", "1"],
    (0x0048, 0x0113) => [:ObjectiveLensNumericalAperture, "DS", "1"],
    (0x0048, 0x0120) => [:PaletteColorLookupTableSequence, "SQ", "1"],
    (0x0048, 0x0200) => [:ReferencedImageNavigationSequence, "SQ", "1"],
    (0x0048, 0x0201) => [:TopLeftHandCornerOfLocalizerArea, "US", "2"],
    (0x0048, 0x0202) => [:BottomRightHandCornerOfLocalizerArea, "US", "2"],
    (0x0048, 0x0207) => [:OpticalPathIdentificationSequence, "SQ", "1"],
    (0x0048, 0x021a) => [:PlanePositionSlideSequence, "SQ", "1"],
    (0x0048, 0x021e) => [:ColumnPositionInTotalImagePixelMatrix, "SL", "1"],
    (0x0048, 0x021f) => [:RowPositionInTotalImagePixelMatrix, "SL", "1"],
    (0x0048, 0x0301) => [:PixelOriginInterpretation, "CS", "1"],
    (0x0048, 0x0302) => [:NumberOfOpticalPaths, "UL", "1"],
    (0x0048, 0x0303) => [:TotalPixelMatrixFocalPlanes, "UL", "1"],
    (0x0050, 0x0004) => [:CalibrationImage, "CS", "1"],
    (0x0050, 0x0010) => [:DeviceSequence, "SQ", "1"],
    (0x0050, 0x0012) => [:ContainerComponentTypeCodeSequence, "SQ", "1"],
    (0x0050, 0x0013) => [:ContainerComponentThickness, "FD", "1"],
    (0x0050, 0x0014) => [:DeviceLength, "DS", "1"],
    (0x0050, 0x0015) => [:ContainerComponentWidth, "FD", "1"],
    (0x0050, 0x0016) => [:DeviceDiameter, "DS", "1"],
    (0x0050, 0x0017) => [:DeviceDiameterUnits, "CS", "1"],
    (0x0050, 0x0018) => [:DeviceVolume, "DS", "1"],
    (0x0050, 0x0019) => [:InterMarkerDistance, "DS", "1"],
    (0x0050, 0x001a) => [:ContainerComponentMaterial, "CS", "1"],
    (0x0050, 0x001b) => [:ContainerComponentID, "LO", "1"],
    (0x0050, 0x001c) => [:ContainerComponentLength, "FD", "1"],
    (0x0050, 0x001d) => [:ContainerComponentDiameter, "FD", "1"],
    (0x0050, 0x001e) => [:ContainerComponentDescription, "LO", "1"],
    (0x0050, 0x0020) => [:DeviceDescription, "LO", "1"],
    (0x0050, 0x0021) => [:LongDeviceDescription, "ST", "1"],
    (0x0052, 0x0001) => [:ContrastBolusIngredientPercentByVolume, "FL", "1"],
    (0x0052, 0x0002) => [:OCTFocalDistance, "FD", "1"],
    (0x0052, 0x0003) => [:BeamSpotSize, "FD", "1"],
    (0x0052, 0x0004) => [:EffectiveRefractiveIndex, "FD", "1"],
    (0x0052, 0x0006) => [:OCTAcquisitionDomain, "CS", "1"],
    (0x0052, 0x0007) => [:OCTOpticalCenterWavelength, "FD", "1"],
    (0x0052, 0x0008) => [:AxialResolution, "FD", "1"],
    (0x0052, 0x0009) => [:RangingDepth, "FD", "1"],
    (0x0052, 0x0011) => [:ALineRate, "FD", "1"],
    (0x0052, 0x0012) => [:ALinesPerFrame, "US", "1"],
    (0x0052, 0x0013) => [:CatheterRotationalRate, "FD", "1"],
    (0x0052, 0x0014) => [:ALinePixelSpacing, "FD", "1"],
    (0x0052, 0x0016) => [:ModeOfPercutaneousAccessSequence, "SQ", "1"],
    (0x0052, 0x0025) => [:IntravascularOCTFrameTypeSequence, "SQ", "1"],
    (0x0052, 0x0026) => [:OCTZOffsetApplied, "CS", "1"],
    (0x0052, 0x0027) => [:IntravascularFrameContentSequence, "SQ", "1"],
    (0x0052, 0x0028) => [:IntravascularLongitudinalDistance, "FD", "1"],
    (0x0052, 0x0029) => [:IntravascularOCTFrameContentSequence, "SQ", "1"],
    (0x0052, 0x0030) => [:OCTZOffsetCorrection, "SS", "1"],
    (0x0052, 0x0031) => [:CatheterDirectionOfRotation, "CS", "1"],
    (0x0052, 0x0033) => [:SeamLineLocation, "FD", "1"],
    (0x0052, 0x0034) => [:FirstALineLocation, "FD", "1"],
    (0x0052, 0x0036) => [:SeamLineIndex, "US", "1"],
    (0x0052, 0x0038) => [:NumberOfPaddedALines, "US", "1"],
    (0x0052, 0x0039) => [:InterpolationType, "CS", "1"],
    (0x0052, 0x003a) => [:RefractiveIndexApplied, "CS", "1"],
    (0x0054, 0x0010) => [:EnergyWindowVector, "US", "1-n"],
    (0x0054, 0x0011) => [:NumberOfEnergyWindows, "US", "1"],
    (0x0054, 0x0012) => [:EnergyWindowInformationSequence, "SQ", "1"],
    (0x0054, 0x0013) => [:EnergyWindowRangeSequence, "SQ", "1"],
    (0x0054, 0x0014) => [:EnergyWindowLowerLimit, "DS", "1"],
    (0x0054, 0x0015) => [:EnergyWindowUpperLimit, "DS", "1"],
    (0x0054, 0x0016) => [:RadiopharmaceuticalInformationSequence, "SQ", "1"],
    (0x0054, 0x0017) => [:ResidualSyringeCounts, "IS", "1"],
    (0x0054, 0x0018) => [:EnergyWindowName, "SH", "1"],
    (0x0054, 0x0020) => [:DetectorVector, "US", "1-n"],
    (0x0054, 0x0021) => [:NumberOfDetectors, "US", "1"],
    (0x0054, 0x0022) => [:DetectorInformationSequence, "SQ", "1"],
    (0x0054, 0x0030) => [:PhaseVector, "US", "1-n"],
    (0x0054, 0x0031) => [:NumberOfPhases, "US", "1"],
    (0x0054, 0x0032) => [:PhaseInformationSequence, "SQ", "1"],
    (0x0054, 0x0033) => [:NumberOfFramesInPhase, "US", "1"],
    (0x0054, 0x0036) => [:PhaseDelay, "IS", "1"],
    (0x0054, 0x0038) => [:PauseBetweenFrames, "IS", "1"],
    (0x0054, 0x0039) => [:PhaseDescription, "CS", "1"],
    (0x0054, 0x0050) => [:RotationVector, "US", "1-n"],
    (0x0054, 0x0051) => [:NumberOfRotations, "US", "1"],
    (0x0054, 0x0052) => [:RotationInformationSequence, "SQ", "1"],
    (0x0054, 0x0053) => [:NumberOfFramesInRotation, "US", "1"],
    (0x0054, 0x0060) => [:RRIntervalVector, "US", "1-n"],
    (0x0054, 0x0061) => [:NumberOfRRIntervals, "US", "1"],
    (0x0054, 0x0062) => [:GatedInformationSequence, "SQ", "1"],
    (0x0054, 0x0063) => [:DataInformationSequence, "SQ", "1"],
    (0x0054, 0x0070) => [:TimeSlotVector, "US", "1-n"],
    (0x0054, 0x0071) => [:NumberOfTimeSlots, "US", "1"],
    (0x0054, 0x0072) => [:TimeSlotInformationSequence, "SQ", "1"],
    (0x0054, 0x0073) => [:TimeSlotTime, "DS", "1"],
    (0x0054, 0x0080) => [:SliceVector, "US", "1-n"],
    (0x0054, 0x0081) => [:NumberOfSlices, "US", "1"],
    (0x0054, 0x0090) => [:AngularViewVector, "US", "1-n"],
    (0x0054, 0x0100) => [:TimeSliceVector, "US", "1-n"],
    (0x0054, 0x0101) => [:NumberOfTimeSlices, "US", "1"],
    (0x0054, 0x0200) => [:StartAngle, "DS", "1"],
    (0x0054, 0x0202) => [:TypeOfDetectorMotion, "CS", "1"],
    (0x0054, 0x0210) => [:TriggerVector, "IS", "1-n"],
    (0x0054, 0x0211) => [:NumberOfTriggersInPhase, "US", "1"],
    (0x0054, 0x0220) => [:ViewCodeSequence, "SQ", "1"],
    (0x0054, 0x0222) => [:ViewModifierCodeSequence, "SQ", "1"],
    (0x0054, 0x0300) => [:RadionuclideCodeSequence, "SQ", "1"],
    (0x0054, 0x0302) => [:AdministrationRouteCodeSequence, "SQ", "1"],
    (0x0054, 0x0304) => [:RadiopharmaceuticalCodeSequence, "SQ", "1"],
    (0x0054, 0x0306) => [:CalibrationDataSequence, "SQ", "1"],
    (0x0054, 0x0308) => [:EnergyWindowNumber, "US", "1"],
    (0x0054, 0x0400) => [:ImageID, "SH", "1"],
    (0x0054, 0x0410) => [:PatientOrientationCodeSequence, "SQ", "1"],
    (0x0054, 0x0412) => [:PatientOrientationModifierCodeSequence, "SQ", "1"],
    (0x0054, 0x0414) => [:PatientGantryRelationshipCodeSequence, "SQ", "1"],
    (0x0054, 0x0500) => [:SliceProgressionDirection, "CS", "1"],
    (0x0054, 0x0501) => [:ScanProgressionDirection, "CS", "1"],
    (0x0054, 0x1000) => [:SeriesType, "CS", "2"],
    (0x0054, 0x1001) => [:Units, "CS", "1"],
    (0x0054, 0x1002) => [:CountsSource, "CS", "1"],
    (0x0054, 0x1004) => [:ReprojectionMethod, "CS", "1"],
    (0x0054, 0x1006) => [:SUVType, "CS", "1"],
    (0x0054, 0x1100) => [:RandomsCorrectionMethod, "CS", "1"],
    (0x0054, 0x1101) => [:AttenuationCorrectionMethod, "LO", "1"],
    (0x0054, 0x1102) => [:DecayCorrection, "CS", "1"],
    (0x0054, 0x1103) => [:ReconstructionMethod, "LO", "1"],
    (0x0054, 0x1104) => [:DetectorLinesOfResponseUsed, "LO", "1"],
    (0x0054, 0x1105) => [:ScatterCorrectionMethod, "LO", "1"],
    (0x0054, 0x1200) => [:AxialAcceptance, "DS", "1"],
    (0x0054, 0x1201) => [:AxialMash, "IS", "2"],
    (0x0054, 0x1202) => [:TransverseMash, "IS", "1"],
    (0x0054, 0x1203) => [:DetectorElementSize, "DS", "2"],
    (0x0054, 0x1210) => [:CoincidenceWindowWidth, "DS", "1"],
    (0x0054, 0x1220) => [:SecondaryCountsType, "CS", "1-n"],
    (0x0054, 0x1300) => [:FrameReferenceTime, "DS", "1"],
    (0x0054, 0x1310) => [:PrimaryPromptsCountsAccumulated, "IS", "1"],
    (0x0054, 0x1311) => [:SecondaryCountsAccumulated, "IS", "1-n"],
    (0x0054, 0x1320) => [:SliceSensitivityFactor, "DS", "1"],
    (0x0054, 0x1321) => [:DecayFactor, "DS", "1"],
    (0x0054, 0x1322) => [:DoseCalibrationFactor, "DS", "1"],
    (0x0054, 0x1323) => [:ScatterFractionFactor, "DS", "1"],
    (0x0054, 0x1324) => [:DeadTimeFactor, "DS", "1"],
    (0x0054, 0x1330) => [:ImageIndex, "US", "1"],
    (0x0054, 0x1400) => [:CountsIncluded, "CS", "1-n"],
    (0x0054, 0x1401) => [:DeadTimeCorrectionFlag, "CS", "1"],
    (0x0060, 0x3000) => [:HistogramSequence, "SQ", "1"],
    (0x0060, 0x3002) => [:HistogramNumberOfBins, "US", "1"],
    (0x0060, 0x3004) => [:HistogramFirstBinValue, "US or SS", "1"],
    (0x0060, 0x3006) => [:HistogramLastBinValue, "US or SS", "1"],
    (0x0060, 0x3008) => [:HistogramBinWidth, "US", "1"],
    (0x0060, 0x3010) => [:HistogramExplanation, "LO", "1"],
    (0x0060, 0x3020) => [:HistogramData, "UL", "1-n"],
    (0x0062, 0x0001) => [:SegmentationType, "CS", "1"],
    (0x0062, 0x0002) => [:SegmentSequence, "SQ", "1"],
    (0x0062, 0x0003) => [:SegmentedPropertyCategoryCodeSequence, "SQ", "1"],
    (0x0062, 0x0004) => [:SegmentNumber, "US", "1"],
    (0x0062, 0x0005) => [:SegmentLabel, "LO", "1"],
    (0x0062, 0x0006) => [:SegmentDescription, "ST", "1"],
    (0x0062, 0x0007) => [:SegmentationAlgorithmIdentificationSequence, "SQ", "1"],
    (0x0062, 0x0008) => [:SegmentAlgorithmType, "CS", "1"],
    (0x0062, 0x0009) => [:SegmentAlgorithmName, "LO", "1"],
    (0x0062, 0x000a) => [:SegmentIdentificationSequence, "SQ", "1"],
    (0x0062, 0x000b) => [:ReferencedSegmentNumber, "US", "1-n"],
    (0x0062, 0x000c) => [:RecommendedDisplayGrayscaleValue, "US", "1"],
    (0x0062, 0x000d) => [:RecommendedDisplayCIELabValue, "US", "3"],
    (0x0062, 0x000e) => [:MaximumFractionalValue, "US", "1"],
    (0x0062, 0x000f) => [:SegmentedPropertyTypeCodeSequence, "SQ", "1"],
    (0x0062, 0x0010) => [:SegmentationFractionalType, "CS", "1"],
    (0x0062, 0x0011) => [:SegmentedPropertyTypeModifierCodeSequence, "SQ", "1"],
    (0x0062, 0x0012) => [:UsedSegmentsSequence, "SQ", "1"],
    (0x0062, 0x0013) => [:SegmentsOverlap, "CS", "1"],
    (0x0062, 0x0020) => [:TrackingID, "UT", "1"],
    (0x0062, 0x0021) => [:TrackingUID, "UI", "1"],
    (0x0064, 0x0002) => [:DeformableRegistrationSequence, "SQ", "1"],
    (0x0064, 0x0003) => [:SourceFrameOfReferenceUID, "UI", "1"],
    (0x0064, 0x0005) => [:DeformableRegistrationGridSequence, "SQ", "1"],
    (0x0064, 0x0007) => [:GridDimensions, "UL", "3"],
    (0x0064, 0x0008) => [:GridResolution, "FD", "3"],
    (0x0064, 0x0009) => [:VectorGridData, "OF", "1"],
    (0x0064, 0x000f) => [:PreDeformationMatrixRegistrationSequence, "SQ", "1"],
    (0x0064, 0x0010) => [:PostDeformationMatrixRegistrationSequence, "SQ", "1"],
    (0x0066, 0x0001) => [:NumberOfSurfaces, "UL", "1"],
    (0x0066, 0x0002) => [:SurfaceSequence, "SQ", "1"],
    (0x0066, 0x0003) => [:SurfaceNumber, "UL", "1"],
    (0x0066, 0x0004) => [:SurfaceComments, "LT", "1"],
    (0x0066, 0x0009) => [:SurfaceProcessing, "CS", "1"],
    (0x0066, 0x000a) => [:SurfaceProcessingRatio, "FL", "1"],
    (0x0066, 0x000b) => [:SurfaceProcessingDescription, "LO", "1"],
    (0x0066, 0x000c) => [:RecommendedPresentationOpacity, "FL", "1"],
    (0x0066, 0x000d) => [:RecommendedPresentationType, "CS", "1"],
    (0x0066, 0x000e) => [:FiniteVolume, "CS", "1"],
    (0x0066, 0x0010) => [:Manifold, "CS", "1"],
    (0x0066, 0x0011) => [:SurfacePointsSequence, "SQ", "1"],
    (0x0066, 0x0012) => [:SurfacePointsNormalsSequence, "SQ", "1"],
    (0x0066, 0x0013) => [:SurfaceMeshPrimitivesSequence, "SQ", "1"],
    (0x0066, 0x0015) => [:NumberOfSurfacePoints, "UL", "1"],
    (0x0066, 0x0016) => [:PointCoordinatesData, "OF", "1"],
    (0x0066, 0x0017) => [:PointPositionAccuracy, "FL", "3"],
    (0x0066, 0x0018) => [:MeanPointDistance, "FL", "1"],
    (0x0066, 0x0019) => [:MaximumPointDistance, "FL", "1"],
    (0x0066, 0x001a) => [:PointsBoundingBoxCoordinates, "FL", "6"],
    (0x0066, 0x001b) => [:AxisOfRotation, "FL", "3"],
    (0x0066, 0x001c) => [:CenterOfRotation, "FL", "3"],
    (0x0066, 0x001e) => [:NumberOfVectors, "UL", "1"],
    (0x0066, 0x001f) => [:VectorDimensionality, "US", "1"],
    (0x0066, 0x0020) => [:VectorAccuracy, "FL", "1-n"],
    (0x0066, 0x0021) => [:VectorCoordinateData, "OF", "1"],
    (0x0066, 0x0023) => [:TrianglePointIndexList, "OW", "1"],
    (0x0066, 0x0024) => [:EdgePointIndexList, "OW", "1"],
    (0x0066, 0x0025) => [:VertexPointIndexList, "OW", "1"],
    (0x0066, 0x0026) => [:TriangleStripSequence, "SQ", "1"],
    (0x0066, 0x0027) => [:TriangleFanSequence, "SQ", "1"],
    (0x0066, 0x0028) => [:LineSequence, "SQ", "1"],
    (0x0066, 0x0029) => [:PrimitivePointIndexList, "OW", "1"],
    (0x0066, 0x002a) => [:SurfaceCount, "UL", "1"],
    (0x0066, 0x002b) => [:ReferencedSurfaceSequence, "SQ", "1"],
    (0x0066, 0x002c) => [:ReferencedSurfaceNumber, "UL", "1"],
    (0x0066, 0x002d) =>
        [:SegmentSurfaceGenerationAlgorithmIdentificationSequence, "SQ", "1"],
    (0x0066, 0x002e) => [:SegmentSurfaceSourceInstanceSequence, "SQ", "1"],
    (0x0066, 0x002f) => [:AlgorithmFamilyCodeSequence, "SQ", "1"],
    (0x0066, 0x0030) => [:AlgorithmNameCodeSequence, "SQ", "1"],
    (0x0066, 0x0031) => [:AlgorithmVersion, "LO", "1"],
    (0x0066, 0x0032) => [:AlgorithmParameters, "LT", "1"],
    (0x0066, 0x0034) => [:FacetSequence, "SQ", "1"],
    (0x0066, 0x0035) => [:SurfaceProcessingAlgorithmIdentificationSequence, "SQ", "1"],
    (0x0066, 0x0036) => [:AlgorithmName, "LO", "1"],
    (0x0066, 0x0037) => [:RecommendedPointRadius, "FL", "1"],
    (0x0066, 0x0038) => [:RecommendedLineThickness, "FL", "1"],
    (0x0066, 0x0040) => [:LongPrimitivePointIndexList, "OL", "1"],
    (0x0066, 0x0041) => [:LongTrianglePointIndexList, "OL", "1"],
    (0x0066, 0x0042) => [:LongEdgePointIndexList, "OL", "1"],
    (0x0066, 0x0043) => [:LongVertexPointIndexList, "OL", "1"],
    (0x0066, 0x0101) => [:TrackSetSequence, "SQ", "1"],
    (0x0066, 0x0102) => [:TrackSequence, "SQ", "1"],
    (0x0066, 0x0103) => [:RecommendedDisplayCIELabValueList, "OW", "1"],
    (0x0066, 0x0104) => [:TrackingAlgorithmIdentificationSequence, "SQ", "1"],
    (0x0066, 0x0105) => [:TrackSetNumber, "UL", "1"],
    (0x0066, 0x0106) => [:TrackSetLabel, "LO", "1"],
    (0x0066, 0x0107) => [:TrackSetDescription, "UT", "1"],
    (0x0066, 0x0108) => [:TrackSetAnatomicalTypeCodeSequence, "SQ", "1"],
    (0x0066, 0x0121) => [:MeasurementsSequence, "SQ", "1"],
    (0x0066, 0x0124) => [:TrackSetStatisticsSequence, "SQ", "1"],
    (0x0066, 0x0125) => [:FloatingPointValues, "OF", "1"],
    (0x0066, 0x0129) => [:TrackPointIndexList, "OL", "1"],
    (0x0066, 0x0130) => [:TrackStatisticsSequence, "SQ", "1"],
    (0x0066, 0x0132) => [:MeasurementValuesSequence, "SQ", "1"],
    (0x0066, 0x0133) => [:DiffusionAcquisitionCodeSequence, "SQ", "1"],
    (0x0066, 0x0134) => [:DiffusionModelCodeSequence, "SQ", "1"],
    (0x0068, 0x6210) => [:ImplantSize, "LO", "1"],
    (0x0068, 0x6221) => [:ImplantTemplateVersion, "LO", "1"],
    (0x0068, 0x6222) => [:ReplacedImplantTemplateSequence, "SQ", "1"],
    (0x0068, 0x6223) => [:ImplantType, "CS", "1"],
    (0x0068, 0x6224) => [:DerivationImplantTemplateSequence, "SQ", "1"],
    (0x0068, 0x6225) => [:OriginalImplantTemplateSequence, "SQ", "1"],
    (0x0068, 0x6226) => [:EffectiveDateTime, "DT", "1"],
    (0x0068, 0x6230) => [:ImplantTargetAnatomySequence, "SQ", "1"],
    (0x0068, 0x6260) => [:InformationFromManufacturerSequence, "SQ", "1"],
    (0x0068, 0x6265) => [:NotificationFromManufacturerSequence, "SQ", "1"],
    (0x0068, 0x6270) => [:InformationIssueDateTime, "DT", "1"],
    (0x0068, 0x6280) => [:InformationSummary, "ST", "1"],
    (0x0068, 0x62a0) => [:ImplantRegulatoryDisapprovalCodeSequence, "SQ", "1"],
    (0x0068, 0x62a5) => [:OverallTemplateSpatialTolerance, "FD", "1"],
    (0x0068, 0x62c0) => [:HPGLDocumentSequence, "SQ", "1"],
    (0x0068, 0x62d0) => [:HPGLDocumentID, "US", "1"],
    (0x0068, 0x62d5) => [:HPGLDocumentLabel, "LO", "1"],
    (0x0068, 0x62e0) => [:ViewOrientationCodeSequence, "SQ", "1"],
    (0x0068, 0x62f0) => [:ViewOrientationModifierCodeSequence, "SQ", "1"],
    (0x0068, 0x62f2) => [:HPGLDocumentScaling, "FD", "1"],
    (0x0068, 0x6300) => [:HPGLDocument, "OB", "1"],
    (0x0068, 0x6310) => [:HPGLContourPenNumber, "US", "1"],
    (0x0068, 0x6320) => [:HPGLPenSequence, "SQ", "1"],
    (0x0068, 0x6330) => [:HPGLPenNumber, "US", "1"],
    (0x0068, 0x6340) => [:HPGLPenLabel, "LO", "1"],
    (0x0068, 0x6345) => [:HPGLPenDescription, "ST", "1"],
    (0x0068, 0x6346) => [:RecommendedRotationPoint, "FD", "2"],
    (0x0068, 0x6347) => [:BoundingRectangle, "FD", "4"],
    (0x0068, 0x6350) => [:ImplantTemplate3DModelSurfaceNumber, "US", "1-n"],
    (0x0068, 0x6360) => [:SurfaceModelDescriptionSequence, "SQ", "1"],
    (0x0068, 0x6380) => [:SurfaceModelLabel, "LO", "1"],
    (0x0068, 0x6390) => [:SurfaceModelScalingFactor, "FD", "1"],
    (0x0068, 0x63a0) => [:MaterialsCodeSequence, "SQ", "1"],
    (0x0068, 0x63a4) => [:CoatingMaterialsCodeSequence, "SQ", "1"],
    (0x0068, 0x63a8) => [:ImplantTypeCodeSequence, "SQ", "1"],
    (0x0068, 0x63ac) => [:FixationMethodCodeSequence, "SQ", "1"],
    (0x0068, 0x63b0) => [:MatingFeatureSetsSequence, "SQ", "1"],
    (0x0068, 0x63c0) => [:MatingFeatureSetID, "US", "1"],
    (0x0068, 0x63d0) => [:MatingFeatureSetLabel, "LO", "1"],
    (0x0068, 0x63e0) => [:MatingFeatureSequence, "SQ", "1"],
    (0x0068, 0x63f0) => [:MatingFeatureID, "US", "1"],
    (0x0068, 0x6400) => [:MatingFeatureDegreeOfFreedomSequence, "SQ", "1"],
    (0x0068, 0x6410) => [:DegreeOfFreedomID, "US", "1"],
    (0x0068, 0x6420) => [:DegreeOfFreedomType, "CS", "1"],
    (0x0068, 0x6430) => [:TwoDMatingFeatureCoordinatesSequence, "SQ", "1"],
    (0x0068, 0x6440) => [:ReferencedHPGLDocumentID, "US", "1"],
    (0x0068, 0x6450) => [:TwoDMatingPoint, "FD", "2"],
    (0x0068, 0x6460) => [:TwoDMatingAxes, "FD", "4"],
    (0x0068, 0x6470) => [:TwoDDegreeOfFreedomSequence, "SQ", "1"],
    (0x0068, 0x6490) => [:ThreeDDegreeOfFreedomAxis, "FD", "3"],
    (0x0068, 0x64a0) => [:RangeOfFreedom, "FD", "2"],
    (0x0068, 0x64c0) => [:ThreeDMatingPoint, "FD", "3"],
    (0x0068, 0x64d0) => [:ThreeDMatingAxes, "FD", "9"],
    (0x0068, 0x64f0) => [:TwoDDegreeOfFreedomAxis, "FD", "3"],
    (0x0068, 0x6500) => [:PlanningLandmarkPointSequence, "SQ", "1"],
    (0x0068, 0x6510) => [:PlanningLandmarkLineSequence, "SQ", "1"],
    (0x0068, 0x6520) => [:PlanningLandmarkPlaneSequence, "SQ", "1"],
    (0x0068, 0x6530) => [:PlanningLandmarkID, "US", "1"],
    (0x0068, 0x6540) => [:PlanningLandmarkDescription, "LO", "1"],
    (0x0068, 0x6545) => [:PlanningLandmarkIdentificationCodeSequence, "SQ", "1"],
    (0x0068, 0x6550) => [:TwoDPointCoordinatesSequence, "SQ", "1"],
    (0x0068, 0x6560) => [:TwoDPointCoordinates, "FD", "2"],
    (0x0068, 0x6590) => [:ThreeDPointCoordinates, "FD", "3"],
    (0x0068, 0x65a0) => [:TwoDLineCoordinatesSequence, "SQ", "1"],
    (0x0068, 0x65b0) => [:TwoDLineCoordinates, "FD", "4"],
    (0x0068, 0x65d0) => [:ThreeDLineCoordinates, "FD", "6"],
    (0x0068, 0x65e0) => [:TwoDPlaneCoordinatesSequence, "SQ", "1"],
    (0x0068, 0x65f0) => [:TwoDPlaneIntersection, "FD", "4"],
    (0x0068, 0x6610) => [:ThreeDPlaneOrigin, "FD", "3"],
    (0x0068, 0x6620) => [:ThreeDPlaneNormal, "FD", "3"],
    (0x0068, 0x7001) => [:ModelModification, "CS", "1"],
    (0x0068, 0x7002) => [:ModelMirroring, "CS", "1"],
    (0x0068, 0x7003) => [:ModelUsageCodeSequence, "SQ", "1"],
    (0x0068, 0x7004) => [:ModelGroupUID, "UI", "1"],
    (0x0068, 0x7005) => [:RelativeURIReferenceWithinEncapsulatedDocument, "UR", "1"],
    (0x0070, 0x0001) => [:GraphicAnnotationSequence, "SQ", "1"],
    (0x0070, 0x0002) => [:GraphicLayer, "CS", "1"],
    (0x0070, 0x0003) => [:BoundingBoxAnnotationUnits, "CS", "1"],
    (0x0070, 0x0004) => [:AnchorPointAnnotationUnits, "CS", "1"],
    (0x0070, 0x0005) => [:GraphicAnnotationUnits, "CS", "1"],
    (0x0070, 0x0006) => [:UnformattedTextValue, "ST", "1"],
    (0x0070, 0x0008) => [:TextObjectSequence, "SQ", "1"],
    (0x0070, 0x0009) => [:GraphicObjectSequence, "SQ", "1"],
    (0x0070, 0x0010) => [:BoundingBoxTopLeftHandCorner, "FL", "2"],
    (0x0070, 0x0011) => [:BoundingBoxBottomRightHandCorner, "FL", "2"],
    (0x0070, 0x0012) => [:BoundingBoxTextHorizontalJustification, "CS", "1"],
    (0x0070, 0x0014) => [:AnchorPoint, "FL", "2"],
    (0x0070, 0x0015) => [:AnchorPointVisibility, "CS", "1"],
    (0x0070, 0x0020) => [:GraphicDimensions, "US", "1"],
    (0x0070, 0x0021) => [:NumberOfGraphicPoints, "US", "1"],
    (0x0070, 0x0022) => [:GraphicData, "FL", "2-n"],
    (0x0070, 0x0023) => [:GraphicType, "CS", "1"],
    (0x0070, 0x0024) => [:GraphicFilled, "CS", "1"],
    (0x0070, 0x0040) => [:ImageRotationRetired, "IS", "1"],
    (0x0070, 0x0041) => [:ImageHorizontalFlip, "CS", "1"],
    (0x0070, 0x0042) => [:ImageRotation, "US", "1"],
    (0x0070, 0x0050) => [:DisplayedAreaTopLeftHandCornerTrial, "US", "2"],
    (0x0070, 0x0051) => [:DisplayedAreaBottomRightHandCornerTrial, "US", "2"],
    (0x0070, 0x0052) => [:DisplayedAreaTopLeftHandCorner, "SL", "2"],
    (0x0070, 0x0053) => [:DisplayedAreaBottomRightHandCorner, "SL", "2"],
    (0x0070, 0x005a) => [:DisplayedAreaSelectionSequence, "SQ", "1"],
    (0x0070, 0x0060) => [:GraphicLayerSequence, "SQ", "1"],
    (0x0070, 0x0062) => [:GraphicLayerOrder, "IS", "1"],
    (0x0070, 0x0066) => [:GraphicLayerRecommendedDisplayGrayscaleValue, "US", "1"],
    (0x0070, 0x0067) => [:GraphicLayerRecommendedDisplayRGBValue, "US", "3"],
    (0x0070, 0x0068) => [:GraphicLayerDescription, "LO", "1"],
    (0x0070, 0x0080) => [:ContentLabel, "CS", "1"],
    (0x0070, 0x0081) => [:ContentDescription, "LO", "1"],
    (0x0070, 0x0082) => [:PresentationCreationDate, "DA", "1"],
    (0x0070, 0x0083) => [:PresentationCreationTime, "TM", "1"],
    (0x0070, 0x0084) => [:ContentCreatorName, "PN", "1"],
    (0x0070, 0x0086) => [:ContentCreatorIdentificationCodeSequence, "SQ", "1"],
    (0x0070, 0x0087) => [:AlternateContentDescriptionSequence, "SQ", "1"],
    (0x0070, 0x0100) => [:PresentationSizeMode, "CS", "1"],
    (0x0070, 0x0101) => [:PresentationPixelSpacing, "DS", "2"],
    (0x0070, 0x0102) => [:PresentationPixelAspectRatio, "IS", "2"],
    (0x0070, 0x0103) => [:PresentationPixelMagnificationRatio, "FL", "1"],
    (0x0070, 0x0207) => [:GraphicGroupLabel, "LO", "1"],
    (0x0070, 0x0208) => [:GraphicGroupDescription, "ST", "1"],
    (0x0070, 0x0209) => [:CompoundGraphicSequence, "SQ", "1"],
    (0x0070, 0x0226) => [:CompoundGraphicInstanceID, "UL", "1"],
    (0x0070, 0x0227) => [:FontName, "LO", "1"],
    (0x0070, 0x0228) => [:FontNameType, "CS", "1"],
    (0x0070, 0x0229) => [:CSSFontName, "LO", "1"],
    (0x0070, 0x0230) => [:RotationAngle, "FD", "1"],
    (0x0070, 0x0231) => [:TextStyleSequence, "SQ", "1"],
    (0x0070, 0x0232) => [:LineStyleSequence, "SQ", "1"],
    (0x0070, 0x0233) => [:FillStyleSequence, "SQ", "1"],
    (0x0070, 0x0234) => [:GraphicGroupSequence, "SQ", "1"],
    (0x0070, 0x0241) => [:TextColorCIELabValue, "US", "3"],
    (0x0070, 0x0242) => [:HorizontalAlignment, "CS", "1"],
    (0x0070, 0x0243) => [:VerticalAlignment, "CS", "1"],
    (0x0070, 0x0244) => [:ShadowStyle, "CS", "1"],
    (0x0070, 0x0245) => [:ShadowOffsetX, "FL", "1"],
    (0x0070, 0x0246) => [:ShadowOffsetY, "FL", "1"],
    (0x0070, 0x0247) => [:ShadowColorCIELabValue, "US", "3"],
    (0x0070, 0x0248) => [:Underlined, "CS", "1"],
    (0x0070, 0x0249) => [:Bold, "CS", "1"],
    (0x0070, 0x0250) => [:Italic, "CS", "1"],
    (0x0070, 0x0251) => [:PatternOnColorCIELabValue, "US", "3"],
    (0x0070, 0x0252) => [:PatternOffColorCIELabValue, "US", "3"],
    (0x0070, 0x0253) => [:LineThickness, "FL", "1"],
    (0x0070, 0x0254) => [:LineDashingStyle, "CS", "1"],
    (0x0070, 0x0255) => [:LinePattern, "UL", "1"],
    (0x0070, 0x0256) => [:FillPattern, "OB", "1"],
    (0x0070, 0x0257) => [:FillMode, "CS", "1"],
    (0x0070, 0x0258) => [:ShadowOpacity, "FL", "1"],
    (0x0070, 0x0261) => [:GapLength, "FL", "1"],
    (0x0070, 0x0262) => [:DiameterOfVisibility, "FL", "1"],
    (0x0070, 0x0273) => [:RotationPoint, "FL", "2"],
    (0x0070, 0x0274) => [:TickAlignment, "CS", "1"],
    (0x0070, 0x0278) => [:ShowTickLabel, "CS", "1"],
    (0x0070, 0x0279) => [:TickLabelAlignment, "CS", "1"],
    (0x0070, 0x0282) => [:CompoundGraphicUnits, "CS", "1"],
    (0x0070, 0x0284) => [:PatternOnOpacity, "FL", "1"],
    (0x0070, 0x0285) => [:PatternOffOpacity, "FL", "1"],
    (0x0070, 0x0287) => [:MajorTicksSequence, "SQ", "1"],
    (0x0070, 0x0288) => [:TickPosition, "FL", "1"],
    (0x0070, 0x0289) => [:TickLabel, "SH", "1"],
    (0x0070, 0x0294) => [:CompoundGraphicType, "CS", "1"],
    (0x0070, 0x0295) => [:GraphicGroupID, "UL", "1"],
    (0x0070, 0x0306) => [:ShapeType, "CS", "1"],
    (0x0070, 0x0308) => [:RegistrationSequence, "SQ", "1"],
    (0x0070, 0x0309) => [:MatrixRegistrationSequence, "SQ", "1"],
    (0x0070, 0x030a) => [:MatrixSequence, "SQ", "1"],
    (0x0070, 0x030b) =>
        [:FrameOfReferenceToDisplayedCoordinateSystemTransformationMatrix, "FD", "16"],
    (0x0070, 0x030c) => [:FrameOfReferenceTransformationMatrixType, "CS", "1"],
    (0x0070, 0x030d) => [:RegistrationTypeCodeSequence, "SQ", "1"],
    (0x0070, 0x030f) => [:FiducialDescription, "ST", "1"],
    (0x0070, 0x0310) => [:FiducialIdentifier, "SH", "1"],
    (0x0070, 0x0311) => [:FiducialIdentifierCodeSequence, "SQ", "1"],
    (0x0070, 0x0312) => [:ContourUncertaintyRadius, "FD", "1"],
    (0x0070, 0x0314) => [:UsedFiducialsSequence, "SQ", "1"],
    (0x0070, 0x0318) => [:GraphicCoordinatesDataSequence, "SQ", "1"],
    (0x0070, 0x031a) => [:FiducialUID, "UI", "1"],
    (0x0070, 0x031b) => [:ReferencedFiducialUID, "UI", "1"],
    (0x0070, 0x031c) => [:FiducialSetSequence, "SQ", "1"],
    (0x0070, 0x031e) => [:FiducialSequence, "SQ", "1"],
    (0x0070, 0x031f) => [:FiducialsPropertyCategoryCodeSequence, "SQ", "1"],
    (0x0070, 0x0401) => [:GraphicLayerRecommendedDisplayCIELabValue, "US", "3"],
    (0x0070, 0x0402) => [:BlendingSequence, "SQ", "1"],
    (0x0070, 0x0403) => [:RelativeOpacity, "FL", "1"],
    (0x0070, 0x0404) => [:ReferencedSpatialRegistrationSequence, "SQ", "1"],
    (0x0070, 0x0405) => [:BlendingPosition, "CS", "1"],
    (0x0070, 0x1101) => [:PresentationDisplayCollectionUID, "UI", "1"],
    (0x0070, 0x1102) => [:PresentationSequenceCollectionUID, "UI", "1"],
    (0x0070, 0x1103) => [:PresentationSequencePositionIndex, "US", "1"],
    (0x0070, 0x1104) => [:RenderedImageReferenceSequence, "SQ", "1"],
    (0x0070, 0x1201) => [:VolumetricPresentationStateInputSequence, "SQ", "1"],
    (0x0070, 0x1202) => [:PresentationInputType, "CS", "1"],
    (0x0070, 0x1203) => [:InputSequencePositionIndex, "US", "1"],
    (0x0070, 0x1204) => [:Crop, "CS", "1"],
    (0x0070, 0x1205) => [:CroppingSpecificationIndex, "US", "1-n"],
    (0x0070, 0x1206) => [:CompositingMethod, "CS", "1"],
    (0x0070, 0x1207) => [:VolumetricPresentationInputNumber, "US", "1"],
    (0x0070, 0x1208) => [:ImageVolumeGeometry, "CS", "1"],
    (0x0070, 0x1209) => [:VolumetricPresentationInputSetUID, "UI", "1"],
    (0x0070, 0x120a) => [:VolumetricPresentationInputSetSequence, "SQ", "1"],
    (0x0070, 0x120b) => [:GlobalCrop, "CS", "1"],
    (0x0070, 0x120c) => [:GlobalCroppingSpecificationIndex, "US", "1-n"],
    (0x0070, 0x120d) => [:RenderingMethod, "CS", "1"],
    (0x0070, 0x1301) => [:VolumeCroppingSequence, "SQ", "1"],
    (0x0070, 0x1302) => [:VolumeCroppingMethod, "CS", "1"],
    (0x0070, 0x1303) => [:BoundingBoxCrop, "FD", "6"],
    (0x0070, 0x1304) => [:ObliqueCroppingPlaneSequence, "SQ", "1"],
    (0x0070, 0x1305) => [:Plane, "FD", "4"],
    (0x0070, 0x1306) => [:PlaneNormal, "FD", "3"],
    (0x0070, 0x1309) => [:CroppingSpecificationNumber, "US", "1"],
    (0x0070, 0x1501) => [:MultiPlanarReconstructionStyle, "CS", "1"],
    (0x0070, 0x1502) => [:MPRThicknessType, "CS", "1"],
    (0x0070, 0x1503) => [:MPRSlabThickness, "FD", "1"],
    (0x0070, 0x1505) => [:MPRTopLeftHandCorner, "FD", "3"],
    (0x0070, 0x1507) => [:MPRViewWidthDirection, "FD", "3"],
    (0x0070, 0x1508) => [:MPRViewWidth, "FD", "1"],
    (0x0070, 0x150c) => [:NumberOfVolumetricCurvePoints, "UL", "1"],
    (0x0070, 0x150d) => [:VolumetricCurvePoints, "OD", "1"],
    (0x0070, 0x1511) => [:MPRViewHeightDirection, "FD", "3"],
    (0x0070, 0x1512) => [:MPRViewHeight, "FD", "1"],
    (0x0070, 0x1602) => [:RenderProjection, "CS", "1"],
    (0x0070, 0x1603) => [:ViewpointPosition, "FD", "3"],
    (0x0070, 0x1604) => [:ViewpointLookAtPoint, "FD", "3"],
    (0x0070, 0x1605) => [:ViewpointUpDirection, "FD", "3"],
    (0x0070, 0x1606) => [:RenderFieldOfView, "FD", "6"],
    (0x0070, 0x1607) => [:SamplingStepSize, "FD", "1"],
    (0x0070, 0x1701) => [:ShadingStyle, "CS", "1"],
    (0x0070, 0x1702) => [:AmbientReflectionIntensity, "FD", "1"],
    (0x0070, 0x1703) => [:LightDirection, "FD", "3"],
    (0x0070, 0x1704) => [:DiffuseReflectionIntensity, "FD", "1"],
    (0x0070, 0x1705) => [:SpecularReflectionIntensity, "FD", "1"],
    (0x0070, 0x1706) => [:Shininess, "FD", "1"],
    (0x0070, 0x1801) => [:PresentationStateClassificationComponentSequence, "SQ", "1"],
    (0x0070, 0x1802) => [:ComponentType, "CS", "1"],
    (0x0070, 0x1803) => [:ComponentInputSequence, "SQ", "1"],
    (0x0070, 0x1804) => [:VolumetricPresentationInputIndex, "US", "1"],
    (0x0070, 0x1805) => [:PresentationStateCompositorComponentSequence, "SQ", "1"],
    (0x0070, 0x1806) => [:WeightingTransferFunctionSequence, "SQ", "1"],
    (0x0070, 0x1807) => [:WeightingLookupTableDescriptor, "US", "3"],
    (0x0070, 0x1808) => [:WeightingLookupTableData, "OB", "1"],
    (0x0070, 0x1901) => [:VolumetricAnnotationSequence, "SQ", "1"],
    (0x0070, 0x1903) => [:ReferencedStructuredContextSequence, "SQ", "1"],
    (0x0070, 0x1904) => [:ReferencedContentItem, "UI", "1"],
    (0x0070, 0x1905) => [:VolumetricPresentationInputAnnotationSequence, "SQ", "1"],
    (0x0070, 0x1907) => [:AnnotationClipping, "CS", "1"],
    (0x0070, 0x1a01) => [:PresentationAnimationStyle, "CS", "1"],
    (0x0070, 0x1a03) => [:RecommendedAnimationRate, "FD", "1"],
    (0x0070, 0x1a04) => [:AnimationCurveSequence, "SQ", "1"],
    (0x0070, 0x1a05) => [:AnimationStepSize, "FD", "1"],
    (0x0070, 0x1a06) => [:SwivelRange, "FD", "1"],
    (0x0070, 0x1a07) => [:VolumetricCurveUpDirections, "OD", "1"],
    (0x0070, 0x1a08) => [:VolumeStreamSequence, "SQ", "1"],
    (0x0070, 0x1a09) => [:RGBATransferFunctionDescription, "LO", "1"],
    (0x0070, 0x1b01) => [:AdvancedBlendingSequence, "SQ", "1"],
    (0x0070, 0x1b02) => [:BlendingInputNumber, "US", "1"],
    (0x0070, 0x1b03) => [:BlendingDisplayInputSequence, "SQ", "1"],
    (0x0070, 0x1b04) => [:BlendingDisplaySequence, "SQ", "1"],
    (0x0070, 0x1b06) => [:BlendingMode, "CS", "1"],
    (0x0070, 0x1b07) => [:TimeSeriesBlending, "CS", "1"],
    (0x0070, 0x1b08) => [:GeometryForDisplay, "CS", "1"],
    (0x0070, 0x1b11) => [:ThresholdSequence, "SQ", "1"],
    (0x0070, 0x1b12) => [:ThresholdValueSequence, "SQ", "1"],
    (0x0070, 0x1b13) => [:ThresholdType, "CS", "1"],
    (0x0070, 0x1b14) => [:ThresholdValue, "FD", "1"],
    (0x0072, 0x0002) => [:HangingProtocolName, "SH", "1"],
    (0x0072, 0x0004) => [:HangingProtocolDescription, "LO", "1"],
    (0x0072, 0x0006) => [:HangingProtocolLevel, "CS", "1"],
    (0x0072, 0x0008) => [:HangingProtocolCreator, "LO", "1"],
    (0x0072, 0x000a) => [:HangingProtocolCreationDateTime, "DT", "1"],
    (0x0072, 0x000c) => [:HangingProtocolDefinitionSequence, "SQ", "1"],
    (0x0072, 0x000e) => [:HangingProtocolUserIdentificationCodeSequence, "SQ", "1"],
    (0x0072, 0x0010) => [:HangingProtocolUserGroupName, "LO", "1"],
    (0x0072, 0x0012) => [:SourceHangingProtocolSequence, "SQ", "1"],
    (0x0072, 0x0014) => [:NumberOfPriorsReferenced, "US", "1"],
    (0x0072, 0x0020) => [:ImageSetsSequence, "SQ", "1"],
    (0x0072, 0x0022) => [:ImageSetSelectorSequence, "SQ", "1"],
    (0x0072, 0x0024) => [:ImageSetSelectorUsageFlag, "CS", "1"],
    (0x0072, 0x0026) => [:SelectorAttribute, "AT", "1"],
    (0x0072, 0x0028) => [:SelectorValueNumber, "US", "1"],
    (0x0072, 0x0030) => [:TimeBasedImageSetsSequence, "SQ", "1"],
    (0x0072, 0x0032) => [:ImageSetNumber, "US", "1"],
    (0x0072, 0x0034) => [:ImageSetSelectorCategory, "CS", "1"],
    (0x0072, 0x0038) => [:RelativeTime, "US", "2"],
    (0x0072, 0x003a) => [:RelativeTimeUnits, "CS", "1"],
    (0x0072, 0x003c) => [:AbstractPriorValue, "SS", "2"],
    (0x0072, 0x003e) => [:AbstractPriorCodeSequence, "SQ", "1"],
    (0x0072, 0x0040) => [:ImageSetLabel, "LO", "1"],
    (0x0072, 0x0050) => [:SelectorAttributeVR, "CS", "1"],
    (0x0072, 0x0052) => [:SelectorSequencePointer, "AT", "1-n"],
    (0x0072, 0x0054) => [:SelectorSequencePointerPrivateCreator, "LO", "1-n"],
    (0x0072, 0x0056) => [:SelectorAttributePrivateCreator, "LO", "1"],
    (0x0072, 0x005e) => [:SelectorAEValue, "AE", "1-n"],
    (0x0072, 0x005f) => [:SelectorASValue, "AS", "1-n"],
    (0x0072, 0x0060) => [:SelectorATValue, "AT", "1-n"],
    (0x0072, 0x0061) => [:SelectorDAValue, "DA", "1-n"],
    (0x0072, 0x0062) => [:SelectorCSValue, "CS", "1-n"],
    (0x0072, 0x0063) => [:SelectorDTValue, "DT", "1-n"],
    (0x0072, 0x0064) => [:SelectorISValue, "IS", "1-n"],
    (0x0072, 0x0065) => [:SelectorOBValue, "OB", "1"],
    (0x0072, 0x0066) => [:SelectorLOValue, "LO", "1-n"],
    (0x0072, 0x0067) => [:SelectorOFValue, "OF", "1"],
    (0x0072, 0x0068) => [:SelectorLTValue, "LT", "1"],
    (0x0072, 0x0069) => [:SelectorOWValue, "OW", "1"],
    (0x0072, 0x006a) => [:SelectorPNValue, "PN", "1-n"],
    (0x0072, 0x006b) => [:SelectorTMValue, "TM", "1-n"],
    (0x0072, 0x006c) => [:SelectorSHValue, "SH", "1-n"],
    (0x0072, 0x006d) => [:SelectorUNValue, "UN", "1"],
    (0x0072, 0x006e) => [:SelectorSTValue, "ST", "1"],
    (0x0072, 0x006f) => [:SelectorUCValue, "UC", "1-n"],
    (0x0072, 0x0070) => [:SelectorUTValue, "UT", "1"],
    (0x0072, 0x0071) => [:SelectorURValue, "UR", "1"],
    (0x0072, 0x0072) => [:SelectorDSValue, "DS", "1-n"],
    (0x0072, 0x0073) => [:SelectorODValue, "OD", "1"],
    (0x0072, 0x0074) => [:SelectorFDValue, "FD", "1-n"],
    (0x0072, 0x0075) => [:SelectorOLValue, "OL", "1"],
    (0x0072, 0x0076) => [:SelectorFLValue, "FL", "1-n"],
    (0x0072, 0x0078) => [:SelectorULValue, "UL", "1-n"],
    (0x0072, 0x007a) => [:SelectorUSValue, "US", "1-n"],
    (0x0072, 0x007c) => [:SelectorSLValue, "SL", "1-n"],
    (0x0072, 0x007e) => [:SelectorSSValue, "SS", "1-n"],
    (0x0072, 0x007f) => [:SelectorUIValue, "UI", "1-n"],
    (0x0072, 0x0080) => [:SelectorCodeSequenceValue, "SQ", "1"],
    (0x0072, 0x0100) => [:NumberOfScreens, "US", "1"],
    (0x0072, 0x0102) => [:NominalScreenDefinitionSequence, "SQ", "1"],
    (0x0072, 0x0104) => [:NumberOfVerticalPixels, "US", "1"],
    (0x0072, 0x0106) => [:NumberOfHorizontalPixels, "US", "1"],
    (0x0072, 0x0108) => [:DisplayEnvironmentSpatialPosition, "FD", "4"],
    (0x0072, 0x010a) => [:ScreenMinimumGrayscaleBitDepth, "US", "1"],
    (0x0072, 0x010c) => [:ScreenMinimumColorBitDepth, "US", "1"],
    (0x0072, 0x010e) => [:ApplicationMaximumRepaintTime, "US", "1"],
    (0x0072, 0x0200) => [:DisplaySetsSequence, "SQ", "1"],
    (0x0072, 0x0202) => [:DisplaySetNumber, "US", "1"],
    (0x0072, 0x0203) => [:DisplaySetLabel, "LO", "1"],
    (0x0072, 0x0204) => [:DisplaySetPresentationGroup, "US", "1"],
    (0x0072, 0x0206) => [:DisplaySetPresentationGroupDescription, "LO", "1"],
    (0x0072, 0x0208) => [:PartialDataDisplayHandling, "CS", "1"],
    (0x0072, 0x0210) => [:SynchronizedScrollingSequence, "SQ", "1"],
    (0x0072, 0x0212) => [:DisplaySetScrollingGroup, "US", "2-n"],
    (0x0072, 0x0214) => [:NavigationIndicatorSequence, "SQ", "1"],
    (0x0072, 0x0216) => [:NavigationDisplaySet, "US", "1"],
    (0x0072, 0x0218) => [:ReferenceDisplaySets, "US", "1-n"],
    (0x0072, 0x0300) => [:ImageBoxesSequence, "SQ", "1"],
    (0x0072, 0x0302) => [:ImageBoxNumber, "US", "1"],
    (0x0072, 0x0304) => [:ImageBoxLayoutType, "CS", "1"],
    (0x0072, 0x0306) => [:ImageBoxTileHorizontalDimension, "US", "1"],
    (0x0072, 0x0308) => [:ImageBoxTileVerticalDimension, "US", "1"],
    (0x0072, 0x0310) => [:ImageBoxScrollDirection, "CS", "1"],
    (0x0072, 0x0312) => [:ImageBoxSmallScrollType, "CS", "1"],
    (0x0072, 0x0314) => [:ImageBoxSmallScrollAmount, "US", "1"],
    (0x0072, 0x0316) => [:ImageBoxLargeScrollType, "CS", "1"],
    (0x0072, 0x0318) => [:ImageBoxLargeScrollAmount, "US", "1"],
    (0x0072, 0x0320) => [:ImageBoxOverlapPriority, "US", "1"],
    (0x0072, 0x0330) => [:CineRelativeToRealTime, "FD", "1"],
    (0x0072, 0x0400) => [:FilterOperationsSequence, "SQ", "1"],
    (0x0072, 0x0402) => [:FilterByCategory, "CS", "1"],
    (0x0072, 0x0404) => [:FilterByAttributePresence, "CS", "1"],
    (0x0072, 0x0406) => [:FilterByOperator, "CS", "1"],
    (0x0072, 0x0420) => [:StructuredDisplayBackgroundCIELabValue, "US", "3"],
    (0x0072, 0x0421) => [:EmptyImageBoxCIELabValue, "US", "3"],
    (0x0072, 0x0422) => [:StructuredDisplayImageBoxSequence, "SQ", "1"],
    (0x0072, 0x0424) => [:StructuredDisplayTextBoxSequence, "SQ", "1"],
    (0x0072, 0x0427) => [:ReferencedFirstFrameSequence, "SQ", "1"],
    (0x0072, 0x0430) => [:ImageBoxSynchronizationSequence, "SQ", "1"],
    (0x0072, 0x0432) => [:SynchronizedImageBoxList, "US", "2-n"],
    (0x0072, 0x0434) => [:TypeOfSynchronization, "CS", "1"],
    (0x0072, 0x0500) => [:BlendingOperationType, "CS", "1"],
    (0x0072, 0x0510) => [:ReformattingOperationType, "CS", "1"],
    (0x0072, 0x0512) => [:ReformattingThickness, "FD", "1"],
    (0x0072, 0x0514) => [:ReformattingInterval, "FD", "1"],
    (0x0072, 0x0516) => [:ReformattingOperationInitialViewDirection, "CS", "1"],
    (0x0072, 0x0520) => [:ThreeDRenderingType, "CS", "1-n"],
    (0x0072, 0x0600) => [:SortingOperationsSequence, "SQ", "1"],
    (0x0072, 0x0602) => [:SortByCategory, "CS", "1"],
    (0x0072, 0x0604) => [:SortingDirection, "CS", "1"],
    (0x0072, 0x0700) => [:DisplaySetPatientOrientation, "CS", "2"],
    (0x0072, 0x0702) => [:VOIType, "CS", "1"],
    (0x0072, 0x0704) => [:PseudoColorType, "CS", "1"],
    (0x0072, 0x0705) => [:PseudoColorPaletteInstanceReferenceSequence, "SQ", "1"],
    (0x0072, 0x0706) => [:ShowGrayscaleInverted, "CS", "1"],
    (0x0072, 0x0710) => [:ShowImageTrueSizeFlag, "CS", "1"],
    (0x0072, 0x0712) => [:ShowGraphicAnnotationFlag, "CS", "1"],
    (0x0072, 0x0714) => [:ShowPatientDemographicsFlag, "CS", "1"],
    (0x0072, 0x0716) => [:ShowAcquisitionTechniquesFlag, "CS", "1"],
    (0x0072, 0x0717) => [:DisplaySetHorizontalJustification, "CS", "1"],
    (0x0072, 0x0718) => [:DisplaySetVerticalJustification, "CS", "1"],
    (0x0074, 0x0120) => [:ContinuationStartMeterset, "FD", "1"],
    (0x0074, 0x0121) => [:ContinuationEndMeterset, "FD", "1"],
    (0x0074, 0x1000) => [:ProcedureStepState, "CS", "1"],
    (0x0074, 0x1002) => [:ProcedureStepProgressInformationSequence, "SQ", "1"],
    (0x0074, 0x1004) => [:ProcedureStepProgress, "DS", "1"],
    (0x0074, 0x1006) => [:ProcedureStepProgressDescription, "ST", "1"],
    (0x0074, 0x1007) => [:ProcedureStepProgressParametersSequence, "SQ", "1"],
    (0x0074, 0x1008) => [:ProcedureStepCommunicationsURISequence, "SQ", "1"],
    (0x0074, 0x100a) => [:ContactURI, "UR", "1"],
    (0x0074, 0x100c) => [:ContactDisplayName, "LO", "1"],
    (0x0074, 0x100e) => [:ProcedureStepDiscontinuationReasonCodeSequence, "SQ", "1"],
    (0x0074, 0x1020) => [:BeamTaskSequence, "SQ", "1"],
    (0x0074, 0x1022) => [:BeamTaskType, "CS", "1"],
    (0x0074, 0x1024) => [:BeamOrderIndexTrial, "IS", "1"],
    (0x0074, 0x1025) => [:AutosequenceFlag, "CS", "1"],
    (0x0074, 0x1026) => [:TableTopVerticalAdjustedPosition, "FD", "1"],
    (0x0074, 0x1027) => [:TableTopLongitudinalAdjustedPosition, "FD", "1"],
    (0x0074, 0x1028) => [:TableTopLateralAdjustedPosition, "FD", "1"],
    (0x0074, 0x102a) => [:PatientSupportAdjustedAngle, "FD", "1"],
    (0x0074, 0x102b) => [:TableTopEccentricAdjustedAngle, "FD", "1"],
    (0x0074, 0x102c) => [:TableTopPitchAdjustedAngle, "FD", "1"],
    (0x0074, 0x102d) => [:TableTopRollAdjustedAngle, "FD", "1"],
    (0x0074, 0x1030) => [:DeliveryVerificationImageSequence, "SQ", "1"],
    (0x0074, 0x1032) => [:VerificationImageTiming, "CS", "1"],
    (0x0074, 0x1034) => [:DoubleExposureFlag, "CS", "1"],
    (0x0074, 0x1036) => [:DoubleExposureOrdering, "CS", "1"],
    (0x0074, 0x1038) => [:DoubleExposureMetersetTrial, "DS", "1"],
    (0x0074, 0x103a) => [:DoubleExposureFieldDeltaTrial, "DS", "4"],
    (0x0074, 0x1040) => [:RelatedReferenceRTImageSequence, "SQ", "1"],
    (0x0074, 0x1042) => [:GeneralMachineVerificationSequence, "SQ", "1"],
    (0x0074, 0x1044) => [:ConventionalMachineVerificationSequence, "SQ", "1"],
    (0x0074, 0x1046) => [:IonMachineVerificationSequence, "SQ", "1"],
    (0x0074, 0x1048) => [:FailedAttributesSequence, "SQ", "1"],
    (0x0074, 0x104a) => [:OverriddenAttributesSequence, "SQ", "1"],
    (0x0074, 0x104c) => [:ConventionalControlPointVerificationSequence, "SQ", "1"],
    (0x0074, 0x104e) => [:IonControlPointVerificationSequence, "SQ", "1"],
    (0x0074, 0x1050) => [:AttributeOccurrenceSequence, "SQ", "1"],
    (0x0074, 0x1052) => [:AttributeOccurrencePointer, "AT", "1"],
    (0x0074, 0x1054) => [:AttributeItemSelector, "UL", "1"],
    (0x0074, 0x1056) => [:AttributeOccurrencePrivateCreator, "LO", "1"],
    (0x0074, 0x1057) => [:SelectorSequencePointerItems, "IS", "1-n"],
    (0x0074, 0x1200) => [:ScheduledProcedureStepPriority, "CS", "1"],
    (0x0074, 0x1202) => [:WorklistLabel, "LO", "1"],
    (0x0074, 0x1204) => [:ProcedureStepLabel, "LO", "1"],
    (0x0074, 0x1210) => [:ScheduledProcessingParametersSequence, "SQ", "1"],
    (0x0074, 0x1212) => [:PerformedProcessingParametersSequence, "SQ", "1"],
    (0x0074, 0x1216) => [:UnifiedProcedureStepPerformedProcedureSequence, "SQ", "1"],
    (0x0074, 0x1220) => [:RelatedProcedureStepSequence, "SQ", "1"],
    (0x0074, 0x1222) => [:ProcedureStepRelationshipType, "LO", "1"],
    (0x0074, 0x1224) => [:ReplacedProcedureStepSequence, "SQ", "1"],
    (0x0074, 0x1230) => [:DeletionLock, "LO", "1"],
    (0x0074, 0x1234) => [:ReceivingAE, "AE", "1"],
    (0x0074, 0x1236) => [:RequestingAE, "AE", "1"],
    (0x0074, 0x1238) => [:ReasonForCancellation, "LT", "1"],
    (0x0074, 0x1242) => [:SCPStatus, "CS", "1"],
    (0x0074, 0x1244) => [:SubscriptionListStatus, "CS", "1"],
    (0x0074, 0x1246) => [:UnifiedProcedureStepListStatus, "CS", "1"],
    (0x0074, 0x1324) => [:BeamOrderIndex, "UL", "1"],
    (0x0074, 0x1338) => [:DoubleExposureMeterset, "FD", "1"],
    (0x0074, 0x133a) => [:DoubleExposureFieldDelta, "FD", "4"],
    (0x0074, 0x1401) => [:BrachyTaskSequence, "SQ", "1"],
    (0x0074, 0x1402) => [:ContinuationStartTotalReferenceAirKerma, "DS", "1"],
    (0x0074, 0x1403) => [:ContinuationEndTotalReferenceAirKerma, "DS", "1"],
    (0x0074, 0x1404) => [:ContinuationPulseNumber, "IS", "1"],
    (0x0074, 0x1405) => [:ChannelDeliveryOrderSequence, "SQ", "1"],
    (0x0074, 0x1406) => [:ReferencedChannelNumber, "IS", "1"],
    (0x0074, 0x1407) => [:StartCumulativeTimeWeight, "DS", "1"],
    (0x0074, 0x1408) => [:EndCumulativeTimeWeight, "DS", "1"],
    (0x0074, 0x1409) => [:OmittedChannelSequence, "SQ", "1"],
    (0x0074, 0x140a) => [:ReasonForChannelOmission, "CS", "1"],
    (0x0074, 0x140b) => [:ReasonForChannelOmissionDescription, "LO", "1"],
    (0x0074, 0x140c) => [:ChannelDeliveryOrderIndex, "IS", "1"],
    (0x0074, 0x140d) => [:ChannelDeliveryContinuationSequence, "SQ", "1"],
    (0x0074, 0x140e) => [:OmittedApplicationSetupSequence, "SQ", "1"],
    (0x0076, 0x0001) => [:ImplantAssemblyTemplateName, "LO", "1"],
    (0x0076, 0x0003) => [:ImplantAssemblyTemplateIssuer, "LO", "1"],
    (0x0076, 0x0006) => [:ImplantAssemblyTemplateVersion, "LO", "1"],
    (0x0076, 0x0008) => [:ReplacedImplantAssemblyTemplateSequence, "SQ", "1"],
    (0x0076, 0x000a) => [:ImplantAssemblyTemplateType, "CS", "1"],
    (0x0076, 0x000c) => [:OriginalImplantAssemblyTemplateSequence, "SQ", "1"],
    (0x0076, 0x000e) => [:DerivationImplantAssemblyTemplateSequence, "SQ", "1"],
    (0x0076, 0x0010) => [:ImplantAssemblyTemplateTargetAnatomySequence, "SQ", "1"],
    (0x0076, 0x0020) => [:ProcedureTypeCodeSequence, "SQ", "1"],
    (0x0076, 0x0030) => [:SurgicalTechnique, "LO", "1"],
    (0x0076, 0x0032) => [:ComponentTypesSequence, "SQ", "1"],
    (0x0076, 0x0034) => [:ComponentTypeCodeSequence, "SQ", "1"],
    (0x0076, 0x0036) => [:ExclusiveComponentType, "CS", "1"],
    (0x0076, 0x0038) => [:MandatoryComponentType, "CS", "1"],
    (0x0076, 0x0040) => [:ComponentSequence, "SQ", "1"],
    (0x0076, 0x0055) => [:ComponentID, "US", "1"],
    (0x0076, 0x0060) => [:ComponentAssemblySequence, "SQ", "1"],
    (0x0076, 0x0070) => [:Component1ReferencedID, "US", "1"],
    (0x0076, 0x0080) => [:Component1ReferencedMatingFeatureSetID, "US", "1"],
    (0x0076, 0x0090) => [:Component1ReferencedMatingFeatureID, "US", "1"],
    (0x0076, 0x00a0) => [:Component2ReferencedID, "US", "1"],
    (0x0076, 0x00b0) => [:Component2ReferencedMatingFeatureSetID, "US", "1"],
    (0x0076, 0x00c0) => [:Component2ReferencedMatingFeatureID, "US", "1"],
    (0x0078, 0x0001) => [:ImplantTemplateGroupName, "LO", "1"],
    (0x0078, 0x0010) => [:ImplantTemplateGroupDescription, "ST", "1"],
    (0x0078, 0x0020) => [:ImplantTemplateGroupIssuer, "LO", "1"],
    (0x0078, 0x0024) => [:ImplantTemplateGroupVersion, "LO", "1"],
    (0x0078, 0x0026) => [:ReplacedImplantTemplateGroupSequence, "SQ", "1"],
    (0x0078, 0x0028) => [:ImplantTemplateGroupTargetAnatomySequence, "SQ", "1"],
    (0x0078, 0x002a) => [:ImplantTemplateGroupMembersSequence, "SQ", "1"],
    (0x0078, 0x002e) => [:ImplantTemplateGroupMemberID, "US", "1"],
    (0x0078, 0x0050) => [:ThreeDImplantTemplateGroupMemberMatchingPoint, "FD", "3"],
    (0x0078, 0x0060) => [:ThreeDImplantTemplateGroupMemberMatchingAxes, "FD", "9"],
    (0x0078, 0x0070) =>
        [:ImplantTemplateGroupMemberMatching2DCoordinatesSequence, "SQ", "1"],
    (0x0078, 0x0090) => [:TwoDImplantTemplateGroupMemberMatchingPoint, "FD", "2"],
    (0x0078, 0x00a0) => [:TwoDImplantTemplateGroupMemberMatchingAxes, "FD", "4"],
    (0x0078, 0x00b0) => [:ImplantTemplateGroupVariationDimensionSequence, "SQ", "1"],
    (0x0078, 0x00b2) => [:ImplantTemplateGroupVariationDimensionName, "LO", "1"],
    (0x0078, 0x00b4) =>
        [:ImplantTemplateGroupVariationDimensionRankSequence, "SQ", "1"],
    (0x0078, 0x00b6) => [:ReferencedImplantTemplateGroupMemberID, "US", "1"],
    (0x0078, 0x00b8) => [:ImplantTemplateGroupVariationDimensionRank, "US", "1"],
    (0x0080, 0x0001) => [:SurfaceScanAcquisitionTypeCodeSequence, "SQ", "1"],
    (0x0080, 0x0002) => [:SurfaceScanModeCodeSequence, "SQ", "1"],
    (0x0080, 0x0003) => [:RegistrationMethodCodeSequence, "SQ", "1"],
    (0x0080, 0x0004) => [:ShotDurationTime, "FD", "1"],
    (0x0080, 0x0005) => [:ShotOffsetTime, "FD", "1"],
    (0x0080, 0x0006) => [:SurfacePointPresentationValueData, "US", "1-n"],
    (0x0080, 0x0007) => [:SurfacePointColorCIELabValueData, "US", "3-3n"],
    (0x0080, 0x0008) => [:UVMappingSequence, "SQ", "1"],
    (0x0080, 0x0009) => [:TextureLabel, "SH", "1"],
    (0x0080, 0x0010) => [:UValueData, "OF", "1"],
    (0x0080, 0x0011) => [:VValueData, "OF", "1"],
    (0x0080, 0x0012) => [:ReferencedTextureSequence, "SQ", "1"],
    (0x0080, 0x0013) => [:ReferencedSurfaceDataSequence, "SQ", "1"],
    (0x0082, 0x0001) => [:AssessmentSummary, "CS", "1"],
    (0x0082, 0x0003) => [:AssessmentSummaryDescription, "UT", "1"],
    (0x0082, 0x0004) => [:AssessedSOPInstanceSequence, "SQ", "1"],
    (0x0082, 0x0005) => [:ReferencedComparisonSOPInstanceSequence, "SQ", "1"],
    (0x0082, 0x0006) => [:NumberOfAssessmentObservations, "UL", "1"],
    (0x0082, 0x0007) => [:AssessmentObservationsSequence, "SQ", "1"],
    (0x0082, 0x0008) => [:ObservationSignificance, "CS", "1"],
    (0x0082, 0x000a) => [:ObservationDescription, "UT", "1"],
    (0x0082, 0x000c) => [:StructuredConstraintObservationSequence, "SQ", "1"],
    (0x0082, 0x0010) => [:AssessedAttributeValueSequence, "SQ", "1"],
    (0x0082, 0x0016) => [:AssessmentSetID, "LO", "1"],
    (0x0082, 0x0017) => [:AssessmentRequesterSequence, "SQ", "1"],
    (0x0082, 0x0018) => [:SelectorAttributeName, "LO", "1"],
    (0x0082, 0x0019) => [:SelectorAttributeKeyword, "LO", "1"],
    (0x0082, 0x0021) => [:AssessmentTypeCodeSequence, "SQ", "1"],
    (0x0082, 0x0022) => [:ObservationBasisCodeSequence, "SQ", "1"],
    (0x0082, 0x0023) => [:AssessmentLabel, "LO", "1"],
    (0x0082, 0x0032) => [:ConstraintType, "CS", "1"],
    (0x0082, 0x0033) => [:SpecificationSelectionGuidance, "UT", "1"],
    (0x0082, 0x0034) => [:ConstraintValueSequence, "SQ", "1"],
    (0x0082, 0x0035) => [:RecommendedDefaultValueSequence, "SQ", "1"],
    (0x0082, 0x0036) => [:ConstraintViolationSignificance, "CS", "1"],
    (0x0082, 0x0037) => [:ConstraintViolationCondition, "UT", "1"],
    (0x0082, 0x0038) => [:ModifiableConstraintFlag, "CS", "1"],
    (0x0088, 0x0130) => [:StorageMediaFileSetID, "SH", "1"],
    (0x0088, 0x0140) => [:StorageMediaFileSetUID, "UI", "1"],
    (0x0088, 0x0200) => [:IconImageSequence, "SQ", "1"],
    (0x0088, 0x0904) => [:TopicTitle, "LO", "1"],
    (0x0088, 0x0906) => [:TopicSubject, "ST", "1"],
    (0x0088, 0x0910) => [:TopicAuthor, "LO", "1"],
    (0x0088, 0x0912) => [:TopicKeywords, "LO", "1-32"],
    (0x0100, 0x0410) => [:SOPInstanceStatus, "CS", "1"],
    (0x0100, 0x0420) => [:SOPAuthorizationDateTime, "DT", "1"],
    (0x0100, 0x0424) => [:SOPAuthorizationComment, "LT", "1"],
    (0x0100, 0x0426) => [:AuthorizationEquipmentCertificationNumber, "LO", "1"],
    (0x0400, 0x0005) => [:MACIDNumber, "US", "1"],
    (0x0400, 0x0010) => [:MACCalculationTransferSyntaxUID, "UI", "1"],
    (0x0400, 0x0015) => [:MACAlgorithm, "CS", "1"],
    (0x0400, 0x0020) => [:DataElementsSigned, "AT", "1-n"],
    (0x0400, 0x0100) => [:DigitalSignatureUID, "UI", "1"],
    (0x0400, 0x0105) => [:DigitalSignatureDateTime, "DT", "1"],
    (0x0400, 0x0110) => [:CertificateType, "CS", "1"],
    (0x0400, 0x0115) => [:CertificateOfSigner, "OB", "1"],
    (0x0400, 0x0120) => [:Signature, "OB", "1"],
    (0x0400, 0x0305) => [:CertifiedTimestampType, "CS", "1"],
    (0x0400, 0x0310) => [:CertifiedTimestamp, "OB", "1"],
    (0x0400, 0x0401) => [:DigitalSignaturePurposeCodeSequence, "SQ", "1"],
    (0x0400, 0x0402) => [:ReferencedDigitalSignatureSequence, "SQ", "1"],
    (0x0400, 0x0403) => [:ReferencedSOPInstanceMACSequence, "SQ", "1"],
    (0x0400, 0x0404) => [:MAC, "OB", "1"],
    (0x0400, 0x0500) => [:EncryptedAttributesSequence, "SQ", "1"],
    (0x0400, 0x0510) => [:EncryptedContentTransferSyntaxUID, "UI", "1"],
    (0x0400, 0x0520) => [:EncryptedContent, "OB", "1"],
    (0x0400, 0x0550) => [:ModifiedAttributesSequence, "SQ", "1"],
    (0x0400, 0x0551) => [:NonconformingModifiedAttributesSequence, "SQ", "1"],
    (0x0400, 0x0552) => [:NonconformingDataElementValue, "OB", "1"],
    (0x0400, 0x0561) => [:OriginalAttributesSequence, "SQ", "1"],
    (0x0400, 0x0562) => [:AttributeModificationDateTime, "DT", "1"],
    (0x0400, 0x0563) => [:ModifyingSystem, "LO", "1"],
    (0x0400, 0x0564) => [:SourceOfPreviousValues, "LO", "1"],
    (0x0400, 0x0565) => [:ReasonForTheAttributeModification, "CS", "1"],
    (0x0400, 0x0600) => [:InstanceOriginStatus, "CS", "1"],
    (0x2000, 0x0010) => [:NumberOfCopies, "IS", "1"],
    (0x2000, 0x001e) => [:PrinterConfigurationSequence, "SQ", "1"],
    (0x2000, 0x0020) => [:PrintPriority, "CS", "1"],
    (0x2000, 0x0030) => [:MediumType, "CS", "1"],
    (0x2000, 0x0040) => [:FilmDestination, "CS", "1"],
    (0x2000, 0x0050) => [:FilmSessionLabel, "LO", "1"],
    (0x2000, 0x0060) => [:MemoryAllocation, "IS", "1"],
    (0x2000, 0x0061) => [:MaximumMemoryAllocation, "IS", "1"],
    (0x2000, 0x0062) => [:ColorImagePrintingFlag, "CS", "1"],
    (0x2000, 0x0063) => [:CollationFlag, "CS", "1"],
    (0x2000, 0x0065) => [:AnnotationFlag, "CS", "1"],
    (0x2000, 0x0067) => [:ImageOverlayFlag, "CS", "1"],
    (0x2000, 0x0069) => [:PresentationLUTFlag, "CS", "1"],
    (0x2000, 0x006a) => [:ImageBoxPresentationLUTFlag, "CS", "1"],
    (0x2000, 0x00a0) => [:MemoryBitDepth, "US", "1"],
    (0x2000, 0x00a1) => [:PrintingBitDepth, "US", "1"],
    (0x2000, 0x00a2) => [:MediaInstalledSequence, "SQ", "1"],
    (0x2000, 0x00a4) => [:OtherMediaAvailableSequence, "SQ", "1"],
    (0x2000, 0x00a8) => [:SupportedImageDisplayFormatsSequence, "SQ", "1"],
    (0x2000, 0x0500) => [:ReferencedFilmBoxSequence, "SQ", "1"],
    (0x2000, 0x0510) => [:ReferencedStoredPrintSequence, "SQ", "1"],
    (0x2010, 0x0010) => [:ImageDisplayFormat, "ST", "1"],
    (0x2010, 0x0030) => [:AnnotationDisplayFormatID, "CS", "1"],
    (0x2010, 0x0040) => [:FilmOrientation, "CS", "1"],
    (0x2010, 0x0050) => [:FilmSizeID, "CS", "1"],
    (0x2010, 0x0052) => [:PrinterResolutionID, "CS", "1"],
    (0x2010, 0x0054) => [:DefaultPrinterResolutionID, "CS", "1"],
    (0x2010, 0x0060) => [:MagnificationType, "CS", "1"],
    (0x2010, 0x0080) => [:SmoothingType, "CS", "1"],
    (0x2010, 0x00a6) => [:DefaultMagnificationType, "CS", "1"],
    (0x2010, 0x00a7) => [:OtherMagnificationTypesAvailable, "CS", "1-n"],
    (0x2010, 0x00a8) => [:DefaultSmoothingType, "CS", "1"],
    (0x2010, 0x00a9) => [:OtherSmoothingTypesAvailable, "CS", "1-n"],
    (0x2010, 0x0100) => [:BorderDensity, "CS", "1"],
    (0x2010, 0x0110) => [:EmptyImageDensity, "CS", "1"],
    (0x2010, 0x0120) => [:MinDensity, "US", "1"],
    (0x2010, 0x0130) => [:MaxDensity, "US", "1"],
    (0x2010, 0x0140) => [:Trim, "CS", "1"],
    (0x2010, 0x0150) => [:ConfigurationInformation, "ST", "1"],
    (0x2010, 0x0152) => [:ConfigurationInformationDescription, "LT", "1"],
    (0x2010, 0x0154) => [:MaximumCollatedFilms, "IS", "1"],
    (0x2010, 0x015e) => [:Illumination, "US", "1"],
    (0x2010, 0x0160) => [:ReflectedAmbientLight, "US", "1"],
    (0x2010, 0x0376) => [:PrinterPixelSpacing, "DS", "2"],
    (0x2010, 0x0500) => [:ReferencedFilmSessionSequence, "SQ", "1"],
    (0x2010, 0x0510) => [:ReferencedImageBoxSequence, "SQ", "1"],
    (0x2010, 0x0520) => [:ReferencedBasicAnnotationBoxSequence, "SQ", "1"],
    (0x2020, 0x0010) => [:ImageBoxPosition, "US", "1"],
    (0x2020, 0x0020) => [:Polarity, "CS", "1"],
    (0x2020, 0x0030) => [:RequestedImageSize, "DS", "1"],
    (0x2020, 0x0040) => [:RequestedDecimateCropBehavior, "CS", "1"],
    (0x2020, 0x0050) => [:RequestedResolutionID, "CS", "1"],
    (0x2020, 0x00a0) => [:RequestedImageSizeFlag, "CS", "1"],
    (0x2020, 0x00a2) => [:DecimateCropResult, "CS", "1"],
    (0x2020, 0x0110) => [:BasicGrayscaleImageSequence, "SQ", "1"],
    (0x2020, 0x0111) => [:BasicColorImageSequence, "SQ", "1"],
    (0x2020, 0x0130) => [:ReferencedImageOverlayBoxSequence, "SQ", "1"],
    (0x2020, 0x0140) => [:ReferencedVOILUTBoxSequence, "SQ", "1"],
    (0x2030, 0x0010) => [:AnnotationPosition, "US", "1"],
    (0x2030, 0x0020) => [:TextString, "LO", "1"],
    (0x2040, 0x0010) => [:ReferencedOverlayPlaneSequence, "SQ", "1"],
    (0x2040, 0x0011) => [:ReferencedOverlayPlaneGroups, "US", "1-99"],
    (0x2040, 0x0020) => [:OverlayPixelDataSequence, "SQ", "1"],
    (0x2040, 0x0060) => [:OverlayMagnificationType, "CS", "1"],
    (0x2040, 0x0070) => [:OverlaySmoothingType, "CS", "1"],
    (0x2040, 0x0072) => [:OverlayOrImageMagnification, "CS", "1"],
    (0x2040, 0x0074) => [:MagnifyToNumberOfColumns, "US", "1"],
    (0x2040, 0x0080) => [:OverlayForegroundDensity, "CS", "1"],
    (0x2040, 0x0082) => [:OverlayBackgroundDensity, "CS", "1"],
    (0x2040, 0x0090) => [:OverlayMode, "CS", "1"],
    (0x2040, 0x0100) => [:ThresholdDensity, "CS", "1"],
    (0x2040, 0x0500) => [:ReferencedImageBoxSequenceRetired, "SQ", "1"],
    (0x2050, 0x0010) => [:PresentationLUTSequence, "SQ", "1"],
    (0x2050, 0x0020) => [:PresentationLUTShape, "CS", "1"],
    (0x2050, 0x0500) => [:ReferencedPresentationLUTSequence, "SQ", "1"],
    (0x2100, 0x0010) => [:PrintJobID, "SH", "1"],
    (0x2100, 0x0020) => [:ExecutionStatus, "CS", "1"],
    (0x2100, 0x0030) => [:ExecutionStatusInfo, "CS", "1"],
    (0x2100, 0x0040) => [:CreationDate, "DA", "1"],
    (0x2100, 0x0050) => [:CreationTime, "TM", "1"],
    (0x2100, 0x0070) => [:Originator, "AE", "1"],
    (0x2100, 0x0140) => [:DestinationAE, "AE", "1"],
    (0x2100, 0x0160) => [:OwnerID, "SH", "1"],
    (0x2100, 0x0170) => [:NumberOfFilms, "IS", "1"],
    (0x2100, 0x0500) => [:ReferencedPrintJobSequencePullStoredPrint, "SQ", "1"],
    (0x2110, 0x0010) => [:PrinterStatus, "CS", "1"],
    (0x2110, 0x0020) => [:PrinterStatusInfo, "CS", "1"],
    (0x2110, 0x0030) => [:PrinterName, "LO", "1"],
    (0x2110, 0x0099) => [:PrintQueueID, "SH", "1"],
    (0x2120, 0x0010) => [:QueueStatus, "CS", "1"],
    (0x2120, 0x0050) => [:PrintJobDescriptionSequence, "SQ", "1"],
    (0x2120, 0x0070) => [:ReferencedPrintJobSequence, "SQ", "1"],
    (0x2130, 0x0010) => [:PrintManagementCapabilitiesSequence, "SQ", "1"],
    (0x2130, 0x0015) => [:PrinterCharacteristicsSequence, "SQ", "1"],
    (0x2130, 0x0030) => [:FilmBoxContentSequence, "SQ", "1"],
    (0x2130, 0x0040) => [:ImageBoxContentSequence, "SQ", "1"],
    (0x2130, 0x0050) => [:AnnotationContentSequence, "SQ", "1"],
    (0x2130, 0x0060) => [:ImageOverlayBoxContentSequence, "SQ", "1"],
    (0x2130, 0x0080) => [:PresentationLUTContentSequence, "SQ", "1"],
    (0x2130, 0x00a0) => [:ProposedStudySequence, "SQ", "1"],
    (0x2130, 0x00c0) => [:OriginalImageSequence, "SQ", "1"],
    (0x2200, 0x0001) => [:LabelUsingInformationExtractedFromInstances, "CS", "1"],
    (0x2200, 0x0002) => [:LabelText, "UT", "1"],
    (0x2200, 0x0003) => [:LabelStyleSelection, "CS", "1"],
    (0x2200, 0x0004) => [:MediaDisposition, "LT", "1"],
    (0x2200, 0x0005) => [:BarcodeValue, "LT", "1"],
    (0x2200, 0x0006) => [:BarcodeSymbology, "CS", "1"],
    (0x2200, 0x0007) => [:AllowMediaSplitting, "CS", "1"],
    (0x2200, 0x0008) => [:IncludeNonDICOMObjects, "CS", "1"],
    (0x2200, 0x0009) => [:IncludeDisplayApplication, "CS", "1"],
    (0x2200, 0x000a) => [:PreserveCompositeInstancesAfterMediaCreation, "CS", "1"],
    (0x2200, 0x000b) => [:TotalNumberOfPiecesOfMediaCreated, "US", "1"],
    (0x2200, 0x000c) => [:RequestedMediaApplicationProfile, "LO", "1"],
    (0x2200, 0x000d) => [:ReferencedStorageMediaSequence, "SQ", "1"],
    (0x2200, 0x000e) => [:FailureAttributes, "AT", "1-n"],
    (0x2200, 0x000f) => [:AllowLossyCompression, "CS", "1"],
    (0x2200, 0x0020) => [:RequestPriority, "CS", "1"],
    (0x3002, 0x0002) => [:RTImageLabel, "SH", "1"],
    (0x3002, 0x0003) => [:RTImageName, "LO", "1"],
    (0x3002, 0x0004) => [:RTImageDescription, "ST", "1"],
    (0x3002, 0x000a) => [:ReportedValuesOrigin, "CS", "1"],
    (0x3002, 0x000c) => [:RTImagePlane, "CS", "1"],
    (0x3002, 0x000d) => [:XRayImageReceptorTranslation, "DS", "3"],
    (0x3002, 0x000e) => [:XRayImageReceptorAngle, "DS", "1"],
    (0x3002, 0x0010) => [:RTImageOrientation, "DS", "6"],
    (0x3002, 0x0011) => [:ImagePlanePixelSpacing, "DS", "2"],
    (0x3002, 0x0012) => [:RTImagePosition, "DS", "2"],
    (0x3002, 0x0020) => [:RadiationMachineName, "SH", "1"],
    (0x3002, 0x0022) => [:RadiationMachineSAD, "DS", "1"],
    (0x3002, 0x0024) => [:RadiationMachineSSD, "DS", "1"],
    (0x3002, 0x0026) => [:RTImageSID, "DS", "1"],
    (0x3002, 0x0028) => [:SourceToReferenceObjectDistance, "DS", "1"],
    (0x3002, 0x0029) => [:FractionNumber, "IS", "1"],
    (0x3002, 0x0030) => [:ExposureSequence, "SQ", "1"],
    (0x3002, 0x0032) => [:MetersetExposure, "DS", "1"],
    (0x3002, 0x0034) => [:DiaphragmPosition, "DS", "4"],
    (0x3002, 0x0040) => [:FluenceMapSequence, "SQ", "1"],
    (0x3002, 0x0041) => [:FluenceDataSource, "CS", "1"],
    (0x3002, 0x0042) => [:FluenceDataScale, "DS", "1"],
    (0x3002, 0x0050) => [:PrimaryFluenceModeSequence, "SQ", "1"],
    (0x3002, 0x0051) => [:FluenceMode, "CS", "1"],
    (0x3002, 0x0052) => [:FluenceModeID, "SH", "1"],
    (0x3004, 0x0001) => [:DVHType, "CS", "1"],
    (0x3004, 0x0002) => [:DoseUnits, "CS", "1"],
    (0x3004, 0x0004) => [:DoseType, "CS", "1"],
    (0x3004, 0x0005) => [:SpatialTransformOfDose, "CS", "1"],
    (0x3004, 0x0006) => [:DoseComment, "LO", "1"],
    (0x3004, 0x0008) => [:NormalizationPoint, "DS", "3"],
    (0x3004, 0x000a) => [:DoseSummationType, "CS", "1"],
    (0x3004, 0x000c) => [:GridFrameOffsetVector, "DS", "2-n"],
    (0x3004, 0x000e) => [:DoseGridScaling, "DS", "1"],
    (0x3004, 0x0010) => [:RTDoseROISequence, "SQ", "1"],
    (0x3004, 0x0012) => [:DoseValue, "DS", "1"],
    (0x3004, 0x0014) => [:TissueHeterogeneityCorrection, "CS", "1-3"],
    (0x3004, 0x0040) => [:DVHNormalizationPoint, "DS", "3"],
    (0x3004, 0x0042) => [:DVHNormalizationDoseValue, "DS", "1"],
    (0x3004, 0x0050) => [:DVHSequence, "SQ", "1"],
    (0x3004, 0x0052) => [:DVHDoseScaling, "DS", "1"],
    (0x3004, 0x0054) => [:DVHVolumeUnits, "CS", "1"],
    (0x3004, 0x0056) => [:DVHNumberOfBins, "IS", "1"],
    (0x3004, 0x0058) => [:DVHData, "DS", "2-2n"],
    (0x3004, 0x0060) => [:DVHReferencedROISequence, "SQ", "1"],
    (0x3004, 0x0062) => [:DVHROIContributionType, "CS", "1"],
    (0x3004, 0x0070) => [:DVHMinimumDose, "DS", "1"],
    (0x3004, 0x0072) => [:DVHMaximumDose, "DS", "1"],
    (0x3004, 0x0074) => [:DVHMeanDose, "DS", "1"],
    (0x3006, 0x0002) => [:StructureSetLabel, "SH", "1"],
    (0x3006, 0x0004) => [:StructureSetName, "LO", "1"],
    (0x3006, 0x0006) => [:StructureSetDescription, "ST", "1"],
    (0x3006, 0x0008) => [:StructureSetDate, "DA", "1"],
    (0x3006, 0x0009) => [:StructureSetTime, "TM", "1"],
    (0x3006, 0x0010) => [:ReferencedFrameOfReferenceSequence, "SQ", "1"],
    (0x3006, 0x0012) => [:RTReferencedStudySequence, "SQ", "1"],
    (0x3006, 0x0014) => [:RTReferencedSeriesSequence, "SQ", "1"],
    (0x3006, 0x0016) => [:ContourImageSequence, "SQ", "1"],
    (0x3006, 0x0018) => [:PredecessorStructureSetSequence, "SQ", "1"],
    (0x3006, 0x0020) => [:StructureSetROISequence, "SQ", "1"],
    (0x3006, 0x0022) => [:ROINumber, "IS", "1"],
    (0x3006, 0x0024) => [:ReferencedFrameOfReferenceUID, "UI", "1"],
    (0x3006, 0x0026) => [:ROIName, "LO", "1"],
    (0x3006, 0x0028) => [:ROIDescription, "ST", "1"],
    (0x3006, 0x002a) => [:ROIDisplayColor, "IS", "3"],
    (0x3006, 0x002c) => [:ROIVolume, "DS", "1"],
    (0x3006, 0x0030) => [:RTRelatedROISequence, "SQ", "1"],
    (0x3006, 0x0033) => [:RTROIRelationship, "CS", "1"],
    (0x3006, 0x0036) => [:ROIGenerationAlgorithm, "CS", "1"],
    (0x3006, 0x0037) => [:ROIDerivationAlgorithmIdentificationSequence, "SQ", "1"],
    (0x3006, 0x0038) => [:ROIGenerationDescription, "LO", "1"],
    (0x3006, 0x0039) => [:ROIContourSequence, "SQ", "1"],
    (0x3006, 0x0040) => [:ContourSequence, "SQ", "1"],
    (0x3006, 0x0042) => [:ContourGeometricType, "CS", "1"],
    (0x3006, 0x0044) => [:ContourSlabThickness, "DS", "1"],
    (0x3006, 0x0045) => [:ContourOffsetVector, "DS", "3"],
    (0x3006, 0x0046) => [:NumberOfContourPoints, "IS", "1"],
    (0x3006, 0x0048) => [:ContourNumber, "IS", "1"],
    (0x3006, 0x0049) => [:AttachedContours, "IS", "1-n"],
    (0x3006, 0x0050) => [:ContourData, "DS", "3-3n"],
    (0x3006, 0x0080) => [:RTROIObservationsSequence, "SQ", "1"],
    (0x3006, 0x0082) => [:ObservationNumber, "IS", "1"],
    (0x3006, 0x0084) => [:ReferencedROINumber, "IS", "1"],
    (0x3006, 0x0085) => [:ROIObservationLabel, "SH", "1"],
    (0x3006, 0x0086) => [:RTROIIdentificationCodeSequence, "SQ", "1"],
    (0x3006, 0x0088) => [:ROIObservationDescription, "ST", "1"],
    (0x3006, 0x00a0) => [:RelatedRTROIObservationsSequence, "SQ", "1"],
    (0x3006, 0x00a4) => [:RTROIInterpretedType, "CS", "1"],
    (0x3006, 0x00a6) => [:ROIInterpreter, "PN", "1"],
    (0x3006, 0x00b0) => [:ROIPhysicalPropertiesSequence, "SQ", "1"],
    (0x3006, 0x00b2) => [:ROIPhysicalProperty, "CS", "1"],
    (0x3006, 0x00b4) => [:ROIPhysicalPropertyValue, "DS", "1"],
    (0x3006, 0x00b6) => [:ROIElementalCompositionSequence, "SQ", "1"],
    (0x3006, 0x00b7) => [:ROIElementalCompositionAtomicNumber, "US", "1"],
    (0x3006, 0x00b8) => [:ROIElementalCompositionAtomicMassFraction, "FL", "1"],
    (0x3006, 0x00b9) => [:AdditionalRTROIIdentificationCodeSequence, "SQ", "1"],
    (0x3006, 0x00c0) => [:FrameOfReferenceRelationshipSequence, "SQ", "1"],
    (0x3006, 0x00c2) => [:RelatedFrameOfReferenceUID, "UI", "1"],
    (0x3006, 0x00c4) => [:FrameOfReferenceTransformationType, "CS", "1"],
    (0x3006, 0x00c6) => [:FrameOfReferenceTransformationMatrix, "DS", "16"],
    (0x3006, 0x00c8) => [:FrameOfReferenceTransformationComment, "LO", "1"],
    (0x3006, 0x00c9) => [:PatientLocationCoordinatesSequence, "SQ", "1"],
    (0x3006, 0x00ca) => [:PatientLocationCoordinatesCodeSequence, "SQ", "1"],
    (0x3006, 0x00cb) => [:PatientSupportPositionSequence, "SQ", "1"],
    (0x3008, 0x0010) => [:MeasuredDoseReferenceSequence, "SQ", "1"],
    (0x3008, 0x0012) => [:MeasuredDoseDescription, "ST", "1"],
    (0x3008, 0x0014) => [:MeasuredDoseType, "CS", "1"],
    (0x3008, 0x0016) => [:MeasuredDoseValue, "DS", "1"],
    (0x3008, 0x0020) => [:TreatmentSessionBeamSequence, "SQ", "1"],
    (0x3008, 0x0021) => [:TreatmentSessionIonBeamSequence, "SQ", "1"],
    (0x3008, 0x0022) => [:CurrentFractionNumber, "IS", "1"],
    (0x3008, 0x0024) => [:TreatmentControlPointDate, "DA", "1"],
    (0x3008, 0x0025) => [:TreatmentControlPointTime, "TM", "1"],
    (0x3008, 0x002a) => [:TreatmentTerminationStatus, "CS", "1"],
    (0x3008, 0x002b) => [:TreatmentTerminationCode, "SH", "1"],
    (0x3008, 0x002c) => [:TreatmentVerificationStatus, "CS", "1"],
    (0x3008, 0x0030) => [:ReferencedTreatmentRecordSequence, "SQ", "1"],
    (0x3008, 0x0032) => [:SpecifiedPrimaryMeterset, "DS", "1"],
    (0x3008, 0x0033) => [:SpecifiedSecondaryMeterset, "DS", "1"],
    (0x3008, 0x0036) => [:DeliveredPrimaryMeterset, "DS", "1"],
    (0x3008, 0x0037) => [:DeliveredSecondaryMeterset, "DS", "1"],
    (0x3008, 0x003a) => [:SpecifiedTreatmentTime, "DS", "1"],
    (0x3008, 0x003b) => [:DeliveredTreatmentTime, "DS", "1"],
    (0x3008, 0x0040) => [:ControlPointDeliverySequence, "SQ", "1"],
    (0x3008, 0x0041) => [:IonControlPointDeliverySequence, "SQ", "1"],
    (0x3008, 0x0042) => [:SpecifiedMeterset, "DS", "1"],
    (0x3008, 0x0044) => [:DeliveredMeterset, "DS", "1"],
    (0x3008, 0x0045) => [:MetersetRateSet, "FL", "1"],
    (0x3008, 0x0046) => [:MetersetRateDelivered, "FL", "1"],
    (0x3008, 0x0047) => [:ScanSpotMetersetsDelivered, "FL", "1-n"],
    (0x3008, 0x0048) => [:DoseRateDelivered, "DS", "1"],
    (0x3008, 0x0050) => [:TreatmentSummaryCalculatedDoseReferenceSequence, "SQ", "1"],
    (0x3008, 0x0052) => [:CumulativeDoseToDoseReference, "DS", "1"],
    (0x3008, 0x0054) => [:FirstTreatmentDate, "DA", "1"],
    (0x3008, 0x0056) => [:MostRecentTreatmentDate, "DA", "1"],
    (0x3008, 0x005a) => [:NumberOfFractionsDelivered, "IS", "1"],
    (0x3008, 0x0060) => [:OverrideSequence, "SQ", "1"],
    (0x3008, 0x0061) => [:ParameterSequencePointer, "AT", "1"],
    (0x3008, 0x0062) => [:OverrideParameterPointer, "AT", "1"],
    (0x3008, 0x0063) => [:ParameterItemIndex, "IS", "1"],
    (0x3008, 0x0064) => [:MeasuredDoseReferenceNumber, "IS", "1"],
    (0x3008, 0x0065) => [:ParameterPointer, "AT", "1"],
    (0x3008, 0x0066) => [:OverrideReason, "ST", "1"],
    (0x3008, 0x0067) => [:ParameterValueNumber, "US", "1"],
    (0x3008, 0x0068) => [:CorrectedParameterSequence, "SQ", "1"],
    (0x3008, 0x006a) => [:CorrectionValue, "FL", "1"],
    (0x3008, 0x0070) => [:CalculatedDoseReferenceSequence, "SQ", "1"],
    (0x3008, 0x0072) => [:CalculatedDoseReferenceNumber, "IS", "1"],
    (0x3008, 0x0074) => [:CalculatedDoseReferenceDescription, "ST", "1"],
    (0x3008, 0x0076) => [:CalculatedDoseReferenceDoseValue, "DS", "1"],
    (0x3008, 0x0078) => [:StartMeterset, "DS", "1"],
    (0x3008, 0x007a) => [:EndMeterset, "DS", "1"],
    (0x3008, 0x0080) => [:ReferencedMeasuredDoseReferenceSequence, "SQ", "1"],
    (0x3008, 0x0082) => [:ReferencedMeasuredDoseReferenceNumber, "IS", "1"],
    (0x3008, 0x0090) => [:ReferencedCalculatedDoseReferenceSequence, "SQ", "1"],
    (0x3008, 0x0092) => [:ReferencedCalculatedDoseReferenceNumber, "IS", "1"],
    (0x3008, 0x00a0) => [:BeamLimitingDeviceLeafPairsSequence, "SQ", "1"],
    (0x3008, 0x00b0) => [:RecordedWedgeSequence, "SQ", "1"],
    (0x3008, 0x00c0) => [:RecordedCompensatorSequence, "SQ", "1"],
    (0x3008, 0x00d0) => [:RecordedBlockSequence, "SQ", "1"],
    (0x3008, 0x00e0) => [:TreatmentSummaryMeasuredDoseReferenceSequence, "SQ", "1"],
    (0x3008, 0x00f0) => [:RecordedSnoutSequence, "SQ", "1"],
    (0x3008, 0x00f2) => [:RecordedRangeShifterSequence, "SQ", "1"],
    (0x3008, 0x00f4) => [:RecordedLateralSpreadingDeviceSequence, "SQ", "1"],
    (0x3008, 0x00f6) => [:RecordedRangeModulatorSequence, "SQ", "1"],
    (0x3008, 0x0100) => [:RecordedSourceSequence, "SQ", "1"],
    (0x3008, 0x0105) => [:SourceSerialNumber, "LO", "1"],
    (0x3008, 0x0110) => [:TreatmentSessionApplicationSetupSequence, "SQ", "1"],
    (0x3008, 0x0116) => [:ApplicationSetupCheck, "CS", "1"],
    (0x3008, 0x0120) => [:RecordedBrachyAccessoryDeviceSequence, "SQ", "1"],
    (0x3008, 0x0122) => [:ReferencedBrachyAccessoryDeviceNumber, "IS", "1"],
    (0x3008, 0x0130) => [:RecordedChannelSequence, "SQ", "1"],
    (0x3008, 0x0132) => [:SpecifiedChannelTotalTime, "DS", "1"],
    (0x3008, 0x0134) => [:DeliveredChannelTotalTime, "DS", "1"],
    (0x3008, 0x0136) => [:SpecifiedNumberOfPulses, "IS", "1"],
    (0x3008, 0x0138) => [:DeliveredNumberOfPulses, "IS", "1"],
    (0x3008, 0x013a) => [:SpecifiedPulseRepetitionInterval, "DS", "1"],
    (0x3008, 0x013c) => [:DeliveredPulseRepetitionInterval, "DS", "1"],
    (0x3008, 0x0140) => [:RecordedSourceApplicatorSequence, "SQ", "1"],
    (0x3008, 0x0142) => [:ReferencedSourceApplicatorNumber, "IS", "1"],
    (0x3008, 0x0150) => [:RecordedChannelShieldSequence, "SQ", "1"],
    (0x3008, 0x0152) => [:ReferencedChannelShieldNumber, "IS", "1"],
    (0x3008, 0x0160) => [:BrachyControlPointDeliveredSequence, "SQ", "1"],
    (0x3008, 0x0162) => [:SafePositionExitDate, "DA", "1"],
    (0x3008, 0x0164) => [:SafePositionExitTime, "TM", "1"],
    (0x3008, 0x0166) => [:SafePositionReturnDate, "DA", "1"],
    (0x3008, 0x0168) => [:SafePositionReturnTime, "TM", "1"],
    (0x3008, 0x0171) => [:PulseSpecificBrachyControlPointDeliveredSequence, "SQ", "1"],
    (0x3008, 0x0172) => [:PulseNumber, "US", "1"],
    (0x3008, 0x0173) => [:BrachyPulseControlPointDeliveredSequence, "SQ", "1"],
    (0x3008, 0x0200) => [:CurrentTreatmentStatus, "CS", "1"],
    (0x3008, 0x0202) => [:TreatmentStatusComment, "ST", "1"],
    (0x3008, 0x0220) => [:FractionGroupSummarySequence, "SQ", "1"],
    (0x3008, 0x0223) => [:ReferencedFractionNumber, "IS", "1"],
    (0x3008, 0x0224) => [:FractionGroupType, "CS", "1"],
    (0x3008, 0x0230) => [:BeamStopperPosition, "CS", "1"],
    (0x3008, 0x0240) => [:FractionStatusSummarySequence, "SQ", "1"],
    (0x3008, 0x0250) => [:TreatmentDate, "DA", "1"],
    (0x3008, 0x0251) => [:TreatmentTime, "TM", "1"],
    (0x300a, 0x0002) => [:RTPlanLabel, "SH", "1"],
    (0x300a, 0x0003) => [:RTPlanName, "LO", "1"],
    (0x300a, 0x0004) => [:RTPlanDescription, "ST", "1"],
    (0x300a, 0x0006) => [:RTPlanDate, "DA", "1"],
    (0x300a, 0x0007) => [:RTPlanTime, "TM", "1"],
    (0x300a, 0x0009) => [:TreatmentProtocols, "LO", "1-n"],
    (0x300a, 0x000a) => [:PlanIntent, "CS", "1"],
    (0x300a, 0x000b) => [:TreatmentSites, "LO", "1-n"],
    (0x300a, 0x000c) => [:RTPlanGeometry, "CS", "1"],
    (0x300a, 0x000e) => [:PrescriptionDescription, "ST", "1"],
    (0x300a, 0x0010) => [:DoseReferenceSequence, "SQ", "1"],
    (0x300a, 0x0012) => [:DoseReferenceNumber, "IS", "1"],
    (0x300a, 0x0013) => [:DoseReferenceUID, "UI", "1"],
    (0x300a, 0x0014) => [:DoseReferenceStructureType, "CS", "1"],
    (0x300a, 0x0015) => [:NominalBeamEnergyUnit, "CS", "1"],
    (0x300a, 0x0016) => [:DoseReferenceDescription, "LO", "1"],
    (0x300a, 0x0018) => [:DoseReferencePointCoordinates, "DS", "3"],
    (0x300a, 0x001a) => [:NominalPriorDose, "DS", "1"],
    (0x300a, 0x0020) => [:DoseReferenceType, "CS", "1"],
    (0x300a, 0x0021) => [:ConstraintWeight, "DS", "1"],
    (0x300a, 0x0022) => [:DeliveryWarningDose, "DS", "1"],
    (0x300a, 0x0023) => [:DeliveryMaximumDose, "DS", "1"],
    (0x300a, 0x0025) => [:TargetMinimumDose, "DS", "1"],
    (0x300a, 0x0026) => [:TargetPrescriptionDose, "DS", "1"],
    (0x300a, 0x0027) => [:TargetMaximumDose, "DS", "1"],
    (0x300a, 0x0028) => [:TargetUnderdoseVolumeFraction, "DS", "1"],
    (0x300a, 0x002a) => [:OrganAtRiskFullVolumeDose, "DS", "1"],
    (0x300a, 0x002b) => [:OrganAtRiskLimitDose, "DS", "1"],
    (0x300a, 0x002c) => [:OrganAtRiskMaximumDose, "DS", "1"],
    (0x300a, 0x002d) => [:OrganAtRiskOverdoseVolumeFraction, "DS", "1"],
    (0x300a, 0x0040) => [:ToleranceTableSequence, "SQ", "1"],
    (0x300a, 0x0042) => [:ToleranceTableNumber, "IS", "1"],
    (0x300a, 0x0043) => [:ToleranceTableLabel, "SH", "1"],
    (0x300a, 0x0044) => [:GantryAngleTolerance, "DS", "1"],
    (0x300a, 0x0046) => [:BeamLimitingDeviceAngleTolerance, "DS", "1"],
    (0x300a, 0x0048) => [:BeamLimitingDeviceToleranceSequence, "SQ", "1"],
    (0x300a, 0x004a) => [:BeamLimitingDevicePositionTolerance, "DS", "1"],
    (0x300a, 0x004b) => [:SnoutPositionTolerance, "FL", "1"],
    (0x300a, 0x004c) => [:PatientSupportAngleTolerance, "DS", "1"],
    (0x300a, 0x004e) => [:TableTopEccentricAngleTolerance, "DS", "1"],
    (0x300a, 0x004f) => [:TableTopPitchAngleTolerance, "FL", "1"],
    (0x300a, 0x0050) => [:TableTopRollAngleTolerance, "FL", "1"],
    (0x300a, 0x0051) => [:TableTopVerticalPositionTolerance, "DS", "1"],
    (0x300a, 0x0052) => [:TableTopLongitudinalPositionTolerance, "DS", "1"],
    (0x300a, 0x0053) => [:TableTopLateralPositionTolerance, "DS", "1"],
    (0x300a, 0x0055) => [:RTPlanRelationship, "CS", "1"],
    (0x300a, 0x0070) => [:FractionGroupSequence, "SQ", "1"],
    (0x300a, 0x0071) => [:FractionGroupNumber, "IS", "1"],
    (0x300a, 0x0072) => [:FractionGroupDescription, "LO", "1"],
    (0x300a, 0x0078) => [:NumberOfFractionsPlanned, "IS", "1"],
    (0x300a, 0x0079) => [:NumberOfFractionPatternDigitsPerDay, "IS", "1"],
    (0x300a, 0x007a) => [:RepeatFractionCycleLength, "IS", "1"],
    (0x300a, 0x007b) => [:FractionPattern, "LT", "1"],
    (0x300a, 0x0080) => [:NumberOfBeams, "IS", "1"],
    (0x300a, 0x0082) => [:BeamDoseSpecificationPoint, "DS", "3"],
    (0x300a, 0x0083) => [:ReferencedDoseReferenceUID, "UI", "1"],
    (0x300a, 0x0084) => [:BeamDose, "DS", "1"],
    (0x300a, 0x0086) => [:BeamMeterset, "DS", "1"],
    (0x300a, 0x0088) => [:BeamDosePointDepth, "FL", "1"],
    (0x300a, 0x0089) => [:BeamDosePointEquivalentDepth, "FL", "1"],
    (0x300a, 0x008a) => [:BeamDosePointSSD, "FL", "1"],
    (0x300a, 0x008b) => [:BeamDoseMeaning, "CS", "1"],
    (0x300a, 0x008c) => [:BeamDoseVerificationControlPointSequence, "SQ", "1"],
    (0x300a, 0x008d) => [:AverageBeamDosePointDepth, "FL", "1"],
    (0x300a, 0x008e) => [:AverageBeamDosePointEquivalentDepth, "FL", "1"],
    (0x300a, 0x008f) => [:AverageBeamDosePointSSD, "FL", "1"],
    (0x300a, 0x0090) => [:BeamDoseType, "CS", "1"],
    (0x300a, 0x0091) => [:AlternateBeamDose, "DS", "1"],
    (0x300a, 0x0092) => [:AlternateBeamDoseType, "CS", "1"],
    (0x300a, 0x0093) => [:DepthValueAveragingFlag, "CS", "1"],
    (0x300a, 0x0094) => [:BeamDosePointSourceToExternalContourDistance, "DS", "1"],
    (0x300a, 0x00a0) => [:NumberOfBrachyApplicationSetups, "IS", "1"],
    (0x300a, 0x00a2) => [:BrachyApplicationSetupDoseSpecificationPoint, "DS", "3"],
    (0x300a, 0x00a4) => [:BrachyApplicationSetupDose, "DS", "1"],
    (0x300a, 0x00b0) => [:BeamSequence, "SQ", "1"],
    (0x300a, 0x00b2) => [:TreatmentMachineName, "SH", "1"],
    (0x300a, 0x00b3) => [:PrimaryDosimeterUnit, "CS", "1"],
    (0x300a, 0x00b4) => [:SourceAxisDistance, "DS", "1"],
    (0x300a, 0x00b6) => [:BeamLimitingDeviceSequence, "SQ", "1"],
    (0x300a, 0x00b8) => [:RTBeamLimitingDeviceType, "CS", "1"],
    (0x300a, 0x00ba) => [:SourceToBeamLimitingDeviceDistance, "DS", "1"],
    (0x300a, 0x00bb) => [:IsocenterToBeamLimitingDeviceDistance, "FL", "1"],
    (0x300a, 0x00bc) => [:NumberOfLeafJawPairs, "IS", "1"],
    (0x300a, 0x00be) => [:LeafPositionBoundaries, "DS", "3-n"],
    (0x300a, 0x00c0) => [:BeamNumber, "IS", "1"],
    (0x300a, 0x00c2) => [:BeamName, "LO", "1"],
    (0x300a, 0x00c3) => [:BeamDescription, "ST", "1"],
    (0x300a, 0x00c4) => [:BeamType, "CS", "1"],
    (0x300a, 0x00c5) => [:BeamDeliveryDurationLimit, "FD", "1"],
    (0x300a, 0x00c6) => [:RadiationType, "CS", "1"],
    (0x300a, 0x00c7) => [:HighDoseTechniqueType, "CS", "1"],
    (0x300a, 0x00c8) => [:ReferenceImageNumber, "IS", "1"],
    (0x300a, 0x00ca) => [:PlannedVerificationImageSequence, "SQ", "1"],
    (0x300a, 0x00cc) => [:ImagingDeviceSpecificAcquisitionParameters, "LO", "1-n"],
    (0x300a, 0x00ce) => [:TreatmentDeliveryType, "CS", "1"],
    (0x300a, 0x00d0) => [:NumberOfWedges, "IS", "1"],
    (0x300a, 0x00d1) => [:WedgeSequence, "SQ", "1"],
    (0x300a, 0x00d2) => [:WedgeNumber, "IS", "1"],
    (0x300a, 0x00d3) => [:WedgeType, "CS", "1"],
    (0x300a, 0x00d4) => [:WedgeID, "SH", "1"],
    (0x300a, 0x00d5) => [:WedgeAngle, "IS", "1"],
    (0x300a, 0x00d6) => [:WedgeFactor, "DS", "1"],
    (0x300a, 0x00d7) => [:TotalWedgeTrayWaterEquivalentThickness, "FL", "1"],
    (0x300a, 0x00d8) => [:WedgeOrientation, "DS", "1"],
    (0x300a, 0x00d9) => [:IsocenterToWedgeTrayDistance, "FL", "1"],
    (0x300a, 0x00da) => [:SourceToWedgeTrayDistance, "DS", "1"],
    (0x300a, 0x00db) => [:WedgeThinEdgePosition, "FL", "1"],
    (0x300a, 0x00dc) => [:BolusID, "SH", "1"],
    (0x300a, 0x00dd) => [:BolusDescription, "ST", "1"],
    (0x300a, 0x00de) => [:EffectiveWedgeAngle, "DS", "1"],
    (0x300a, 0x00e0) => [:NumberOfCompensators, "IS", "1"],
    (0x300a, 0x00e1) => [:MaterialID, "SH", "1"],
    (0x300a, 0x00e2) => [:TotalCompensatorTrayFactor, "DS", "1"],
    (0x300a, 0x00e3) => [:CompensatorSequence, "SQ", "1"],
    (0x300a, 0x00e4) => [:CompensatorNumber, "IS", "1"],
    (0x300a, 0x00e5) => [:CompensatorID, "SH", "1"],
    (0x300a, 0x00e6) => [:SourceToCompensatorTrayDistance, "DS", "1"],
    (0x300a, 0x00e7) => [:CompensatorRows, "IS", "1"],
    (0x300a, 0x00e8) => [:CompensatorColumns, "IS", "1"],
    (0x300a, 0x00e9) => [:CompensatorPixelSpacing, "DS", "2"],
    (0x300a, 0x00ea) => [:CompensatorPosition, "DS", "2"],
    (0x300a, 0x00eb) => [:CompensatorTransmissionData, "DS", "1-n"],
    (0x300a, 0x00ec) => [:CompensatorThicknessData, "DS", "1-n"],
    (0x300a, 0x00ed) => [:NumberOfBoli, "IS", "1"],
    (0x300a, 0x00ee) => [:CompensatorType, "CS", "1"],
    (0x300a, 0x00ef) => [:CompensatorTrayID, "SH", "1"],
    (0x300a, 0x00f0) => [:NumberOfBlocks, "IS", "1"],
    (0x300a, 0x00f2) => [:TotalBlockTrayFactor, "DS", "1"],
    (0x300a, 0x00f3) => [:TotalBlockTrayWaterEquivalentThickness, "FL", "1"],
    (0x300a, 0x00f4) => [:BlockSequence, "SQ", "1"],
    (0x300a, 0x00f5) => [:BlockTrayID, "SH", "1"],
    (0x300a, 0x00f6) => [:SourceToBlockTrayDistance, "DS", "1"],
    (0x300a, 0x00f7) => [:IsocenterToBlockTrayDistance, "FL", "1"],
    (0x300a, 0x00f8) => [:BlockType, "CS", "1"],
    (0x300a, 0x00f9) => [:AccessoryCode, "LO", "1"],
    (0x300a, 0x00fa) => [:BlockDivergence, "CS", "1"],
    (0x300a, 0x00fb) => [:BlockMountingPosition, "CS", "1"],
    (0x300a, 0x00fc) => [:BlockNumber, "IS", "1"],
    (0x300a, 0x00fe) => [:BlockName, "LO", "1"],
    (0x300a, 0x0100) => [:BlockThickness, "DS", "1"],
    (0x300a, 0x0102) => [:BlockTransmission, "DS", "1"],
    (0x300a, 0x0104) => [:BlockNumberOfPoints, "IS", "1"],
    (0x300a, 0x0106) => [:BlockData, "DS", "2-2n"],
    (0x300a, 0x0107) => [:ApplicatorSequence, "SQ", "1"],
    (0x300a, 0x0108) => [:ApplicatorID, "SH", "1"],
    (0x300a, 0x0109) => [:ApplicatorType, "CS", "1"],
    (0x300a, 0x010a) => [:ApplicatorDescription, "LO", "1"],
    (0x300a, 0x010c) => [:CumulativeDoseReferenceCoefficient, "DS", "1"],
    (0x300a, 0x010e) => [:FinalCumulativeMetersetWeight, "DS", "1"],
    (0x300a, 0x0110) => [:NumberOfControlPoints, "IS", "1"],
    (0x300a, 0x0111) => [:ControlPointSequence, "SQ", "1"],
    (0x300a, 0x0112) => [:ControlPointIndex, "IS", "1"],
    (0x300a, 0x0114) => [:NominalBeamEnergy, "DS", "1"],
    (0x300a, 0x0115) => [:DoseRateSet, "DS", "1"],
    (0x300a, 0x0116) => [:WedgePositionSequence, "SQ", "1"],
    (0x300a, 0x0118) => [:WedgePosition, "CS", "1"],
    (0x300a, 0x011a) => [:BeamLimitingDevicePositionSequence, "SQ", "1"],
    (0x300a, 0x011c) => [:LeafJawPositions, "DS", "2-2n"],
    (0x300a, 0x011e) => [:GantryAngle, "DS", "1"],
    (0x300a, 0x011f) => [:GantryRotationDirection, "CS", "1"],
    (0x300a, 0x0120) => [:BeamLimitingDeviceAngle, "DS", "1"],
    (0x300a, 0x0121) => [:BeamLimitingDeviceRotationDirection, "CS", "1"],
    (0x300a, 0x0122) => [:PatientSupportAngle, "DS", "1"],
    (0x300a, 0x0123) => [:PatientSupportRotationDirection, "CS", "1"],
    (0x300a, 0x0124) => [:TableTopEccentricAxisDistance, "DS", "1"],
    (0x300a, 0x0125) => [:TableTopEccentricAngle, "DS", "1"],
    (0x300a, 0x0126) => [:TableTopEccentricRotationDirection, "CS", "1"],
    (0x300a, 0x0128) => [:TableTopVerticalPosition, "DS", "1"],
    (0x300a, 0x0129) => [:TableTopLongitudinalPosition, "DS", "1"],
    (0x300a, 0x012a) => [:TableTopLateralPosition, "DS", "1"],
    (0x300a, 0x012c) => [:IsocenterPosition, "DS", "3"],
    (0x300a, 0x012e) => [:SurfaceEntryPoint, "DS", "3"],
    (0x300a, 0x0130) => [:SourceToSurfaceDistance, "DS", "1"],
    (0x300a, 0x0131) =>
        [:AverageBeamDosePointSourceToExternalContourDistance, "FL", "1"],
    (0x300a, 0x0132) => [:SourceToExternalContourDistance, "FL", "1"],
    (0x300a, 0x0133) => [:ExternalContourEntryPoint, "FL", "3"],
    (0x300a, 0x0134) => [:CumulativeMetersetWeight, "DS", "1"],
    (0x300a, 0x0140) => [:TableTopPitchAngle, "FL", "1"],
    (0x300a, 0x0142) => [:TableTopPitchRotationDirection, "CS", "1"],
    (0x300a, 0x0144) => [:TableTopRollAngle, "FL", "1"],
    (0x300a, 0x0146) => [:TableTopRollRotationDirection, "CS", "1"],
    (0x300a, 0x0148) => [:HeadFixationAngle, "FL", "1"],
    (0x300a, 0x014a) => [:GantryPitchAngle, "FL", "1"],
    (0x300a, 0x014c) => [:GantryPitchRotationDirection, "CS", "1"],
    (0x300a, 0x014e) => [:GantryPitchAngleTolerance, "FL", "1"],
    (0x300a, 0x0150) => [:FixationEye, "CS", "1"],
    (0x300a, 0x0151) => [:ChairHeadFramePosition, "DS", "1"],
    (0x300a, 0x0152) => [:HeadFixationAngleTolerance, "DS", "1"],
    (0x300a, 0x0153) => [:ChairHeadFramePositionTolerance, "DS", "1"],
    (0x300a, 0x0154) => [:FixationLightAzimuthalAngleTolerance, "DS", "1"],
    (0x300a, 0x0155) => [:FixationLightPolarAngleTolerance, "DS", "1"],
    (0x300a, 0x0180) => [:PatientSetupSequence, "SQ", "1"],
    (0x300a, 0x0182) => [:PatientSetupNumber, "IS", "1"],
    (0x300a, 0x0183) => [:PatientSetupLabel, "LO", "1"],
    (0x300a, 0x0184) => [:PatientAdditionalPosition, "LO", "1"],
    (0x300a, 0x0190) => [:FixationDeviceSequence, "SQ", "1"],
    (0x300a, 0x0192) => [:FixationDeviceType, "CS", "1"],
    (0x300a, 0x0194) => [:FixationDeviceLabel, "SH", "1"],
    (0x300a, 0x0196) => [:FixationDeviceDescription, "ST", "1"],
    (0x300a, 0x0198) => [:FixationDevicePosition, "SH", "1"],
    (0x300a, 0x0199) => [:FixationDevicePitchAngle, "FL", "1"],
    (0x300a, 0x019a) => [:FixationDeviceRollAngle, "FL", "1"],
    (0x300a, 0x01a0) => [:ShieldingDeviceSequence, "SQ", "1"],
    (0x300a, 0x01a2) => [:ShieldingDeviceType, "CS", "1"],
    (0x300a, 0x01a4) => [:ShieldingDeviceLabel, "SH", "1"],
    (0x300a, 0x01a6) => [:ShieldingDeviceDescription, "ST", "1"],
    (0x300a, 0x01a8) => [:ShieldingDevicePosition, "SH", "1"],
    (0x300a, 0x01b0) => [:SetupTechnique, "CS", "1"],
    (0x300a, 0x01b2) => [:SetupTechniqueDescription, "ST", "1"],
    (0x300a, 0x01b4) => [:SetupDeviceSequence, "SQ", "1"],
    (0x300a, 0x01b6) => [:SetupDeviceType, "CS", "1"],
    (0x300a, 0x01b8) => [:SetupDeviceLabel, "SH", "1"],
    (0x300a, 0x01ba) => [:SetupDeviceDescription, "ST", "1"],
    (0x300a, 0x01bc) => [:SetupDeviceParameter, "DS", "1"],
    (0x300a, 0x01d0) => [:SetupReferenceDescription, "ST", "1"],
    (0x300a, 0x01d2) => [:TableTopVerticalSetupDisplacement, "DS", "1"],
    (0x300a, 0x01d4) => [:TableTopLongitudinalSetupDisplacement, "DS", "1"],
    (0x300a, 0x01d6) => [:TableTopLateralSetupDisplacement, "DS", "1"],
    (0x300a, 0x0200) => [:BrachyTreatmentTechnique, "CS", "1"],
    (0x300a, 0x0202) => [:BrachyTreatmentType, "CS", "1"],
    (0x300a, 0x0206) => [:TreatmentMachineSequence, "SQ", "1"],
    (0x300a, 0x0210) => [:SourceSequence, "SQ", "1"],
    (0x300a, 0x0212) => [:SourceNumber, "IS", "1"],
    (0x300a, 0x0214) => [:SourceType, "CS", "1"],
    (0x300a, 0x0216) => [:SourceManufacturer, "LO", "1"],
    (0x300a, 0x0218) => [:ActiveSourceDiameter, "DS", "1"],
    (0x300a, 0x021a) => [:ActiveSourceLength, "DS", "1"],
    (0x300a, 0x021b) => [:SourceModelID, "SH", "1"],
    (0x300a, 0x021c) => [:SourceDescription, "LO", "1"],
    (0x300a, 0x0222) => [:SourceEncapsulationNominalThickness, "DS", "1"],
    (0x300a, 0x0224) => [:SourceEncapsulationNominalTransmission, "DS", "1"],
    (0x300a, 0x0226) => [:SourceIsotopeName, "LO", "1"],
    (0x300a, 0x0228) => [:SourceIsotopeHalfLife, "DS", "1"],
    (0x300a, 0x0229) => [:SourceStrengthUnits, "CS", "1"],
    (0x300a, 0x022a) => [:ReferenceAirKermaRate, "DS", "1"],
    (0x300a, 0x022b) => [:SourceStrength, "DS", "1"],
    (0x300a, 0x022c) => [:SourceStrengthReferenceDate, "DA", "1"],
    (0x300a, 0x022e) => [:SourceStrengthReferenceTime, "TM", "1"],
    (0x300a, 0x0230) => [:ApplicationSetupSequence, "SQ", "1"],
    (0x300a, 0x0232) => [:ApplicationSetupType, "CS", "1"],
    (0x300a, 0x0234) => [:ApplicationSetupNumber, "IS", "1"],
    (0x300a, 0x0236) => [:ApplicationSetupName, "LO", "1"],
    (0x300a, 0x0238) => [:ApplicationSetupManufacturer, "LO", "1"],
    (0x300a, 0x0240) => [:TemplateNumber, "IS", "1"],
    (0x300a, 0x0242) => [:TemplateType, "SH", "1"],
    (0x300a, 0x0244) => [:TemplateName, "LO", "1"],
    (0x300a, 0x0250) => [:TotalReferenceAirKerma, "DS", "1"],
    (0x300a, 0x0260) => [:BrachyAccessoryDeviceSequence, "SQ", "1"],
    (0x300a, 0x0262) => [:BrachyAccessoryDeviceNumber, "IS", "1"],
    (0x300a, 0x0263) => [:BrachyAccessoryDeviceID, "SH", "1"],
    (0x300a, 0x0264) => [:BrachyAccessoryDeviceType, "CS", "1"],
    (0x300a, 0x0266) => [:BrachyAccessoryDeviceName, "LO", "1"],
    (0x300a, 0x026a) => [:BrachyAccessoryDeviceNominalThickness, "DS", "1"],
    (0x300a, 0x026c) => [:BrachyAccessoryDeviceNominalTransmission, "DS", "1"],
    (0x300a, 0x0271) => [:ChannelEffectiveLength, "DS", "1"],
    (0x300a, 0x0272) => [:ChannelInnerLength, "DS", "1"],
    (0x300a, 0x0273) => [:AfterloaderChannelID, "SH", "1"],
    (0x300a, 0x0274) => [:SourceApplicatorTipLength, "DS", "1"],
    (0x300a, 0x0280) => [:ChannelSequence, "SQ", "1"],
    (0x300a, 0x0282) => [:ChannelNumber, "IS", "1"],
    (0x300a, 0x0284) => [:ChannelLength, "DS", "1"],
    (0x300a, 0x0286) => [:ChannelTotalTime, "DS", "1"],
    (0x300a, 0x0288) => [:SourceMovementType, "CS", "1"],
    (0x300a, 0x028a) => [:NumberOfPulses, "IS", "1"],
    (0x300a, 0x028c) => [:PulseRepetitionInterval, "DS", "1"],
    (0x300a, 0x0290) => [:SourceApplicatorNumber, "IS", "1"],
    (0x300a, 0x0291) => [:SourceApplicatorID, "SH", "1"],
    (0x300a, 0x0292) => [:SourceApplicatorType, "CS", "1"],
    (0x300a, 0x0294) => [:SourceApplicatorName, "LO", "1"],
    (0x300a, 0x0296) => [:SourceApplicatorLength, "DS", "1"],
    (0x300a, 0x0298) => [:SourceApplicatorManufacturer, "LO", "1"],
    (0x300a, 0x029c) => [:SourceApplicatorWallNominalThickness, "DS", "1"],
    (0x300a, 0x029e) => [:SourceApplicatorWallNominalTransmission, "DS", "1"],
    (0x300a, 0x02a0) => [:SourceApplicatorStepSize, "DS", "1"],
    (0x300a, 0x02a2) => [:TransferTubeNumber, "IS", "1"],
    (0x300a, 0x02a4) => [:TransferTubeLength, "DS", "1"],
    (0x300a, 0x02b0) => [:ChannelShieldSequence, "SQ", "1"],
    (0x300a, 0x02b2) => [:ChannelShieldNumber, "IS", "1"],
    (0x300a, 0x02b3) => [:ChannelShieldID, "SH", "1"],
    (0x300a, 0x02b4) => [:ChannelShieldName, "LO", "1"],
    (0x300a, 0x02b8) => [:ChannelShieldNominalThickness, "DS", "1"],
    (0x300a, 0x02ba) => [:ChannelShieldNominalTransmission, "DS", "1"],
    (0x300a, 0x02c8) => [:FinalCumulativeTimeWeight, "DS", "1"],
    (0x300a, 0x02d0) => [:BrachyControlPointSequence, "SQ", "1"],
    (0x300a, 0x02d2) => [:ControlPointRelativePosition, "DS", "1"],
    (0x300a, 0x02d4) => [:ControlPoint3DPosition, "DS", "3"],
    (0x300a, 0x02d6) => [:CumulativeTimeWeight, "DS", "1"],
    (0x300a, 0x02e0) => [:CompensatorDivergence, "CS", "1"],
    (0x300a, 0x02e1) => [:CompensatorMountingPosition, "CS", "1"],
    (0x300a, 0x02e2) => [:SourceToCompensatorDistance, "DS", "1-n"],
    (0x300a, 0x02e3) => [:TotalCompensatorTrayWaterEquivalentThickness, "FL", "1"],
    (0x300a, 0x02e4) => [:IsocenterToCompensatorTrayDistance, "FL", "1"],
    (0x300a, 0x02e5) => [:CompensatorColumnOffset, "FL", "1"],
    (0x300a, 0x02e6) => [:IsocenterToCompensatorDistances, "FL", "1-n"],
    (0x300a, 0x02e7) => [:CompensatorRelativeStoppingPowerRatio, "FL", "1"],
    (0x300a, 0x02e8) => [:CompensatorMillingToolDiameter, "FL", "1"],
    (0x300a, 0x02ea) => [:IonRangeCompensatorSequence, "SQ", "1"],
    (0x300a, 0x02eb) => [:CompensatorDescription, "LT", "1"],
    (0x300a, 0x0302) => [:RadiationMassNumber, "IS", "1"],
    (0x300a, 0x0304) => [:RadiationAtomicNumber, "IS", "1"],
    (0x300a, 0x0306) => [:RadiationChargeState, "SS", "1"],
    (0x300a, 0x0308) => [:ScanMode, "CS", "1"],
    (0x300a, 0x0309) => [:ModulatedScanModeType, "CS", "1"],
    (0x300a, 0x030a) => [:VirtualSourceAxisDistances, "FL", "2"],
    (0x300a, 0x030c) => [:SnoutSequence, "SQ", "1"],
    (0x300a, 0x030d) => [:SnoutPosition, "FL", "1"],
    (0x300a, 0x030f) => [:SnoutID, "SH", "1"],
    (0x300a, 0x0312) => [:NumberOfRangeShifters, "IS", "1"],
    (0x300a, 0x0314) => [:RangeShifterSequence, "SQ", "1"],
    (0x300a, 0x0316) => [:RangeShifterNumber, "IS", "1"],
    (0x300a, 0x0318) => [:RangeShifterID, "SH", "1"],
    (0x300a, 0x0320) => [:RangeShifterType, "CS", "1"],
    (0x300a, 0x0322) => [:RangeShifterDescription, "LO", "1"],
    (0x300a, 0x0330) => [:NumberOfLateralSpreadingDevices, "IS", "1"],
    (0x300a, 0x0332) => [:LateralSpreadingDeviceSequence, "SQ", "1"],
    (0x300a, 0x0334) => [:LateralSpreadingDeviceNumber, "IS", "1"],
    (0x300a, 0x0336) => [:LateralSpreadingDeviceID, "SH", "1"],
    (0x300a, 0x0338) => [:LateralSpreadingDeviceType, "CS", "1"],
    (0x300a, 0x033a) => [:LateralSpreadingDeviceDescription, "LO", "1"],
    (0x300a, 0x033c) => [:LateralSpreadingDeviceWaterEquivalentThickness, "FL", "1"],
    (0x300a, 0x0340) => [:NumberOfRangeModulators, "IS", "1"],
    (0x300a, 0x0342) => [:RangeModulatorSequence, "SQ", "1"],
    (0x300a, 0x0344) => [:RangeModulatorNumber, "IS", "1"],
    (0x300a, 0x0346) => [:RangeModulatorID, "SH", "1"],
    (0x300a, 0x0348) => [:RangeModulatorType, "CS", "1"],
    (0x300a, 0x034a) => [:RangeModulatorDescription, "LO", "1"],
    (0x300a, 0x034c) => [:BeamCurrentModulationID, "SH", "1"],
    (0x300a, 0x0350) => [:PatientSupportType, "CS", "1"],
    (0x300a, 0x0352) => [:PatientSupportID, "SH", "1"],
    (0x300a, 0x0354) => [:PatientSupportAccessoryCode, "LO", "1"],
    (0x300a, 0x0355) => [:TrayAccessoryCode, "LO", "1"],
    (0x300a, 0x0356) => [:FixationLightAzimuthalAngle, "FL", "1"],
    (0x300a, 0x0358) => [:FixationLightPolarAngle, "FL", "1"],
    (0x300a, 0x035a) => [:MetersetRate, "FL", "1"],
    (0x300a, 0x0360) => [:RangeShifterSettingsSequence, "SQ", "1"],
    (0x300a, 0x0362) => [:RangeShifterSetting, "LO", "1"],
    (0x300a, 0x0364) => [:IsocenterToRangeShifterDistance, "FL", "1"],
    (0x300a, 0x0366) => [:RangeShifterWaterEquivalentThickness, "FL", "1"],
    (0x300a, 0x0370) => [:LateralSpreadingDeviceSettingsSequence, "SQ", "1"],
    (0x300a, 0x0372) => [:LateralSpreadingDeviceSetting, "LO", "1"],
    (0x300a, 0x0374) => [:IsocenterToLateralSpreadingDeviceDistance, "FL", "1"],
    (0x300a, 0x0380) => [:RangeModulatorSettingsSequence, "SQ", "1"],
    (0x300a, 0x0382) => [:RangeModulatorGatingStartValue, "FL", "1"],
    (0x300a, 0x0384) => [:RangeModulatorGatingStopValue, "FL", "1"],
    (0x300a, 0x0386) => [:RangeModulatorGatingStartWaterEquivalentThickness, "FL", "1"],
    (0x300a, 0x0388) => [:RangeModulatorGatingStopWaterEquivalentThickness, "FL", "1"],
    (0x300a, 0x038a) => [:IsocenterToRangeModulatorDistance, "FL", "1"],
    (0x300a, 0x038f) => [:ScanSpotTimeOffset, "FL", "1-n"],
    (0x300a, 0x0390) => [:ScanSpotTuneID, "SH", "1"],
    (0x300a, 0x0391) => [:ScanSpotPrescribedIndices, "IS", "1-n"],
    (0x300a, 0x0392) => [:NumberOfScanSpotPositions, "IS", "1"],
    (0x300a, 0x0393) => [:ScanSpotReordered, "CS", "1"],
    (0x300a, 0x0394) => [:ScanSpotPositionMap, "FL", "1-n"],
    (0x300a, 0x0395) => [:ScanSpotReorderingAllowed, "CS", "1"],
    (0x300a, 0x0396) => [:ScanSpotMetersetWeights, "FL", "1-n"],
    (0x300a, 0x0398) => [:ScanningSpotSize, "FL", "2"],
    (0x300a, 0x0399) => [:ScanSpotSizesDelivered, "FL", "2-2n"],
    (0x300a, 0x039a) => [:NumberOfPaintings, "IS", "1"],
    (0x300a, 0x03a0) => [:IonToleranceTableSequence, "SQ", "1"],
    (0x300a, 0x03a2) => [:IonBeamSequence, "SQ", "1"],
    (0x300a, 0x03a4) => [:IonBeamLimitingDeviceSequence, "SQ", "1"],
    (0x300a, 0x03a6) => [:IonBlockSequence, "SQ", "1"],
    (0x300a, 0x03a8) => [:IonControlPointSequence, "SQ", "1"],
    (0x300a, 0x03aa) => [:IonWedgeSequence, "SQ", "1"],
    (0x300a, 0x03ac) => [:IonWedgePositionSequence, "SQ", "1"],
    (0x300a, 0x0401) => [:ReferencedSetupImageSequence, "SQ", "1"],
    (0x300a, 0x0402) => [:SetupImageComment, "ST", "1"],
    (0x300a, 0x0410) => [:MotionSynchronizationSequence, "SQ", "1"],
    (0x300a, 0x0412) => [:ControlPointOrientation, "FL", "3"],
    (0x300a, 0x0420) => [:GeneralAccessorySequence, "SQ", "1"],
    (0x300a, 0x0421) => [:GeneralAccessoryID, "SH", "1"],
    (0x300a, 0x0422) => [:GeneralAccessoryDescription, "ST", "1"],
    (0x300a, 0x0423) => [:GeneralAccessoryType, "CS", "1"],
    (0x300a, 0x0424) => [:GeneralAccessoryNumber, "IS", "1"],
    (0x300a, 0x0425) => [:SourceToGeneralAccessoryDistance, "FL", "1"],
    (0x300a, 0x0426) => [:IsocenterToGeneralAccessoryDistance, "DS", "1"],
    (0x300a, 0x0431) => [:ApplicatorGeometrySequence, "SQ", "1"],
    (0x300a, 0x0432) => [:ApplicatorApertureShape, "CS", "1"],
    (0x300a, 0x0433) => [:ApplicatorOpening, "FL", "1"],
    (0x300a, 0x0434) => [:ApplicatorOpeningX, "FL", "1"],
    (0x300a, 0x0435) => [:ApplicatorOpeningY, "FL", "1"],
    (0x300a, 0x0436) => [:SourceToApplicatorMountingPositionDistance, "FL", "1"],
    (0x300a, 0x0440) => [:NumberOfBlockSlabItems, "IS", "1"],
    (0x300a, 0x0441) => [:BlockSlabSequence, "SQ", "1"],
    (0x300a, 0x0442) => [:BlockSlabThickness, "DS", "1"],
    (0x300a, 0x0443) => [:BlockSlabNumber, "US", "1"],
    (0x300a, 0x0450) => [:DeviceMotionControlSequence, "SQ", "1"],
    (0x300a, 0x0451) => [:DeviceMotionExecutionMode, "CS", "1"],
    (0x300a, 0x0452) => [:DeviceMotionObservationMode, "CS", "1"],
    (0x300a, 0x0453) => [:DeviceMotionParameterCodeSequence, "SQ", "1"],
    (0x300a, 0x0501) => [:DistalDepthFraction, "FL", "1"],
    (0x300a, 0x0502) => [:DistalDepth, "FL", "1"],
    (0x300a, 0x0503) => [:NominalRangeModulationFractions, "FL", "2"],
    (0x300a, 0x0504) => [:NominalRangeModulatedRegionDepths, "FL", "2"],
    (0x300a, 0x0505) => [:DepthDoseParametersSequence, "SQ", "1"],
    (0x300a, 0x0506) => [:DeliveredDepthDoseParametersSequence, "SQ", "1"],
    (0x300a, 0x0507) => [:DeliveredDistalDepthFraction, "FL", "1"],
    (0x300a, 0x0508) => [:DeliveredDistalDepth, "FL", "1"],
    (0x300a, 0x0509) => [:DeliveredNominalRangeModulationFractions, "FL", "2"],
    (0x300a, 0x0510) => [:DeliveredNominalRangeModulatedRegionDepths, "FL", "2"],
    (0x300a, 0x0511) => [:DeliveredReferenceDoseDefinition, "CS", "1"],
    (0x300a, 0x0512) => [:ReferenceDoseDefinition, "CS", "1"],
    (0x300a, 0x0600) => [:RTControlPointIndex, "US", "1"],
    (0x300a, 0x0601) => [:RadiationGenerationModeIndex, "US", "1"],
    (0x300a, 0x0602) => [:ReferencedDefinedDeviceIndex, "US", "1"],
    (0x300a, 0x0603) => [:RadiationDoseIdentificationIndex, "US", "1"],
    (0x300a, 0x0604) => [:NumberOfRTControlPoints, "US", "1"],
    (0x300a, 0x0605) => [:ReferencedRadiationGenerationModeIndex, "US", "1"],
    (0x300a, 0x0606) => [:TreatmentPositionIndex, "US", "1"],
    (0x300a, 0x0607) => [:ReferencedDeviceIndex, "US", "1"],
    (0x300a, 0x0608) => [:TreatmentPositionGroupLabel, "LO", "1"],
    (0x300a, 0x0609) => [:TreatmentPositionGroupUID, "UI", "1"],
    (0x300a, 0x060a) => [:TreatmentPositionGroupSequence, "SQ", "1"],
    (0x300a, 0x060b) => [:ReferencedTreatmentPositionIndex, "US", "1"],
    (0x300a, 0x060c) => [:ReferencedRadiationDoseIdentificationIndex, "US", "1"],
    (0x300a, 0x060d) => [:RTAccessoryHolderWaterEquivalentThickness, "FD", "1"],
    (0x300a, 0x060e) => [:ReferencedRTAccessoryHolderDeviceIndex, "US", "1"],
    (0x300a, 0x060f) => [:RTAccessoryHolderSlotExistenceFlag, "CS", "1"],
    (0x300a, 0x0610) => [:RTAccessoryHolderSlotSequence, "SQ", "1"],
    (0x300a, 0x0611) => [:RTAccessoryHolderSlotID, "LO", "1"],
    (0x300a, 0x0612) => [:RTAccessoryHolderSlotDistance, "FD", "1"],
    (0x300a, 0x0613) => [:RTAccessorySlotDistance, "FD", "1"],
    (0x300a, 0x0614) => [:RTAccessoryHolderDefinitionSequence, "SQ", "1"],
    (0x300a, 0x0615) => [:RTAccessoryDeviceSlotID, "LO", "1"],
    (0x300a, 0x0616) => [:RTRadiationSequence, "SQ", "1"],
    (0x300a, 0x0617) => [:RadiationDoseSequence, "SQ", "1"],
    (0x300a, 0x0618) => [:RadiationDoseIdentificationSequence, "SQ", "1"],
    (0x300a, 0x0619) => [:RadiationDoseIdentificationLabel, "LO", "1"],
    (0x300a, 0x061a) => [:ReferenceDoseType, "CS", "1"],
    (0x300a, 0x061b) => [:PrimaryDoseValueIndicator, "CS", "1"],
    (0x300a, 0x061c) => [:DoseValuesSequence, "SQ", "1"],
    (0x300a, 0x061d) => [:DoseValuePurpose, "CS", "1-n"],
    (0x300a, 0x061e) => [:ReferenceDosePointCoordinates, "FD", "3"],
    (0x300a, 0x061f) => [:RadiationDoseValuesParametersSequence, "SQ", "1"],
    (0x300a, 0x0620) => [:MetersetToDoseMappingSequence, "SQ", "1"],
    (0x300a, 0x0621) => [:ExpectedInVivoMeasurementValuesSequence, "SQ", "1"],
    (0x300a, 0x0622) => [:ExpectedInVivoMeasurementValueIndex, "US", "1"],
    (0x300a, 0x0623) => [:RadiationDoseInVivoMeasurementLabel, "LO", "1"],
    (0x300a, 0x0624) => [:RadiationDoseCentralAxisDisplacement, "FD", "2"],
    (0x300a, 0x0625) => [:RadiationDoseValue, "FD", "1"],
    (0x300a, 0x0626) => [:RadiationDoseSourceToSkinDistance, "FD", "1"],
    (0x300a, 0x0627) => [:RadiationDoseMeasurementPointCoordinates, "FD", "3"],
    (0x300a, 0x0628) => [:RadiationDoseSourceToExternalContourDistance, "FD", "1"],
    (0x300a, 0x0629) => [:RTToleranceSetSequence, "SQ", "1"],
    (0x300a, 0x062a) => [:RTToleranceSetLabel, "LO", "1"],
    (0x300a, 0x062b) => [:AttributeToleranceValuesSequence, "SQ", "1"],
    (0x300a, 0x062c) => [:ToleranceValue, "FD", "1"],
    (0x300a, 0x062d) => [:PatientSupportPositionToleranceSequence, "SQ", "1"],
    (0x300a, 0x062e) => [:TreatmentTimeLimit, "FD", "1"],
    (0x300a, 0x062f) => [:CArmPhotonElectronControlPointSequence, "SQ", "1"],
    (0x300a, 0x0630) => [:ReferencedRTRadiationSequence, "SQ", "1"],
    (0x300a, 0x0631) => [:ReferencedRTInstanceSequence, "SQ", "1"],
    (0x300a, 0x0632) => [:ReferencedRTPatientSetupSequence, "SQ", "1"],
    (0x300a, 0x0634) => [:SourceToPatientSurfaceDistance, "FD", "1"],
    (0x300a, 0x0635) => [:TreatmentMachineSpecialModeCodeSequence, "SQ", "1"],
    (0x300a, 0x0636) => [:IntendedNumberOfFractions, "US", "1"],
    (0x300a, 0x0637) => [:RTRadiationSetIntent, "CS", "1"],
    (0x300a, 0x0638) => [:RTRadiationPhysicalAndGeometricContentDetailFlag, "CS", "1"],
    (0x300a, 0x0639) => [:RTRecordFlag, "CS", "1"],
    (0x300a, 0x063a) => [:TreatmentDeviceIdentificationSequence, "SQ", "1"],
    (0x300a, 0x063b) => [:ReferencedRTPhysicianIntentSequence, "SQ", "1"],
    (0x300a, 0x063c) => [:CumulativeMeterset, "FD", "1"],
    (0x300a, 0x063d) => [:DeliveryRate, "FD", "1"],
    (0x300a, 0x063e) => [:DeliveryRateUnitSequence, "SQ", "1"],
    (0x300a, 0x063f) => [:TreatmentPositionSequence, "SQ", "1"],
    (0x300a, 0x0640) => [:RadiationSourceAxisDistance, "FD", "1"],
    (0x300a, 0x0641) => [:NumberOfRTBeamLimitingDevices, "US", "1"],
    (0x300a, 0x0642) => [:RTBeamLimitingDeviceProximalDistance, "FD", "1"],
    (0x300a, 0x0643) => [:RTBeamLimitingDeviceDistalDistance, "FD", "1"],
    (0x300a, 0x0644) =>
        [:ParallelRTBeamDelimiterDeviceOrientationLabelCodeSequence, "SQ", "1"],
    (0x300a, 0x0645) => [:BeamModifierOrientationAngle, "FD", "1"],
    (0x300a, 0x0646) => [:FixedRTBeamDelimiterDeviceSequence, "SQ", "1"],
    (0x300a, 0x0647) => [:ParallelRTBeamDelimiterDeviceSequence, "SQ", "1"],
    (0x300a, 0x0648) => [:NumberOfParallelRTBeamDelimiters, "US", "1"],
    (0x300a, 0x0649) => [:ParallelRTBeamDelimiterBoundaries, "FD", "2-n"],
    (0x300a, 0x064a) => [:ParallelRTBeamDelimiterPositions, "FD", "2-n"],
    (0x300a, 0x064b) => [:RTBeamLimitingDeviceOffset, "FD", "2"],
    (0x300a, 0x064c) => [:RTBeamDelimiterGeometrySequence, "SQ", "1"],
    (0x300a, 0x064d) => [:RTBeamLimitingDeviceDefinitionSequence, "SQ", "1"],
    (0x300a, 0x064e) => [:ParallelRTBeamDelimiterOpeningMode, "CS", "1"],
    (0x300a, 0x064f) => [:ParallelRTBeamDelimiterLeafMountingSide, "CS", "1-n"],
    (0x300a, 0x0650) => [:PatientSetupUID, "UI", "1"],
    (0x300a, 0x0651) => [:WedgeDefinitionSequence, "SQ", "1"],
    (0x300a, 0x0652) => [:RadiationBeamWedgeAngle, "FD", "1"],
    (0x300a, 0x0653) => [:RadiationBeamWedgeThinEdgeDistance, "FD", "1"],
    (0x300a, 0x0654) => [:RadiationBeamEffectiveWedgeAngle, "FD", "1"],
    (0x300a, 0x0655) => [:NumberOfWedgePositions, "US", "1"],
    (0x300a, 0x0656) => [:RTBeamLimitingDeviceOpeningSequence, "SQ", "1"],
    (0x300a, 0x0657) => [:NumberOfRTBeamLimitingDeviceOpenings, "US", "1"],
    (0x300a, 0x0658) => [:RadiationDosimeterUnitSequence, "SQ", "1"],
    (0x300a, 0x0659) => [:RTDeviceDistanceReferenceLocationCodeSequence, "SQ", "1"],
    (0x300a, 0x065a) =>
        [:RadiationDeviceConfigurationAndCommissioningKeySequence, "SQ", "1"],
    (0x300a, 0x065b) => [:PatientSupportPositionParameterSequence, "SQ", "1"],
    (0x300a, 0x065c) => [:PatientSupportPositionSpecificationMethod, "CS", "1"],
    (0x300a, 0x065d) => [:PatientSupportPositionDeviceParameterSequence, "SQ", "1"],
    (0x300a, 0x065e) => [:DeviceOrderIndex, "US", "1"],
    (0x300a, 0x065f) => [:PatientSupportPositionParameterOrderIndex, "US", "1"],
    (0x300a, 0x0660) => [:PatientSupportPositionDeviceToleranceSequence, "SQ", "1"],
    (0x300a, 0x0661) => [:PatientSupportPositionToleranceOrderIndex, "US", "1"],
    (0x300a, 0x0662) => [:CompensatorDefinitionSequence, "SQ", "1"],
    (0x300a, 0x0663) => [:CompensatorMapOrientation, "CS", "1"],
    (0x300a, 0x0664) => [:CompensatorProximalThicknessMap, "OF", "1"],
    (0x300a, 0x0665) => [:CompensatorDistalThicknessMap, "OF", "1"],
    (0x300a, 0x0666) => [:CompensatorBasePlaneOffset, "FD", "1"],
    (0x300a, 0x0667) => [:CompensatorShapeFabricationCodeSequence, "SQ", "1"],
    (0x300a, 0x0668) => [:CompensatorShapeSequence, "SQ", "1"],
    (0x300a, 0x0669) => [:RadiationBeamCompensatorMillingToolDiameter, "FD", "1"],
    (0x300a, 0x066a) => [:BlockDefinitionSequence, "SQ", "1"],
    (0x300a, 0x066b) => [:BlockEdgeData, "OF", "1"],
    (0x300a, 0x066c) => [:BlockOrientation, "CS", "1"],
    (0x300a, 0x066d) => [:RadiationBeamBlockThickness, "FD", "1"],
    (0x300a, 0x066e) => [:RadiationBeamBlockSlabThickness, "FD", "1"],
    (0x300a, 0x066f) => [:BlockEdgeDataSequence, "SQ", "1"],
    (0x300a, 0x0670) => [:NumberOfRTAccessoryHolders, "US", "1"],
    (0x300a, 0x0671) => [:GeneralAccessoryDefinitionSequence, "SQ", "1"],
    (0x300a, 0x0672) => [:NumberOfGeneralAccessories, "US", "1"],
    (0x300a, 0x0673) => [:BolusDefinitionSequence, "SQ", "1"],
    (0x300a, 0x0674) => [:NumberOfBoluses, "US", "1"],
    (0x300a, 0x0675) => [:EquipmentFrameOfReferenceUID, "UI", "1"],
    (0x300a, 0x0676) => [:EquipmentFrameOfReferenceDescription, "ST", "1"],
    (0x300a, 0x0677) => [:EquipmentReferencePointCoordinatesSequence, "SQ", "1"],
    (0x300a, 0x0678) => [:EquipmentReferencePointCodeSequence, "SQ", "1"],
    (0x300a, 0x0679) => [:RTBeamLimitingDeviceAngle, "FD", "1"],
    (0x300a, 0x067a) => [:SourceRollAngle, "FD", "1"],
    (0x300a, 0x067b) => [:RadiationGenerationModeSequence, "SQ", "1"],
    (0x300a, 0x067c) => [:RadiationGenerationModeLabel, "SH", "1"],
    (0x300a, 0x067d) => [:RadiationGenerationModeDescription, "ST", "1"],
    (0x300a, 0x067e) => [:RadiationGenerationModeMachineCodeSequence, "SQ", "1"],
    (0x300a, 0x067f) => [:RadiationTypeCodeSequence, "SQ", "1"],
    (0x300a, 0x0680) => [:NominalEnergy, "DS", "1"],
    (0x300a, 0x0681) => [:MinimumNominalEnergy, "DS", "1"],
    (0x300a, 0x0682) => [:MaximumNominalEnergy, "DS", "1"],
    (0x300a, 0x0683) => [:RadiationFluenceModifierCodeSequence, "SQ", "1"],
    (0x300a, 0x0684) => [:EnergyUnitCodeSequence, "SQ", "1"],
    (0x300a, 0x0685) => [:NumberOfRadiationGenerationModes, "US", "1"],
    (0x300a, 0x0686) => [:PatientSupportDevicesSequence, "SQ", "1"],
    (0x300a, 0x0687) => [:NumberOfPatientSupportDevices, "US", "1"],
    (0x300a, 0x0688) => [:RTBeamModifierDefinitionDistance, "FD", "1"],
    (0x300a, 0x0689) => [:BeamAreaLimitSequence, "SQ", "1"],
    (0x300a, 0x068a) => [:ReferencedRTPrescriptionSequence, "SQ", "1"],
    (0x300a, 0x0700) => [:TreatmentSessionUID, "UI", "1"],
    (0x300a, 0x0701) => [:RTRadiationUsage, "CS", "1"],
    (0x300a, 0x0702) => [:ReferencedRTRadiationSetSequence, "SQ", "1"],
    (0x300a, 0x0703) => [:ReferencedRTRadiationRecordSequence, "SQ", "1"],
    (0x300a, 0x0704) => [:RTRadiationSetDeliveryNumber, "US", "1"],
    (0x300a, 0x0705) => [:ClinicalFractionNumber, "US", "1"],
    (0x300a, 0x0706) => [:RTTreatmentFractionCompletionStatus, "CS", "1"],
    (0x300a, 0x0707) => [:RTRadiationSetUsage, "CS", "1"],
    (0x300a, 0x0708) => [:TreatmentDeliveryContinuationFlag, "CS", "1"],
    (0x300a, 0x0709) => [:TreatmentRecordContentOrigin, "CS", "1"],
    (0x300a, 0x0714) => [:RTTreatmentTerminationStatus, "CS", "1"],
    (0x300a, 0x0715) => [:RTTreatmentTerminationReasonCodeSequence, "SQ", "1"],
    (0x300a, 0x0716) => [:MachineSpecificTreatmentTerminationCodeSequence, "SQ", "1"],
    (0x300a, 0x0722) => [:RTRadiationSalvageRecordControlPointSequence, "SQ", "1"],
    (0x300a, 0x0723) => [:StartingMetersetValueKnownFlag, "CS", "1"],
    (0x300a, 0x0730) => [:TreatmentTerminationDescription, "ST", "1"],
    (0x300a, 0x0731) => [:TreatmentToleranceViolationSequence, "SQ", "1"],
    (0x300a, 0x0732) => [:TreatmentToleranceViolationCategory, "CS", "1"],
    (0x300a, 0x0733) => [:TreatmentToleranceViolationAttributeSequence, "SQ", "1"],
    (0x300a, 0x0734) => [:TreatmentToleranceViolationDescription, "ST", "1"],
    (0x300a, 0x0735) => [:TreatmentToleranceViolationIdentification, "ST", "1"],
    (0x300a, 0x0736) => [:TreatmentToleranceViolationDateTime, "DT", "1"],
    (0x300a, 0x073a) => [:RecordedRTControlPointDateTime, "DT", "1"],
    (0x300a, 0x073b) => [:ReferencedRadiationRTControlPointIndex, "US", "1"],
    (0x300a, 0x073e) => [:AlternateValueSequence, "SQ", "1"],
    (0x300a, 0x073f) => [:ConfirmationSequence, "SQ", "1"],
    (0x300a, 0x0740) => [:InterlockSequence, "SQ", "1"],
    (0x300a, 0x0741) => [:InterlockDateTime, "DT", "1"],
    (0x300a, 0x0742) => [:InterlockDescription, "ST", "1"],
    (0x300a, 0x0743) => [:InterlockOriginatingDeviceSequence, "SQ", "1"],
    (0x300a, 0x0744) => [:InterlockCodeSequence, "SQ", "1"],
    (0x300a, 0x0745) => [:InterlockResolutionCodeSequence, "SQ", "1"],
    (0x300a, 0x0746) => [:InterlockResolutionUserSequence, "SQ", "1"],
    (0x300a, 0x0760) => [:OverrideDateTime, "DT", "1"],
    (0x300a, 0x0761) => [:TreatmentToleranceViolationTypeCodeSequence, "SQ", "1"],
    (0x300a, 0x0762) => [:TreatmentToleranceViolationCauseCodeSequence, "SQ", "1"],
    (0x300a, 0x0772) => [:MeasuredMetersetToDoseMappingSequence, "SQ", "1"],
    (0x300a, 0x0773) => [:ReferencedExpectedInVivoMeasurementValueIndex, "US", "1"],
    (0x300a, 0x0774) => [:DoseMeasurementDeviceCodeSequence, "SQ", "1"],
    (0x300a, 0x0780) => [:AdditionalParameterRecordingInstanceSequence, "SQ", "1"],
    (0x300a, 0x0783) => [:InterlockOriginDescription, "ST", "1"],
    (0x300c, 0x0002) => [:ReferencedRTPlanSequence, "SQ", "1"],
    (0x300c, 0x0004) => [:ReferencedBeamSequence, "SQ", "1"],
    (0x300c, 0x0006) => [:ReferencedBeamNumber, "IS", "1"],
    (0x300c, 0x0007) => [:ReferencedReferenceImageNumber, "IS", "1"],
    (0x300c, 0x0008) => [:StartCumulativeMetersetWeight, "DS", "1"],
    (0x300c, 0x0009) => [:EndCumulativeMetersetWeight, "DS", "1"],
    (0x300c, 0x000a) => [:ReferencedBrachyApplicationSetupSequence, "SQ", "1"],
    (0x300c, 0x000c) => [:ReferencedBrachyApplicationSetupNumber, "IS", "1"],
    (0x300c, 0x000e) => [:ReferencedSourceNumber, "IS", "1"],
    (0x300c, 0x0020) => [:ReferencedFractionGroupSequence, "SQ", "1"],
    (0x300c, 0x0022) => [:ReferencedFractionGroupNumber, "IS", "1"],
    (0x300c, 0x0040) => [:ReferencedVerificationImageSequence, "SQ", "1"],
    (0x300c, 0x0042) => [:ReferencedReferenceImageSequence, "SQ", "1"],
    (0x300c, 0x0050) => [:ReferencedDoseReferenceSequence, "SQ", "1"],
    (0x300c, 0x0051) => [:ReferencedDoseReferenceNumber, "IS", "1"],
    (0x300c, 0x0055) => [:BrachyReferencedDoseReferenceSequence, "SQ", "1"],
    (0x300c, 0x0060) => [:ReferencedStructureSetSequence, "SQ", "1"],
    (0x300c, 0x006a) => [:ReferencedPatientSetupNumber, "IS", "1"],
    (0x300c, 0x0080) => [:ReferencedDoseSequence, "SQ", "1"],
    (0x300c, 0x00a0) => [:ReferencedToleranceTableNumber, "IS", "1"],
    (0x300c, 0x00b0) => [:ReferencedBolusSequence, "SQ", "1"],
    (0x300c, 0x00c0) => [:ReferencedWedgeNumber, "IS", "1"],
    (0x300c, 0x00d0) => [:ReferencedCompensatorNumber, "IS", "1"],
    (0x300c, 0x00e0) => [:ReferencedBlockNumber, "IS", "1"],
    (0x300c, 0x00f0) => [:ReferencedControlPointIndex, "IS", "1"],
    (0x300c, 0x00f2) => [:ReferencedControlPointSequence, "SQ", "1"],
    (0x300c, 0x00f4) => [:ReferencedStartControlPointIndex, "IS", "1"],
    (0x300c, 0x00f6) => [:ReferencedStopControlPointIndex, "IS", "1"],
    (0x300c, 0x0100) => [:ReferencedRangeShifterNumber, "IS", "1"],
    (0x300c, 0x0102) => [:ReferencedLateralSpreadingDeviceNumber, "IS", "1"],
    (0x300c, 0x0104) => [:ReferencedRangeModulatorNumber, "IS", "1"],
    (0x300c, 0x0111) => [:OmittedBeamTaskSequence, "SQ", "1"],
    (0x300c, 0x0112) => [:ReasonForOmission, "CS", "1"],
    (0x300c, 0x0113) => [:ReasonForOmissionDescription, "LO", "1"],
    (0x300e, 0x0002) => [:ApprovalStatus, "CS", "1"],
    (0x300e, 0x0004) => [:ReviewDate, "DA", "1"],
    (0x300e, 0x0005) => [:ReviewTime, "TM", "1"],
    (0x300e, 0x0008) => [:ReviewerName, "PN", "1"],
    (0x3010, 0x0001) => [:RadiobiologicalDoseEffectSequence, "SQ", "1"],
    (0x3010, 0x0002) => [:RadiobiologicalDoseEffectFlag, "CS", "1"],
    (0x3010, 0x0003) =>
        [:EffectiveDoseCalculationMethodCategoryCodeSequence, "SQ", "1"],
    (0x3010, 0x0004) => [:EffectiveDoseCalculationMethodCodeSequence, "SQ", "1"],
    (0x3010, 0x0005) => [:EffectiveDoseCalculationMethodDescription, "LO", "1"],
    (0x3010, 0x0006) => [:ConceptualVolumeUID, "UI", "1"],
    (0x3010, 0x0007) => [:OriginatingSOPInstanceReferenceSequence, "SQ", "1"],
    (0x3010, 0x0008) => [:ConceptualVolumeConstituentSequence, "SQ", "1"],
    (0x3010, 0x0009) =>
        [:EquivalentConceptualVolumeInstanceReferenceSequence, "SQ", "1"],
    (0x3010, 0x000a) => [:EquivalentConceptualVolumesSequence, "SQ", "1"],
    (0x3010, 0x000b) => [:ReferencedConceptualVolumeUID, "UI", "1"],
    (0x3010, 0x000c) => [:ConceptualVolumeCombinationExpression, "UT", "1"],
    (0x3010, 0x000d) => [:ConceptualVolumeConstituentIndex, "US", "1"],
    (0x3010, 0x000e) => [:ConceptualVolumeCombinationFlag, "CS", "1"],
    (0x3010, 0x000f) => [:ConceptualVolumeCombinationDescription, "ST", "1"],
    (0x3010, 0x0010) => [:ConceptualVolumeSegmentationDefinedFlag, "CS", "1"],
    (0x3010, 0x0011) => [:ConceptualVolumeSegmentationReferenceSequence, "SQ", "1"],
    (0x3010, 0x0012) =>
        [:ConceptualVolumeConstituentSegmentationReferenceSequence, "SQ", "1"],
    (0x3010, 0x0013) => [:ConstituentConceptualVolumeUID, "UI", "1"],
    (0x3010, 0x0014) => [:DerivationConceptualVolumeSequence, "SQ", "1"],
    (0x3010, 0x0015) => [:SourceConceptualVolumeUID, "UI", "1"],
    (0x3010, 0x0016) => [:ConceptualVolumeDerivationAlgorithmSequence, "SQ", "1"],
    (0x3010, 0x0017) => [:ConceptualVolumeDescription, "ST", "1"],
    (0x3010, 0x0018) => [:SourceConceptualVolumeSequence, "SQ", "1"],
    (0x3010, 0x0019) => [:AuthorIdentificationSequence, "SQ", "1"],
    (0x3010, 0x001a) => [:ManufacturerModelVersion, "LO", "1"],
    (0x3010, 0x001b) => [:DeviceAlternateIdentifier, "UC", "1"],
    (0x3010, 0x001c) => [:DeviceAlternateIdentifierType, "CS", "1"],
    (0x3010, 0x001d) => [:DeviceAlternateIdentifierFormat, "LT", "1"],
    (0x3010, 0x001e) => [:SegmentationCreationTemplateLabel, "LO", "1"],
    (0x3010, 0x001f) => [:SegmentationTemplateUID, "UI", "1"],
    (0x3010, 0x0020) => [:ReferencedSegmentReferenceIndex, "US", "1"],
    (0x3010, 0x0021) => [:SegmentReferenceSequence, "SQ", "1"],
    (0x3010, 0x0022) => [:SegmentReferenceIndex, "US", "1"],
    (0x3010, 0x0023) => [:DirectSegmentReferenceSequence, "SQ", "1"],
    (0x3010, 0x0024) => [:CombinationSegmentReferenceSequence, "SQ", "1"],
    (0x3010, 0x0025) => [:ConceptualVolumeSequence, "SQ", "1"],
    (0x3010, 0x0026) => [:SegmentedRTAccessoryDeviceSequence, "SQ", "1"],
    (0x3010, 0x0027) => [:SegmentCharacteristicsSequence, "SQ", "1"],
    (0x3010, 0x0028) => [:RelatedSegmentCharacteristicsSequence, "SQ", "1"],
    (0x3010, 0x0029) => [:SegmentCharacteristicsPrecedence, "US", "1"],
    (0x3010, 0x002a) => [:RTSegmentAnnotationSequence, "SQ", "1"],
    (0x3010, 0x002b) => [:SegmentAnnotationCategoryCodeSequence, "SQ", "1"],
    (0x3010, 0x002c) => [:SegmentAnnotationTypeCodeSequence, "SQ", "1"],
    (0x3010, 0x002d) => [:DeviceLabel, "LO", "1"],
    (0x3010, 0x002e) => [:DeviceTypeCodeSequence, "SQ", "1"],
    (0x3010, 0x002f) => [:SegmentAnnotationTypeModifierCodeSequence, "SQ", "1"],
    (0x3010, 0x0030) => [:PatientEquipmentRelationshipCodeSequence, "SQ", "1"],
    (0x3010, 0x0031) => [:ReferencedFiducialsUID, "UI", "1"],
    (0x3010, 0x0032) => [:PatientTreatmentOrientationSequence, "SQ", "1"],
    (0x3010, 0x0033) => [:UserContentLabel, "SH", "1"],
    (0x3010, 0x0034) => [:UserContentLongLabel, "LO", "1"],
    (0x3010, 0x0035) => [:EntityLabel, "SH", "1"],
    (0x3010, 0x0036) => [:EntityName, "LO", "1"],
    (0x3010, 0x0037) => [:EntityDescription, "ST", "1"],
    (0x3010, 0x0038) => [:EntityLongLabel, "LO", "1"],
    (0x3010, 0x0039) => [:DeviceIndex, "US", "1"],
    (0x3010, 0x003a) => [:RTTreatmentPhaseIndex, "US", "1"],
    (0x3010, 0x003b) => [:RTTreatmentPhaseUID, "UI", "1"],
    (0x3010, 0x003c) => [:RTPrescriptionIndex, "US", "1"],
    (0x3010, 0x003d) => [:RTSegmentAnnotationIndex, "US", "1"],
    (0x3010, 0x003e) => [:BasisRTTreatmentPhaseIndex, "US", "1"],
    (0x3010, 0x003f) => [:RelatedRTTreatmentPhaseIndex, "US", "1"],
    (0x3010, 0x0040) => [:ReferencedRTTreatmentPhaseIndex, "US", "1"],
    (0x3010, 0x0041) => [:ReferencedRTPrescriptionIndex, "US", "1"],
    (0x3010, 0x0042) => [:ReferencedParentRTPrescriptionIndex, "US", "1"],
    (0x3010, 0x0043) => [:ManufacturerDeviceIdentifier, "ST", "1"],
    (0x3010, 0x0044) =>
        [:InstanceLevelReferencedPerformedProcedureStepSequence, "SQ", "1"],
    (0x3010, 0x0045) => [:RTTreatmentPhaseIntentPresenceFlag, "CS", "1"],
    (0x3010, 0x0046) => [:RadiotherapyTreatmentType, "CS", "1"],
    (0x3010, 0x0047) => [:TeletherapyRadiationType, "CS", "1-n"],
    (0x3010, 0x0048) => [:BrachytherapySourceType, "CS", "1-n"],
    (0x3010, 0x0049) => [:ReferencedRTTreatmentPhaseSequence, "SQ", "1"],
    (0x3010, 0x004a) => [:ReferencedDirectSegmentInstanceSequence, "SQ", "1"],
    (0x3010, 0x004b) => [:IntendedRTTreatmentPhaseSequence, "SQ", "1"],
    (0x3010, 0x004c) => [:IntendedPhaseStartDate, "DA", "1"],
    (0x3010, 0x004d) => [:IntendedPhaseEndDate, "DA", "1"],
    (0x3010, 0x004e) => [:RTTreatmentPhaseIntervalSequence, "SQ", "1"],
    (0x3010, 0x004f) => [:TemporalRelationshipIntervalAnchor, "CS", "1"],
    (0x3010, 0x0050) => [:MinimumNumberOfIntervalDays, "FD", "1"],
    (0x3010, 0x0051) => [:MaximumNumberOfIntervalDays, "FD", "1"],
    (0x3010, 0x0052) => [:PertinentSOPClassesInStudy, "UI", "1-n"],
    (0x3010, 0x0053) => [:PertinentSOPClassesInSeries, "UI", "1-n"],
    (0x3010, 0x0054) => [:RTPrescriptionLabel, "LO", "1"],
    (0x3010, 0x0055) => [:RTPhysicianIntentPredecessorSequence, "SQ", "1"],
    (0x3010, 0x0056) => [:RTTreatmentApproachLabel, "LO", "1"],
    (0x3010, 0x0057) => [:RTPhysicianIntentSequence, "SQ", "1"],
    (0x3010, 0x0058) => [:RTPhysicianIntentIndex, "US", "1"],
    (0x3010, 0x0059) => [:RTTreatmentIntentType, "CS", "1"],
    (0x3010, 0x005a) => [:RTPhysicianIntentNarrative, "UT", "1"],
    (0x3010, 0x005b) => [:RTProtocolCodeSequence, "SQ", "1"],
    (0x3010, 0x005c) => [:ReasonForSuperseding, "ST", "1"],
    (0x3010, 0x005d) => [:RTDiagnosisCodeSequence, "SQ", "1"],
    (0x3010, 0x005e) => [:ReferencedRTPhysicianIntentIndex, "US", "1"],
    (0x3010, 0x005f) => [:RTPhysicianIntentInputInstanceSequence, "SQ", "1"],
    (0x3010, 0x0060) => [:RTAnatomicPrescriptionSequence, "SQ", "1"],
    (0x3010, 0x0061) => [:PriorTreatmentDoseDescription, "UT", "1"],
    (0x3010, 0x0062) => [:PriorTreatmentReferenceSequence, "SQ", "1"],
    (0x3010, 0x0063) => [:DosimetricObjectiveEvaluationScope, "CS", "1"],
    (0x3010, 0x0064) => [:TherapeuticRoleCategoryCodeSequence, "SQ", "1"],
    (0x3010, 0x0065) => [:TherapeuticRoleTypeCodeSequence, "SQ", "1"],
    (0x3010, 0x0066) => [:ConceptualVolumeOptimizationPrecedence, "US", "1"],
    (0x3010, 0x0067) => [:ConceptualVolumeCategoryCodeSequence, "SQ", "1"],
    (0x3010, 0x0068) => [:ConceptualVolumeBlockingConstraint, "CS", "1"],
    (0x3010, 0x0069) => [:ConceptualVolumeTypeCodeSequence, "SQ", "1"],
    (0x3010, 0x006a) => [:ConceptualVolumeTypeModifierCodeSequence, "SQ", "1"],
    (0x3010, 0x006b) => [:RTPrescriptionSequence, "SQ", "1"],
    (0x3010, 0x006c) => [:DosimetricObjectiveSequence, "SQ", "1"],
    (0x3010, 0x006d) => [:DosimetricObjectiveTypeCodeSequence, "SQ", "1"],
    (0x3010, 0x006e) => [:DosimetricObjectiveUID, "UI", "1"],
    (0x3010, 0x006f) => [:ReferencedDosimetricObjectiveUID, "UI", "1"],
    (0x3010, 0x0070) => [:DosimetricObjectiveParameterSequence, "SQ", "1"],
    (0x3010, 0x0071) => [:ReferencedDosimetricObjectivesSequence, "SQ", "1"],
    (0x3010, 0x0073) => [:AbsoluteDosimetricObjectiveFlag, "CS", "1"],
    (0x3010, 0x0074) => [:DosimetricObjectiveWeight, "FD", "1"],
    (0x3010, 0x0075) => [:DosimetricObjectivePurpose, "CS", "1"],
    (0x3010, 0x0076) => [:PlanningInputInformationSequence, "SQ", "1"],
    (0x3010, 0x0077) => [:TreatmentSite, "LO", "1"],
    (0x3010, 0x0078) => [:TreatmentSiteCodeSequence, "SQ", "1"],
    (0x3010, 0x0079) => [:FractionPatternSequence, "SQ", "1"],
    (0x3010, 0x007a) => [:TreatmentTechniqueNotes, "UT", "1"],
    (0x3010, 0x007b) => [:PrescriptionNotes, "UT", "1"],
    (0x3010, 0x007c) => [:NumberOfIntervalFractions, "IS", "1"],
    (0x3010, 0x007d) => [:NumberOfFractions, "US", "1"],
    (0x3010, 0x007e) => [:IntendedDeliveryDuration, "US", "1"],
    (0x3010, 0x007f) => [:FractionationNotes, "UT", "1"],
    (0x3010, 0x0080) => [:RTTreatmentTechniqueCodeSequence, "SQ", "1"],
    (0x3010, 0x0081) => [:PrescriptionNotesSequence, "SQ", "1"],
    (0x3010, 0x0082) => [:FractionBasedRelationshipSequence, "SQ", "1"],
    (0x3010, 0x0083) => [:FractionBasedRelationshipIntervalAnchor, "CS", "1"],
    (0x3010, 0x0084) => [:MinimumHoursBetweenFractions, "FD", "1"],
    (0x3010, 0x0085) => [:IntendedFractionStartTime, "TM", "1-n"],
    (0x3010, 0x0086) => [:IntendedStartDayOfWeek, "LT", "1"],
    (0x3010, 0x0087) => [:WeekdayFractionPatternSequence, "SQ", "1"],
    (0x3010, 0x0088) => [:DeliveryTimeStructureCodeSequence, "SQ", "1"],
    (0x3010, 0x0089) => [:TreatmentSiteModifierCodeSequence, "SQ", "1"],
    (0x3010, 0x0090) => [:RoboticBaseLocationIndicator, "CS", "1"],
    (0x3010, 0x0091) => [:RoboticPathNodeSetCodeSequence, "SQ", "1"],
    (0x3010, 0x0092) => [:RoboticNodeIdentifier, "UL", "1"],
    (0x3010, 0x0093) => [:RTTreatmentSourceCoordinates, "FD", "3"],
    (0x3010, 0x0094) => [:RadiationSourceCoordinateSystemYawAngle, "FD", "1"],
    (0x3010, 0x0095) => [:RadiationSourceCoordinateSystemRollAngle, "FD", "1"],
    (0x3010, 0x0096) => [:RadiationSourceCoordinateSystemPitchAngle, "FD", "1"],
    (0x3010, 0x0097) => [:RoboticPathControlPointSequence, "SQ", "1"],
    (0x3010, 0x0098) => [:TomotherapeuticControlPointSequence, "SQ", "1"],
    (0x3010, 0x0099) => [:TomotherapeuticLeafOpenDurations, "FD", "1-n"],
    (0x3010, 0x009a) => [:TomotherapeuticLeafInitialClosedDurations, "FD", "1-n"],
    (0x4000, 0x0010) => [:Arbitrary, "LT", "1"],
    (0x4000, 0x4000) => [:TextComments, "LT", "1"],
    (0x4008, 0x0040) => [:ResultsID, "SH", "1"],
    (0x4008, 0x0042) => [:ResultsIDIssuer, "LO", "1"],
    (0x4008, 0x0050) => [:ReferencedInterpretationSequence, "SQ", "1"],
    (0x4008, 0x00ff) => [:ReportProductionStatusTrial, "CS", "1"],
    (0x4008, 0x0100) => [:InterpretationRecordedDate, "DA", "1"],
    (0x4008, 0x0101) => [:InterpretationRecordedTime, "TM", "1"],
    (0x4008, 0x0102) => [:InterpretationRecorder, "PN", "1"],
    (0x4008, 0x0103) => [:ReferenceToRecordedSound, "LO", "1"],
    (0x4008, 0x0108) => [:InterpretationTranscriptionDate, "DA", "1"],
    (0x4008, 0x0109) => [:InterpretationTranscriptionTime, "TM", "1"],
    (0x4008, 0x010a) => [:InterpretationTranscriber, "PN", "1"],
    (0x4008, 0x010b) => [:InterpretationText, "ST", "1"],
    (0x4008, 0x010c) => [:InterpretationAuthor, "PN", "1"],
    (0x4008, 0x0111) => [:InterpretationApproverSequence, "SQ", "1"],
    (0x4008, 0x0112) => [:InterpretationApprovalDate, "DA", "1"],
    (0x4008, 0x0113) => [:InterpretationApprovalTime, "TM", "1"],
    (0x4008, 0x0114) => [:PhysicianApprovingInterpretation, "PN", "1"],
    (0x4008, 0x0115) => [:InterpretationDiagnosisDescription, "LT", "1"],
    (0x4008, 0x0117) => [:InterpretationDiagnosisCodeSequence, "SQ", "1"],
    (0x4008, 0x0118) => [:ResultsDistributionListSequence, "SQ", "1"],
    (0x4008, 0x0119) => [:DistributionName, "PN", "1"],
    (0x4008, 0x011a) => [:DistributionAddress, "LO", "1"],
    (0x4008, 0x0200) => [:InterpretationID, "SH", "1"],
    (0x4008, 0x0202) => [:InterpretationIDIssuer, "LO", "1"],
    (0x4008, 0x0210) => [:InterpretationTypeID, "CS", "1"],
    (0x4008, 0x0212) => [:InterpretationStatusID, "CS", "1"],
    (0x4008, 0x0300) => [:Impressions, "ST", "1"],
    (0x4008, 0x4000) => [:ResultsComments, "ST", "1"],
    (0x4010, 0x0001) => [:LowEnergyDetectors, "CS", "1"],
    (0x4010, 0x0002) => [:HighEnergyDetectors, "CS", "1"],
    (0x4010, 0x0004) => [:DetectorGeometrySequence, "SQ", "1"],
    (0x4010, 0x1001) => [:ThreatROIVoxelSequence, "SQ", "1"],
    (0x4010, 0x1004) => [:ThreatROIBase, "FL", "3"],
    (0x4010, 0x1005) => [:ThreatROIExtents, "FL", "3"],
    (0x4010, 0x1006) => [:ThreatROIBitmap, "OB", "1"],
    (0x4010, 0x1007) => [:RouteSegmentID, "SH", "1"],
    (0x4010, 0x1008) => [:GantryType, "CS", "1"],
    (0x4010, 0x1009) => [:OOIOwnerType, "CS", "1"],
    (0x4010, 0x100a) => [:RouteSegmentSequence, "SQ", "1"],
    (0x4010, 0x1010) => [:PotentialThreatObjectID, "US", "1"],
    (0x4010, 0x1011) => [:ThreatSequence, "SQ", "1"],
    (0x4010, 0x1012) => [:ThreatCategory, "CS", "1"],
    (0x4010, 0x1013) => [:ThreatCategoryDescription, "LT", "1"],
    (0x4010, 0x1014) => [:ATDAbilityAssessment, "CS", "1"],
    (0x4010, 0x1015) => [:ATDAssessmentFlag, "CS", "1"],
    (0x4010, 0x1016) => [:ATDAssessmentProbability, "FL", "1"],
    (0x4010, 0x1017) => [:Mass, "FL", "1"],
    (0x4010, 0x1018) => [:Density, "FL", "1"],
    (0x4010, 0x1019) => [:ZEffective, "FL", "1"],
    (0x4010, 0x101a) => [:BoardingPassID, "SH", "1"],
    (0x4010, 0x101b) => [:CenterOfMass, "FL", "3"],
    (0x4010, 0x101c) => [:CenterOfPTO, "FL", "3"],
    (0x4010, 0x101d) => [:BoundingPolygon, "FL", "6-n"],
    (0x4010, 0x101e) => [:RouteSegmentStartLocationID, "SH", "1"],
    (0x4010, 0x101f) => [:RouteSegmentEndLocationID, "SH", "1"],
    (0x4010, 0x1020) => [:RouteSegmentLocationIDType, "CS", "1"],
    (0x4010, 0x1021) => [:AbortReason, "CS", "1-n"],
    (0x4010, 0x1023) => [:VolumeOfPTO, "FL", "1"],
    (0x4010, 0x1024) => [:AbortFlag, "CS", "1"],
    (0x4010, 0x1025) => [:RouteSegmentStartTime, "DT", "1"],
    (0x4010, 0x1026) => [:RouteSegmentEndTime, "DT", "1"],
    (0x4010, 0x1027) => [:TDRType, "CS", "1"],
    (0x4010, 0x1028) => [:InternationalRouteSegment, "CS", "1"],
    (0x4010, 0x1029) => [:ThreatDetectionAlgorithmandVersion, "LO", "1-n"],
    (0x4010, 0x102a) => [:AssignedLocation, "SH", "1"],
    (0x4010, 0x102b) => [:AlarmDecisionTime, "DT", "1"],
    (0x4010, 0x1031) => [:AlarmDecision, "CS", "1"],
    (0x4010, 0x1033) => [:NumberOfTotalObjects, "US", "1"],
    (0x4010, 0x1034) => [:NumberOfAlarmObjects, "US", "1"],
    (0x4010, 0x1037) => [:PTORepresentationSequence, "SQ", "1"],
    (0x4010, 0x1038) => [:ATDAssessmentSequence, "SQ", "1"],
    (0x4010, 0x1039) => [:TIPType, "CS", "1"],
    (0x4010, 0x103a) => [:DICOSVersion, "CS", "1"],
    (0x4010, 0x1041) => [:OOIOwnerCreationTime, "DT", "1"],
    (0x4010, 0x1042) => [:OOIType, "CS", "1"],
    (0x4010, 0x1043) => [:OOISize, "FL", "3"],
    (0x4010, 0x1044) => [:AcquisitionStatus, "CS", "1"],
    (0x4010, 0x1045) => [:BasisMaterialsCodeSequence, "SQ", "1"],
    (0x4010, 0x1046) => [:PhantomType, "CS", "1"],
    (0x4010, 0x1047) => [:OOIOwnerSequence, "SQ", "1"],
    (0x4010, 0x1048) => [:ScanType, "CS", "1"],
    (0x4010, 0x1051) => [:ItineraryID, "LO", "1"],
    (0x4010, 0x1052) => [:ItineraryIDType, "SH", "1"],
    (0x4010, 0x1053) => [:ItineraryIDAssigningAuthority, "LO", "1"],
    (0x4010, 0x1054) => [:RouteID, "SH", "1"],
    (0x4010, 0x1055) => [:RouteIDAssigningAuthority, "SH", "1"],
    (0x4010, 0x1056) => [:InboundArrivalType, "CS", "1"],
    (0x4010, 0x1058) => [:CarrierID, "SH", "1"],
    (0x4010, 0x1059) => [:CarrierIDAssigningAuthority, "CS", "1"],
    (0x4010, 0x1060) => [:SourceOrientation, "FL", "3"],
    (0x4010, 0x1061) => [:SourcePosition, "FL", "3"],
    (0x4010, 0x1062) => [:BeltHeight, "FL", "1"],
    (0x4010, 0x1064) => [:AlgorithmRoutingCodeSequence, "SQ", "1"],
    (0x4010, 0x1067) => [:TransportClassification, "CS", "1"],
    (0x4010, 0x1068) => [:OOITypeDescriptor, "LT", "1"],
    (0x4010, 0x1069) => [:TotalProcessingTime, "FL", "1"],
    (0x4010, 0x106c) => [:DetectorCalibrationData, "OB", "1"],
    (0x4010, 0x106d) => [:AdditionalScreeningPerformed, "CS", "1"],
    (0x4010, 0x106e) => [:AdditionalInspectionSelectionCriteria, "CS", "1"],
    (0x4010, 0x106f) => [:AdditionalInspectionMethodSequence, "SQ", "1"],
    (0x4010, 0x1070) => [:AITDeviceType, "CS", "1"],
    (0x4010, 0x1071) => [:QRMeasurementsSequence, "SQ", "1"],
    (0x4010, 0x1072) => [:TargetMaterialSequence, "SQ", "1"],
    (0x4010, 0x1073) => [:SNRThreshold, "FD", "1"],
    (0x4010, 0x1075) => [:ImageScaleRepresentation, "DS", "1"],
    (0x4010, 0x1076) => [:ReferencedPTOSequence, "SQ", "1"],
    (0x4010, 0x1077) => [:ReferencedTDRInstanceSequence, "SQ", "1"],
    (0x4010, 0x1078) => [:PTOLocationDescription, "ST", "1"],
    (0x4010, 0x1079) => [:AnomalyLocatorIndicatorSequence, "SQ", "1"],
    (0x4010, 0x107a) => [:AnomalyLocatorIndicator, "FL", "3"],
    (0x4010, 0x107b) => [:PTORegionSequence, "SQ", "1"],
    (0x4010, 0x107c) => [:InspectionSelectionCriteria, "CS", "1"],
    (0x4010, 0x107d) => [:SecondaryInspectionMethodSequence, "SQ", "1"],
    (0x4010, 0x107e) => [:PRCSToRCSOrientation, "DS", "6"],
    (0x4ffe, 0x0001) => [:MACParametersSequence, "SQ", "1"],
    (0x5200, 0x9229) => [:SharedFunctionalGroupsSequence, "SQ", "1"],
    (0x5200, 0x9230) => [:PerFrameFunctionalGroupsSequence, "SQ", "1"],
    (0x5400, 0x0100) => [:WaveformSequence, "SQ", "1"],
    (0x5400, 0x0110) => [:ChannelMinimumValue, "OB or OW", "1"],
    (0x5400, 0x0112) => [:ChannelMaximumValue, "OB or OW", "1"],
    (0x5400, 0x1004) => [:WaveformBitsAllocated, "US", "1"],
    (0x5400, 0x1006) => [:WaveformSampleInterpretation, "CS", "1"],
    (0x5400, 0x100a) => [:WaveformPaddingValue, "OB or OW", "1"],
    (0x5400, 0x1010) => [:WaveformData, "OB or OW", "1"],
    (0x5600, 0x0010) => [:FirstOrderPhaseCorrectionAngle, "OF", "1"],
    (0x5600, 0x0020) => [:SpectroscopyData, "OF", "1"],
    (0x7fe0, 0x0001) => [:ExtendedOffsetTable, "OV", "1"],
    (0x7fe0, 0x0002) => [:ExtendedOffsetTableLengths, "OV", "1"],
    (0x7fe0, 0x0008) => [:FloatPixelData, "OF", "1"],
    (0x7fe0, 0x0009) => [:DoubleFloatPixelData, "OD", "1"],
    (0x7fe0, 0x0010) => [:PixelData, "OB or OW", "1"],
    (0x7fe0, 0x0020) => [:CoefficientsSDVN, "OW", "1"],
    (0x7fe0, 0x0030) => [:CoefficientsSDHN, "OW", "1"],
    (0x7fe0, 0x0040) => [:CoefficientsSDDN, "OW", "1"],
    (0xfffa, 0xfffa) => [:DigitalSignaturesSequence, "SQ", "1"],
    (0xfffc, 0xfffc) => [:DataSetTrailingPadding, "OB", "1"],
    (0xfffe, 0xe000) => [:Item, "See Note", "1"],
    (0xfffe, 0xe00d) => [:ItemDelimitationItem, "See Note", "1"],
    (0xfffe, 0xe0dd) => [:SequenceDelimitationItem, "See Note", "1"],
)
